#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2776
#define LARGE_STATE_COUNT 634
#define SYMBOL_COUNT 406
#define ALIAS_COUNT 0
#define TOKEN_COUNT 192
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 28
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_declaration_token2 = 13,
  aux_sym_namespace_use_declaration_token3 = 14,
  anon_sym_BSLASH = 15,
  aux_sym_namespace_aliasing_clause_token1 = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  aux_sym__arrow_function_header_token1 = 37,
  anon_sym_EQ_GT = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_DOT_DOT_DOT = 41,
  anon_sym_QMARK = 42,
  sym_bottom_type = 43,
  anon_sym_PIPE = 44,
  anon_sym_array = 45,
  aux_sym_primitive_type_token1 = 46,
  anon_sym_iterable = 47,
  anon_sym_bool = 48,
  anon_sym_float = 49,
  anon_sym_void = 50,
  anon_sym_mixed = 51,
  anon_sym_false = 52,
  anon_sym_null = 53,
  anon_sym_true = 54,
  aux_sym_cast_type_token1 = 55,
  aux_sym_cast_type_token2 = 56,
  aux_sym_cast_type_token3 = 57,
  aux_sym_cast_type_token4 = 58,
  aux_sym_cast_type_token5 = 59,
  aux_sym_cast_type_token6 = 60,
  aux_sym_cast_type_token7 = 61,
  aux_sym_cast_type_token8 = 62,
  aux_sym_cast_type_token9 = 63,
  aux_sym_cast_type_token10 = 64,
  aux_sym_cast_type_token11 = 65,
  aux_sym_cast_type_token12 = 66,
  aux_sym_echo_statement_token1 = 67,
  aux_sym_exit_statement_token1 = 68,
  anon_sym_unset = 69,
  aux_sym_declare_statement_token1 = 70,
  aux_sym_declare_statement_token2 = 71,
  anon_sym_ticks = 72,
  anon_sym_encoding = 73,
  anon_sym_strict_types = 74,
  sym_float = 75,
  aux_sym_try_statement_token1 = 76,
  aux_sym_catch_clause_token1 = 77,
  aux_sym_finally_clause_token1 = 78,
  aux_sym_goto_statement_token1 = 79,
  aux_sym_continue_statement_token1 = 80,
  aux_sym_break_statement_token1 = 81,
  sym_integer = 82,
  aux_sym_return_statement_token1 = 83,
  aux_sym_throw_expression_token1 = 84,
  aux_sym_while_statement_token1 = 85,
  aux_sym_while_statement_token2 = 86,
  aux_sym_do_statement_token1 = 87,
  aux_sym_for_statement_token1 = 88,
  aux_sym_for_statement_token2 = 89,
  aux_sym_foreach_statement_token1 = 90,
  aux_sym_foreach_statement_token2 = 91,
  aux_sym_if_statement_token1 = 92,
  aux_sym_if_statement_token2 = 93,
  aux_sym_else_if_clause_token1 = 94,
  aux_sym_else_clause_token1 = 95,
  aux_sym_match_expression_token1 = 96,
  aux_sym_match_default_expression_token1 = 97,
  aux_sym_switch_statement_token1 = 98,
  aux_sym_switch_block_token1 = 99,
  anon_sym_PLUS = 100,
  anon_sym_DASH = 101,
  anon_sym_TILDE = 102,
  anon_sym_BANG = 103,
  anon_sym_AT = 104,
  aux_sym_clone_expression_token1 = 105,
  anon_sym_COLON_COLON = 106,
  aux_sym_print_intrinsic_token1 = 107,
  aux_sym_object_creation_expression_token1 = 108,
  anon_sym_DASH_DASH = 109,
  anon_sym_PLUS_PLUS = 110,
  anon_sym_STAR_STAR_EQ = 111,
  anon_sym_STAR_EQ = 112,
  anon_sym_SLASH_EQ = 113,
  anon_sym_PERCENT_EQ = 114,
  anon_sym_PLUS_EQ = 115,
  anon_sym_DASH_EQ = 116,
  anon_sym_DOT_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_QMARK_QMARK_EQ = 123,
  anon_sym_DASH_GT = 124,
  anon_sym_QMARK_DASH_GT = 125,
  aux_sym__list_destructing_token1 = 126,
  anon_sym_LBRACK = 127,
  anon_sym_RBRACK = 128,
  anon_sym_self = 129,
  anon_sym_parent = 130,
  aux_sym__argument_name_token1 = 131,
  aux_sym__argument_name_token2 = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  aux_sym_encapsed_string_token1 = 136,
  anon_sym_DQUOTE = 137,
  aux_sym_string_token1 = 138,
  anon_sym_SQUOTE = 139,
  aux_sym_string_token2 = 140,
  aux_sym_string_content_token1 = 141,
  anon_sym_LT_LT_LT = 142,
  anon_sym_DQUOTE2 = 143,
  sym__new_line = 144,
  anon_sym_SQUOTE2 = 145,
  anon_sym_BQUOTE = 146,
  anon_sym_DOLLAR = 147,
  aux_sym_yield_expression_token1 = 148,
  aux_sym_yield_expression_token2 = 149,
  aux_sym_binary_expression_token1 = 150,
  anon_sym_QMARK_QMARK = 151,
  anon_sym_STAR_STAR = 152,
  aux_sym_binary_expression_token2 = 153,
  aux_sym_binary_expression_token3 = 154,
  aux_sym_binary_expression_token4 = 155,
  anon_sym_PIPE_PIPE = 156,
  anon_sym_AMP_AMP = 157,
  anon_sym_CARET = 158,
  anon_sym_EQ_EQ = 159,
  anon_sym_BANG_EQ = 160,
  anon_sym_LT_GT = 161,
  anon_sym_EQ_EQ_EQ = 162,
  anon_sym_BANG_EQ_EQ = 163,
  anon_sym_LT = 164,
  anon_sym_GT = 165,
  anon_sym_LT_EQ = 166,
  anon_sym_GT_EQ = 167,
  anon_sym_LT_EQ_GT = 168,
  anon_sym_LT_LT = 169,
  anon_sym_GT_GT = 170,
  anon_sym_DOT = 171,
  anon_sym_STAR = 172,
  anon_sym_SLASH = 173,
  anon_sym_PERCENT = 174,
  aux_sym_include_expression_token1 = 175,
  aux_sym_include_once_expression_token1 = 176,
  aux_sym_require_expression_token1 = 177,
  aux_sym_require_once_expression_token1 = 178,
  sym_comment = 179,
  sym__automatic_semicolon = 180,
  sym_encapsed_string_chars = 181,
  sym_encapsed_string_chars_after_variable = 182,
  sym_execution_string_chars = 183,
  sym_execution_string_chars_after_variable = 184,
  sym_encapsed_string_chars_heredoc = 185,
  sym_encapsed_string_chars_after_variable_heredoc = 186,
  sym__eof = 187,
  sym_heredoc_start = 188,
  sym_heredoc_end = 189,
  sym_nowdoc_string = 190,
  sym_sentinel_error = 191,
  sym_program = 192,
  sym_statement = 193,
  sym_empty_statement = 194,
  sym_reference_modifier = 195,
  sym_function_static_declaration = 196,
  sym_static_variable_declaration = 197,
  sym_global_declaration = 198,
  sym_namespace_definition = 199,
  sym_namespace_use_declaration = 200,
  sym_namespace_use_clause = 201,
  sym_qualified_name = 202,
  sym_namespace_name_as_prefix = 203,
  sym_namespace_name = 204,
  sym_namespace_aliasing_clause = 205,
  sym_namespace_use_group = 206,
  sym_namespace_use_group_clause = 207,
  sym_trait_declaration = 208,
  sym_interface_declaration = 209,
  sym_base_clause = 210,
  sym_enum_declaration = 211,
  sym_enum_declaration_list = 212,
  sym__enum_member_declaration = 213,
  sym_enum_case = 214,
  sym_class_declaration = 215,
  sym_declaration_list = 216,
  sym_final_modifier = 217,
  sym_abstract_modifier = 218,
  sym_readonly_modifier = 219,
  sym_class_interface_clause = 220,
  sym__member_declaration = 221,
  sym_const_declaration = 222,
  sym__class_const_declaration = 223,
  sym__const_declaration = 224,
  sym_property_declaration = 225,
  sym__modifier = 226,
  sym_property_element = 227,
  sym_property_initializer = 228,
  sym_method_declaration = 229,
  sym_static_modifier = 230,
  sym_use_declaration = 231,
  sym_use_list = 232,
  sym_use_instead_of_clause = 233,
  sym_use_as_clause = 234,
  sym_visibility_modifier = 235,
  sym_function_definition = 236,
  sym__function_definition_header = 237,
  sym__arrow_function_header = 238,
  sym_arrow_function = 239,
  sym_formal_parameters = 240,
  sym_property_promotion_parameter = 241,
  sym_simple_parameter = 242,
  sym_variadic_parameter = 243,
  sym_type = 244,
  sym__types = 245,
  sym_named_type = 246,
  sym_optional_type = 247,
  sym_union_type = 248,
  sym_intersection_type = 249,
  sym_disjunctive_normal_form_type = 250,
  sym_primitive_type = 251,
  sym_cast_type = 252,
  sym__return_type = 253,
  sym_const_element = 254,
  sym_echo_statement = 255,
  sym_exit_statement = 256,
  sym_unset_statement = 257,
  sym_declare_statement = 258,
  sym_declare_directive = 259,
  sym_literal = 260,
  sym_try_statement = 261,
  sym_catch_clause = 262,
  sym_type_list = 263,
  sym_finally_clause = 264,
  sym_goto_statement = 265,
  sym_continue_statement = 266,
  sym_break_statement = 267,
  sym_return_statement = 268,
  sym_throw_expression = 269,
  sym_while_statement = 270,
  sym_do_statement = 271,
  sym_for_statement = 272,
  sym__expressions = 273,
  sym_sequence_expression = 274,
  sym_foreach_statement = 275,
  sym_foreach_pair = 276,
  sym_if_statement = 277,
  sym_colon_block = 278,
  sym_else_if_clause = 279,
  sym_else_clause = 280,
  sym_else_if_clause_2 = 281,
  sym_else_clause_2 = 282,
  sym_match_expression = 283,
  sym_match_block = 284,
  sym_match_condition_list = 285,
  sym_match_conditional_expression = 286,
  sym_match_default_expression = 287,
  sym_switch_statement = 288,
  sym_switch_block = 289,
  sym_case_statement = 290,
  sym_default_statement = 291,
  sym_compound_statement = 292,
  sym_named_label_statement = 293,
  sym_expression_statement = 294,
  sym_expression = 295,
  sym__unary_expression = 296,
  sym_unary_op_expression = 297,
  sym_error_suppression_expression = 298,
  sym_clone_expression = 299,
  sym_primary_expression = 300,
  sym_parenthesized_expression = 301,
  sym_class_constant_access_expression = 302,
  sym_print_intrinsic = 303,
  sym_anonymous_function_creation_expression = 304,
  sym_anonymous_function_use_clause = 305,
  sym_object_creation_expression = 306,
  sym_update_expression = 307,
  sym_cast_expression = 308,
  sym_cast_variable = 309,
  sym_assignment_expression = 310,
  sym_reference_assignment_expression = 311,
  sym_conditional_expression = 312,
  sym_augmented_assignment_expression = 313,
  sym_member_access_expression = 314,
  sym_nullsafe_member_access_expression = 315,
  sym_scoped_property_access_expression = 316,
  sym_list_literal = 317,
  sym__list_destructing = 318,
  sym__array_destructing = 319,
  sym__array_destructing_element = 320,
  sym_function_call_expression = 321,
  sym_scoped_call_expression = 322,
  sym__scope_resolution_qualifier = 323,
  sym_relative_scope = 324,
  sym_variadic_placeholder = 325,
  sym_arguments = 326,
  sym_argument = 327,
  sym__argument_name = 328,
  sym_member_call_expression = 329,
  sym_nullsafe_member_call_expression = 330,
  sym_variadic_unpacking = 331,
  sym_subscript_expression = 332,
  sym__dereferencable_expression = 333,
  sym_array_creation_expression = 334,
  sym_attribute_group = 335,
  sym_attribute_list = 336,
  sym_attribute = 337,
  sym__complex_string_part = 338,
  sym__simple_string_member_access_expression = 339,
  sym__simple_string_subscript_unary_expression = 340,
  sym__simple_string_array_access_argument = 341,
  sym__simple_string_subscript_expression = 342,
  sym__simple_string_part = 343,
  aux_sym__interpolated_string_body = 344,
  aux_sym__interpolated_string_body_heredoc = 345,
  sym_encapsed_string = 346,
  sym_string = 347,
  sym_string_content = 348,
  sym_heredoc_body = 349,
  sym_heredoc = 350,
  sym_nowdoc_body = 351,
  sym_nowdoc = 352,
  aux_sym__interpolated_execution_operator_body = 353,
  sym_shell_command_expression = 354,
  sym_boolean = 355,
  sym_null = 356,
  sym__string = 357,
  sym_dynamic_variable_name = 358,
  sym_variable_name = 359,
  sym_variable_reference = 360,
  sym_by_ref = 361,
  sym_yield_expression = 362,
  sym_array_element_initializer = 363,
  sym_binary_expression = 364,
  sym_include_expression = 365,
  sym_include_once_expression = 366,
  sym_require_expression = 367,
  sym_require_once_expression = 368,
  sym__reserved_identifier = 369,
  aux_sym_program_repeat1 = 370,
  aux_sym_function_static_declaration_repeat1 = 371,
  aux_sym_global_declaration_repeat1 = 372,
  aux_sym_namespace_use_declaration_repeat1 = 373,
  aux_sym_namespace_name_repeat1 = 374,
  aux_sym_namespace_use_group_repeat1 = 375,
  aux_sym_base_clause_repeat1 = 376,
  aux_sym_enum_declaration_list_repeat1 = 377,
  aux_sym_class_declaration_repeat1 = 378,
  aux_sym_declaration_list_repeat1 = 379,
  aux_sym__const_declaration_repeat1 = 380,
  aux_sym_property_declaration_repeat1 = 381,
  aux_sym_use_list_repeat1 = 382,
  aux_sym_formal_parameters_repeat1 = 383,
  aux_sym_union_type_repeat1 = 384,
  aux_sym_intersection_type_repeat1 = 385,
  aux_sym_disjunctive_normal_form_type_repeat1 = 386,
  aux_sym_unset_statement_repeat1 = 387,
  aux_sym_try_statement_repeat1 = 388,
  aux_sym_type_list_repeat1 = 389,
  aux_sym_if_statement_repeat1 = 390,
  aux_sym_if_statement_repeat2 = 391,
  aux_sym_match_block_repeat1 = 392,
  aux_sym_match_condition_list_repeat1 = 393,
  aux_sym_switch_block_repeat1 = 394,
  aux_sym_anonymous_function_use_clause_repeat1 = 395,
  aux_sym__list_destructing_repeat1 = 396,
  aux_sym__array_destructing_repeat1 = 397,
  aux_sym_arguments_repeat1 = 398,
  aux_sym_array_creation_expression_repeat1 = 399,
  aux_sym_attribute_group_repeat1 = 400,
  aux_sym_attribute_list_repeat1 = 401,
  aux_sym_string_repeat1 = 402,
  aux_sym_string_content_repeat1 = 403,
  aux_sym_heredoc_body_repeat1 = 404,
  aux_sym_nowdoc_body_repeat1 = 405,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_initialize = 12,
  field_left = 13,
  field_name = 14,
  field_object = 15,
  field_operator = 16,
  field_parameters = 17,
  field_readonly = 18,
  field_reference_modifier = 19,
  field_return_expression = 20,
  field_return_type = 21,
  field_right = 22,
  field_scope = 23,
  field_static_modifier = 24,
  field_type = 25,
  field_update = 26,
  field_value = 27,
  field_visibility = 28,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 3},
  [52] = {.index = 100, .length = 2},
  [53] = {.index = 1, .length = 1},
  [54] = {.index = 102, .length = 1},
  [55] = {.index = 103, .length = 1},
  [56] = {.index = 104, .length = 3},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 2},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 115, .length = 3},
  [62] = {.index = 118, .length = 3},
  [63] = {.index = 121, .length = 3},
  [64] = {.index = 124, .length = 3},
  [65] = {.index = 127, .length = 3},
  [66] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 2},
  [70] = {.index = 139, .length = 3},
  [71] = {.index = 142, .length = 3},
  [72] = {.index = 145, .length = 2},
  [73] = {.index = 147, .length = 3},
  [74] = {.index = 150, .length = 2},
  [75] = {.index = 152, .length = 3},
  [76] = {.index = 155, .length = 3},
  [77] = {.index = 158, .length = 3},
  [78] = {.index = 161, .length = 2},
  [79] = {.index = 163, .length = 3},
  [80] = {.index = 166, .length = 4},
  [81] = {.index = 170, .length = 3},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 1},
  [84] = {.index = 177, .length = 3},
  [85] = {.index = 180, .length = 2},
  [86] = {.index = 182, .length = 2},
  [87] = {.index = 182, .length = 2},
  [88] = {.index = 184, .length = 2},
  [89] = {.index = 186, .length = 4},
  [90] = {.index = 190, .length = 2},
  [91] = {.index = 192, .length = 3},
  [92] = {.index = 195, .length = 3},
  [93] = {.index = 198, .length = 2},
  [94] = {.index = 200, .length = 3},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 4},
  [97] = {.index = 209, .length = 4},
  [98] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 3},
  [100] = {.index = 219, .length = 3},
  [102] = {.index = 222, .length = 2},
  [103] = {.index = 224, .length = 4},
  [104] = {.index = 228, .length = 4},
  [105] = {.index = 232, .length = 3},
  [106] = {.index = 235, .length = 3},
  [107] = {.index = 238, .length = 4},
  [108] = {.index = 242, .length = 4},
  [109] = {.index = 246, .length = 3},
  [110] = {.index = 249, .length = 3},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 1},
  [113] = {.index = 256, .length = 2},
  [114] = {.index = 258, .length = 3},
  [115] = {.index = 261, .length = 4},
  [116] = {.index = 265, .length = 3},
  [117] = {.index = 268, .length = 3},
  [118] = {.index = 271, .length = 3},
  [119] = {.index = 274, .length = 3},
  [120] = {.index = 277, .length = 4},
  [121] = {.index = 281, .length = 4},
  [122] = {.index = 285, .length = 3},
  [123] = {.index = 288, .length = 4},
  [124] = {.index = 292, .length = 3},
  [125] = {.index = 295, .length = 4},
  [126] = {.index = 299, .length = 2},
  [127] = {.index = 301, .length = 4},
  [128] = {.index = 305, .length = 3},
  [129] = {.index = 308, .length = 4},
  [130] = {.index = 312, .length = 2},
  [131] = {.index = 314, .length = 1},
  [132] = {.index = 315, .length = 1},
  [133] = {.index = 316, .length = 2},
  [134] = {.index = 318, .length = 1},
  [137] = {.index = 319, .length = 3},
  [138] = {.index = 322, .length = 3},
  [139] = {.index = 325, .length = 3},
  [140] = {.index = 328, .length = 5},
  [141] = {.index = 333, .length = 4},
  [142] = {.index = 337, .length = 4},
  [143] = {.index = 341, .length = 3},
  [144] = {.index = 344, .length = 3},
  [145] = {.index = 347, .length = 5},
  [146] = {.index = 352, .length = 4},
  [147] = {.index = 356, .length = 4},
  [148] = {.index = 360, .length = 3},
  [149] = {.index = 360, .length = 3},
  [150] = {.index = 363, .length = 5},
  [151] = {.index = 368, .length = 5},
  [152] = {.index = 373, .length = 4},
  [153] = {.index = 377, .length = 4},
  [154] = {.index = 381, .length = 3},
  [155] = {.index = 384, .length = 2},
  [156] = {.index = 386, .length = 4},
  [157] = {.index = 390, .length = 4},
  [158] = {.index = 394, .length = 4},
  [159] = {.index = 398, .length = 4},
  [160] = {.index = 402, .length = 5},
  [161] = {.index = 407, .length = 4},
  [162] = {.index = 411, .length = 4},
  [163] = {.index = 415, .length = 4},
  [164] = {.index = 419, .length = 1},
  [165] = {.index = 420, .length = 4},
  [166] = {.index = 424, .length = 5},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 1},
  [169] = {.index = 432, .length = 2},
  [170] = {.index = 434, .length = 1},
  [171] = {.index = 435, .length = 2},
  [172] = {.index = 437, .length = 1},
  [173] = {.index = 438, .length = 2},
  [174] = {.index = 440, .length = 1},
  [175] = {.index = 441, .length = 3},
  [176] = {.index = 444, .length = 5},
  [177] = {.index = 449, .length = 5},
  [178] = {.index = 454, .length = 3},
  [179] = {.index = 457, .length = 6},
  [180] = {.index = 463, .length = 5},
  [181] = {.index = 468, .length = 5},
  [182] = {.index = 473, .length = 3},
  [183] = {.index = 476, .length = 5},
  [184] = {.index = 481, .length = 5},
  [185] = {.index = 486, .length = 5},
  [186] = {.index = 491, .length = 5},
  [187] = {.index = 496, .length = 2},
  [188] = {.index = 498, .length = 2},
  [189] = {.index = 500, .length = 3},
  [190] = {.index = 503, .length = 2},
  [191] = {.index = 505, .length = 3},
  [192] = {.index = 508, .length = 2},
  [193] = {.index = 510, .length = 3},
  [194] = {.index = 513, .length = 2},
  [195] = {.index = 515, .length = 3},
  [196] = {.index = 518, .length = 6},
  [197] = {.index = 524, .length = 6},
  [198] = {.index = 530, .length = 3},
  [199] = {.index = 533, .length = 3},
  [200] = {.index = 536, .length = 4},
  [201] = {.index = 540, .length = 2},
  [202] = {.index = 542, .length = 2},
  [203] = {.index = 544, .length = 2},
  [204] = {.index = 546, .length = 3},
  [205] = {.index = 549, .length = 3},
  [206] = {.index = 552, .length = 3},
  [207] = {.index = 555, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [102] =
    {field_reference_modifier, 0},
  [103] =
    {field_name, 0, .inherited = true},
  [104] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [107] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [109] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [111] =
    {field_alternative, 3},
    {field_condition, 0},
  [113] =
    {field_left, 0},
    {field_right, 3},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [118] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [124] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [130] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
  [135] =
    {field_body, 3},
    {field_name, 2},
  [137] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [139] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [142] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 0},
  [147] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [150] =
    {field_attributes, 0},
    {field_name, 2},
  [152] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [161] =
    {field_default_value, 2},
    {field_name, 0},
  [163] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [173] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [176] =
    {field_type, 1, .inherited = true},
  [177] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [180] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_body, 4},
    {field_name, 1},
  [184] =
    {field_body, 1},
    {field_condition, 3},
  [186] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [190] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [192] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [200] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [203] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [205] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [209] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [213] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [216] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [219] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [222] =
    {field_name, 3},
    {field_object, 0},
  [224] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [228] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [235] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [238] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [242] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [246] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [249] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [252] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [255] =
    {field_type, 2},
  [256] =
    {field_body, 4},
    {field_name, 2},
  [258] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [261] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [268] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [274] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [277] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [281] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [285] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [288] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [292] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [295] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [299] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [301] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [305] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [308] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [312] =
    {field_body, 5},
    {field_name, 1},
  [314] =
    {field_body, 5},
  [315] =
    {field_return_expression, 2},
  [316] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [318] =
    {field_value, 1},
  [319] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [322] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [325] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [328] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [333] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [337] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [341] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [344] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [347] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [356] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [363] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [368] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [373] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [377] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [381] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [384] =
    {field_body, 5},
    {field_name, 2},
  [386] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [390] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [394] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [398] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [402] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [411] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [415] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [419] =
    {field_attributes, 0},
  [420] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [424] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [429] =
    {field_body, 4},
    {field_type, 2},
  [431] =
    {field_update, 4},
  [432] =
    {field_body, 6},
    {field_update, 4},
  [434] =
    {field_condition, 3},
  [435] =
    {field_body, 6},
    {field_condition, 3},
  [437] =
    {field_initialize, 2},
  [438] =
    {field_body, 6},
    {field_initialize, 2},
  [440] =
    {field_body, 6},
  [441] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [444] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [449] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [454] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [457] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [463] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [468] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [476] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [481] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [491] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [496] =
    {field_attributes, 0},
    {field_type, 2},
  [498] =
    {field_name, 1},
    {field_value, 3},
  [500] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [503] =
    {field_condition, 3},
    {field_update, 5},
  [505] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [508] =
    {field_initialize, 2},
    {field_update, 5},
  [510] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [513] =
    {field_condition, 4},
    {field_initialize, 2},
  [515] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [518] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [524] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [530] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [533] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [536] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [540] =
    {field_body, 7},
    {field_update, 4},
  [542] =
    {field_body, 7},
    {field_condition, 3},
  [544] =
    {field_body, 7},
    {field_initialize, 2},
  [546] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [549] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [552] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [555] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [53] = {
    [0] = sym_name,
  },
  [86] = {
    [3] = sym_primitive_type,
  },
  [101] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [135] = {
    [3] = sym_list_literal,
  },
  [136] = {
    [4] = sym_list_literal,
  },
  [148] = {
    [4] = sym_primitive_type,
  },
  [178] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 2,
  [10] = 7,
  [11] = 8,
  [12] = 12,
  [13] = 13,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 12,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 20,
  [32] = 32,
  [33] = 33,
  [34] = 32,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 37,
  [43] = 43,
  [44] = 21,
  [45] = 25,
  [46] = 26,
  [47] = 33,
  [48] = 22,
  [49] = 20,
  [50] = 29,
  [51] = 33,
  [52] = 30,
  [53] = 36,
  [54] = 32,
  [55] = 33,
  [56] = 43,
  [57] = 26,
  [58] = 58,
  [59] = 32,
  [60] = 21,
  [61] = 38,
  [62] = 40,
  [63] = 63,
  [64] = 27,
  [65] = 36,
  [66] = 24,
  [67] = 39,
  [68] = 27,
  [69] = 41,
  [70] = 70,
  [71] = 27,
  [72] = 72,
  [73] = 38,
  [74] = 74,
  [75] = 22,
  [76] = 19,
  [77] = 22,
  [78] = 78,
  [79] = 37,
  [80] = 80,
  [81] = 74,
  [82] = 82,
  [83] = 70,
  [84] = 72,
  [85] = 63,
  [86] = 58,
  [87] = 36,
  [88] = 37,
  [89] = 26,
  [90] = 24,
  [91] = 91,
  [92] = 40,
  [93] = 40,
  [94] = 35,
  [95] = 80,
  [96] = 72,
  [97] = 91,
  [98] = 28,
  [99] = 23,
  [100] = 82,
  [101] = 24,
  [102] = 20,
  [103] = 38,
  [104] = 21,
  [105] = 78,
  [106] = 72,
  [107] = 107,
  [108] = 107,
  [109] = 109,
  [110] = 109,
  [111] = 107,
  [112] = 112,
  [113] = 112,
  [114] = 107,
  [115] = 115,
  [116] = 115,
  [117] = 115,
  [118] = 115,
  [119] = 119,
  [120] = 120,
  [121] = 120,
  [122] = 119,
  [123] = 119,
  [124] = 120,
  [125] = 119,
  [126] = 119,
  [127] = 120,
  [128] = 120,
  [129] = 119,
  [130] = 119,
  [131] = 131,
  [132] = 132,
  [133] = 131,
  [134] = 131,
  [135] = 131,
  [136] = 132,
  [137] = 131,
  [138] = 131,
  [139] = 132,
  [140] = 131,
  [141] = 132,
  [142] = 132,
  [143] = 131,
  [144] = 144,
  [145] = 144,
  [146] = 144,
  [147] = 144,
  [148] = 144,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 144,
  [153] = 150,
  [154] = 144,
  [155] = 151,
  [156] = 150,
  [157] = 150,
  [158] = 150,
  [159] = 150,
  [160] = 150,
  [161] = 150,
  [162] = 144,
  [163] = 149,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 166,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 165,
  [172] = 169,
  [173] = 168,
  [174] = 170,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 177,
  [179] = 179,
  [180] = 180,
  [181] = 176,
  [182] = 182,
  [183] = 179,
  [184] = 175,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 188,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 192,
  [194] = 194,
  [195] = 195,
  [196] = 195,
  [197] = 194,
  [198] = 190,
  [199] = 199,
  [200] = 199,
  [201] = 201,
  [202] = 199,
  [203] = 188,
  [204] = 195,
  [205] = 201,
  [206] = 194,
  [207] = 190,
  [208] = 201,
  [209] = 191,
  [210] = 188,
  [211] = 192,
  [212] = 199,
  [213] = 201,
  [214] = 190,
  [215] = 192,
  [216] = 194,
  [217] = 195,
  [218] = 191,
  [219] = 191,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 220,
  [225] = 225,
  [226] = 226,
  [227] = 223,
  [228] = 223,
  [229] = 223,
  [230] = 230,
  [231] = 223,
  [232] = 232,
  [233] = 233,
  [234] = 221,
  [235] = 226,
  [236] = 230,
  [237] = 223,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 239,
  [243] = 243,
  [244] = 238,
  [245] = 245,
  [246] = 239,
  [247] = 247,
  [248] = 241,
  [249] = 241,
  [250] = 245,
  [251] = 239,
  [252] = 245,
  [253] = 253,
  [254] = 239,
  [255] = 238,
  [256] = 245,
  [257] = 257,
  [258] = 243,
  [259] = 239,
  [260] = 241,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 267,
  [270] = 270,
  [271] = 268,
  [272] = 272,
  [273] = 267,
  [274] = 266,
  [275] = 266,
  [276] = 265,
  [277] = 264,
  [278] = 263,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 265,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 264,
  [303] = 263,
  [304] = 304,
  [305] = 305,
  [306] = 293,
  [307] = 307,
  [308] = 279,
  [309] = 280,
  [310] = 262,
  [311] = 281,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 272,
  [317] = 300,
  [318] = 318,
  [319] = 319,
  [320] = 282,
  [321] = 305,
  [322] = 304,
  [323] = 323,
  [324] = 301,
  [325] = 283,
  [326] = 286,
  [327] = 287,
  [328] = 288,
  [329] = 261,
  [330] = 289,
  [331] = 291,
  [332] = 318,
  [333] = 333,
  [334] = 299,
  [335] = 298,
  [336] = 297,
  [337] = 296,
  [338] = 338,
  [339] = 292,
  [340] = 338,
  [341] = 294,
  [342] = 294,
  [343] = 343,
  [344] = 280,
  [345] = 319,
  [346] = 305,
  [347] = 281,
  [348] = 304,
  [349] = 282,
  [350] = 283,
  [351] = 351,
  [352] = 286,
  [353] = 301,
  [354] = 354,
  [355] = 355,
  [356] = 315,
  [357] = 287,
  [358] = 288,
  [359] = 296,
  [360] = 297,
  [361] = 312,
  [362] = 314,
  [363] = 312,
  [364] = 279,
  [365] = 314,
  [366] = 293,
  [367] = 300,
  [368] = 298,
  [369] = 299,
  [370] = 312,
  [371] = 371,
  [372] = 289,
  [373] = 333,
  [374] = 291,
  [375] = 314,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 319,
  [381] = 381,
  [382] = 318,
  [383] = 270,
  [384] = 300,
  [385] = 292,
  [386] = 268,
  [387] = 387,
  [388] = 267,
  [389] = 272,
  [390] = 266,
  [391] = 265,
  [392] = 300,
  [393] = 264,
  [394] = 312,
  [395] = 263,
  [396] = 315,
  [397] = 314,
  [398] = 279,
  [399] = 312,
  [400] = 280,
  [401] = 281,
  [402] = 402,
  [403] = 282,
  [404] = 314,
  [405] = 300,
  [406] = 283,
  [407] = 312,
  [408] = 268,
  [409] = 314,
  [410] = 286,
  [411] = 287,
  [412] = 319,
  [413] = 288,
  [414] = 289,
  [415] = 291,
  [416] = 292,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 315,
  [421] = 294,
  [422] = 272,
  [423] = 296,
  [424] = 297,
  [425] = 425,
  [426] = 298,
  [427] = 299,
  [428] = 338,
  [429] = 312,
  [430] = 301,
  [431] = 314,
  [432] = 304,
  [433] = 305,
  [434] = 315,
  [435] = 293,
  [436] = 272,
  [437] = 300,
  [438] = 312,
  [439] = 270,
  [440] = 314,
  [441] = 315,
  [442] = 442,
  [443] = 312,
  [444] = 314,
  [445] = 315,
  [446] = 446,
  [447] = 270,
  [448] = 338,
  [449] = 261,
  [450] = 272,
  [451] = 300,
  [452] = 262,
  [453] = 300,
  [454] = 261,
  [455] = 351,
  [456] = 351,
  [457] = 351,
  [458] = 262,
  [459] = 333,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 462,
  [464] = 464,
  [465] = 464,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 474,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 471,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 532,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 532,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 532,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 479,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 470,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 532,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 630,
  [632] = 630,
  [633] = 630,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 658,
  [660] = 660,
  [661] = 658,
  [662] = 638,
  [663] = 639,
  [664] = 640,
  [665] = 643,
  [666] = 641,
  [667] = 642,
  [668] = 668,
  [669] = 642,
  [670] = 652,
  [671] = 656,
  [672] = 635,
  [673] = 647,
  [674] = 655,
  [675] = 636,
  [676] = 646,
  [677] = 651,
  [678] = 660,
  [679] = 650,
  [680] = 645,
  [681] = 648,
  [682] = 649,
  [683] = 683,
  [684] = 658,
  [685] = 685,
  [686] = 654,
  [687] = 683,
  [688] = 634,
  [689] = 644,
  [690] = 637,
  [691] = 653,
  [692] = 692,
  [693] = 657,
  [694] = 660,
  [695] = 695,
  [696] = 657,
  [697] = 697,
  [698] = 698,
  [699] = 660,
  [700] = 698,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 643,
  [706] = 706,
  [707] = 640,
  [708] = 708,
  [709] = 641,
  [710] = 708,
  [711] = 639,
  [712] = 648,
  [713] = 638,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 653,
  [720] = 635,
  [721] = 656,
  [722] = 636,
  [723] = 649,
  [724] = 654,
  [725] = 655,
  [726] = 644,
  [727] = 727,
  [728] = 645,
  [729] = 648,
  [730] = 637,
  [731] = 651,
  [732] = 727,
  [733] = 650,
  [734] = 734,
  [735] = 646,
  [736] = 647,
  [737] = 652,
  [738] = 634,
  [739] = 717,
  [740] = 639,
  [741] = 741,
  [742] = 638,
  [743] = 639,
  [744] = 640,
  [745] = 745,
  [746] = 643,
  [747] = 643,
  [748] = 641,
  [749] = 640,
  [750] = 641,
  [751] = 641,
  [752] = 643,
  [753] = 640,
  [754] = 639,
  [755] = 638,
  [756] = 638,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 758,
  [765] = 765,
  [766] = 766,
  [767] = 765,
  [768] = 768,
  [769] = 766,
  [770] = 768,
  [771] = 771,
  [772] = 718,
  [773] = 773,
  [774] = 734,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 714,
  [782] = 775,
  [783] = 783,
  [784] = 651,
  [785] = 785,
  [786] = 655,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 629,
  [791] = 791,
  [792] = 635,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 644,
  [797] = 636,
  [798] = 634,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 637,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 649,
  [807] = 807,
  [808] = 645,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 652,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 647,
  [818] = 818,
  [819] = 654,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 646,
  [828] = 656,
  [829] = 650,
  [830] = 830,
  [831] = 653,
  [832] = 777,
  [833] = 833,
  [834] = 714,
  [835] = 470,
  [836] = 471,
  [837] = 715,
  [838] = 716,
  [839] = 708,
  [840] = 706,
  [841] = 841,
  [842] = 640,
  [843] = 641,
  [844] = 708,
  [845] = 845,
  [846] = 643,
  [847] = 639,
  [848] = 638,
  [849] = 849,
  [850] = 763,
  [851] = 656,
  [852] = 635,
  [853] = 650,
  [854] = 645,
  [855] = 855,
  [856] = 655,
  [857] = 654,
  [858] = 858,
  [859] = 859,
  [860] = 648,
  [861] = 649,
  [862] = 651,
  [863] = 652,
  [864] = 637,
  [865] = 855,
  [866] = 866,
  [867] = 636,
  [868] = 634,
  [869] = 653,
  [870] = 647,
  [871] = 644,
  [872] = 859,
  [873] = 858,
  [874] = 874,
  [875] = 646,
  [876] = 718,
  [877] = 640,
  [878] = 878,
  [879] = 643,
  [880] = 641,
  [881] = 777,
  [882] = 640,
  [883] = 639,
  [884] = 758,
  [885] = 638,
  [886] = 718,
  [887] = 780,
  [888] = 888,
  [889] = 741,
  [890] = 734,
  [891] = 778,
  [892] = 892,
  [893] = 714,
  [894] = 734,
  [895] = 648,
  [896] = 638,
  [897] = 639,
  [898] = 479,
  [899] = 899,
  [900] = 888,
  [901] = 888,
  [902] = 878,
  [903] = 474,
  [904] = 904,
  [905] = 766,
  [906] = 641,
  [907] = 643,
  [908] = 904,
  [909] = 638,
  [910] = 888,
  [911] = 639,
  [912] = 765,
  [913] = 640,
  [914] = 914,
  [915] = 766,
  [916] = 899,
  [917] = 702,
  [918] = 641,
  [919] = 643,
  [920] = 914,
  [921] = 763,
  [922] = 765,
  [923] = 757,
  [924] = 878,
  [925] = 762,
  [926] = 761,
  [927] = 888,
  [928] = 758,
  [929] = 760,
  [930] = 759,
  [931] = 655,
  [932] = 824,
  [933] = 785,
  [934] = 815,
  [935] = 783,
  [936] = 821,
  [937] = 826,
  [938] = 814,
  [939] = 793,
  [940] = 794,
  [941] = 637,
  [942] = 795,
  [943] = 799,
  [944] = 789,
  [945] = 807,
  [946] = 629,
  [947] = 788,
  [948] = 820,
  [949] = 830,
  [950] = 818,
  [951] = 825,
  [952] = 646,
  [953] = 800,
  [954] = 656,
  [955] = 636,
  [956] = 809,
  [957] = 787,
  [958] = 823,
  [959] = 805,
  [960] = 801,
  [961] = 650,
  [962] = 803,
  [963] = 645,
  [964] = 634,
  [965] = 763,
  [966] = 644,
  [967] = 654,
  [968] = 649,
  [969] = 763,
  [970] = 653,
  [971] = 822,
  [972] = 651,
  [973] = 811,
  [974] = 652,
  [975] = 804,
  [976] = 791,
  [977] = 635,
  [978] = 647,
  [979] = 777,
  [980] = 849,
  [981] = 833,
  [982] = 813,
  [983] = 845,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 634,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 635,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 636,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 637,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 474,
  [1050] = 479,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1082,
  [1086] = 1054,
  [1087] = 1055,
  [1088] = 1060,
  [1089] = 1079,
  [1090] = 1081,
  [1091] = 1065,
  [1092] = 1080,
  [1093] = 1078,
  [1094] = 1061,
  [1095] = 1062,
  [1096] = 1064,
  [1097] = 1059,
  [1098] = 1068,
  [1099] = 1075,
  [1100] = 1071,
  [1101] = 1052,
  [1102] = 1073,
  [1103] = 1056,
  [1104] = 1083,
  [1105] = 1063,
  [1106] = 1084,
  [1107] = 1058,
  [1108] = 1066,
  [1109] = 1072,
  [1110] = 1067,
  [1111] = 1070,
  [1112] = 1074,
  [1113] = 1076,
  [1114] = 1077,
  [1115] = 1069,
  [1116] = 1053,
  [1117] = 999,
  [1118] = 1075,
  [1119] = 1006,
  [1120] = 1044,
  [1121] = 1028,
  [1122] = 1082,
  [1123] = 1079,
  [1124] = 1026,
  [1125] = 1048,
  [1126] = 1008,
  [1127] = 1059,
  [1128] = 1005,
  [1129] = 987,
  [1130] = 988,
  [1131] = 990,
  [1132] = 1024,
  [1133] = 1022,
  [1134] = 986,
  [1135] = 1021,
  [1136] = 998,
  [1137] = 997,
  [1138] = 994,
  [1139] = 992,
  [1140] = 991,
  [1141] = 1047,
  [1142] = 1012,
  [1143] = 1070,
  [1144] = 471,
  [1145] = 470,
  [1146] = 1001,
  [1147] = 1002,
  [1148] = 1036,
  [1149] = 1032,
  [1150] = 1033,
  [1151] = 1003,
  [1152] = 1074,
  [1153] = 1020,
  [1154] = 1076,
  [1155] = 993,
  [1156] = 1029,
  [1157] = 1035,
  [1158] = 1037,
  [1159] = 995,
  [1160] = 1081,
  [1161] = 1083,
  [1162] = 1084,
  [1163] = 1072,
  [1164] = 1067,
  [1165] = 1066,
  [1166] = 1056,
  [1167] = 1073,
  [1168] = 1052,
  [1169] = 1071,
  [1170] = 1068,
  [1171] = 996,
  [1172] = 1064,
  [1173] = 1034,
  [1174] = 1063,
  [1175] = 1062,
  [1176] = 1061,
  [1177] = 1060,
  [1178] = 1055,
  [1179] = 1046,
  [1180] = 984,
  [1181] = 1054,
  [1182] = 1018,
  [1183] = 1023,
  [1184] = 1017,
  [1185] = 1009,
  [1186] = 1025,
  [1187] = 1080,
  [1188] = 1058,
  [1189] = 1011,
  [1190] = 1039,
  [1191] = 1069,
  [1192] = 1045,
  [1193] = 1043,
  [1194] = 1007,
  [1195] = 1014,
  [1196] = 1015,
  [1197] = 1197,
  [1198] = 1041,
  [1199] = 1016,
  [1200] = 1013,
  [1201] = 985,
  [1202] = 1019,
  [1203] = 635,
  [1204] = 636,
  [1205] = 1040,
  [1206] = 1042,
  [1207] = 1030,
  [1208] = 637,
  [1209] = 1077,
  [1210] = 1053,
  [1211] = 1078,
  [1212] = 1000,
  [1213] = 1010,
  [1214] = 1065,
  [1215] = 989,
  [1216] = 634,
  [1217] = 1217,
  [1218] = 1082,
  [1219] = 1067,
  [1220] = 1220,
  [1221] = 1054,
  [1222] = 1055,
  [1223] = 1060,
  [1224] = 1220,
  [1225] = 1075,
  [1226] = 1077,
  [1227] = 1053,
  [1228] = 1078,
  [1229] = 1065,
  [1230] = 1058,
  [1231] = 1063,
  [1232] = 1069,
  [1233] = 1059,
  [1234] = 1234,
  [1235] = 1061,
  [1236] = 1070,
  [1237] = 1074,
  [1238] = 1076,
  [1239] = 1081,
  [1240] = 1083,
  [1241] = 1084,
  [1242] = 1072,
  [1243] = 1080,
  [1244] = 1066,
  [1245] = 1056,
  [1246] = 1246,
  [1247] = 1073,
  [1248] = 1079,
  [1249] = 1052,
  [1250] = 1250,
  [1251] = 1062,
  [1252] = 1071,
  [1253] = 1064,
  [1254] = 1234,
  [1255] = 1068,
  [1256] = 1065,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1065,
  [1266] = 1266,
  [1267] = 1258,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1268,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1268,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1276,
  [1285] = 1278,
  [1286] = 1278,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1257,
  [1294] = 1294,
  [1295] = 1276,
  [1296] = 1290,
  [1297] = 1291,
  [1298] = 1292,
  [1299] = 1276,
  [1300] = 1257,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1278,
  [1305] = 1301,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1258,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1268,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1319,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1316,
  [1326] = 1319,
  [1327] = 1322,
  [1328] = 1323,
  [1329] = 1319,
  [1330] = 1322,
  [1331] = 1319,
  [1332] = 1322,
  [1333] = 1316,
  [1334] = 1317,
  [1335] = 1335,
  [1336] = 1316,
  [1337] = 1322,
  [1338] = 1316,
  [1339] = 1339,
  [1340] = 1335,
  [1341] = 1319,
  [1342] = 1317,
  [1343] = 1339,
  [1344] = 1324,
  [1345] = 1319,
  [1346] = 1322,
  [1347] = 1317,
  [1348] = 1316,
  [1349] = 1339,
  [1350] = 1317,
  [1351] = 1324,
  [1352] = 1319,
  [1353] = 1322,
  [1354] = 1323,
  [1355] = 1355,
  [1356] = 1324,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1339,
  [1360] = 1357,
  [1361] = 1324,
  [1362] = 1317,
  [1363] = 1324,
  [1364] = 1324,
  [1365] = 1322,
  [1366] = 1319,
  [1367] = 1324,
  [1368] = 1368,
  [1369] = 1335,
  [1370] = 1322,
  [1371] = 1318,
  [1372] = 1357,
  [1373] = 1324,
  [1374] = 1339,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1316,
  [1379] = 1339,
  [1380] = 1323,
  [1381] = 1319,
  [1382] = 1322,
  [1383] = 1357,
  [1384] = 1355,
  [1385] = 1318,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1387,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1390,
  [1394] = 1392,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1398,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1402,
  [1404] = 1400,
  [1405] = 1405,
  [1406] = 1400,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1408,
  [1410] = 1402,
  [1411] = 1398,
  [1412] = 1412,
  [1413] = 1412,
  [1414] = 1412,
  [1415] = 1415,
  [1416] = 1415,
  [1417] = 1415,
  [1418] = 1418,
  [1419] = 1418,
  [1420] = 1420,
  [1421] = 1420,
  [1422] = 1422,
  [1423] = 1422,
  [1424] = 1422,
  [1425] = 1425,
  [1426] = 1397,
  [1427] = 1396,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1430,
  [1433] = 1401,
  [1434] = 1434,
  [1435] = 1407,
  [1436] = 1405,
  [1437] = 1437,
  [1438] = 1437,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1480,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1471,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1476,
  [1489] = 1464,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1466,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1493,
  [1496] = 1496,
  [1497] = 1496,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 780,
  [1505] = 1500,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1507,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 714,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 654,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1514,
  [1531] = 1520,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1541,
  [1546] = 1546,
  [1547] = 1541,
  [1548] = 1541,
  [1549] = 1543,
  [1550] = 1543,
  [1551] = 1540,
  [1552] = 1540,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1543,
  [1556] = 1541,
  [1557] = 1540,
  [1558] = 1540,
  [1559] = 1559,
  [1560] = 1543,
  [1561] = 1541,
  [1562] = 1541,
  [1563] = 1559,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1540,
  [1568] = 1543,
  [1569] = 1559,
  [1570] = 1541,
  [1571] = 1541,
  [1572] = 1572,
  [1573] = 1543,
  [1574] = 1541,
  [1575] = 1543,
  [1576] = 1541,
  [1577] = 1543,
  [1578] = 1540,
  [1579] = 1579,
  [1580] = 1540,
  [1581] = 1541,
  [1582] = 1582,
  [1583] = 1541,
  [1584] = 1540,
  [1585] = 1585,
  [1586] = 1559,
  [1587] = 1540,
  [1588] = 1559,
  [1589] = 654,
  [1590] = 1540,
  [1591] = 654,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1543,
  [1595] = 1543,
  [1596] = 1596,
  [1597] = 1596,
  [1598] = 460,
  [1599] = 461,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1603,
  [1605] = 1605,
  [1606] = 1605,
  [1607] = 1499,
  [1608] = 1602,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1478,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1614,
  [1618] = 1616,
  [1619] = 874,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 718,
  [1623] = 638,
  [1624] = 734,
  [1625] = 1614,
  [1626] = 1499,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1614,
  [1631] = 1614,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1628,
  [1635] = 1616,
  [1636] = 1616,
  [1637] = 1628,
  [1638] = 1614,
  [1639] = 718,
  [1640] = 1640,
  [1641] = 718,
  [1642] = 734,
  [1643] = 638,
  [1644] = 1644,
  [1645] = 734,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 654,
  [1649] = 644,
  [1650] = 655,
  [1651] = 1616,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1633,
  [1657] = 464,
  [1658] = 1632,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 654,
  [1663] = 462,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 464,
  [1668] = 1668,
  [1669] = 644,
  [1670] = 654,
  [1671] = 1665,
  [1672] = 1672,
  [1673] = 1672,
  [1674] = 1611,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1647,
  [1681] = 1681,
  [1682] = 1632,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1678,
  [1686] = 1686,
  [1687] = 1679,
  [1688] = 644,
  [1689] = 1676,
  [1690] = 1681,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1653,
  [1695] = 1652,
  [1696] = 1696,
  [1697] = 1499,
  [1698] = 1698,
  [1699] = 1693,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 655,
  [1703] = 1647,
  [1704] = 1701,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 655,
  [1708] = 1666,
  [1709] = 1675,
  [1710] = 1668,
  [1711] = 1664,
  [1712] = 1633,
  [1713] = 1684,
  [1714] = 1611,
  [1715] = 1660,
  [1716] = 1677,
  [1717] = 1661,
  [1718] = 1659,
  [1719] = 1719,
  [1720] = 1683,
  [1721] = 1692,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1686,
  [1725] = 462,
  [1726] = 1719,
  [1727] = 1700,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1729,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1510,
  [1736] = 478,
  [1737] = 1518,
  [1738] = 1527,
  [1739] = 1516,
  [1740] = 1729,
  [1741] = 1741,
  [1742] = 1729,
  [1743] = 1729,
  [1744] = 1729,
  [1745] = 1729,
  [1746] = 1729,
  [1747] = 1747,
  [1748] = 1728,
  [1749] = 1731,
  [1750] = 1728,
  [1751] = 467,
  [1752] = 475,
  [1753] = 1753,
  [1754] = 1733,
  [1755] = 1755,
  [1756] = 1532,
  [1757] = 1527,
  [1758] = 1518,
  [1759] = 1759,
  [1760] = 1729,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1533,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1524,
  [1768] = 1706,
  [1769] = 1769,
  [1770] = 1532,
  [1771] = 1755,
  [1772] = 1528,
  [1773] = 1533,
  [1774] = 1529,
  [1775] = 1728,
  [1776] = 469,
  [1777] = 1513,
  [1778] = 1524,
  [1779] = 1501,
  [1780] = 480,
  [1781] = 481,
  [1782] = 1759,
  [1783] = 1728,
  [1784] = 472,
  [1785] = 1734,
  [1786] = 485,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1729,
  [1790] = 1728,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1728,
  [1794] = 1794,
  [1795] = 468,
  [1796] = 1769,
  [1797] = 1728,
  [1798] = 1728,
  [1799] = 1728,
  [1800] = 1729,
  [1801] = 1801,
  [1802] = 1766,
  [1803] = 476,
  [1804] = 1804,
  [1805] = 473,
  [1806] = 484,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 477,
  [1810] = 1528,
  [1811] = 466,
  [1812] = 483,
  [1813] = 1794,
  [1814] = 482,
  [1815] = 1815,
  [1816] = 1728,
  [1817] = 1729,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1537,
  [1848] = 1515,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1824,
  [1866] = 1866,
  [1867] = 1825,
  [1868] = 1828,
  [1869] = 1820,
  [1870] = 1832,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1834,
  [1879] = 1839,
  [1880] = 1880,
  [1881] = 1859,
  [1882] = 1851,
  [1883] = 1861,
  [1884] = 1860,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1845,
  [1894] = 1844,
  [1895] = 1535,
  [1896] = 1885,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1842,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1519,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1891,
  [1910] = 1892,
  [1911] = 1536,
  [1912] = 1890,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1888,
  [1916] = 1916,
  [1917] = 1872,
  [1918] = 1875,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1923,
  [1925] = 1871,
  [1926] = 1804,
  [1927] = 1529,
  [1928] = 1902,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1900,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1908,
  [1936] = 1831,
  [1937] = 1937,
  [1938] = 1862,
  [1939] = 1939,
  [1940] = 1819,
  [1941] = 1934,
  [1942] = 1855,
  [1943] = 1906,
  [1944] = 1856,
  [1945] = 1945,
  [1946] = 1905,
  [1947] = 1921,
  [1948] = 1841,
  [1949] = 1949,
  [1950] = 1871,
  [1951] = 1951,
  [1952] = 1920,
  [1953] = 1874,
  [1954] = 1818,
  [1955] = 1849,
  [1956] = 1840,
  [1957] = 1957,
  [1958] = 1846,
  [1959] = 1516,
  [1960] = 1951,
  [1961] = 1838,
  [1962] = 1835,
  [1963] = 702,
  [1964] = 1919,
  [1965] = 1833,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1827,
  [1969] = 1871,
  [1970] = 1876,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 573,
  [1976] = 1976,
  [1977] = 569,
  [1978] = 556,
  [1979] = 553,
  [1980] = 1980,
  [1981] = 545,
  [1982] = 605,
  [1983] = 612,
  [1984] = 516,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 602,
  [1988] = 1988,
  [1989] = 1582,
  [1990] = 1990,
  [1991] = 564,
  [1992] = 563,
  [1993] = 1993,
  [1994] = 562,
  [1995] = 555,
  [1996] = 1996,
  [1997] = 554,
  [1998] = 1973,
  [1999] = 537,
  [2000] = 536,
  [2001] = 2001,
  [2002] = 515,
  [2003] = 2003,
  [2004] = 520,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 525,
  [2010] = 2010,
  [2011] = 518,
  [2012] = 524,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 528,
  [2016] = 530,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 543,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 488,
  [2023] = 487,
  [2024] = 2024,
  [2025] = 576,
  [2026] = 589,
  [2027] = 2027,
  [2028] = 590,
  [2029] = 598,
  [2030] = 601,
  [2031] = 519,
  [2032] = 513,
  [2033] = 2033,
  [2034] = 616,
  [2035] = 1377,
  [2036] = 597,
  [2037] = 505,
  [2038] = 2038,
  [2039] = 624,
  [2040] = 625,
  [2041] = 2041,
  [2042] = 574,
  [2043] = 2043,
  [2044] = 2008,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2007,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2006,
  [2054] = 2054,
  [2055] = 506,
  [2056] = 503,
  [2057] = 500,
  [2058] = 510,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 570,
  [2062] = 2062,
  [2063] = 565,
  [2064] = 512,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 566,
  [2069] = 583,
  [2070] = 2070,
  [2071] = 587,
  [2072] = 600,
  [2073] = 2073,
  [2074] = 1985,
  [2075] = 621,
  [2076] = 2076,
  [2077] = 1747,
  [2078] = 2078,
  [2079] = 599,
  [2080] = 628,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 547,
  [2084] = 611,
  [2085] = 2085,
  [2086] = 606,
  [2087] = 594,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 1976,
  [2092] = 622,
  [2093] = 560,
  [2094] = 1516,
  [2095] = 558,
  [2096] = 557,
  [2097] = 1980,
  [2098] = 542,
  [2099] = 2099,
  [2100] = 540,
  [2101] = 539,
  [2102] = 2102,
  [2103] = 534,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 498,
  [2107] = 496,
  [2108] = 2108,
  [2109] = 1988,
  [2110] = 2110,
  [2111] = 1990,
  [2112] = 2112,
  [2113] = 2082,
  [2114] = 495,
  [2115] = 493,
  [2116] = 492,
  [2117] = 2117,
  [2118] = 490,
  [2119] = 615,
  [2120] = 595,
  [2121] = 1993,
  [2122] = 582,
  [2123] = 559,
  [2124] = 614,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 526,
  [2129] = 2129,
  [2130] = 527,
  [2131] = 1973,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2134,
  [2135] = 531,
  [2136] = 535,
  [2137] = 538,
  [2138] = 544,
  [2139] = 591,
  [2140] = 592,
  [2141] = 596,
  [2142] = 610,
  [2143] = 491,
  [2144] = 623,
  [2145] = 2067,
  [2146] = 2146,
  [2147] = 626,
  [2148] = 627,
  [2149] = 2117,
  [2150] = 2150,
  [2151] = 588,
  [2152] = 618,
  [2153] = 2153,
  [2154] = 613,
  [2155] = 2155,
  [2156] = 607,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 586,
  [2164] = 2164,
  [2165] = 585,
  [2166] = 584,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2164,
  [2170] = 2162,
  [2171] = 579,
  [2172] = 577,
  [2173] = 568,
  [2174] = 2174,
  [2175] = 561,
  [2176] = 2176,
  [2177] = 2070,
  [2178] = 2178,
  [2179] = 2014,
  [2180] = 552,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 550,
  [2186] = 541,
  [2187] = 2187,
  [2188] = 523,
  [2189] = 2051,
  [2190] = 1765,
  [2191] = 501,
  [2192] = 1986,
  [2193] = 617,
  [2194] = 2049,
  [2195] = 567,
  [2196] = 571,
  [2197] = 2047,
  [2198] = 1974,
  [2199] = 1973,
  [2200] = 575,
  [2201] = 578,
  [2202] = 581,
  [2203] = 593,
  [2204] = 608,
  [2205] = 619,
  [2206] = 549,
  [2207] = 2051,
  [2208] = 2208,
  [2209] = 548,
  [2210] = 2210,
  [2211] = 529,
  [2212] = 521,
  [2213] = 2001,
  [2214] = 2214,
  [2215] = 517,
  [2216] = 514,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2051,
  [2222] = 2222,
  [2223] = 1973,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 511,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 509,
  [2231] = 508,
  [2232] = 507,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 504,
  [2236] = 502,
  [2237] = 499,
  [2238] = 2238,
  [2239] = 497,
  [2240] = 494,
  [2241] = 2051,
  [2242] = 489,
  [2243] = 1973,
  [2244] = 2244,
  [2245] = 1973,
  [2246] = 2246,
  [2247] = 604,
  [2248] = 2033,
  [2249] = 2051,
  [2250] = 609,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 1853,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 572,
  [2261] = 2051,
  [2262] = 1973,
  [2263] = 2051,
  [2264] = 2264,
  [2265] = 2160,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2024,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2271,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2021,
  [2342] = 2290,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2338,
  [2347] = 2167,
  [2348] = 2348,
  [2349] = 2294,
  [2350] = 2350,
  [2351] = 2340,
  [2352] = 2293,
  [2353] = 2353,
  [2354] = 2296,
  [2355] = 2297,
  [2356] = 2299,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2295,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2285,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2278,
  [2368] = 2368,
  [2369] = 2275,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2273,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2291,
  [2376] = 1731,
  [2377] = 2377,
  [2378] = 2309,
  [2379] = 2288,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2377,
  [2383] = 2383,
  [2384] = 2296,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2339,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2311,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2363,
  [2400] = 2400,
  [2401] = 2336,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2374,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2292,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2350,
  [2419] = 2419,
  [2420] = 2344,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2406,
  [2426] = 2410,
  [2427] = 2421,
  [2428] = 2419,
  [2429] = 2353,
  [2430] = 2422,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2431,
  [2435] = 2435,
  [2436] = 2335,
  [2437] = 2333,
  [2438] = 2337,
  [2439] = 2307,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2432,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2433,
  [2448] = 2357,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2332,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2400,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2389,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2387,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2435,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2396,
  [2474] = 2392,
  [2475] = 2441,
  [2476] = 2343,
  [2477] = 2303,
  [2478] = 2381,
  [2479] = 2334,
  [2480] = 2304,
  [2481] = 2442,
  [2482] = 2444,
  [2483] = 2282,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2485,
  [2489] = 2489,
  [2490] = 2289,
  [2491] = 2365,
  [2492] = 2298,
  [2493] = 2325,
  [2494] = 2494,
  [2495] = 2327,
  [2496] = 2496,
  [2497] = 2329,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2307,
  [2501] = 2501,
  [2502] = 2300,
  [2503] = 2360,
  [2504] = 2361,
  [2505] = 2446,
  [2506] = 2362,
  [2507] = 2507,
  [2508] = 2463,
  [2509] = 2509,
  [2510] = 2471,
  [2511] = 2450,
  [2512] = 2394,
  [2513] = 2452,
  [2514] = 2274,
  [2515] = 1733,
  [2516] = 2453,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2465,
  [2520] = 2272,
  [2521] = 2370,
  [2522] = 2407,
  [2523] = 2345,
  [2524] = 2305,
  [2525] = 2412,
  [2526] = 2454,
  [2527] = 2527,
  [2528] = 2373,
  [2529] = 2310,
  [2530] = 2302,
  [2531] = 2531,
  [2532] = 2386,
  [2533] = 2301,
  [2534] = 2409,
  [2535] = 2383,
  [2536] = 2411,
  [2537] = 2456,
  [2538] = 2538,
  [2539] = 2295,
  [2540] = 2414,
  [2541] = 2283,
  [2542] = 2296,
  [2543] = 2464,
  [2544] = 2486,
  [2545] = 2408,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2307,
  [2549] = 2424,
  [2550] = 2458,
  [2551] = 2287,
  [2552] = 2321,
  [2553] = 2331,
  [2554] = 2395,
  [2555] = 2295,
  [2556] = 2498,
  [2557] = 2276,
  [2558] = 2499,
  [2559] = 2459,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2561,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2575,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2564,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2561,
  [2598] = 2598,
  [2599] = 2584,
  [2600] = 2600,
  [2601] = 2581,
  [2602] = 2602,
  [2603] = 2562,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2575,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2590,
  [2621] = 2610,
  [2622] = 2568,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2567,
  [2626] = 2560,
  [2627] = 2627,
  [2628] = 2613,
  [2629] = 2629,
  [2630] = 2564,
  [2631] = 2611,
  [2632] = 2581,
  [2633] = 2575,
  [2634] = 2574,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2576,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2611,
  [2642] = 2642,
  [2643] = 2574,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2571,
  [2647] = 2586,
  [2648] = 2629,
  [2649] = 2611,
  [2650] = 2650,
  [2651] = 2618,
  [2652] = 2611,
  [2653] = 2653,
  [2654] = 2607,
  [2655] = 2655,
  [2656] = 2562,
  [2657] = 2589,
  [2658] = 2658,
  [2659] = 2593,
  [2660] = 2660,
  [2661] = 2594,
  [2662] = 2595,
  [2663] = 2596,
  [2664] = 2664,
  [2665] = 2585,
  [2666] = 2666,
  [2667] = 2576,
  [2668] = 2584,
  [2669] = 2574,
  [2670] = 2670,
  [2671] = 2017,
  [2672] = 2575,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2674,
  [2678] = 2614,
  [2679] = 2635,
  [2680] = 2574,
  [2681] = 2609,
  [2682] = 2682,
  [2683] = 2579,
  [2684] = 2578,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2562,
  [2689] = 2619,
  [2690] = 2624,
  [2691] = 2691,
  [2692] = 2642,
  [2693] = 2575,
  [2694] = 2639,
  [2695] = 2639,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2575,
  [2700] = 2059,
  [2701] = 2576,
  [2702] = 2619,
  [2703] = 2575,
  [2704] = 2566,
  [2705] = 2564,
  [2706] = 2619,
  [2707] = 2619,
  [2708] = 2567,
  [2709] = 2568,
  [2710] = 2600,
  [2711] = 2561,
  [2712] = 2712,
  [2713] = 2619,
  [2714] = 2577,
  [2715] = 2575,
  [2716] = 2716,
  [2717] = 2581,
  [2718] = 2584,
  [2719] = 2664,
  [2720] = 2616,
  [2721] = 2721,
  [2722] = 2585,
  [2723] = 2614,
  [2724] = 2724,
  [2725] = 2606,
  [2726] = 2696,
  [2727] = 2569,
  [2728] = 2563,
  [2729] = 2575,
  [2730] = 2566,
  [2731] = 2615,
  [2732] = 2638,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2575,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2575,
  [2740] = 2673,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2743,
  [2745] = 2619,
  [2746] = 2619,
  [2747] = 2742,
  [2748] = 2575,
  [2749] = 2569,
  [2750] = 2605,
  [2751] = 2636,
  [2752] = 2608,
  [2753] = 2675,
  [2754] = 2696,
  [2755] = 2572,
  [2756] = 2682,
  [2757] = 2566,
  [2758] = 2743,
  [2759] = 2685,
  [2760] = 2608,
  [2761] = 2686,
  [2762] = 2743,
  [2763] = 2738,
  [2764] = 2687,
  [2765] = 2568,
  [2766] = 2567,
  [2767] = 2608,
  [2768] = 2627,
  [2769] = 2738,
  [2770] = 2696,
  [2771] = 2738,
  [2772] = 2737,
  [2773] = 2598,
  [2774] = 2737,
  [2775] = 2737,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 169,
        '#', 249,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 171,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 202,
        '/', 207,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 187,
        '=', 74,
        '>', 191,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 181,
        '_', 244,
        '`', 172,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(247);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(247);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(248);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '"', 169,
        '#', 250,
        '$', 173,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 35,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '#', 250,
        '$', 173,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 36,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 249,
        '$', 173,
        '%', 208,
        '&', 71,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 202,
        '/', 206,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 188,
        '=', 30,
        '>', 192,
        '?', 89,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '_', 244,
        '`', 172,
        '|', 92,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 99,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 244,
        '`', 172,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '\'', 157,
        '(', 82,
        '+', 112,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        '_', 244,
        '`', 172,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 201,
        '/', 206,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 35,
        ']', 142,
        '^', 180,
        '`', 172,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 201,
        '/', 206,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 36,
        ']', 142,
        '^', 180,
        '`', 172,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '\'', 171,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 201,
        '/', 206,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 201,
        '/', 206,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 180,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 250,
        '$', 173,
        '%', 208,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 111,
        ',', 73,
        '-', 114,
        '.', 201,
        '/', 206,
        ':', 79,
        ';', 69,
        '<', 190,
        '=', 30,
        '>', 192,
        '?', 89,
        '\\', 75,
        ']', 142,
        '^', 180,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 155,
        '#', 249,
        '$', 173,
        '\'', 157,
        '(', 82,
        '/', 20,
        '<', 26,
        '[', 141,
        '\\', 75,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '0', 108,
        '<', 26,
        '[', 141,
        '\\', 75,
        '|', 90,
        '}', 78,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '\'', 157,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 249,
        '$', 173,
        '&', 70,
        '(', 82,
        ')', 83,
        ',', 73,
        '.', 23,
        '/', 20,
        '?', 85,
        '\\', 75,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 250,
        '$', 173,
        '&', 70,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 85,
        '\\', 75,
        '{', 77,
        '|', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(247);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(28);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(153);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(150);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(148);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 249,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 202,
        '/', 207,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 187,
        '=', 74,
        '>', 191,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 181,
        '_', 244,
        '`', 172,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 210,
        'b', 210,
        'E', 213,
        'e', 213,
        'F', 214,
        'f', 214,
        'I', 228,
        'i', 228,
        'N', 242,
        'n', 242,
        'S', 240,
        's', 240,
        'T', 233,
        't', 233,
        'U', 226,
        'u', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 63:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 249,
        '$', 173,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 244,
        '`', 172,
        '{', 77,
        '}', 78,
        '~', 119,
        'A', 234,
        'a', 234,
        'B', 211,
        'b', 211,
        'E', 213,
        'e', 213,
        'F', 215,
        'f', 215,
        'N', 242,
        'n', 242,
        'T', 233,
        't', 233,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 64:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 250,
        '$', 173,
        '%', 209,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 204,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 203,
        '/', 207,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 189,
        '=', 74,
        '>', 191,
        '?', 87,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 181,
        '{', 77,
        '|', 91,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(179);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(179);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(182);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(123);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(66);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(174);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(178);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 100,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 109,
        'o', 109,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(109);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(183);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(148);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '>') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '/') ADVANCE(162);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(197);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(198);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(196);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(176);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(244);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(246);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(225);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(146);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(94);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(144);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(217);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(216);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(95);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(93);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(246);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(248);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(248);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 63},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63},
  [10] = {.lex_state = 63},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63, .external_lex_state = 2},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63, .external_lex_state = 2},
  [15] = {.lex_state = 63, .external_lex_state = 2},
  [16] = {.lex_state = 63},
  [17] = {.lex_state = 63},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63},
  [20] = {.lex_state = 63},
  [21] = {.lex_state = 63, .external_lex_state = 2},
  [22] = {.lex_state = 63, .external_lex_state = 2},
  [23] = {.lex_state = 63},
  [24] = {.lex_state = 63},
  [25] = {.lex_state = 63},
  [26] = {.lex_state = 63, .external_lex_state = 2},
  [27] = {.lex_state = 63},
  [28] = {.lex_state = 63},
  [29] = {.lex_state = 63},
  [30] = {.lex_state = 63},
  [31] = {.lex_state = 63},
  [32] = {.lex_state = 63, .external_lex_state = 2},
  [33] = {.lex_state = 63, .external_lex_state = 2},
  [34] = {.lex_state = 63, .external_lex_state = 2},
  [35] = {.lex_state = 63},
  [36] = {.lex_state = 63, .external_lex_state = 2},
  [37] = {.lex_state = 63, .external_lex_state = 2},
  [38] = {.lex_state = 63, .external_lex_state = 2},
  [39] = {.lex_state = 63},
  [40] = {.lex_state = 63, .external_lex_state = 2},
  [41] = {.lex_state = 63},
  [42] = {.lex_state = 63, .external_lex_state = 2},
  [43] = {.lex_state = 63},
  [44] = {.lex_state = 63, .external_lex_state = 2},
  [45] = {.lex_state = 63},
  [46] = {.lex_state = 63, .external_lex_state = 2},
  [47] = {.lex_state = 63, .external_lex_state = 2},
  [48] = {.lex_state = 63, .external_lex_state = 2},
  [49] = {.lex_state = 63},
  [50] = {.lex_state = 63},
  [51] = {.lex_state = 63, .external_lex_state = 2},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63, .external_lex_state = 2},
  [54] = {.lex_state = 63, .external_lex_state = 2},
  [55] = {.lex_state = 63, .external_lex_state = 2},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63, .external_lex_state = 2},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63, .external_lex_state = 2},
  [60] = {.lex_state = 63, .external_lex_state = 2},
  [61] = {.lex_state = 63, .external_lex_state = 2},
  [62] = {.lex_state = 63, .external_lex_state = 2},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63, .external_lex_state = 2},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63},
  [73] = {.lex_state = 63, .external_lex_state = 2},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 63, .external_lex_state = 2},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 63, .external_lex_state = 2},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63, .external_lex_state = 2},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 63},
  [84] = {.lex_state = 63},
  [85] = {.lex_state = 63},
  [86] = {.lex_state = 63},
  [87] = {.lex_state = 63, .external_lex_state = 2},
  [88] = {.lex_state = 63, .external_lex_state = 2},
  [89] = {.lex_state = 63, .external_lex_state = 2},
  [90] = {.lex_state = 63},
  [91] = {.lex_state = 63},
  [92] = {.lex_state = 63, .external_lex_state = 2},
  [93] = {.lex_state = 63, .external_lex_state = 2},
  [94] = {.lex_state = 63},
  [95] = {.lex_state = 63},
  [96] = {.lex_state = 63},
  [97] = {.lex_state = 63},
  [98] = {.lex_state = 63},
  [99] = {.lex_state = 63},
  [100] = {.lex_state = 63},
  [101] = {.lex_state = 63},
  [102] = {.lex_state = 63},
  [103] = {.lex_state = 63, .external_lex_state = 2},
  [104] = {.lex_state = 63, .external_lex_state = 2},
  [105] = {.lex_state = 63},
  [106] = {.lex_state = 63},
  [107] = {.lex_state = 63},
  [108] = {.lex_state = 63},
  [109] = {.lex_state = 63},
  [110] = {.lex_state = 63},
  [111] = {.lex_state = 63},
  [112] = {.lex_state = 63},
  [113] = {.lex_state = 63},
  [114] = {.lex_state = 63},
  [115] = {.lex_state = 5},
  [116] = {.lex_state = 5},
  [117] = {.lex_state = 5, .external_lex_state = 2},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 7},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 63},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 6},
  [178] = {.lex_state = 6},
  [179] = {.lex_state = 63},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 63},
  [182] = {.lex_state = 63},
  [183] = {.lex_state = 63},
  [184] = {.lex_state = 63},
  [185] = {.lex_state = 63},
  [186] = {.lex_state = 6},
  [187] = {.lex_state = 63},
  [188] = {.lex_state = 63},
  [189] = {.lex_state = 63},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63},
  [197] = {.lex_state = 63},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 63},
  [213] = {.lex_state = 63},
  [214] = {.lex_state = 63},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63, .external_lex_state = 2},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 63},
  [224] = {.lex_state = 63},
  [225] = {.lex_state = 6},
  [226] = {.lex_state = 63, .external_lex_state = 2},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 63},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 63, .external_lex_state = 2},
  [231] = {.lex_state = 63},
  [232] = {.lex_state = 6},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63, .external_lex_state = 2},
  [235] = {.lex_state = 63, .external_lex_state = 2},
  [236] = {.lex_state = 63, .external_lex_state = 2},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63},
  [436] = {.lex_state = 63},
  [437] = {.lex_state = 63},
  [438] = {.lex_state = 63},
  [439] = {.lex_state = 63},
  [440] = {.lex_state = 63},
  [441] = {.lex_state = 63},
  [442] = {.lex_state = 63},
  [443] = {.lex_state = 63},
  [444] = {.lex_state = 63},
  [445] = {.lex_state = 63},
  [446] = {.lex_state = 63},
  [447] = {.lex_state = 63},
  [448] = {.lex_state = 63},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63},
  [472] = {.lex_state = 63, .external_lex_state = 2},
  [473] = {.lex_state = 63, .external_lex_state = 2},
  [474] = {.lex_state = 63, .external_lex_state = 2},
  [475] = {.lex_state = 63, .external_lex_state = 2},
  [476] = {.lex_state = 63, .external_lex_state = 2},
  [477] = {.lex_state = 63, .external_lex_state = 2},
  [478] = {.lex_state = 63, .external_lex_state = 2},
  [479] = {.lex_state = 63, .external_lex_state = 2},
  [480] = {.lex_state = 63, .external_lex_state = 2},
  [481] = {.lex_state = 63, .external_lex_state = 2},
  [482] = {.lex_state = 63, .external_lex_state = 2},
  [483] = {.lex_state = 63, .external_lex_state = 2},
  [484] = {.lex_state = 63, .external_lex_state = 2},
  [485] = {.lex_state = 63, .external_lex_state = 2},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 63},
  [566] = {.lex_state = 63},
  [567] = {.lex_state = 63},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 63},
  [590] = {.lex_state = 63},
  [591] = {.lex_state = 63},
  [592] = {.lex_state = 63},
  [593] = {.lex_state = 63},
  [594] = {.lex_state = 63},
  [595] = {.lex_state = 63},
  [596] = {.lex_state = 63},
  [597] = {.lex_state = 63},
  [598] = {.lex_state = 63},
  [599] = {.lex_state = 63},
  [600] = {.lex_state = 63},
  [601] = {.lex_state = 63},
  [602] = {.lex_state = 63},
  [603] = {.lex_state = 63},
  [604] = {.lex_state = 63},
  [605] = {.lex_state = 63},
  [606] = {.lex_state = 63},
  [607] = {.lex_state = 63},
  [608] = {.lex_state = 63},
  [609] = {.lex_state = 63},
  [610] = {.lex_state = 63},
  [611] = {.lex_state = 63},
  [612] = {.lex_state = 63},
  [613] = {.lex_state = 63},
  [614] = {.lex_state = 63},
  [615] = {.lex_state = 63},
  [616] = {.lex_state = 63},
  [617] = {.lex_state = 63},
  [618] = {.lex_state = 63},
  [619] = {.lex_state = 63},
  [620] = {.lex_state = 63},
  [621] = {.lex_state = 63},
  [622] = {.lex_state = 63},
  [623] = {.lex_state = 63},
  [624] = {.lex_state = 63},
  [625] = {.lex_state = 63},
  [626] = {.lex_state = 63},
  [627] = {.lex_state = 63},
  [628] = {.lex_state = 63},
  [629] = {.lex_state = 63},
  [630] = {.lex_state = 63},
  [631] = {.lex_state = 63},
  [632] = {.lex_state = 63},
  [633] = {.lex_state = 63},
  [634] = {.lex_state = 64},
  [635] = {.lex_state = 64},
  [636] = {.lex_state = 64},
  [637] = {.lex_state = 64},
  [638] = {.lex_state = 64},
  [639] = {.lex_state = 64},
  [640] = {.lex_state = 64},
  [641] = {.lex_state = 64},
  [642] = {.lex_state = 64},
  [643] = {.lex_state = 64},
  [644] = {.lex_state = 64},
  [645] = {.lex_state = 64},
  [646] = {.lex_state = 64},
  [647] = {.lex_state = 64},
  [648] = {.lex_state = 64},
  [649] = {.lex_state = 64},
  [650] = {.lex_state = 64},
  [651] = {.lex_state = 64},
  [652] = {.lex_state = 64},
  [653] = {.lex_state = 64},
  [654] = {.lex_state = 64},
  [655] = {.lex_state = 64},
  [656] = {.lex_state = 64},
  [657] = {.lex_state = 64},
  [658] = {.lex_state = 64},
  [659] = {.lex_state = 64},
  [660] = {.lex_state = 64},
  [661] = {.lex_state = 64, .external_lex_state = 2},
  [662] = {.lex_state = 64, .external_lex_state = 2},
  [663] = {.lex_state = 64, .external_lex_state = 2},
  [664] = {.lex_state = 64, .external_lex_state = 2},
  [665] = {.lex_state = 64, .external_lex_state = 2},
  [666] = {.lex_state = 64, .external_lex_state = 2},
  [667] = {.lex_state = 64},
  [668] = {.lex_state = 64},
  [669] = {.lex_state = 64, .external_lex_state = 2},
  [670] = {.lex_state = 64, .external_lex_state = 2},
  [671] = {.lex_state = 64, .external_lex_state = 2},
  [672] = {.lex_state = 64, .external_lex_state = 2},
  [673] = {.lex_state = 64, .external_lex_state = 2},
  [674] = {.lex_state = 64, .external_lex_state = 2},
  [675] = {.lex_state = 64, .external_lex_state = 2},
  [676] = {.lex_state = 64, .external_lex_state = 2},
  [677] = {.lex_state = 64, .external_lex_state = 2},
  [678] = {.lex_state = 64},
  [679] = {.lex_state = 64, .external_lex_state = 2},
  [680] = {.lex_state = 64, .external_lex_state = 2},
  [681] = {.lex_state = 64, .external_lex_state = 2},
  [682] = {.lex_state = 64, .external_lex_state = 2},
  [683] = {.lex_state = 64},
  [684] = {.lex_state = 64},
  [685] = {.lex_state = 64},
  [686] = {.lex_state = 64, .external_lex_state = 2},
  [687] = {.lex_state = 64},
  [688] = {.lex_state = 64, .external_lex_state = 2},
  [689] = {.lex_state = 64, .external_lex_state = 2},
  [690] = {.lex_state = 64, .external_lex_state = 2},
  [691] = {.lex_state = 64, .external_lex_state = 2},
  [692] = {.lex_state = 64},
  [693] = {.lex_state = 64},
  [694] = {.lex_state = 64, .external_lex_state = 2},
  [695] = {.lex_state = 64},
  [696] = {.lex_state = 64, .external_lex_state = 2},
  [697] = {.lex_state = 64},
  [698] = {.lex_state = 64},
  [699] = {.lex_state = 64},
  [700] = {.lex_state = 64},
  [701] = {.lex_state = 64},
  [702] = {.lex_state = 10},
  [703] = {.lex_state = 12},
  [704] = {.lex_state = 12},
  [705] = {.lex_state = 8},
  [706] = {.lex_state = 10},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 10},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 10},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 10},
  [717] = {.lex_state = 14},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 17},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 17},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 10},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 14},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 10},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 10},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 15},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 17},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 17},
  [771] = {.lex_state = 15},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 15},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 17},
  [776] = {.lex_state = 15},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 15},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 17},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 17},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 15},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 8, .external_lex_state = 2},
  [835] = {.lex_state = 12},
  [836] = {.lex_state = 12},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 10, .external_lex_state = 2},
  [839] = {.lex_state = 10, .external_lex_state = 2},
  [840] = {.lex_state = 10, .external_lex_state = 2},
  [841] = {.lex_state = 6},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 10, .external_lex_state = 2},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 8, .external_lex_state = 2},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 10},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 15},
  [856] = {.lex_state = 8, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 15},
  [859] = {.lex_state = 10, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 15},
  [866] = {.lex_state = 10},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 10, .external_lex_state = 2},
  [873] = {.lex_state = 15},
  [874] = {.lex_state = 6},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 10, .external_lex_state = 2},
  [878] = {.lex_state = 15},
  [879] = {.lex_state = 10, .external_lex_state = 2},
  [880] = {.lex_state = 10, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 10, .external_lex_state = 2},
  [883] = {.lex_state = 10, .external_lex_state = 2},
  [884] = {.lex_state = 10, .external_lex_state = 2},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 10, .external_lex_state = 2},
  [887] = {.lex_state = 10, .external_lex_state = 2},
  [888] = {.lex_state = 15},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 15},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 12},
  [899] = {.lex_state = 15},
  [900] = {.lex_state = 15},
  [901] = {.lex_state = 15},
  [902] = {.lex_state = 15},
  [903] = {.lex_state = 12},
  [904] = {.lex_state = 15},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 15},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 15},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 15},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 15},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 15},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 8, .external_lex_state = 2},
  [924] = {.lex_state = 15},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 15},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 12},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 18},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12},
  [1085] = {.lex_state = 12},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12},
  [1094] = {.lex_state = 12},
  [1095] = {.lex_state = 12},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 12},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 12},
  [1104] = {.lex_state = 12},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 12},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12},
  [1109] = {.lex_state = 12},
  [1110] = {.lex_state = 12},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 12},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12},
  [1116] = {.lex_state = 12},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12, .external_lex_state = 2},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12, .external_lex_state = 2},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12, .external_lex_state = 2},
  [1177] = {.lex_state = 12, .external_lex_state = 2},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12, .external_lex_state = 2},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12, .external_lex_state = 2},
  [1199] = {.lex_state = 12, .external_lex_state = 2},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12, .external_lex_state = 2},
  [1202] = {.lex_state = 12, .external_lex_state = 2},
  [1203] = {.lex_state = 12, .external_lex_state = 2},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12, .external_lex_state = 2},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12, .external_lex_state = 2},
  [1211] = {.lex_state = 12, .external_lex_state = 2},
  [1212] = {.lex_state = 12, .external_lex_state = 2},
  [1213] = {.lex_state = 12, .external_lex_state = 2},
  [1214] = {.lex_state = 12, .external_lex_state = 2},
  [1215] = {.lex_state = 12, .external_lex_state = 2},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12, .external_lex_state = 2},
  [1258] = {.lex_state = 12, .external_lex_state = 2},
  [1259] = {.lex_state = 12, .external_lex_state = 2},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12, .external_lex_state = 2},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12, .external_lex_state = 2},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 17},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 17},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 17},
  [1285] = {.lex_state = 17},
  [1286] = {.lex_state = 17},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12, .external_lex_state = 2},
  [1291] = {.lex_state = 12, .external_lex_state = 2},
  [1292] = {.lex_state = 12, .external_lex_state = 2},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 17},
  [1295] = {.lex_state = 17},
  [1296] = {.lex_state = 12, .external_lex_state = 2},
  [1297] = {.lex_state = 12, .external_lex_state = 2},
  [1298] = {.lex_state = 12, .external_lex_state = 2},
  [1299] = {.lex_state = 17},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12, .external_lex_state = 2},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 17},
  [1305] = {.lex_state = 12, .external_lex_state = 2},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 12},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 12},
  [1370] = {.lex_state = 12},
  [1371] = {.lex_state = 12},
  [1372] = {.lex_state = 12},
  [1373] = {.lex_state = 12},
  [1374] = {.lex_state = 12},
  [1375] = {.lex_state = 12},
  [1376] = {.lex_state = 12},
  [1377] = {.lex_state = 12},
  [1378] = {.lex_state = 12},
  [1379] = {.lex_state = 12},
  [1380] = {.lex_state = 12},
  [1381] = {.lex_state = 12},
  [1382] = {.lex_state = 12},
  [1383] = {.lex_state = 12},
  [1384] = {.lex_state = 12},
  [1385] = {.lex_state = 12},
  [1386] = {.lex_state = 12},
  [1387] = {.lex_state = 17},
  [1388] = {.lex_state = 17},
  [1389] = {.lex_state = 17},
  [1390] = {.lex_state = 17},
  [1391] = {.lex_state = 12},
  [1392] = {.lex_state = 12},
  [1393] = {.lex_state = 17},
  [1394] = {.lex_state = 12},
  [1395] = {.lex_state = 12},
  [1396] = {.lex_state = 17},
  [1397] = {.lex_state = 17},
  [1398] = {.lex_state = 12},
  [1399] = {.lex_state = 12},
  [1400] = {.lex_state = 12},
  [1401] = {.lex_state = 17},
  [1402] = {.lex_state = 12},
  [1403] = {.lex_state = 12},
  [1404] = {.lex_state = 12},
  [1405] = {.lex_state = 17},
  [1406] = {.lex_state = 12},
  [1407] = {.lex_state = 17},
  [1408] = {.lex_state = 12},
  [1409] = {.lex_state = 12},
  [1410] = {.lex_state = 12},
  [1411] = {.lex_state = 12},
  [1412] = {.lex_state = 12},
  [1413] = {.lex_state = 12},
  [1414] = {.lex_state = 12},
  [1415] = {.lex_state = 12},
  [1416] = {.lex_state = 12},
  [1417] = {.lex_state = 12},
  [1418] = {.lex_state = 64},
  [1419] = {.lex_state = 64},
  [1420] = {.lex_state = 64},
  [1421] = {.lex_state = 64},
  [1422] = {.lex_state = 64},
  [1423] = {.lex_state = 64},
  [1424] = {.lex_state = 64},
  [1425] = {.lex_state = 64},
  [1426] = {.lex_state = 17},
  [1427] = {.lex_state = 17},
  [1428] = {.lex_state = 64},
  [1429] = {.lex_state = 16},
  [1430] = {.lex_state = 64},
  [1431] = {.lex_state = 64},
  [1432] = {.lex_state = 64},
  [1433] = {.lex_state = 17},
  [1434] = {.lex_state = 64},
  [1435] = {.lex_state = 17},
  [1436] = {.lex_state = 17},
  [1437] = {.lex_state = 64},
  [1438] = {.lex_state = 64},
  [1439] = {.lex_state = 64},
  [1440] = {.lex_state = 15},
  [1441] = {.lex_state = 3, .external_lex_state = 3},
  [1442] = {.lex_state = 3, .external_lex_state = 3},
  [1443] = {.lex_state = 3, .external_lex_state = 3},
  [1444] = {.lex_state = 17},
  [1445] = {.lex_state = 17},
  [1446] = {.lex_state = 3, .external_lex_state = 4},
  [1447] = {.lex_state = 17},
  [1448] = {.lex_state = 3, .external_lex_state = 3},
  [1449] = {.lex_state = 3, .external_lex_state = 3},
  [1450] = {.lex_state = 17},
  [1451] = {.lex_state = 17},
  [1452] = {.lex_state = 17},
  [1453] = {.lex_state = 17},
  [1454] = {.lex_state = 17},
  [1455] = {.lex_state = 17},
  [1456] = {.lex_state = 17},
  [1457] = {.lex_state = 17},
  [1458] = {.lex_state = 17},
  [1459] = {.lex_state = 17},
  [1460] = {.lex_state = 17},
  [1461] = {.lex_state = 17},
  [1462] = {.lex_state = 17},
  [1463] = {.lex_state = 17},
  [1464] = {.lex_state = 8, .external_lex_state = 5},
  [1465] = {.lex_state = 17},
  [1466] = {.lex_state = 8, .external_lex_state = 6},
  [1467] = {.lex_state = 17},
  [1468] = {.lex_state = 17},
  [1469] = {.lex_state = 17},
  [1470] = {.lex_state = 17},
  [1471] = {.lex_state = 8, .external_lex_state = 5},
  [1472] = {.lex_state = 17},
  [1473] = {.lex_state = 17},
  [1474] = {.lex_state = 17},
  [1475] = {.lex_state = 8, .external_lex_state = 6},
  [1476] = {.lex_state = 8, .external_lex_state = 6},
  [1477] = {.lex_state = 8, .external_lex_state = 5},
  [1478] = {.lex_state = 18},
  [1479] = {.lex_state = 17},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 64},
  [1482] = {.lex_state = 17},
  [1483] = {.lex_state = 17},
  [1484] = {.lex_state = 8, .external_lex_state = 5},
  [1485] = {.lex_state = 17},
  [1486] = {.lex_state = 17},
  [1487] = {.lex_state = 17},
  [1488] = {.lex_state = 8, .external_lex_state = 6},
  [1489] = {.lex_state = 8, .external_lex_state = 5},
  [1490] = {.lex_state = 17},
  [1491] = {.lex_state = 17},
  [1492] = {.lex_state = 8, .external_lex_state = 6},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 64},
  [1498] = {.lex_state = 8, .external_lex_state = 4},
  [1499] = {.lex_state = 64},
  [1500] = {.lex_state = 64},
  [1501] = {.lex_state = 18},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 15},
  [1510] = {.lex_state = 18},
  [1511] = {.lex_state = 15},
  [1512] = {.lex_state = 64},
  [1513] = {.lex_state = 18},
  [1514] = {.lex_state = 64},
  [1515] = {.lex_state = 18},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 18},
  [1520] = {.lex_state = 64},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 64},
  [1523] = {.lex_state = 3, .external_lex_state = 7},
  [1524] = {.lex_state = 64},
  [1525] = {.lex_state = 64},
  [1526] = {.lex_state = 3, .external_lex_state = 7},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 64},
  [1529] = {.lex_state = 64},
  [1530] = {.lex_state = 64},
  [1531] = {.lex_state = 64},
  [1532] = {.lex_state = 64},
  [1533] = {.lex_state = 64},
  [1534] = {.lex_state = 64},
  [1535] = {.lex_state = 18},
  [1536] = {.lex_state = 18},
  [1537] = {.lex_state = 18},
  [1538] = {.lex_state = 64},
  [1539] = {.lex_state = 64},
  [1540] = {.lex_state = 64},
  [1541] = {.lex_state = 64},
  [1542] = {.lex_state = 8, .external_lex_state = 8},
  [1543] = {.lex_state = 64},
  [1544] = {.lex_state = 64},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 8, .external_lex_state = 9},
  [1547] = {.lex_state = 64},
  [1548] = {.lex_state = 64},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 64},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 64},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 64},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 64},
  [1563] = {.lex_state = 64},
  [1564] = {.lex_state = 64},
  [1565] = {.lex_state = 64},
  [1566] = {.lex_state = 64},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 64},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 64},
  [1571] = {.lex_state = 64},
  [1572] = {.lex_state = 64},
  [1573] = {.lex_state = 64},
  [1574] = {.lex_state = 64},
  [1575] = {.lex_state = 64},
  [1576] = {.lex_state = 64},
  [1577] = {.lex_state = 64},
  [1578] = {.lex_state = 64},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 64},
  [1581] = {.lex_state = 64},
  [1582] = {.lex_state = 18},
  [1583] = {.lex_state = 64},
  [1584] = {.lex_state = 64},
  [1585] = {.lex_state = 64},
  [1586] = {.lex_state = 64},
  [1587] = {.lex_state = 64},
  [1588] = {.lex_state = 64},
  [1589] = {.lex_state = 8, .external_lex_state = 8},
  [1590] = {.lex_state = 64},
  [1591] = {.lex_state = 8, .external_lex_state = 9},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 64},
  [1594] = {.lex_state = 64},
  [1595] = {.lex_state = 64},
  [1596] = {.lex_state = 64},
  [1597] = {.lex_state = 64},
  [1598] = {.lex_state = 64},
  [1599] = {.lex_state = 64},
  [1600] = {.lex_state = 64, .external_lex_state = 2},
  [1601] = {.lex_state = 64},
  [1602] = {.lex_state = 64},
  [1603] = {.lex_state = 64},
  [1604] = {.lex_state = 64},
  [1605] = {.lex_state = 64},
  [1606] = {.lex_state = 64},
  [1607] = {.lex_state = 64, .external_lex_state = 2},
  [1608] = {.lex_state = 64},
  [1609] = {.lex_state = 64},
  [1610] = {.lex_state = 64},
  [1611] = {.lex_state = 3, .external_lex_state = 3},
  [1612] = {.lex_state = 64},
  [1613] = {.lex_state = 64, .external_lex_state = 2},
  [1614] = {.lex_state = 64},
  [1615] = {.lex_state = 64, .external_lex_state = 2},
  [1616] = {.lex_state = 64},
  [1617] = {.lex_state = 64},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 18},
  [1620] = {.lex_state = 64},
  [1621] = {.lex_state = 64},
  [1622] = {.lex_state = 64},
  [1623] = {.lex_state = 64},
  [1624] = {.lex_state = 64},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 15},
  [1627] = {.lex_state = 64},
  [1628] = {.lex_state = 10},
  [1629] = {.lex_state = 64},
  [1630] = {.lex_state = 64},
  [1631] = {.lex_state = 64},
  [1632] = {.lex_state = 3, .external_lex_state = 3},
  [1633] = {.lex_state = 3, .external_lex_state = 3},
  [1634] = {.lex_state = 10},
  [1635] = {.lex_state = 64},
  [1636] = {.lex_state = 64},
  [1637] = {.lex_state = 10},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 64},
  [1640] = {.lex_state = 3, .external_lex_state = 3},
  [1641] = {.lex_state = 64},
  [1642] = {.lex_state = 64},
  [1643] = {.lex_state = 64},
  [1644] = {.lex_state = 64},
  [1645] = {.lex_state = 64},
  [1646] = {.lex_state = 64},
  [1647] = {.lex_state = 3, .external_lex_state = 3},
  [1648] = {.lex_state = 3, .external_lex_state = 3},
  [1649] = {.lex_state = 3, .external_lex_state = 3},
  [1650] = {.lex_state = 3, .external_lex_state = 3},
  [1651] = {.lex_state = 64},
  [1652] = {.lex_state = 64},
  [1653] = {.lex_state = 64},
  [1654] = {.lex_state = 64, .external_lex_state = 2},
  [1655] = {.lex_state = 64},
  [1656] = {.lex_state = 8, .external_lex_state = 5},
  [1657] = {.lex_state = 64},
  [1658] = {.lex_state = 8, .external_lex_state = 5},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 64},
  [1661] = {.lex_state = 64},
  [1662] = {.lex_state = 8, .external_lex_state = 6},
  [1663] = {.lex_state = 64},
  [1664] = {.lex_state = 64},
  [1665] = {.lex_state = 64},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 8, .external_lex_state = 6},
  [1670] = {.lex_state = 8, .external_lex_state = 5},
  [1671] = {.lex_state = 64},
  [1672] = {.lex_state = 64},
  [1673] = {.lex_state = 64},
  [1674] = {.lex_state = 8, .external_lex_state = 6},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 64},
  [1677] = {.lex_state = 19},
  [1678] = {.lex_state = 64},
  [1679] = {.lex_state = 64},
  [1680] = {.lex_state = 8, .external_lex_state = 6},
  [1681] = {.lex_state = 64},
  [1682] = {.lex_state = 8, .external_lex_state = 6},
  [1683] = {.lex_state = 64},
  [1684] = {.lex_state = 64},
  [1685] = {.lex_state = 64},
  [1686] = {.lex_state = 19},
  [1687] = {.lex_state = 64},
  [1688] = {.lex_state = 8, .external_lex_state = 5},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 64},
  [1691] = {.lex_state = 8, .external_lex_state = 5},
  [1692] = {.lex_state = 64},
  [1693] = {.lex_state = 64},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 64},
  [1696] = {.lex_state = 19},
  [1697] = {.lex_state = 64},
  [1698] = {.lex_state = 8, .external_lex_state = 6},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 64},
  [1701] = {.lex_state = 64},
  [1702] = {.lex_state = 8, .external_lex_state = 5},
  [1703] = {.lex_state = 8, .external_lex_state = 5},
  [1704] = {.lex_state = 64},
  [1705] = {.lex_state = 64},
  [1706] = {.lex_state = 64, .external_lex_state = 2},
  [1707] = {.lex_state = 8, .external_lex_state = 6},
  [1708] = {.lex_state = 64},
  [1709] = {.lex_state = 64},
  [1710] = {.lex_state = 64},
  [1711] = {.lex_state = 64},
  [1712] = {.lex_state = 8, .external_lex_state = 6},
  [1713] = {.lex_state = 64},
  [1714] = {.lex_state = 8, .external_lex_state = 5},
  [1715] = {.lex_state = 64},
  [1716] = {.lex_state = 19},
  [1717] = {.lex_state = 64},
  [1718] = {.lex_state = 64},
  [1719] = {.lex_state = 64},
  [1720] = {.lex_state = 64},
  [1721] = {.lex_state = 64},
  [1722] = {.lex_state = 64, .external_lex_state = 2},
  [1723] = {.lex_state = 64},
  [1724] = {.lex_state = 19},
  [1725] = {.lex_state = 64},
  [1726] = {.lex_state = 64},
  [1727] = {.lex_state = 64},
  [1728] = {.lex_state = 64},
  [1729] = {.lex_state = 64},
  [1730] = {.lex_state = 64},
  [1731] = {.lex_state = 64},
  [1732] = {.lex_state = 64},
  [1733] = {.lex_state = 64},
  [1734] = {.lex_state = 64, .external_lex_state = 2},
  [1735] = {.lex_state = 64, .external_lex_state = 2},
  [1736] = {.lex_state = 64, .external_lex_state = 2},
  [1737] = {.lex_state = 64, .external_lex_state = 2},
  [1738] = {.lex_state = 64, .external_lex_state = 2},
  [1739] = {.lex_state = 64, .external_lex_state = 2},
  [1740] = {.lex_state = 64},
  [1741] = {.lex_state = 64},
  [1742] = {.lex_state = 64},
  [1743] = {.lex_state = 64},
  [1744] = {.lex_state = 64},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 64},
  [1747] = {.lex_state = 64, .external_lex_state = 2},
  [1748] = {.lex_state = 64},
  [1749] = {.lex_state = 64, .external_lex_state = 2},
  [1750] = {.lex_state = 64},
  [1751] = {.lex_state = 64},
  [1752] = {.lex_state = 64, .external_lex_state = 2},
  [1753] = {.lex_state = 15},
  [1754] = {.lex_state = 64, .external_lex_state = 2},
  [1755] = {.lex_state = 64, .external_lex_state = 2},
  [1756] = {.lex_state = 15},
  [1757] = {.lex_state = 15},
  [1758] = {.lex_state = 15},
  [1759] = {.lex_state = 64},
  [1760] = {.lex_state = 64},
  [1761] = {.lex_state = 64},
  [1762] = {.lex_state = 64, .external_lex_state = 2},
  [1763] = {.lex_state = 64, .external_lex_state = 2},
  [1764] = {.lex_state = 15},
  [1765] = {.lex_state = 64, .external_lex_state = 2},
  [1766] = {.lex_state = 64},
  [1767] = {.lex_state = 15},
  [1768] = {.lex_state = 64},
  [1769] = {.lex_state = 64},
  [1770] = {.lex_state = 64, .external_lex_state = 2},
  [1771] = {.lex_state = 64, .external_lex_state = 2},
  [1772] = {.lex_state = 15},
  [1773] = {.lex_state = 64, .external_lex_state = 2},
  [1774] = {.lex_state = 64, .external_lex_state = 2},
  [1775] = {.lex_state = 64},
  [1776] = {.lex_state = 64},
  [1777] = {.lex_state = 64, .external_lex_state = 2},
  [1778] = {.lex_state = 64, .external_lex_state = 2},
  [1779] = {.lex_state = 64, .external_lex_state = 2},
  [1780] = {.lex_state = 64, .external_lex_state = 2},
  [1781] = {.lex_state = 64, .external_lex_state = 2},
  [1782] = {.lex_state = 64},
  [1783] = {.lex_state = 64},
  [1784] = {.lex_state = 64, .external_lex_state = 2},
  [1785] = {.lex_state = 64},
  [1786] = {.lex_state = 64, .external_lex_state = 2},
  [1787] = {.lex_state = 64},
  [1788] = {.lex_state = 64},
  [1789] = {.lex_state = 64},
  [1790] = {.lex_state = 64},
  [1791] = {.lex_state = 64},
  [1792] = {.lex_state = 64},
  [1793] = {.lex_state = 64},
  [1794] = {.lex_state = 64},
  [1795] = {.lex_state = 64},
  [1796] = {.lex_state = 64},
  [1797] = {.lex_state = 64},
  [1798] = {.lex_state = 64},
  [1799] = {.lex_state = 64},
  [1800] = {.lex_state = 64},
  [1801] = {.lex_state = 64},
  [1802] = {.lex_state = 64},
  [1803] = {.lex_state = 64, .external_lex_state = 2},
  [1804] = {.lex_state = 64, .external_lex_state = 2},
  [1805] = {.lex_state = 64, .external_lex_state = 2},
  [1806] = {.lex_state = 64, .external_lex_state = 2},
  [1807] = {.lex_state = 64},
  [1808] = {.lex_state = 64},
  [1809] = {.lex_state = 64, .external_lex_state = 2},
  [1810] = {.lex_state = 64, .external_lex_state = 2},
  [1811] = {.lex_state = 64},
  [1812] = {.lex_state = 64, .external_lex_state = 2},
  [1813] = {.lex_state = 64},
  [1814] = {.lex_state = 64, .external_lex_state = 2},
  [1815] = {.lex_state = 15},
  [1816] = {.lex_state = 64},
  [1817] = {.lex_state = 64},
  [1818] = {.lex_state = 64, .external_lex_state = 2},
  [1819] = {.lex_state = 64},
  [1820] = {.lex_state = 64, .external_lex_state = 2},
  [1821] = {.lex_state = 64},
  [1822] = {.lex_state = 64},
  [1823] = {.lex_state = 64},
  [1824] = {.lex_state = 64, .external_lex_state = 2},
  [1825] = {.lex_state = 64},
  [1826] = {.lex_state = 64, .external_lex_state = 2},
  [1827] = {.lex_state = 64},
  [1828] = {.lex_state = 64},
  [1829] = {.lex_state = 64, .external_lex_state = 2},
  [1830] = {.lex_state = 64},
  [1831] = {.lex_state = 64},
  [1832] = {.lex_state = 64},
  [1833] = {.lex_state = 64},
  [1834] = {.lex_state = 64},
  [1835] = {.lex_state = 64, .external_lex_state = 2},
  [1836] = {.lex_state = 3, .external_lex_state = 10},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 64, .external_lex_state = 2},
  [1839] = {.lex_state = 64},
  [1840] = {.lex_state = 64, .external_lex_state = 2},
  [1841] = {.lex_state = 64},
  [1842] = {.lex_state = 64},
  [1843] = {.lex_state = 64, .external_lex_state = 2},
  [1844] = {.lex_state = 64},
  [1845] = {.lex_state = 64},
  [1846] = {.lex_state = 64, .external_lex_state = 2},
  [1847] = {.lex_state = 64, .external_lex_state = 2},
  [1848] = {.lex_state = 64, .external_lex_state = 2},
  [1849] = {.lex_state = 64, .external_lex_state = 2},
  [1850] = {.lex_state = 64},
  [1851] = {.lex_state = 64, .external_lex_state = 2},
  [1852] = {.lex_state = 64},
  [1853] = {.lex_state = 64, .external_lex_state = 2},
  [1854] = {.lex_state = 64},
  [1855] = {.lex_state = 64},
  [1856] = {.lex_state = 3, .external_lex_state = 11},
  [1857] = {.lex_state = 19},
  [1858] = {.lex_state = 64},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64, .external_lex_state = 2},
  [1861] = {.lex_state = 64},
  [1862] = {.lex_state = 64},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64},
  [1865] = {.lex_state = 64, .external_lex_state = 2},
  [1866] = {.lex_state = 19},
  [1867] = {.lex_state = 64},
  [1868] = {.lex_state = 64},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 64},
  [1871] = {.lex_state = 64},
  [1872] = {.lex_state = 64},
  [1873] = {.lex_state = 64},
  [1874] = {.lex_state = 3, .external_lex_state = 11},
  [1875] = {.lex_state = 64},
  [1876] = {.lex_state = 64},
  [1877] = {.lex_state = 64, .external_lex_state = 2},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64},
  [1880] = {.lex_state = 64},
  [1881] = {.lex_state = 64},
  [1882] = {.lex_state = 64},
  [1883] = {.lex_state = 64},
  [1884] = {.lex_state = 64, .external_lex_state = 2},
  [1885] = {.lex_state = 64, .external_lex_state = 2},
  [1886] = {.lex_state = 64, .external_lex_state = 2},
  [1887] = {.lex_state = 64},
  [1888] = {.lex_state = 64},
  [1889] = {.lex_state = 64},
  [1890] = {.lex_state = 64, .external_lex_state = 2},
  [1891] = {.lex_state = 64},
  [1892] = {.lex_state = 64},
  [1893] = {.lex_state = 64},
  [1894] = {.lex_state = 64},
  [1895] = {.lex_state = 64, .external_lex_state = 2},
  [1896] = {.lex_state = 64, .external_lex_state = 2},
  [1897] = {.lex_state = 64, .external_lex_state = 2},
  [1898] = {.lex_state = 64, .external_lex_state = 2},
  [1899] = {.lex_state = 64},
  [1900] = {.lex_state = 64},
  [1901] = {.lex_state = 64},
  [1902] = {.lex_state = 64, .external_lex_state = 2},
  [1903] = {.lex_state = 64, .external_lex_state = 2},
  [1904] = {.lex_state = 64, .external_lex_state = 2},
  [1905] = {.lex_state = 64, .external_lex_state = 2},
  [1906] = {.lex_state = 64, .external_lex_state = 2},
  [1907] = {.lex_state = 64, .external_lex_state = 2},
  [1908] = {.lex_state = 64, .external_lex_state = 2},
  [1909] = {.lex_state = 64},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64, .external_lex_state = 2},
  [1912] = {.lex_state = 64, .external_lex_state = 2},
  [1913] = {.lex_state = 64, .external_lex_state = 2},
  [1914] = {.lex_state = 64},
  [1915] = {.lex_state = 64},
  [1916] = {.lex_state = 64, .external_lex_state = 2},
  [1917] = {.lex_state = 64},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 64},
  [1920] = {.lex_state = 64, .external_lex_state = 2},
  [1921] = {.lex_state = 64},
  [1922] = {.lex_state = 64},
  [1923] = {.lex_state = 64, .external_lex_state = 2},
  [1924] = {.lex_state = 64, .external_lex_state = 2},
  [1925] = {.lex_state = 64},
  [1926] = {.lex_state = 64},
  [1927] = {.lex_state = 15},
  [1928] = {.lex_state = 64, .external_lex_state = 2},
  [1929] = {.lex_state = 64, .external_lex_state = 2},
  [1930] = {.lex_state = 64, .external_lex_state = 2},
  [1931] = {.lex_state = 64},
  [1932] = {.lex_state = 64, .external_lex_state = 2},
  [1933] = {.lex_state = 64, .external_lex_state = 2},
  [1934] = {.lex_state = 64, .external_lex_state = 2},
  [1935] = {.lex_state = 64, .external_lex_state = 2},
  [1936] = {.lex_state = 64},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 64},
  [1939] = {.lex_state = 64},
  [1940] = {.lex_state = 64},
  [1941] = {.lex_state = 64},
  [1942] = {.lex_state = 64},
  [1943] = {.lex_state = 64, .external_lex_state = 2},
  [1944] = {.lex_state = 3, .external_lex_state = 11},
  [1945] = {.lex_state = 64, .external_lex_state = 2},
  [1946] = {.lex_state = 64, .external_lex_state = 2},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 64, .external_lex_state = 2},
  [1949] = {.lex_state = 64},
  [1950] = {.lex_state = 64},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 64, .external_lex_state = 2},
  [1953] = {.lex_state = 3, .external_lex_state = 11},
  [1954] = {.lex_state = 64, .external_lex_state = 2},
  [1955] = {.lex_state = 64, .external_lex_state = 2},
  [1956] = {.lex_state = 64, .external_lex_state = 2},
  [1957] = {.lex_state = 64, .external_lex_state = 2},
  [1958] = {.lex_state = 64, .external_lex_state = 2},
  [1959] = {.lex_state = 15},
  [1960] = {.lex_state = 64},
  [1961] = {.lex_state = 64, .external_lex_state = 2},
  [1962] = {.lex_state = 64, .external_lex_state = 2},
  [1963] = {.lex_state = 15},
  [1964] = {.lex_state = 64},
  [1965] = {.lex_state = 64},
  [1966] = {.lex_state = 3, .external_lex_state = 10},
  [1967] = {.lex_state = 64, .external_lex_state = 2},
  [1968] = {.lex_state = 64},
  [1969] = {.lex_state = 64},
  [1970] = {.lex_state = 64, .external_lex_state = 2},
  [1971] = {.lex_state = 64},
  [1972] = {.lex_state = 64},
  [1973] = {.lex_state = 64},
  [1974] = {.lex_state = 64},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 64},
  [1980] = {.lex_state = 64, .external_lex_state = 2},
  [1981] = {.lex_state = 64},
  [1982] = {.lex_state = 64},
  [1983] = {.lex_state = 64},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64, .external_lex_state = 12},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64},
  [1989] = {.lex_state = 64, .external_lex_state = 2},
  [1990] = {.lex_state = 64},
  [1991] = {.lex_state = 64},
  [1992] = {.lex_state = 64},
  [1993] = {.lex_state = 3, .external_lex_state = 11},
  [1994] = {.lex_state = 64},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64},
  [1997] = {.lex_state = 64},
  [1998] = {.lex_state = 64},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 64},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 64},
  [2003] = {.lex_state = 64},
  [2004] = {.lex_state = 64},
  [2005] = {.lex_state = 64},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64},
  [2008] = {.lex_state = 64},
  [2009] = {.lex_state = 64},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64},
  [2013] = {.lex_state = 64},
  [2014] = {.lex_state = 64},
  [2015] = {.lex_state = 64},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64, .external_lex_state = 2},
  [2018] = {.lex_state = 64, .external_lex_state = 2},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64},
  [2021] = {.lex_state = 64, .external_lex_state = 2},
  [2022] = {.lex_state = 64},
  [2023] = {.lex_state = 64},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 64},
  [2026] = {.lex_state = 64},
  [2027] = {.lex_state = 64},
  [2028] = {.lex_state = 64},
  [2029] = {.lex_state = 64},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64},
  [2035] = {.lex_state = 64, .external_lex_state = 2},
  [2036] = {.lex_state = 64},
  [2037] = {.lex_state = 64},
  [2038] = {.lex_state = 64},
  [2039] = {.lex_state = 64},
  [2040] = {.lex_state = 64},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 64},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 3, .external_lex_state = 11},
  [2048] = {.lex_state = 64},
  [2049] = {.lex_state = 3, .external_lex_state = 11},
  [2050] = {.lex_state = 64},
  [2051] = {.lex_state = 64},
  [2052] = {.lex_state = 64},
  [2053] = {.lex_state = 64},
  [2054] = {.lex_state = 64, .external_lex_state = 2},
  [2055] = {.lex_state = 64},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64},
  [2058] = {.lex_state = 64},
  [2059] = {.lex_state = 64, .external_lex_state = 2},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 64},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 64},
  [2065] = {.lex_state = 64},
  [2066] = {.lex_state = 64, .external_lex_state = 2},
  [2067] = {.lex_state = 64},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 64},
  [2071] = {.lex_state = 64},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 15},
  [2074] = {.lex_state = 64},
  [2075] = {.lex_state = 64},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64},
  [2078] = {.lex_state = 64},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 64},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 64},
  [2085] = {.lex_state = 64},
  [2086] = {.lex_state = 64},
  [2087] = {.lex_state = 64},
  [2088] = {.lex_state = 64},
  [2089] = {.lex_state = 64},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 64},
  [2092] = {.lex_state = 64},
  [2093] = {.lex_state = 64},
  [2094] = {.lex_state = 64},
  [2095] = {.lex_state = 64},
  [2096] = {.lex_state = 64},
  [2097] = {.lex_state = 64, .external_lex_state = 2},
  [2098] = {.lex_state = 64},
  [2099] = {.lex_state = 15},
  [2100] = {.lex_state = 64},
  [2101] = {.lex_state = 64},
  [2102] = {.lex_state = 64},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64},
  [2105] = {.lex_state = 64},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 64},
  [2108] = {.lex_state = 64},
  [2109] = {.lex_state = 64},
  [2110] = {.lex_state = 64},
  [2111] = {.lex_state = 64},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 64},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 64},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64},
  [2119] = {.lex_state = 64},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 3, .external_lex_state = 11},
  [2122] = {.lex_state = 64},
  [2123] = {.lex_state = 64},
  [2124] = {.lex_state = 64},
  [2125] = {.lex_state = 64},
  [2126] = {.lex_state = 64, .external_lex_state = 2},
  [2127] = {.lex_state = 64},
  [2128] = {.lex_state = 64},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64},
  [2131] = {.lex_state = 64},
  [2132] = {.lex_state = 64},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64},
  [2135] = {.lex_state = 64},
  [2136] = {.lex_state = 64},
  [2137] = {.lex_state = 64},
  [2138] = {.lex_state = 64},
  [2139] = {.lex_state = 64},
  [2140] = {.lex_state = 64},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64, .external_lex_state = 2},
  [2147] = {.lex_state = 64},
  [2148] = {.lex_state = 64},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64, .external_lex_state = 2},
  [2151] = {.lex_state = 64},
  [2152] = {.lex_state = 64},
  [2153] = {.lex_state = 64},
  [2154] = {.lex_state = 64},
  [2155] = {.lex_state = 64},
  [2156] = {.lex_state = 64},
  [2157] = {.lex_state = 64},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 64},
  [2160] = {.lex_state = 64},
  [2161] = {.lex_state = 64},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 64},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64, .external_lex_state = 2},
  [2168] = {.lex_state = 64, .external_lex_state = 2},
  [2169] = {.lex_state = 64},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 64},
  [2173] = {.lex_state = 64},
  [2174] = {.lex_state = 64},
  [2175] = {.lex_state = 64},
  [2176] = {.lex_state = 64},
  [2177] = {.lex_state = 64},
  [2178] = {.lex_state = 64},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 64},
  [2181] = {.lex_state = 15},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64},
  [2184] = {.lex_state = 15},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 64},
  [2187] = {.lex_state = 64},
  [2188] = {.lex_state = 64},
  [2189] = {.lex_state = 64},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 64},
  [2192] = {.lex_state = 64, .external_lex_state = 12},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 3, .external_lex_state = 11},
  [2195] = {.lex_state = 64},
  [2196] = {.lex_state = 64},
  [2197] = {.lex_state = 3, .external_lex_state = 11},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 64},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64},
  [2204] = {.lex_state = 64},
  [2205] = {.lex_state = 64},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 64},
  [2211] = {.lex_state = 64},
  [2212] = {.lex_state = 64},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 64},
  [2216] = {.lex_state = 64},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64},
  [2219] = {.lex_state = 64},
  [2220] = {.lex_state = 64},
  [2221] = {.lex_state = 64},
  [2222] = {.lex_state = 64, .external_lex_state = 2},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64},
  [2226] = {.lex_state = 64},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64},
  [2232] = {.lex_state = 64},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 64},
  [2236] = {.lex_state = 64},
  [2237] = {.lex_state = 64},
  [2238] = {.lex_state = 64},
  [2239] = {.lex_state = 64},
  [2240] = {.lex_state = 64},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64},
  [2244] = {.lex_state = 64},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 64},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64},
  [2250] = {.lex_state = 64},
  [2251] = {.lex_state = 64},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64},
  [2254] = {.lex_state = 64, .external_lex_state = 2},
  [2255] = {.lex_state = 64},
  [2256] = {.lex_state = 64, .external_lex_state = 2},
  [2257] = {.lex_state = 64},
  [2258] = {.lex_state = 64},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64},
  [2261] = {.lex_state = 64},
  [2262] = {.lex_state = 64},
  [2263] = {.lex_state = 64},
  [2264] = {.lex_state = 64},
  [2265] = {.lex_state = 64},
  [2266] = {.lex_state = 64},
  [2267] = {.lex_state = 64},
  [2268] = {.lex_state = 64},
  [2269] = {.lex_state = 64},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64, .external_lex_state = 2},
  [2273] = {.lex_state = 64, .external_lex_state = 2},
  [2274] = {.lex_state = 64},
  [2275] = {.lex_state = 64, .external_lex_state = 2},
  [2276] = {.lex_state = 64},
  [2277] = {.lex_state = 64},
  [2278] = {.lex_state = 64, .external_lex_state = 2},
  [2279] = {.lex_state = 64},
  [2280] = {.lex_state = 64},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64},
  [2283] = {.lex_state = 64},
  [2284] = {.lex_state = 64},
  [2285] = {.lex_state = 64, .external_lex_state = 2},
  [2286] = {.lex_state = 64},
  [2287] = {.lex_state = 64},
  [2288] = {.lex_state = 64, .external_lex_state = 2},
  [2289] = {.lex_state = 64},
  [2290] = {.lex_state = 64},
  [2291] = {.lex_state = 64, .external_lex_state = 2},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 64},
  [2294] = {.lex_state = 64},
  [2295] = {.lex_state = 64},
  [2296] = {.lex_state = 64},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64, .external_lex_state = 2},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 64},
  [2301] = {.lex_state = 64},
  [2302] = {.lex_state = 64},
  [2303] = {.lex_state = 3, .external_lex_state = 11},
  [2304] = {.lex_state = 64},
  [2305] = {.lex_state = 64},
  [2306] = {.lex_state = 64},
  [2307] = {.lex_state = 64},
  [2308] = {.lex_state = 64},
  [2309] = {.lex_state = 64, .external_lex_state = 2},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64},
  [2314] = {.lex_state = 64},
  [2315] = {.lex_state = 64},
  [2316] = {.lex_state = 64},
  [2317] = {.lex_state = 64},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64, .external_lex_state = 13},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 64, .external_lex_state = 2},
  [2324] = {.lex_state = 64},
  [2325] = {.lex_state = 64, .external_lex_state = 2},
  [2326] = {.lex_state = 64},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64},
  [2329] = {.lex_state = 64},
  [2330] = {.lex_state = 64},
  [2331] = {.lex_state = 64, .external_lex_state = 2},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 64},
  [2334] = {.lex_state = 64},
  [2335] = {.lex_state = 64, .external_lex_state = 2},
  [2336] = {.lex_state = 64, .external_lex_state = 2},
  [2337] = {.lex_state = 3, .external_lex_state = 11},
  [2338] = {.lex_state = 64},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64},
  [2341] = {.lex_state = 64},
  [2342] = {.lex_state = 64},
  [2343] = {.lex_state = 64},
  [2344] = {.lex_state = 64, .external_lex_state = 2},
  [2345] = {.lex_state = 64},
  [2346] = {.lex_state = 64},
  [2347] = {.lex_state = 64},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64},
  [2350] = {.lex_state = 64},
  [2351] = {.lex_state = 64},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 64, .external_lex_state = 2},
  [2354] = {.lex_state = 64},
  [2355] = {.lex_state = 64},
  [2356] = {.lex_state = 64},
  [2357] = {.lex_state = 3, .external_lex_state = 11},
  [2358] = {.lex_state = 64},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 64},
  [2361] = {.lex_state = 64},
  [2362] = {.lex_state = 64},
  [2363] = {.lex_state = 64},
  [2364] = {.lex_state = 64, .external_lex_state = 2},
  [2365] = {.lex_state = 64, .external_lex_state = 2},
  [2366] = {.lex_state = 64},
  [2367] = {.lex_state = 64, .external_lex_state = 2},
  [2368] = {.lex_state = 64},
  [2369] = {.lex_state = 64, .external_lex_state = 2},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64},
  [2372] = {.lex_state = 64, .external_lex_state = 2},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64},
  [2375] = {.lex_state = 64, .external_lex_state = 2},
  [2376] = {.lex_state = 64},
  [2377] = {.lex_state = 64},
  [2378] = {.lex_state = 64, .external_lex_state = 2},
  [2379] = {.lex_state = 64},
  [2380] = {.lex_state = 64},
  [2381] = {.lex_state = 64},
  [2382] = {.lex_state = 64},
  [2383] = {.lex_state = 3, .external_lex_state = 11},
  [2384] = {.lex_state = 64},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 64},
  [2387] = {.lex_state = 64},
  [2388] = {.lex_state = 64},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64},
  [2391] = {.lex_state = 64},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64},
  [2394] = {.lex_state = 64},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64},
  [2397] = {.lex_state = 64},
  [2398] = {.lex_state = 64},
  [2399] = {.lex_state = 64},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64, .external_lex_state = 2},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64, .external_lex_state = 2},
  [2404] = {.lex_state = 64},
  [2405] = {.lex_state = 64},
  [2406] = {.lex_state = 64, .external_lex_state = 2},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 3, .external_lex_state = 11},
  [2409] = {.lex_state = 64},
  [2410] = {.lex_state = 64},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64},
  [2416] = {.lex_state = 64},
  [2417] = {.lex_state = 64},
  [2418] = {.lex_state = 64},
  [2419] = {.lex_state = 64, .external_lex_state = 2},
  [2420] = {.lex_state = 64, .external_lex_state = 2},
  [2421] = {.lex_state = 64},
  [2422] = {.lex_state = 64, .external_lex_state = 2},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64},
  [2425] = {.lex_state = 64, .external_lex_state = 2},
  [2426] = {.lex_state = 64},
  [2427] = {.lex_state = 64},
  [2428] = {.lex_state = 64, .external_lex_state = 2},
  [2429] = {.lex_state = 64, .external_lex_state = 2},
  [2430] = {.lex_state = 64, .external_lex_state = 2},
  [2431] = {.lex_state = 64, .external_lex_state = 2},
  [2432] = {.lex_state = 64, .external_lex_state = 2},
  [2433] = {.lex_state = 64, .external_lex_state = 2},
  [2434] = {.lex_state = 64, .external_lex_state = 2},
  [2435] = {.lex_state = 64, .external_lex_state = 2},
  [2436] = {.lex_state = 64, .external_lex_state = 2},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 3, .external_lex_state = 11},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64, .external_lex_state = 2},
  [2441] = {.lex_state = 64, .external_lex_state = 2},
  [2442] = {.lex_state = 64, .external_lex_state = 2},
  [2443] = {.lex_state = 64, .external_lex_state = 2},
  [2444] = {.lex_state = 64, .external_lex_state = 2},
  [2445] = {.lex_state = 64},
  [2446] = {.lex_state = 64, .external_lex_state = 2},
  [2447] = {.lex_state = 64, .external_lex_state = 2},
  [2448] = {.lex_state = 3, .external_lex_state = 11},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64, .external_lex_state = 2},
  [2451] = {.lex_state = 64},
  [2452] = {.lex_state = 64, .external_lex_state = 2},
  [2453] = {.lex_state = 64, .external_lex_state = 2},
  [2454] = {.lex_state = 64, .external_lex_state = 2},
  [2455] = {.lex_state = 64},
  [2456] = {.lex_state = 64},
  [2457] = {.lex_state = 64},
  [2458] = {.lex_state = 64},
  [2459] = {.lex_state = 64, .external_lex_state = 2},
  [2460] = {.lex_state = 64},
  [2461] = {.lex_state = 64},
  [2462] = {.lex_state = 64},
  [2463] = {.lex_state = 64},
  [2464] = {.lex_state = 64},
  [2465] = {.lex_state = 64, .external_lex_state = 2},
  [2466] = {.lex_state = 64},
  [2467] = {.lex_state = 64},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64, .external_lex_state = 2},
  [2471] = {.lex_state = 64, .external_lex_state = 2},
  [2472] = {.lex_state = 64, .external_lex_state = 2},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64},
  [2475] = {.lex_state = 64, .external_lex_state = 2},
  [2476] = {.lex_state = 64},
  [2477] = {.lex_state = 3, .external_lex_state = 11},
  [2478] = {.lex_state = 64},
  [2479] = {.lex_state = 64},
  [2480] = {.lex_state = 64},
  [2481] = {.lex_state = 64, .external_lex_state = 2},
  [2482] = {.lex_state = 64, .external_lex_state = 2},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64, .external_lex_state = 2},
  [2485] = {.lex_state = 64, .external_lex_state = 2},
  [2486] = {.lex_state = 64, .external_lex_state = 2},
  [2487] = {.lex_state = 64},
  [2488] = {.lex_state = 64, .external_lex_state = 2},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64, .external_lex_state = 2},
  [2492] = {.lex_state = 64, .external_lex_state = 2},
  [2493] = {.lex_state = 64, .external_lex_state = 2},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64},
  [2498] = {.lex_state = 64, .external_lex_state = 2},
  [2499] = {.lex_state = 64, .external_lex_state = 2},
  [2500] = {.lex_state = 64},
  [2501] = {.lex_state = 64, .external_lex_state = 2},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64, .external_lex_state = 2},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 64},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64, .external_lex_state = 2},
  [2510] = {.lex_state = 64, .external_lex_state = 2},
  [2511] = {.lex_state = 64, .external_lex_state = 2},
  [2512] = {.lex_state = 64},
  [2513] = {.lex_state = 64, .external_lex_state = 2},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64},
  [2516] = {.lex_state = 64, .external_lex_state = 2},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 64, .external_lex_state = 2},
  [2520] = {.lex_state = 64, .external_lex_state = 2},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 64},
  [2524] = {.lex_state = 64},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 64, .external_lex_state = 2},
  [2527] = {.lex_state = 64, .external_lex_state = 2},
  [2528] = {.lex_state = 64},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64},
  [2534] = {.lex_state = 64},
  [2535] = {.lex_state = 3, .external_lex_state = 11},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64},
  [2538] = {.lex_state = 64},
  [2539] = {.lex_state = 64},
  [2540] = {.lex_state = 64},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64, .external_lex_state = 2},
  [2545] = {.lex_state = 3, .external_lex_state = 11},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64, .external_lex_state = 2},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 64},
  [2556] = {.lex_state = 64, .external_lex_state = 2},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64, .external_lex_state = 2},
  [2559] = {.lex_state = 64, .external_lex_state = 2},
  [2560] = {.lex_state = 64},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 64},
  [2570] = {.lex_state = 64},
  [2571] = {.lex_state = 64, .external_lex_state = 11},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 64},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 64},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64, .external_lex_state = 11},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 64},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64},
  [2596] = {.lex_state = 64},
  [2597] = {.lex_state = 64},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
  [2604] = {.lex_state = 64},
  [2605] = {.lex_state = 64},
  [2606] = {.lex_state = 64},
  [2607] = {.lex_state = 64},
  [2608] = {.lex_state = 64},
  [2609] = {.lex_state = 64, .external_lex_state = 12},
  [2610] = {.lex_state = 64, .external_lex_state = 12},
  [2611] = {.lex_state = 64},
  [2612] = {.lex_state = 64},
  [2613] = {.lex_state = 64},
  [2614] = {.lex_state = 64},
  [2615] = {.lex_state = 64, .external_lex_state = 11},
  [2616] = {.lex_state = 64, .external_lex_state = 11},
  [2617] = {.lex_state = 64},
  [2618] = {.lex_state = 10},
  [2619] = {.lex_state = 64},
  [2620] = {.lex_state = 64},
  [2621] = {.lex_state = 64, .external_lex_state = 12},
  [2622] = {.lex_state = 64},
  [2623] = {.lex_state = 64},
  [2624] = {.lex_state = 64, .external_lex_state = 11},
  [2625] = {.lex_state = 64},
  [2626] = {.lex_state = 64},
  [2627] = {.lex_state = 64},
  [2628] = {.lex_state = 64},
  [2629] = {.lex_state = 64},
  [2630] = {.lex_state = 64},
  [2631] = {.lex_state = 64},
  [2632] = {.lex_state = 64},
  [2633] = {.lex_state = 64},
  [2634] = {.lex_state = 64},
  [2635] = {.lex_state = 64},
  [2636] = {.lex_state = 64},
  [2637] = {.lex_state = 64},
  [2638] = {.lex_state = 64},
  [2639] = {.lex_state = 64},
  [2640] = {.lex_state = 64},
  [2641] = {.lex_state = 64},
  [2642] = {.lex_state = 64},
  [2643] = {.lex_state = 64},
  [2644] = {.lex_state = 64},
  [2645] = {.lex_state = 64},
  [2646] = {.lex_state = 64, .external_lex_state = 11},
  [2647] = {.lex_state = 64, .external_lex_state = 11},
  [2648] = {.lex_state = 64},
  [2649] = {.lex_state = 64},
  [2650] = {.lex_state = 64},
  [2651] = {.lex_state = 10},
  [2652] = {.lex_state = 64},
  [2653] = {.lex_state = 64},
  [2654] = {.lex_state = 64},
  [2655] = {.lex_state = 64},
  [2656] = {.lex_state = 64},
  [2657] = {.lex_state = 64},
  [2658] = {.lex_state = 64},
  [2659] = {.lex_state = 64},
  [2660] = {.lex_state = 64},
  [2661] = {.lex_state = 64},
  [2662] = {.lex_state = 64},
  [2663] = {.lex_state = 64},
  [2664] = {.lex_state = 64},
  [2665] = {.lex_state = 64},
  [2666] = {.lex_state = 64},
  [2667] = {.lex_state = 64},
  [2668] = {.lex_state = 64},
  [2669] = {.lex_state = 64},
  [2670] = {.lex_state = 64},
  [2671] = {.lex_state = 64},
  [2672] = {.lex_state = 64},
  [2673] = {.lex_state = 64},
  [2674] = {.lex_state = 64},
  [2675] = {.lex_state = 64},
  [2676] = {.lex_state = 64},
  [2677] = {.lex_state = 64},
  [2678] = {.lex_state = 64},
  [2679] = {.lex_state = 64},
  [2680] = {.lex_state = 64},
  [2681] = {.lex_state = 64, .external_lex_state = 12},
  [2682] = {.lex_state = 64},
  [2683] = {.lex_state = 64},
  [2684] = {.lex_state = 64},
  [2685] = {.lex_state = 64},
  [2686] = {.lex_state = 64},
  [2687] = {.lex_state = 64},
  [2688] = {.lex_state = 64},
  [2689] = {.lex_state = 64},
  [2690] = {.lex_state = 64, .external_lex_state = 11},
  [2691] = {.lex_state = 64},
  [2692] = {.lex_state = 64},
  [2693] = {.lex_state = 64},
  [2694] = {.lex_state = 64},
  [2695] = {.lex_state = 64},
  [2696] = {.lex_state = 64},
  [2697] = {.lex_state = 64},
  [2698] = {.lex_state = 64},
  [2699] = {.lex_state = 64},
  [2700] = {.lex_state = 64},
  [2701] = {.lex_state = 64},
  [2702] = {.lex_state = 64},
  [2703] = {.lex_state = 64},
  [2704] = {.lex_state = 64},
  [2705] = {.lex_state = 64},
  [2706] = {.lex_state = 64},
  [2707] = {.lex_state = 64},
  [2708] = {.lex_state = 64},
  [2709] = {.lex_state = 64},
  [2710] = {.lex_state = 64},
  [2711] = {.lex_state = 64},
  [2712] = {.lex_state = 64},
  [2713] = {.lex_state = 64},
  [2714] = {.lex_state = 64},
  [2715] = {.lex_state = 64},
  [2716] = {.lex_state = 64},
  [2717] = {.lex_state = 64},
  [2718] = {.lex_state = 64},
  [2719] = {.lex_state = 64},
  [2720] = {.lex_state = 64, .external_lex_state = 11},
  [2721] = {.lex_state = 64},
  [2722] = {.lex_state = 64},
  [2723] = {.lex_state = 64},
  [2724] = {.lex_state = 64},
  [2725] = {.lex_state = 64},
  [2726] = {.lex_state = 64},
  [2727] = {.lex_state = 64},
  [2728] = {.lex_state = 64},
  [2729] = {.lex_state = 64},
  [2730] = {.lex_state = 64},
  [2731] = {.lex_state = 64, .external_lex_state = 11},
  [2732] = {.lex_state = 64},
  [2733] = {.lex_state = 64},
  [2734] = {.lex_state = 64},
  [2735] = {.lex_state = 64},
  [2736] = {.lex_state = 64},
  [2737] = {.lex_state = 64},
  [2738] = {.lex_state = 64},
  [2739] = {.lex_state = 64},
  [2740] = {.lex_state = 64},
  [2741] = {.lex_state = 64},
  [2742] = {.lex_state = 64},
  [2743] = {.lex_state = 64},
  [2744] = {.lex_state = 64},
  [2745] = {.lex_state = 64},
  [2746] = {.lex_state = 64},
  [2747] = {.lex_state = 64},
  [2748] = {.lex_state = 64},
  [2749] = {.lex_state = 64},
  [2750] = {.lex_state = 64},
  [2751] = {.lex_state = 64},
  [2752] = {.lex_state = 64},
  [2753] = {.lex_state = 64},
  [2754] = {.lex_state = 64},
  [2755] = {.lex_state = 64},
  [2756] = {.lex_state = 64},
  [2757] = {.lex_state = 64},
  [2758] = {.lex_state = 64},
  [2759] = {.lex_state = 64},
  [2760] = {.lex_state = 64},
  [2761] = {.lex_state = 64},
  [2762] = {.lex_state = 64},
  [2763] = {.lex_state = 64},
  [2764] = {.lex_state = 64},
  [2765] = {.lex_state = 64},
  [2766] = {.lex_state = 64},
  [2767] = {.lex_state = 64},
  [2768] = {.lex_state = 64},
  [2769] = {.lex_state = 64},
  [2770] = {.lex_state = 64},
  [2771] = {.lex_state = 64},
  [2772] = {.lex_state = 64},
  [2773] = {.lex_state = 64},
  [2774] = {.lex_state = 64},
  [2775] = {.lex_state = 64},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2724),
    [sym_statement] = STATE(17),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(6),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(3),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(9),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_if_statement_token2] = ACTIONS(356),
    [aux_sym_else_if_clause_token1] = ACTIONS(356),
    [aux_sym_else_clause_token1] = ACTIONS(356),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_statement] = STATE(7),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_if_statement_token2] = ACTIONS(358),
    [aux_sym_else_if_clause_token1] = ACTIONS(358),
    [aux_sym_else_clause_token1] = ACTIONS(358),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(9),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(360),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(366),
    [aux_sym_foreach_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(372),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(356),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(356),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(356),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(358),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(358),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(584),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_colon_block] = STATE(2590),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(379),
  },
  [13] = {
    [sym_statement] = STATE(16),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(381),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(584),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_colon_block] = STATE(2590),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(375),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(379),
  },
  [15] = {
    [sym_statement] = STATE(2166),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_colon_block] = STATE(2620),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(387),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [16] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [ts_builtin_sym_end] = ACTIONS(381),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_statement] = STATE(2166),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_colon_block] = STATE(2620),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(387),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [19] = {
    [sym_statement] = STATE(41),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(457),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_statement] = STATE(1725),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_colon_block] = STATE(1684),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_statement] = STATE(575),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [22] = {
    [sym_statement] = STATE(2118),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [23] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(475),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_statement] = STATE(27),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(477),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_statement] = STATE(99),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(479),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_statement] = STATE(567),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [27] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(487),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_statement] = STATE(63),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_statement] = STATE(105),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_statement] = STATE(97),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(493),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_statement] = STATE(1663),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_colon_block] = STATE(1684),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_statement] = STATE(2151),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(495),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(499),
  },
  [33] = {
    [sym_statement] = STATE(607),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [34] = {
    [sym_statement] = STATE(588),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(509),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(511),
  },
  [35] = {
    [sym_statement] = STATE(70),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_statement] = STATE(623),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(515),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(517),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(519),
  },
  [37] = {
    [sym_statement] = STATE(2072),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(525),
  },
  [38] = {
    [sym_statement] = STATE(593),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [39] = {
    [sym_statement] = STATE(56),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(535),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(539),
  },
  [41] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(541),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_statement] = STATE(2072),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(525),
  },
  [43] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_statement] = STATE(575),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [45] = {
    [sym_statement] = STATE(23),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_statement] = STATE(567),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [47] = {
    [sym_statement] = STATE(2156),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [48] = {
    [sym_statement] = STATE(2118),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [49] = {
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_colon_block] = STATE(1713),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_statement] = STATE(78),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_statement] = STATE(607),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [52] = {
    [sym_statement] = STATE(91),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(91),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_statement] = STATE(2144),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(557),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(559),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(561),
  },
  [54] = {
    [sym_statement] = STATE(2151),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(495),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(499),
  },
  [55] = {
    [sym_statement] = STATE(2156),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [56] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(2195),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(567),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(569),
  },
  [58] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(588),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(509),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(511),
  },
  [60] = {
    [sym_statement] = STATE(2200),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(573),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(575),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(577),
  },
  [61] = {
    [sym_statement] = STATE(2203),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(579),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(581),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(583),
  },
  [62] = {
    [sym_statement] = STATE(2216),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(585),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(587),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(589),
  },
  [63] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(591),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(593),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(623),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(515),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(517),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(519),
  },
  [66] = {
    [sym_statement] = STATE(68),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(595),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(43),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(597),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(599),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(601),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(603),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(605),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(1979),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_colon_block] = STATE(2654),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_statement] = STATE(593),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [74] = {
    [sym_statement] = STATE(95),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(607),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(609),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(611),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(613),
  },
  [76] = {
    [sym_statement] = STATE(69),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(615),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(609),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(611),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(613),
  },
  [78] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(617),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(600),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(619),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(621),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [80] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(625),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(80),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(80),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(627),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(58),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(629),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(631),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_statement] = STATE(1979),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_colon_block] = STATE(2654),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(633),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(635),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(2144),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(557),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(559),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(561),
  },
  [88] = {
    [sym_statement] = STATE(600),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(619),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(621),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [89] = {
    [sym_statement] = STATE(2195),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(567),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(569),
  },
  [90] = {
    [sym_statement] = STATE(64),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(637),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(639),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(535),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(539),
  },
  [93] = {
    [sym_statement] = STATE(2216),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(585),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(587),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(589),
  },
  [94] = {
    [sym_statement] = STATE(83),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(641),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(643),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(553),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_colon_block] = STATE(2607),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(645),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_statement] = STATE(85),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(647),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(649),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(86),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(86),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(651),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(71),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(653),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(463),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_colon_block] = STATE(1713),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(2203),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(579),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(581),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(583),
  },
  [104] = {
    [sym_statement] = STATE(2200),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(573),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(575),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(577),
  },
  [105] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(655),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(553),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_colon_block] = STATE(2607),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(377),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(547),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(2083),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(2679),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(2635),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(2083),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(615),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(2119),
    [sym_empty_statement] = STATE(2034),
    [sym_function_static_declaration] = STATE(2034),
    [sym_global_declaration] = STATE(2034),
    [sym_namespace_definition] = STATE(2034),
    [sym_namespace_use_declaration] = STATE(2034),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(2034),
    [sym_interface_declaration] = STATE(2034),
    [sym_enum_declaration] = STATE(2034),
    [sym_class_declaration] = STATE(2034),
    [sym_final_modifier] = STATE(1432),
    [sym_abstract_modifier] = STATE(1432),
    [sym_readonly_modifier] = STATE(1432),
    [sym_const_declaration] = STATE(2034),
    [sym__const_declaration] = STATE(2032),
    [sym__modifier] = STATE(1432),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1432),
    [sym_function_definition] = STATE(2034),
    [sym__function_definition_header] = STATE(2524),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(2034),
    [sym_exit_statement] = STATE(2034),
    [sym_unset_statement] = STATE(2034),
    [sym_declare_statement] = STATE(2034),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(2034),
    [sym_goto_statement] = STATE(2034),
    [sym_continue_statement] = STATE(2034),
    [sym_break_statement] = STATE(2034),
    [sym_return_statement] = STATE(2034),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(2034),
    [sym_do_statement] = STATE(2034),
    [sym_for_statement] = STATE(2034),
    [sym_foreach_statement] = STATE(2034),
    [sym_if_statement] = STATE(2034),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(2034),
    [sym_compound_statement] = STATE(2034),
    [sym_named_label_statement] = STATE(2034),
    [sym_expression_statement] = STATE(2034),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1418),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1432),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(385),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(389),
    [aux_sym_global_declaration_token1] = ACTIONS(391),
    [aux_sym_namespace_definition_token1] = ACTIONS(393),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(397),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(399),
    [aux_sym_trait_declaration_token1] = ACTIONS(401),
    [aux_sym_interface_declaration_token1] = ACTIONS(403),
    [aux_sym_enum_declaration_token1] = ACTIONS(405),
    [aux_sym_class_declaration_token1] = ACTIONS(407),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(409),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(447),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(449),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(453),
    [aux_sym_if_statement_token1] = ACTIONS(455),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(547),
    [sym_empty_statement] = STATE(616),
    [sym_function_static_declaration] = STATE(616),
    [sym_global_declaration] = STATE(616),
    [sym_namespace_definition] = STATE(616),
    [sym_namespace_use_declaration] = STATE(616),
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_trait_declaration] = STATE(616),
    [sym_interface_declaration] = STATE(616),
    [sym_enum_declaration] = STATE(616),
    [sym_class_declaration] = STATE(616),
    [sym_final_modifier] = STATE(1430),
    [sym_abstract_modifier] = STATE(1430),
    [sym_readonly_modifier] = STATE(1430),
    [sym_const_declaration] = STATE(616),
    [sym__const_declaration] = STATE(513),
    [sym__modifier] = STATE(1430),
    [sym_static_modifier] = STATE(1494),
    [sym_visibility_modifier] = STATE(1430),
    [sym_function_definition] = STATE(616),
    [sym__function_definition_header] = STATE(2305),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_echo_statement] = STATE(616),
    [sym_exit_statement] = STATE(616),
    [sym_unset_statement] = STATE(616),
    [sym_declare_statement] = STATE(616),
    [sym_literal] = STATE(1146),
    [sym_try_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_throw_expression] = STATE(1146),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_foreach_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_match_expression] = STATE(1147),
    [sym_switch_statement] = STATE(616),
    [sym_compound_statement] = STATE(616),
    [sym_named_label_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1419),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(1430),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(1000),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(669),
    [anon_sym_RBRACE] = ACTIONS(659),
    [anon_sym_COLON] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_yield_expression_token2] = ACTIONS(715),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(1000),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(659),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_yield_expression_token2] = ACTIONS(745),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_variadic_unpacking] = STATE(1148),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_by_ref] = STATE(1148),
    [sym_yield_expression] = STATE(1147),
    [sym_array_element_initializer] = STATE(1212),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(757),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(761),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(763),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(659),
  },
  [118] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(1000),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(659),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(659),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(669),
    [anon_sym_PIPE] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_yield_expression_token2] = ACTIONS(785),
    [aux_sym_binary_expression_token1] = ACTIONS(669),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [aux_sym_binary_expression_token2] = ACTIONS(669),
    [aux_sym_binary_expression_token3] = ACTIONS(669),
    [aux_sym_binary_expression_token4] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_EQ_EQ] = ACTIONS(669),
    [anon_sym_BANG_EQ] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(669),
    [anon_sym_GT_EQ] = ACTIONS(659),
    [anon_sym_LT_EQ_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(659),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2641),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2634),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2643),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2649),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2652),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2574),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2652),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2611),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2680),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2669),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2631),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_cast_type] = STATE(2611),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(795),
    [aux_sym_cast_type_token2] = ACTIONS(797),
    [aux_sym_cast_type_token3] = ACTIONS(797),
    [aux_sym_cast_type_token4] = ACTIONS(797),
    [aux_sym_cast_type_token5] = ACTIONS(797),
    [aux_sym_cast_type_token6] = ACTIONS(797),
    [aux_sym_cast_type_token7] = ACTIONS(797),
    [aux_sym_cast_type_token8] = ACTIONS(797),
    [aux_sym_cast_type_token9] = ACTIONS(797),
    [aux_sym_cast_type_token10] = ACTIONS(797),
    [aux_sym_cast_type_token11] = ACTIONS(797),
    [aux_sym_cast_type_token12] = ACTIONS(797),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2713),
    [sym_argument] = STATE(1998),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2046),
    [sym_function_call_expression] = STATE(687),
    [sym_scoped_call_expression] = STATE(687),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(687),
    [sym_nullsafe_member_call_expression] = STATE(687),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(687),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(687),
    [sym_variable_name] = STATE(687),
    [sym_by_ref] = STATE(2449),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2048),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym__array_destructing_repeat1] = STATE(2052),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2702),
    [sym_argument] = STATE(2223),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(835),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2707),
    [sym_argument] = STATE(2245),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2689),
    [sym_argument] = STATE(2199),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2046),
    [sym_function_call_expression] = STATE(687),
    [sym_scoped_call_expression] = STATE(687),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(687),
    [sym_nullsafe_member_call_expression] = STATE(687),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(687),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(687),
    [sym_variable_name] = STATE(687),
    [sym_by_ref] = STATE(2449),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym__array_destructing_repeat1] = STATE(2052),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2706),
    [sym_argument] = STATE(2243),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2746),
    [sym_argument] = STATE(2262),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2046),
    [sym_function_call_expression] = STATE(687),
    [sym_scoped_call_expression] = STATE(687),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(687),
    [sym_nullsafe_member_call_expression] = STATE(687),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(687),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(687),
    [sym_variable_name] = STATE(687),
    [sym_by_ref] = STATE(2449),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym__array_destructing_repeat1] = STATE(2052),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2745),
    [sym_argument] = STATE(1973),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(861),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2046),
    [sym_function_call_expression] = STATE(687),
    [sym_scoped_call_expression] = STATE(687),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(687),
    [sym_nullsafe_member_call_expression] = STATE(687),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(687),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(687),
    [sym_variable_name] = STATE(687),
    [sym_by_ref] = STATE(2449),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym__array_destructing_repeat1] = STATE(2052),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(700),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2046),
    [sym_function_call_expression] = STATE(687),
    [sym_scoped_call_expression] = STATE(687),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(687),
    [sym_nullsafe_member_call_expression] = STATE(687),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(687),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(687),
    [sym_variable_name] = STATE(687),
    [sym_by_ref] = STATE(2449),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym__array_destructing_repeat1] = STATE(2052),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(867),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_variadic_placeholder] = STATE(2619),
    [sym_argument] = STATE(2131),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(869),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(879),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2007),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(883),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(1976),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(889),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2091),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(899),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2048),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(917),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(919),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_reference_modifier] = STATE(225),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_argument] = STATE(2380),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2462),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1566),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(799),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(803),
    [aux_sym_namespace_definition_token1] = ACTIONS(807),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(817),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_match_expression_token1] = ACTIONS(821),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(823),
    [anon_sym_parent] = ACTIONS(823),
    [aux_sym__argument_name_token1] = ACTIONS(825),
    [aux_sym__argument_name_token2] = ACTIONS(827),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2248),
    [sym_match_default_expression] = STATE(2248),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(931),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(933),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(941),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2033),
    [sym_match_default_expression] = STATE(2033),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(943),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2494),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(2494),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2279),
    [sym_match_default_expression] = STATE(2279),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(956),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_variadic_unpacking] = STATE(1036),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1002),
    [sym_array_element_initializer] = STATE(2214),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(727),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2279),
    [sym_match_default_expression] = STATE(2279),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(958),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2494),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(2494),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2279),
    [sym_match_default_expression] = STATE(2279),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(960),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(692),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(1823),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(668),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(668),
    [sym_variable_name] = STATE(668),
    [sym_by_ref] = STATE(2104),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym__list_destructing_repeat1] = STATE(2105),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(962),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(964),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2279),
    [sym_match_default_expression] = STATE(2279),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(966),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1358),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(698),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(698),
    [sym_nullsafe_member_access_expression] = STATE(698),
    [sym_scoped_property_access_expression] = STATE(698),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2045),
    [sym__array_destructing_element] = STATE(2494),
    [sym_function_call_expression] = STATE(683),
    [sym_scoped_call_expression] = STATE(683),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(683),
    [sym_nullsafe_member_call_expression] = STATE(683),
    [sym_subscript_expression] = STATE(683),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(683),
    [sym_variable_name] = STATE(683),
    [sym_by_ref] = STATE(2494),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(947),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_RBRACK] = ACTIONS(968),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1368),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(697),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(697),
    [sym_nullsafe_member_access_expression] = STATE(697),
    [sym_scoped_property_access_expression] = STATE(697),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2228),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(685),
    [sym_scoped_call_expression] = STATE(685),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(685),
    [sym_nullsafe_member_call_expression] = STATE(685),
    [sym_subscript_expression] = STATE(685),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(685),
    [sym_variable_name] = STATE(685),
    [sym_by_ref] = STATE(2322),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(971),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(971),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2366),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(801),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_match_condition_list] = STATE(2716),
    [sym_match_conditional_expression] = STATE(2279),
    [sym_match_default_expression] = STATE(2279),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [aux_sym_match_default_expression_token1] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2766),
    [sym_sequence_expression] = STATE(2766),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2708),
    [sym_sequence_expression] = STATE(2708),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(975),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2637),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(977),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2608),
    [sym_sequence_expression] = STATE(2608),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2770),
    [sym_sequence_expression] = STATE(2770),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2726),
    [sym_sequence_expression] = STATE(2726),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2730),
    [sym_sequence_expression] = STATE(2730),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(985),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_foreach_pair] = STATE(2564),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(2564),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_foreach_pair] = STATE(2591),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2500),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(2591),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2566),
    [sym_sequence_expression] = STATE(2566),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2576),
    [sym_sequence_expression] = STATE(2576),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2765),
    [sym_sequence_expression] = STATE(2765),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(991),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2622),
    [sym_sequence_expression] = STATE(2622),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2711),
    [sym_sequence_expression] = STATE(2711),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(995),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2709),
    [sym_sequence_expression] = STATE(2709),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(997),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2625),
    [sym_sequence_expression] = STATE(2625),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_foreach_pair] = STATE(2630),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2439),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(2630),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2561),
    [sym_sequence_expression] = STATE(2561),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1001),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2704),
    [sym_sequence_expression] = STATE(2704),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1003),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2667),
    [sym_sequence_expression] = STATE(2667),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1005),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2597),
    [sym_sequence_expression] = STATE(2597),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2752),
    [sym_sequence_expression] = STATE(2752),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1009),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2567),
    [sym_sequence_expression] = STATE(2567),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1011),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2754),
    [sym_sequence_expression] = STATE(2754),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2568),
    [sym_sequence_expression] = STATE(2568),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2570),
    [sym_sequence_expression] = STATE(2570),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1017),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2701),
    [sym_sequence_expression] = STATE(2701),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2696),
    [sym_sequence_expression] = STATE(2696),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1021),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2757),
    [sym_sequence_expression] = STATE(2757),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_foreach_pair] = STATE(2705),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2307),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(2705),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2760),
    [sym_sequence_expression] = STATE(2760),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1025),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__expressions] = STATE(2767),
    [sym_sequence_expression] = STATE(2767),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym__expressions] = STATE(2344),
    [sym_sequence_expression] = STATE(2344),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1029),
  },
  [222] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1375),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2531),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(2587),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1048),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym__expressions] = STATE(2420),
    [sym_sequence_expression] = STATE(2420),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2358),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1592),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1031),
  },
  [227] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1048),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_by_ref] = STATE(1048),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_by_ref] = STATE(1048),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1035),
  },
  [231] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_by_ref] = STATE(1125),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_AMP] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_variadic_unpacking] = STATE(2371),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1572),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(767),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(701),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2217),
    [sym_function_call_expression] = STATE(695),
    [sym_scoped_call_expression] = STATE(695),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(695),
    [sym_nullsafe_member_call_expression] = STATE(695),
    [sym_subscript_expression] = STATE(695),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(695),
    [sym_variable_name] = STATE(695),
    [sym_by_ref] = STATE(2326),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(829),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1039),
  },
  [235] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1041),
  },
  [236] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(1043),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1043),
  },
  [237] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_by_ref] = STATE(1048),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_sequence_expression] = STATE(2288),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1379),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1045),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1372),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1049),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1339),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1051),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1384),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(1053),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1055),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1349),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1360),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1061),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1357),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1063),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1065),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1343),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1067),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [anon_sym_AMP] = ACTIONS(1069),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(1071),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1374),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1073),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [anon_sym_AMP] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1077),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1355),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(1079),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1359),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_RBRACK] = ACTIONS(1081),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1383),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(1083),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1367),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(984),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1046),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1381),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1378),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1334),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1356),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1340),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1335),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1385),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1046),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(984),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1328),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1336),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1330),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1341),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1370),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1373),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1366),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1371),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1365),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1369),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1363),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1347),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1361),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1333),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1332),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1331),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1324),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1326),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1337),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1338),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1342),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1345),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1346),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(984),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1046),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1348),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(678),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2581),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(659),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(659),
    [sym_variable_name] = STATE(659),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(743),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [aux_sym_require_expression_token1] = ACTIONS(751),
    [aux_sym_require_once_expression_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1350),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1351),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1352),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1353),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1329),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1362),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1364),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_match_expression] = STATE(1147),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1151),
    [sym_unary_op_expression] = STATE(1151),
    [sym_error_suppression_expression] = STATE(1147),
    [sym_clone_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1151),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1151),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(1147),
    [sym_reference_assignment_expression] = STATE(1147),
    [sym_conditional_expression] = STATE(1147),
    [sym_augmented_assignment_expression] = STATE(1147),
    [sym_member_access_expression] = STATE(694),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2717),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(661),
    [sym_scoped_call_expression] = STATE(661),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(661),
    [sym_nullsafe_member_call_expression] = STATE(661),
    [sym_subscript_expression] = STATE(661),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(661),
    [sym_variable_name] = STATE(661),
    [sym_yield_expression] = STATE(1147),
    [sym_binary_expression] = STATE(1147),
    [sym_include_expression] = STATE(1147),
    [sym_include_once_expression] = STATE(1147),
    [sym_require_expression] = STATE(1147),
    [sym_require_once_expression] = STATE(1147),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1344),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(699),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(684),
    [sym_scoped_call_expression] = STATE(684),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(684),
    [sym_nullsafe_member_call_expression] = STATE(684),
    [sym_subscript_expression] = STATE(684),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(684),
    [sym_variable_name] = STATE(684),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(783),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [aux_sym_require_expression_token1] = ACTIONS(791),
    [aux_sym_require_once_expression_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1380),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1354),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_match_expression] = STATE(1002),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_error_suppression_expression] = STATE(1002),
    [sym_clone_expression] = STATE(1003),
    [sym_primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1003),
    [sym_cast_variable] = STATE(660),
    [sym_assignment_expression] = STATE(1002),
    [sym_reference_assignment_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1002),
    [sym_augmented_assignment_expression] = STATE(1002),
    [sym_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(660),
    [sym_scoped_property_access_expression] = STATE(660),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2306),
    [sym__array_destructing] = STATE(2306),
    [sym_function_call_expression] = STATE(658),
    [sym_scoped_call_expression] = STATE(658),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(658),
    [sym_nullsafe_member_call_expression] = STATE(658),
    [sym_subscript_expression] = STATE(658),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(658),
    [sym_variable_name] = STATE(658),
    [sym_yield_expression] = STATE(1002),
    [sym_binary_expression] = STATE(1002),
    [sym_include_expression] = STATE(1002),
    [sym_include_once_expression] = STATE(1002),
    [sym_require_expression] = STATE(1002),
    [sym_require_once_expression] = STATE(1002),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_yield_expression_token1] = ACTIONS(713),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [aux_sym_require_expression_token1] = ACTIONS(721),
    [aux_sym_require_once_expression_token1] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_catch_clause] = STATE(461),
    [sym_finally_clause] = STATE(461),
    [aux_sym_try_statement_repeat1] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1085),
    [sym_name] = ACTIONS(1087),
    [anon_sym_QMARK_GT] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1085),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1087),
    [aux_sym_global_declaration_token1] = ACTIONS(1087),
    [aux_sym_namespace_definition_token1] = ACTIONS(1087),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1087),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1087),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1087),
    [anon_sym_BSLASH] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [aux_sym_trait_declaration_token1] = ACTIONS(1087),
    [aux_sym_interface_declaration_token1] = ACTIONS(1087),
    [aux_sym_enum_declaration_token1] = ACTIONS(1087),
    [aux_sym_enum_case_token1] = ACTIONS(1087),
    [aux_sym_class_declaration_token1] = ACTIONS(1087),
    [aux_sym_final_modifier_token1] = ACTIONS(1087),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1087),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1087),
    [sym_var_modifier] = ACTIONS(1087),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1087),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1087),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1087),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [aux_sym_cast_type_token1] = ACTIONS(1087),
    [aux_sym_echo_statement_token1] = ACTIONS(1087),
    [aux_sym_exit_statement_token1] = ACTIONS(1087),
    [anon_sym_unset] = ACTIONS(1087),
    [aux_sym_declare_statement_token1] = ACTIONS(1087),
    [aux_sym_declare_statement_token2] = ACTIONS(1087),
    [sym_float] = ACTIONS(1087),
    [aux_sym_try_statement_token1] = ACTIONS(1087),
    [aux_sym_catch_clause_token1] = ACTIONS(1089),
    [aux_sym_finally_clause_token1] = ACTIONS(1091),
    [aux_sym_goto_statement_token1] = ACTIONS(1087),
    [aux_sym_continue_statement_token1] = ACTIONS(1087),
    [aux_sym_break_statement_token1] = ACTIONS(1087),
    [sym_integer] = ACTIONS(1087),
    [aux_sym_return_statement_token1] = ACTIONS(1087),
    [aux_sym_throw_expression_token1] = ACTIONS(1087),
    [aux_sym_while_statement_token1] = ACTIONS(1087),
    [aux_sym_while_statement_token2] = ACTIONS(1087),
    [aux_sym_do_statement_token1] = ACTIONS(1087),
    [aux_sym_for_statement_token1] = ACTIONS(1087),
    [aux_sym_for_statement_token2] = ACTIONS(1087),
    [aux_sym_foreach_statement_token1] = ACTIONS(1087),
    [aux_sym_foreach_statement_token2] = ACTIONS(1087),
    [aux_sym_if_statement_token1] = ACTIONS(1087),
    [aux_sym_if_statement_token2] = ACTIONS(1087),
    [aux_sym_else_if_clause_token1] = ACTIONS(1087),
    [aux_sym_else_clause_token1] = ACTIONS(1087),
    [aux_sym_match_expression_token1] = ACTIONS(1087),
    [aux_sym_match_default_expression_token1] = ACTIONS(1087),
    [aux_sym_switch_statement_token1] = ACTIONS(1087),
    [aux_sym_switch_block_token1] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1085),
    [aux_sym_clone_expression_token1] = ACTIONS(1087),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1087),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1087),
    [anon_sym_DASH_DASH] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1085),
    [aux_sym__list_destructing_token1] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_self] = ACTIONS(1087),
    [anon_sym_parent] = ACTIONS(1087),
    [aux_sym__argument_name_token1] = ACTIONS(1087),
    [aux_sym__argument_name_token2] = ACTIONS(1087),
    [anon_sym_POUND_LBRACK] = ACTIONS(1085),
    [aux_sym_encapsed_string_token1] = ACTIONS(1085),
    [anon_sym_DQUOTE] = ACTIONS(1085),
    [aux_sym_string_token1] = ACTIONS(1085),
    [anon_sym_SQUOTE] = ACTIONS(1085),
    [anon_sym_LT_LT_LT] = ACTIONS(1085),
    [anon_sym_BQUOTE] = ACTIONS(1085),
    [anon_sym_DOLLAR] = ACTIONS(1085),
    [aux_sym_yield_expression_token1] = ACTIONS(1087),
    [aux_sym_include_expression_token1] = ACTIONS(1087),
    [aux_sym_include_once_expression_token1] = ACTIONS(1087),
    [aux_sym_require_expression_token1] = ACTIONS(1087),
    [aux_sym_require_once_expression_token1] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_catch_clause] = STATE(461),
    [sym_finally_clause] = STATE(461),
    [aux_sym_try_statement_repeat1] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1093),
    [sym_name] = ACTIONS(1095),
    [anon_sym_QMARK_GT] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1093),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1095),
    [aux_sym_global_declaration_token1] = ACTIONS(1095),
    [aux_sym_namespace_definition_token1] = ACTIONS(1095),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1095),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1095),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1095),
    [anon_sym_BSLASH] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1093),
    [anon_sym_RBRACE] = ACTIONS(1093),
    [aux_sym_trait_declaration_token1] = ACTIONS(1095),
    [aux_sym_interface_declaration_token1] = ACTIONS(1095),
    [aux_sym_enum_declaration_token1] = ACTIONS(1095),
    [aux_sym_enum_case_token1] = ACTIONS(1095),
    [aux_sym_class_declaration_token1] = ACTIONS(1095),
    [aux_sym_final_modifier_token1] = ACTIONS(1095),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1095),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1095),
    [sym_var_modifier] = ACTIONS(1095),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1095),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1095),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1095),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [aux_sym_cast_type_token1] = ACTIONS(1095),
    [aux_sym_echo_statement_token1] = ACTIONS(1095),
    [aux_sym_exit_statement_token1] = ACTIONS(1095),
    [anon_sym_unset] = ACTIONS(1095),
    [aux_sym_declare_statement_token1] = ACTIONS(1095),
    [aux_sym_declare_statement_token2] = ACTIONS(1095),
    [sym_float] = ACTIONS(1095),
    [aux_sym_try_statement_token1] = ACTIONS(1095),
    [aux_sym_catch_clause_token1] = ACTIONS(1097),
    [aux_sym_finally_clause_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1095),
    [aux_sym_continue_statement_token1] = ACTIONS(1095),
    [aux_sym_break_statement_token1] = ACTIONS(1095),
    [sym_integer] = ACTIONS(1095),
    [aux_sym_return_statement_token1] = ACTIONS(1095),
    [aux_sym_throw_expression_token1] = ACTIONS(1095),
    [aux_sym_while_statement_token1] = ACTIONS(1095),
    [aux_sym_while_statement_token2] = ACTIONS(1095),
    [aux_sym_do_statement_token1] = ACTIONS(1095),
    [aux_sym_for_statement_token1] = ACTIONS(1095),
    [aux_sym_for_statement_token2] = ACTIONS(1095),
    [aux_sym_foreach_statement_token1] = ACTIONS(1095),
    [aux_sym_foreach_statement_token2] = ACTIONS(1095),
    [aux_sym_if_statement_token1] = ACTIONS(1095),
    [aux_sym_if_statement_token2] = ACTIONS(1095),
    [aux_sym_else_if_clause_token1] = ACTIONS(1095),
    [aux_sym_else_clause_token1] = ACTIONS(1095),
    [aux_sym_match_expression_token1] = ACTIONS(1095),
    [aux_sym_match_default_expression_token1] = ACTIONS(1095),
    [aux_sym_switch_statement_token1] = ACTIONS(1095),
    [aux_sym_switch_block_token1] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1095),
    [anon_sym_TILDE] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1093),
    [aux_sym_clone_expression_token1] = ACTIONS(1095),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1095),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1093),
    [anon_sym_PLUS_PLUS] = ACTIONS(1093),
    [aux_sym__list_destructing_token1] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_self] = ACTIONS(1095),
    [anon_sym_parent] = ACTIONS(1095),
    [aux_sym__argument_name_token1] = ACTIONS(1095),
    [aux_sym__argument_name_token2] = ACTIONS(1095),
    [anon_sym_POUND_LBRACK] = ACTIONS(1093),
    [aux_sym_encapsed_string_token1] = ACTIONS(1093),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [aux_sym_string_token1] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1093),
    [anon_sym_LT_LT_LT] = ACTIONS(1093),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1093),
    [aux_sym_yield_expression_token1] = ACTIONS(1095),
    [aux_sym_include_expression_token1] = ACTIONS(1095),
    [aux_sym_include_once_expression_token1] = ACTIONS(1095),
    [aux_sym_require_expression_token1] = ACTIONS(1095),
    [aux_sym_require_once_expression_token1] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_else_if_clause] = STATE(624),
    [sym_else_clause] = STATE(625),
    [aux_sym_if_statement_repeat1] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_name] = ACTIONS(1105),
    [anon_sym_QMARK_GT] = ACTIONS(1103),
    [anon_sym_SEMI] = ACTIONS(1103),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1105),
    [aux_sym_global_declaration_token1] = ACTIONS(1105),
    [aux_sym_namespace_definition_token1] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1105),
    [anon_sym_BSLASH] = ACTIONS(1103),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [aux_sym_trait_declaration_token1] = ACTIONS(1105),
    [aux_sym_interface_declaration_token1] = ACTIONS(1105),
    [aux_sym_enum_declaration_token1] = ACTIONS(1105),
    [aux_sym_enum_case_token1] = ACTIONS(1105),
    [aux_sym_class_declaration_token1] = ACTIONS(1105),
    [aux_sym_final_modifier_token1] = ACTIONS(1105),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1105),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1105),
    [sym_var_modifier] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1105),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [aux_sym_cast_type_token1] = ACTIONS(1105),
    [aux_sym_echo_statement_token1] = ACTIONS(1105),
    [aux_sym_exit_statement_token1] = ACTIONS(1105),
    [anon_sym_unset] = ACTIONS(1105),
    [aux_sym_declare_statement_token1] = ACTIONS(1105),
    [aux_sym_declare_statement_token2] = ACTIONS(1105),
    [sym_float] = ACTIONS(1105),
    [aux_sym_try_statement_token1] = ACTIONS(1105),
    [aux_sym_goto_statement_token1] = ACTIONS(1105),
    [aux_sym_continue_statement_token1] = ACTIONS(1105),
    [aux_sym_break_statement_token1] = ACTIONS(1105),
    [sym_integer] = ACTIONS(1105),
    [aux_sym_return_statement_token1] = ACTIONS(1105),
    [aux_sym_throw_expression_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token2] = ACTIONS(1105),
    [aux_sym_do_statement_token1] = ACTIONS(1105),
    [aux_sym_for_statement_token1] = ACTIONS(1105),
    [aux_sym_for_statement_token2] = ACTIONS(1105),
    [aux_sym_foreach_statement_token1] = ACTIONS(1105),
    [aux_sym_foreach_statement_token2] = ACTIONS(1105),
    [aux_sym_if_statement_token1] = ACTIONS(1105),
    [aux_sym_if_statement_token2] = ACTIONS(1105),
    [aux_sym_else_if_clause_token1] = ACTIONS(1107),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1105),
    [aux_sym_match_default_expression_token1] = ACTIONS(1105),
    [aux_sym_switch_statement_token1] = ACTIONS(1105),
    [aux_sym_switch_block_token1] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_AT] = ACTIONS(1103),
    [aux_sym_clone_expression_token1] = ACTIONS(1105),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1105),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1103),
    [aux_sym__list_destructing_token1] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_self] = ACTIONS(1105),
    [anon_sym_parent] = ACTIONS(1105),
    [aux_sym__argument_name_token1] = ACTIONS(1105),
    [aux_sym__argument_name_token2] = ACTIONS(1105),
    [anon_sym_POUND_LBRACK] = ACTIONS(1103),
    [aux_sym_encapsed_string_token1] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1103),
    [aux_sym_string_token1] = ACTIONS(1103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_LT_LT_LT] = ACTIONS(1103),
    [anon_sym_BQUOTE] = ACTIONS(1103),
    [anon_sym_DOLLAR] = ACTIONS(1103),
    [aux_sym_yield_expression_token1] = ACTIONS(1105),
    [aux_sym_include_expression_token1] = ACTIONS(1105),
    [aux_sym_include_once_expression_token1] = ACTIONS(1105),
    [aux_sym_require_expression_token1] = ACTIONS(1105),
    [aux_sym_require_once_expression_token1] = ACTIONS(1105),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_else_if_clause] = STATE(624),
    [sym_else_clause] = STATE(625),
    [aux_sym_if_statement_repeat1] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_name] = ACTIONS(1105),
    [anon_sym_QMARK_GT] = ACTIONS(1103),
    [anon_sym_SEMI] = ACTIONS(1103),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1105),
    [aux_sym_global_declaration_token1] = ACTIONS(1105),
    [aux_sym_namespace_definition_token1] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1105),
    [anon_sym_BSLASH] = ACTIONS(1103),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [aux_sym_trait_declaration_token1] = ACTIONS(1105),
    [aux_sym_interface_declaration_token1] = ACTIONS(1105),
    [aux_sym_enum_declaration_token1] = ACTIONS(1105),
    [aux_sym_enum_case_token1] = ACTIONS(1105),
    [aux_sym_class_declaration_token1] = ACTIONS(1105),
    [aux_sym_final_modifier_token1] = ACTIONS(1105),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1105),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1105),
    [sym_var_modifier] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1105),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [aux_sym_cast_type_token1] = ACTIONS(1105),
    [aux_sym_echo_statement_token1] = ACTIONS(1105),
    [aux_sym_exit_statement_token1] = ACTIONS(1105),
    [anon_sym_unset] = ACTIONS(1105),
    [aux_sym_declare_statement_token1] = ACTIONS(1105),
    [aux_sym_declare_statement_token2] = ACTIONS(1105),
    [sym_float] = ACTIONS(1105),
    [aux_sym_try_statement_token1] = ACTIONS(1105),
    [aux_sym_goto_statement_token1] = ACTIONS(1105),
    [aux_sym_continue_statement_token1] = ACTIONS(1105),
    [aux_sym_break_statement_token1] = ACTIONS(1105),
    [sym_integer] = ACTIONS(1105),
    [aux_sym_return_statement_token1] = ACTIONS(1105),
    [aux_sym_throw_expression_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token2] = ACTIONS(1105),
    [aux_sym_do_statement_token1] = ACTIONS(1105),
    [aux_sym_for_statement_token1] = ACTIONS(1105),
    [aux_sym_for_statement_token2] = ACTIONS(1105),
    [aux_sym_foreach_statement_token1] = ACTIONS(1105),
    [aux_sym_foreach_statement_token2] = ACTIONS(1105),
    [aux_sym_if_statement_token1] = ACTIONS(1105),
    [aux_sym_if_statement_token2] = ACTIONS(1105),
    [aux_sym_else_if_clause_token1] = ACTIONS(1113),
    [aux_sym_else_clause_token1] = ACTIONS(1115),
    [aux_sym_match_expression_token1] = ACTIONS(1105),
    [aux_sym_match_default_expression_token1] = ACTIONS(1105),
    [aux_sym_switch_statement_token1] = ACTIONS(1105),
    [aux_sym_switch_block_token1] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_AT] = ACTIONS(1103),
    [aux_sym_clone_expression_token1] = ACTIONS(1105),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1105),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1103),
    [aux_sym__list_destructing_token1] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_self] = ACTIONS(1105),
    [anon_sym_parent] = ACTIONS(1105),
    [aux_sym__argument_name_token1] = ACTIONS(1105),
    [aux_sym__argument_name_token2] = ACTIONS(1105),
    [anon_sym_POUND_LBRACK] = ACTIONS(1103),
    [aux_sym_encapsed_string_token1] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1103),
    [aux_sym_string_token1] = ACTIONS(1103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_LT_LT_LT] = ACTIONS(1103),
    [anon_sym_BQUOTE] = ACTIONS(1103),
    [anon_sym_DOLLAR] = ACTIONS(1103),
    [aux_sym_yield_expression_token1] = ACTIONS(1105),
    [aux_sym_include_expression_token1] = ACTIONS(1105),
    [aux_sym_include_once_expression_token1] = ACTIONS(1105),
    [aux_sym_require_expression_token1] = ACTIONS(1105),
    [aux_sym_require_once_expression_token1] = ACTIONS(1105),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_else_if_clause] = STATE(624),
    [sym_else_clause] = STATE(611),
    [aux_sym_if_statement_repeat1] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1117),
    [sym_name] = ACTIONS(1119),
    [anon_sym_QMARK_GT] = ACTIONS(1117),
    [anon_sym_SEMI] = ACTIONS(1117),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1119),
    [aux_sym_global_declaration_token1] = ACTIONS(1119),
    [aux_sym_namespace_definition_token1] = ACTIONS(1119),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1119),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1119),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1119),
    [anon_sym_BSLASH] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [aux_sym_trait_declaration_token1] = ACTIONS(1119),
    [aux_sym_interface_declaration_token1] = ACTIONS(1119),
    [aux_sym_enum_declaration_token1] = ACTIONS(1119),
    [aux_sym_enum_case_token1] = ACTIONS(1119),
    [aux_sym_class_declaration_token1] = ACTIONS(1119),
    [aux_sym_final_modifier_token1] = ACTIONS(1119),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1119),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1119),
    [sym_var_modifier] = ACTIONS(1119),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1119),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1119),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1119),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1119),
    [anon_sym_LPAREN] = ACTIONS(1117),
    [aux_sym_cast_type_token1] = ACTIONS(1119),
    [aux_sym_echo_statement_token1] = ACTIONS(1119),
    [aux_sym_exit_statement_token1] = ACTIONS(1119),
    [anon_sym_unset] = ACTIONS(1119),
    [aux_sym_declare_statement_token1] = ACTIONS(1119),
    [aux_sym_declare_statement_token2] = ACTIONS(1119),
    [sym_float] = ACTIONS(1119),
    [aux_sym_try_statement_token1] = ACTIONS(1119),
    [aux_sym_goto_statement_token1] = ACTIONS(1119),
    [aux_sym_continue_statement_token1] = ACTIONS(1119),
    [aux_sym_break_statement_token1] = ACTIONS(1119),
    [sym_integer] = ACTIONS(1119),
    [aux_sym_return_statement_token1] = ACTIONS(1119),
    [aux_sym_throw_expression_token1] = ACTIONS(1119),
    [aux_sym_while_statement_token1] = ACTIONS(1119),
    [aux_sym_while_statement_token2] = ACTIONS(1119),
    [aux_sym_do_statement_token1] = ACTIONS(1119),
    [aux_sym_for_statement_token1] = ACTIONS(1119),
    [aux_sym_for_statement_token2] = ACTIONS(1119),
    [aux_sym_foreach_statement_token1] = ACTIONS(1119),
    [aux_sym_foreach_statement_token2] = ACTIONS(1119),
    [aux_sym_if_statement_token1] = ACTIONS(1119),
    [aux_sym_if_statement_token2] = ACTIONS(1119),
    [aux_sym_else_if_clause_token1] = ACTIONS(1113),
    [aux_sym_else_clause_token1] = ACTIONS(1115),
    [aux_sym_match_expression_token1] = ACTIONS(1119),
    [aux_sym_match_default_expression_token1] = ACTIONS(1119),
    [aux_sym_switch_statement_token1] = ACTIONS(1119),
    [aux_sym_switch_block_token1] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1117),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(1117),
    [aux_sym_clone_expression_token1] = ACTIONS(1119),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1119),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1117),
    [anon_sym_PLUS_PLUS] = ACTIONS(1117),
    [aux_sym__list_destructing_token1] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1117),
    [anon_sym_self] = ACTIONS(1119),
    [anon_sym_parent] = ACTIONS(1119),
    [aux_sym__argument_name_token1] = ACTIONS(1119),
    [aux_sym__argument_name_token2] = ACTIONS(1119),
    [anon_sym_POUND_LBRACK] = ACTIONS(1117),
    [aux_sym_encapsed_string_token1] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1117),
    [aux_sym_string_token1] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_LT_LT_LT] = ACTIONS(1117),
    [anon_sym_BQUOTE] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1117),
    [aux_sym_yield_expression_token1] = ACTIONS(1119),
    [aux_sym_include_expression_token1] = ACTIONS(1119),
    [aux_sym_include_once_expression_token1] = ACTIONS(1119),
    [aux_sym_require_expression_token1] = ACTIONS(1119),
    [aux_sym_require_once_expression_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_else_if_clause] = STATE(624),
    [sym_else_clause] = STATE(611),
    [aux_sym_if_statement_repeat1] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1117),
    [sym_name] = ACTIONS(1119),
    [anon_sym_QMARK_GT] = ACTIONS(1117),
    [anon_sym_SEMI] = ACTIONS(1117),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1119),
    [aux_sym_global_declaration_token1] = ACTIONS(1119),
    [aux_sym_namespace_definition_token1] = ACTIONS(1119),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1119),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1119),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1119),
    [anon_sym_BSLASH] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1117),
    [anon_sym_RBRACE] = ACTIONS(1117),
    [aux_sym_trait_declaration_token1] = ACTIONS(1119),
    [aux_sym_interface_declaration_token1] = ACTIONS(1119),
    [aux_sym_enum_declaration_token1] = ACTIONS(1119),
    [aux_sym_enum_case_token1] = ACTIONS(1119),
    [aux_sym_class_declaration_token1] = ACTIONS(1119),
    [aux_sym_final_modifier_token1] = ACTIONS(1119),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1119),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1119),
    [sym_var_modifier] = ACTIONS(1119),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1119),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1119),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1119),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1119),
    [anon_sym_LPAREN] = ACTIONS(1117),
    [aux_sym_cast_type_token1] = ACTIONS(1119),
    [aux_sym_echo_statement_token1] = ACTIONS(1119),
    [aux_sym_exit_statement_token1] = ACTIONS(1119),
    [anon_sym_unset] = ACTIONS(1119),
    [aux_sym_declare_statement_token1] = ACTIONS(1119),
    [aux_sym_declare_statement_token2] = ACTIONS(1119),
    [sym_float] = ACTIONS(1119),
    [aux_sym_try_statement_token1] = ACTIONS(1119),
    [aux_sym_goto_statement_token1] = ACTIONS(1119),
    [aux_sym_continue_statement_token1] = ACTIONS(1119),
    [aux_sym_break_statement_token1] = ACTIONS(1119),
    [sym_integer] = ACTIONS(1119),
    [aux_sym_return_statement_token1] = ACTIONS(1119),
    [aux_sym_throw_expression_token1] = ACTIONS(1119),
    [aux_sym_while_statement_token1] = ACTIONS(1119),
    [aux_sym_while_statement_token2] = ACTIONS(1119),
    [aux_sym_do_statement_token1] = ACTIONS(1119),
    [aux_sym_for_statement_token1] = ACTIONS(1119),
    [aux_sym_for_statement_token2] = ACTIONS(1119),
    [aux_sym_foreach_statement_token1] = ACTIONS(1119),
    [aux_sym_foreach_statement_token2] = ACTIONS(1119),
    [aux_sym_if_statement_token1] = ACTIONS(1119),
    [aux_sym_if_statement_token2] = ACTIONS(1119),
    [aux_sym_else_if_clause_token1] = ACTIONS(1121),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1119),
    [aux_sym_match_default_expression_token1] = ACTIONS(1119),
    [aux_sym_switch_statement_token1] = ACTIONS(1119),
    [aux_sym_switch_block_token1] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1117),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(1117),
    [aux_sym_clone_expression_token1] = ACTIONS(1119),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1119),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1117),
    [anon_sym_PLUS_PLUS] = ACTIONS(1117),
    [aux_sym__list_destructing_token1] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1117),
    [anon_sym_self] = ACTIONS(1119),
    [anon_sym_parent] = ACTIONS(1119),
    [aux_sym__argument_name_token1] = ACTIONS(1119),
    [aux_sym__argument_name_token2] = ACTIONS(1119),
    [anon_sym_POUND_LBRACK] = ACTIONS(1117),
    [aux_sym_encapsed_string_token1] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1117),
    [aux_sym_string_token1] = ACTIONS(1117),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_LT_LT_LT] = ACTIONS(1117),
    [anon_sym_BQUOTE] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1117),
    [aux_sym_yield_expression_token1] = ACTIONS(1119),
    [aux_sym_include_expression_token1] = ACTIONS(1119),
    [aux_sym_include_once_expression_token1] = ACTIONS(1119),
    [aux_sym_require_expression_token1] = ACTIONS(1119),
    [aux_sym_require_once_expression_token1] = ACTIONS(1119),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_else_if_clause] = STATE(624),
    [aux_sym_if_statement_repeat1] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_name] = ACTIONS(1129),
    [anon_sym_QMARK_GT] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1127),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1129),
    [aux_sym_global_declaration_token1] = ACTIONS(1129),
    [aux_sym_namespace_definition_token1] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1129),
    [anon_sym_BSLASH] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [aux_sym_trait_declaration_token1] = ACTIONS(1129),
    [aux_sym_interface_declaration_token1] = ACTIONS(1129),
    [aux_sym_enum_declaration_token1] = ACTIONS(1129),
    [aux_sym_enum_case_token1] = ACTIONS(1129),
    [aux_sym_class_declaration_token1] = ACTIONS(1129),
    [aux_sym_final_modifier_token1] = ACTIONS(1129),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1129),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1129),
    [sym_var_modifier] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1129),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [aux_sym_cast_type_token1] = ACTIONS(1129),
    [aux_sym_echo_statement_token1] = ACTIONS(1129),
    [aux_sym_exit_statement_token1] = ACTIONS(1129),
    [anon_sym_unset] = ACTIONS(1129),
    [aux_sym_declare_statement_token1] = ACTIONS(1129),
    [aux_sym_declare_statement_token2] = ACTIONS(1129),
    [sym_float] = ACTIONS(1129),
    [aux_sym_try_statement_token1] = ACTIONS(1129),
    [aux_sym_goto_statement_token1] = ACTIONS(1129),
    [aux_sym_continue_statement_token1] = ACTIONS(1129),
    [aux_sym_break_statement_token1] = ACTIONS(1129),
    [sym_integer] = ACTIONS(1129),
    [aux_sym_return_statement_token1] = ACTIONS(1129),
    [aux_sym_throw_expression_token1] = ACTIONS(1129),
    [aux_sym_while_statement_token1] = ACTIONS(1129),
    [aux_sym_while_statement_token2] = ACTIONS(1129),
    [aux_sym_do_statement_token1] = ACTIONS(1129),
    [aux_sym_for_statement_token1] = ACTIONS(1129),
    [aux_sym_for_statement_token2] = ACTIONS(1129),
    [aux_sym_foreach_statement_token1] = ACTIONS(1129),
    [aux_sym_foreach_statement_token2] = ACTIONS(1129),
    [aux_sym_if_statement_token1] = ACTIONS(1129),
    [aux_sym_if_statement_token2] = ACTIONS(1129),
    [aux_sym_else_if_clause_token1] = ACTIONS(1131),
    [aux_sym_else_clause_token1] = ACTIONS(1129),
    [aux_sym_match_expression_token1] = ACTIONS(1129),
    [aux_sym_match_default_expression_token1] = ACTIONS(1129),
    [aux_sym_switch_statement_token1] = ACTIONS(1129),
    [aux_sym_switch_block_token1] = ACTIONS(1129),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_AT] = ACTIONS(1127),
    [aux_sym_clone_expression_token1] = ACTIONS(1129),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1129),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [aux_sym__list_destructing_token1] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_self] = ACTIONS(1129),
    [anon_sym_parent] = ACTIONS(1129),
    [aux_sym__argument_name_token1] = ACTIONS(1129),
    [aux_sym__argument_name_token2] = ACTIONS(1129),
    [anon_sym_POUND_LBRACK] = ACTIONS(1127),
    [aux_sym_encapsed_string_token1] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [aux_sym_string_token1] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1127),
    [anon_sym_LT_LT_LT] = ACTIONS(1127),
    [anon_sym_BQUOTE] = ACTIONS(1127),
    [anon_sym_DOLLAR] = ACTIONS(1127),
    [aux_sym_yield_expression_token1] = ACTIONS(1129),
    [aux_sym_include_expression_token1] = ACTIONS(1129),
    [aux_sym_include_once_expression_token1] = ACTIONS(1129),
    [aux_sym_require_expression_token1] = ACTIONS(1129),
    [aux_sym_require_once_expression_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_catch_clause_token1] = ACTIONS(1136),
    [aux_sym_finally_clause_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_catch_clause_token1] = ACTIONS(1140),
    [aux_sym_finally_clause_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_catch_clause_token1] = ACTIONS(1144),
    [aux_sym_finally_clause_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_catch_clause_token1] = ACTIONS(1148),
    [aux_sym_finally_clause_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_catch_clause_token1] = ACTIONS(1152),
    [aux_sym_finally_clause_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1158),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1164),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1166),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1174),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1180),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1186),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1192),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1194),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [sym_var_modifier] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [aux_sym_exit_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1202),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1208),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [sym_var_modifier] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [aux_sym_exit_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1214),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1220),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [sym_var_modifier] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [aux_sym_exit_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1226),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1232),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [sym_var_modifier] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [aux_sym_exit_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [sym_var_modifier] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [aux_sym_exit_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [sym_var_modifier] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [aux_sym_exit_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [sym_var_modifier] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [aux_sym_exit_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [sym_var_modifier] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [aux_sym_exit_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__unary_expression] = STATE(1037),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(657),
    [sym_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_function_call_expression] = STATE(642),
    [sym_scoped_call_expression] = STATE(642),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(642),
    [sym_nullsafe_member_call_expression] = STATE(642),
    [sym_subscript_expression] = STATE(642),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(642),
    [sym_variable_name] = STATE(642),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(671),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__unary_expression] = STATE(1037),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(657),
    [sym_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_function_call_expression] = STATE(642),
    [sym_scoped_call_expression] = STATE(642),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(642),
    [sym_nullsafe_member_call_expression] = STATE(642),
    [sym_subscript_expression] = STATE(642),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(642),
    [sym_variable_name] = STATE(642),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(765),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(775),
    [aux_sym_clone_expression_token1] = ACTIONS(777),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(787),
    [aux_sym_include_once_expression_token1] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__unary_expression] = STATE(1037),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(657),
    [sym_member_access_expression] = STATE(657),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_function_call_expression] = STATE(642),
    [sym_scoped_call_expression] = STATE(642),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(642),
    [sym_nullsafe_member_call_expression] = STATE(642),
    [sym_subscript_expression] = STATE(642),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(642),
    [sym_variable_name] = STATE(642),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(735),
    [aux_sym_clone_expression_token1] = ACTIONS(737),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(747),
    [aux_sym_include_once_expression_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_qualified_name] = STATE(769),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym__unary_expression] = STATE(1037),
    [sym_unary_op_expression] = STATE(1037),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1037),
    [sym_primary_expression] = STATE(1037),
    [sym_parenthesized_expression] = STATE(767),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1037),
    [sym_cast_variable] = STATE(693),
    [sym_member_access_expression] = STATE(693),
    [sym_nullsafe_member_access_expression] = STATE(693),
    [sym_scoped_property_access_expression] = STATE(693),
    [sym_function_call_expression] = STATE(667),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2617),
    [sym_relative_scope] = STATE(2617),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1750),
    [sym_array_creation_expression] = STATE(767),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(758),
    [sym_string] = STATE(758),
    [sym_heredoc] = STATE(758),
    [sym_nowdoc] = STATE(758),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(758),
    [sym_dynamic_variable_name] = STATE(667),
    [sym_variable_name] = STATE(667),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1625),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(657),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(949),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(683),
    [anon_sym_DASH] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(687),
    [aux_sym_clone_expression_token1] = ACTIONS(689),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(711),
    [aux_sym_include_expression_token1] = ACTIONS(717),
    [aux_sym_include_once_expression_token1] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(1492),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(1500),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(1504),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(1508),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(1512),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(1524),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(1528),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(1532),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(1536),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(1544),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(1548),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(1552),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1556),
    [sym_name] = ACTIONS(1558),
    [anon_sym_QMARK_GT] = ACTIONS(1556),
    [anon_sym_SEMI] = ACTIONS(1556),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1558),
    [aux_sym_global_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_definition_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1558),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1558),
    [anon_sym_BSLASH] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_RBRACE] = ACTIONS(1556),
    [aux_sym_trait_declaration_token1] = ACTIONS(1558),
    [aux_sym_interface_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_declaration_token1] = ACTIONS(1558),
    [aux_sym_enum_case_token1] = ACTIONS(1558),
    [aux_sym_class_declaration_token1] = ACTIONS(1558),
    [aux_sym_final_modifier_token1] = ACTIONS(1558),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1558),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1558),
    [sym_var_modifier] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1558),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1558),
    [aux_sym_echo_statement_token1] = ACTIONS(1558),
    [aux_sym_exit_statement_token1] = ACTIONS(1558),
    [anon_sym_unset] = ACTIONS(1558),
    [aux_sym_declare_statement_token1] = ACTIONS(1558),
    [aux_sym_declare_statement_token2] = ACTIONS(1558),
    [sym_float] = ACTIONS(1558),
    [aux_sym_try_statement_token1] = ACTIONS(1558),
    [aux_sym_goto_statement_token1] = ACTIONS(1558),
    [aux_sym_continue_statement_token1] = ACTIONS(1558),
    [aux_sym_break_statement_token1] = ACTIONS(1558),
    [sym_integer] = ACTIONS(1558),
    [aux_sym_return_statement_token1] = ACTIONS(1558),
    [aux_sym_throw_expression_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token1] = ACTIONS(1558),
    [aux_sym_while_statement_token2] = ACTIONS(1558),
    [aux_sym_do_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token1] = ACTIONS(1558),
    [aux_sym_for_statement_token2] = ACTIONS(1558),
    [aux_sym_foreach_statement_token1] = ACTIONS(1558),
    [aux_sym_foreach_statement_token2] = ACTIONS(1558),
    [aux_sym_if_statement_token1] = ACTIONS(1558),
    [aux_sym_if_statement_token2] = ACTIONS(1558),
    [aux_sym_else_if_clause_token1] = ACTIONS(1558),
    [aux_sym_else_clause_token1] = ACTIONS(1558),
    [aux_sym_match_expression_token1] = ACTIONS(1558),
    [aux_sym_match_default_expression_token1] = ACTIONS(1558),
    [aux_sym_switch_statement_token1] = ACTIONS(1558),
    [aux_sym_switch_block_token1] = ACTIONS(1558),
    [anon_sym_PLUS] = ACTIONS(1558),
    [anon_sym_DASH] = ACTIONS(1558),
    [anon_sym_TILDE] = ACTIONS(1556),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1556),
    [aux_sym_clone_expression_token1] = ACTIONS(1558),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1558),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1558),
    [anon_sym_DASH_DASH] = ACTIONS(1556),
    [anon_sym_PLUS_PLUS] = ACTIONS(1556),
    [aux_sym__list_destructing_token1] = ACTIONS(1558),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_self] = ACTIONS(1558),
    [anon_sym_parent] = ACTIONS(1558),
    [aux_sym__argument_name_token1] = ACTIONS(1558),
    [aux_sym__argument_name_token2] = ACTIONS(1558),
    [anon_sym_POUND_LBRACK] = ACTIONS(1556),
    [aux_sym_encapsed_string_token1] = ACTIONS(1556),
    [anon_sym_DQUOTE] = ACTIONS(1556),
    [aux_sym_string_token1] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1556),
    [anon_sym_LT_LT_LT] = ACTIONS(1556),
    [anon_sym_BQUOTE] = ACTIONS(1556),
    [anon_sym_DOLLAR] = ACTIONS(1556),
    [aux_sym_yield_expression_token1] = ACTIONS(1558),
    [aux_sym_include_expression_token1] = ACTIONS(1558),
    [aux_sym_include_once_expression_token1] = ACTIONS(1558),
    [aux_sym_require_expression_token1] = ACTIONS(1558),
    [aux_sym_require_once_expression_token1] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1560),
    [sym_name] = ACTIONS(1562),
    [anon_sym_QMARK_GT] = ACTIONS(1560),
    [anon_sym_SEMI] = ACTIONS(1560),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1562),
    [aux_sym_global_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_definition_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1562),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1562),
    [anon_sym_BSLASH] = ACTIONS(1560),
    [anon_sym_LBRACE] = ACTIONS(1560),
    [anon_sym_RBRACE] = ACTIONS(1560),
    [aux_sym_trait_declaration_token1] = ACTIONS(1562),
    [aux_sym_interface_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_declaration_token1] = ACTIONS(1562),
    [aux_sym_enum_case_token1] = ACTIONS(1562),
    [aux_sym_class_declaration_token1] = ACTIONS(1562),
    [aux_sym_final_modifier_token1] = ACTIONS(1562),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1562),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1562),
    [sym_var_modifier] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1562),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1562),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1562),
    [aux_sym_echo_statement_token1] = ACTIONS(1562),
    [aux_sym_exit_statement_token1] = ACTIONS(1562),
    [anon_sym_unset] = ACTIONS(1562),
    [aux_sym_declare_statement_token1] = ACTIONS(1562),
    [aux_sym_declare_statement_token2] = ACTIONS(1562),
    [sym_float] = ACTIONS(1562),
    [aux_sym_try_statement_token1] = ACTIONS(1562),
    [aux_sym_goto_statement_token1] = ACTIONS(1562),
    [aux_sym_continue_statement_token1] = ACTIONS(1562),
    [aux_sym_break_statement_token1] = ACTIONS(1562),
    [sym_integer] = ACTIONS(1562),
    [aux_sym_return_statement_token1] = ACTIONS(1562),
    [aux_sym_throw_expression_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token1] = ACTIONS(1562),
    [aux_sym_while_statement_token2] = ACTIONS(1562),
    [aux_sym_do_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token1] = ACTIONS(1562),
    [aux_sym_for_statement_token2] = ACTIONS(1562),
    [aux_sym_foreach_statement_token1] = ACTIONS(1562),
    [aux_sym_foreach_statement_token2] = ACTIONS(1562),
    [aux_sym_if_statement_token1] = ACTIONS(1562),
    [aux_sym_if_statement_token2] = ACTIONS(1562),
    [aux_sym_else_if_clause_token1] = ACTIONS(1562),
    [aux_sym_else_clause_token1] = ACTIONS(1562),
    [aux_sym_match_expression_token1] = ACTIONS(1562),
    [aux_sym_match_default_expression_token1] = ACTIONS(1562),
    [aux_sym_switch_statement_token1] = ACTIONS(1562),
    [aux_sym_switch_block_token1] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(1562),
    [anon_sym_DASH] = ACTIONS(1562),
    [anon_sym_TILDE] = ACTIONS(1560),
    [anon_sym_BANG] = ACTIONS(1560),
    [anon_sym_AT] = ACTIONS(1560),
    [aux_sym_clone_expression_token1] = ACTIONS(1562),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1562),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1562),
    [anon_sym_DASH_DASH] = ACTIONS(1560),
    [anon_sym_PLUS_PLUS] = ACTIONS(1560),
    [aux_sym__list_destructing_token1] = ACTIONS(1562),
    [anon_sym_LBRACK] = ACTIONS(1560),
    [anon_sym_self] = ACTIONS(1562),
    [anon_sym_parent] = ACTIONS(1562),
    [aux_sym__argument_name_token1] = ACTIONS(1562),
    [aux_sym__argument_name_token2] = ACTIONS(1562),
    [anon_sym_POUND_LBRACK] = ACTIONS(1560),
    [aux_sym_encapsed_string_token1] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1560),
    [aux_sym_string_token1] = ACTIONS(1560),
    [anon_sym_SQUOTE] = ACTIONS(1560),
    [anon_sym_LT_LT_LT] = ACTIONS(1560),
    [anon_sym_BQUOTE] = ACTIONS(1560),
    [anon_sym_DOLLAR] = ACTIONS(1560),
    [aux_sym_yield_expression_token1] = ACTIONS(1562),
    [aux_sym_include_expression_token1] = ACTIONS(1562),
    [aux_sym_include_once_expression_token1] = ACTIONS(1562),
    [aux_sym_require_expression_token1] = ACTIONS(1562),
    [aux_sym_require_once_expression_token1] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_name] = ACTIONS(1566),
    [anon_sym_QMARK_GT] = ACTIONS(1564),
    [anon_sym_SEMI] = ACTIONS(1564),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1566),
    [aux_sym_global_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_definition_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1566),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_trait_declaration_token1] = ACTIONS(1566),
    [aux_sym_interface_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_case_token1] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1566),
    [aux_sym_final_modifier_token1] = ACTIONS(1566),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1566),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1566),
    [sym_var_modifier] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1566),
    [aux_sym_echo_statement_token1] = ACTIONS(1566),
    [aux_sym_exit_statement_token1] = ACTIONS(1566),
    [anon_sym_unset] = ACTIONS(1566),
    [aux_sym_declare_statement_token1] = ACTIONS(1566),
    [aux_sym_declare_statement_token2] = ACTIONS(1566),
    [sym_float] = ACTIONS(1566),
    [aux_sym_try_statement_token1] = ACTIONS(1566),
    [aux_sym_goto_statement_token1] = ACTIONS(1566),
    [aux_sym_continue_statement_token1] = ACTIONS(1566),
    [aux_sym_break_statement_token1] = ACTIONS(1566),
    [sym_integer] = ACTIONS(1566),
    [aux_sym_return_statement_token1] = ACTIONS(1566),
    [aux_sym_throw_expression_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token2] = ACTIONS(1566),
    [aux_sym_do_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token2] = ACTIONS(1566),
    [aux_sym_foreach_statement_token1] = ACTIONS(1566),
    [aux_sym_foreach_statement_token2] = ACTIONS(1566),
    [aux_sym_if_statement_token1] = ACTIONS(1566),
    [aux_sym_if_statement_token2] = ACTIONS(1566),
    [aux_sym_else_if_clause_token1] = ACTIONS(1566),
    [aux_sym_else_clause_token1] = ACTIONS(1566),
    [aux_sym_match_expression_token1] = ACTIONS(1566),
    [aux_sym_match_default_expression_token1] = ACTIONS(1566),
    [aux_sym_switch_statement_token1] = ACTIONS(1566),
    [aux_sym_switch_block_token1] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [aux_sym_clone_expression_token1] = ACTIONS(1566),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1566),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [aux_sym__list_destructing_token1] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_self] = ACTIONS(1566),
    [anon_sym_parent] = ACTIONS(1566),
    [aux_sym__argument_name_token1] = ACTIONS(1566),
    [aux_sym__argument_name_token2] = ACTIONS(1566),
    [anon_sym_POUND_LBRACK] = ACTIONS(1564),
    [aux_sym_encapsed_string_token1] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_LT_LT_LT] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [aux_sym_yield_expression_token1] = ACTIONS(1566),
    [aux_sym_include_expression_token1] = ACTIONS(1566),
    [aux_sym_include_once_expression_token1] = ACTIONS(1566),
    [aux_sym_require_expression_token1] = ACTIONS(1566),
    [aux_sym_require_once_expression_token1] = ACTIONS(1566),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [sym_name] = ACTIONS(1570),
    [anon_sym_QMARK_GT] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1570),
    [aux_sym_global_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_definition_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1570),
    [anon_sym_BSLASH] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_trait_declaration_token1] = ACTIONS(1570),
    [aux_sym_interface_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_case_token1] = ACTIONS(1570),
    [aux_sym_class_declaration_token1] = ACTIONS(1570),
    [aux_sym_final_modifier_token1] = ACTIONS(1570),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1570),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1570),
    [sym_var_modifier] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1570),
    [aux_sym_echo_statement_token1] = ACTIONS(1570),
    [aux_sym_exit_statement_token1] = ACTIONS(1570),
    [anon_sym_unset] = ACTIONS(1570),
    [aux_sym_declare_statement_token1] = ACTIONS(1570),
    [aux_sym_declare_statement_token2] = ACTIONS(1570),
    [sym_float] = ACTIONS(1570),
    [aux_sym_try_statement_token1] = ACTIONS(1570),
    [aux_sym_goto_statement_token1] = ACTIONS(1570),
    [aux_sym_continue_statement_token1] = ACTIONS(1570),
    [aux_sym_break_statement_token1] = ACTIONS(1570),
    [sym_integer] = ACTIONS(1570),
    [aux_sym_return_statement_token1] = ACTIONS(1570),
    [aux_sym_throw_expression_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token2] = ACTIONS(1570),
    [aux_sym_do_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token2] = ACTIONS(1570),
    [aux_sym_foreach_statement_token1] = ACTIONS(1570),
    [aux_sym_foreach_statement_token2] = ACTIONS(1570),
    [aux_sym_if_statement_token1] = ACTIONS(1570),
    [aux_sym_if_statement_token2] = ACTIONS(1570),
    [aux_sym_else_if_clause_token1] = ACTIONS(1570),
    [aux_sym_else_clause_token1] = ACTIONS(1570),
    [aux_sym_match_expression_token1] = ACTIONS(1570),
    [aux_sym_match_default_expression_token1] = ACTIONS(1570),
    [aux_sym_switch_statement_token1] = ACTIONS(1570),
    [aux_sym_switch_block_token1] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1568),
    [aux_sym_clone_expression_token1] = ACTIONS(1570),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1570),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [aux_sym__list_destructing_token1] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_self] = ACTIONS(1570),
    [anon_sym_parent] = ACTIONS(1570),
    [aux_sym__argument_name_token1] = ACTIONS(1570),
    [aux_sym__argument_name_token2] = ACTIONS(1570),
    [anon_sym_POUND_LBRACK] = ACTIONS(1568),
    [aux_sym_encapsed_string_token1] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [aux_sym_string_token1] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_LT_LT_LT] = ACTIONS(1568),
    [anon_sym_BQUOTE] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [aux_sym_yield_expression_token1] = ACTIONS(1570),
    [aux_sym_include_expression_token1] = ACTIONS(1570),
    [aux_sym_include_once_expression_token1] = ACTIONS(1570),
    [aux_sym_require_expression_token1] = ACTIONS(1570),
    [aux_sym_require_once_expression_token1] = ACTIONS(1570),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1564),
    [sym_name] = ACTIONS(1566),
    [anon_sym_QMARK_GT] = ACTIONS(1564),
    [anon_sym_SEMI] = ACTIONS(1564),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1566),
    [aux_sym_global_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_definition_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1566),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1566),
    [anon_sym_BSLASH] = ACTIONS(1564),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_RBRACE] = ACTIONS(1564),
    [aux_sym_trait_declaration_token1] = ACTIONS(1566),
    [aux_sym_interface_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_declaration_token1] = ACTIONS(1566),
    [aux_sym_enum_case_token1] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1566),
    [aux_sym_final_modifier_token1] = ACTIONS(1566),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1566),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1566),
    [sym_var_modifier] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1566),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1566),
    [anon_sym_LPAREN] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1566),
    [aux_sym_echo_statement_token1] = ACTIONS(1566),
    [aux_sym_exit_statement_token1] = ACTIONS(1566),
    [anon_sym_unset] = ACTIONS(1566),
    [aux_sym_declare_statement_token1] = ACTIONS(1566),
    [aux_sym_declare_statement_token2] = ACTIONS(1566),
    [sym_float] = ACTIONS(1566),
    [aux_sym_try_statement_token1] = ACTIONS(1566),
    [aux_sym_goto_statement_token1] = ACTIONS(1566),
    [aux_sym_continue_statement_token1] = ACTIONS(1566),
    [aux_sym_break_statement_token1] = ACTIONS(1566),
    [sym_integer] = ACTIONS(1566),
    [aux_sym_return_statement_token1] = ACTIONS(1566),
    [aux_sym_throw_expression_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token1] = ACTIONS(1566),
    [aux_sym_while_statement_token2] = ACTIONS(1566),
    [aux_sym_do_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token1] = ACTIONS(1566),
    [aux_sym_for_statement_token2] = ACTIONS(1566),
    [aux_sym_foreach_statement_token1] = ACTIONS(1566),
    [aux_sym_foreach_statement_token2] = ACTIONS(1566),
    [aux_sym_if_statement_token1] = ACTIONS(1566),
    [aux_sym_if_statement_token2] = ACTIONS(1566),
    [aux_sym_else_if_clause_token1] = ACTIONS(1566),
    [aux_sym_else_clause_token1] = ACTIONS(1566),
    [aux_sym_match_expression_token1] = ACTIONS(1566),
    [aux_sym_match_default_expression_token1] = ACTIONS(1566),
    [aux_sym_switch_statement_token1] = ACTIONS(1566),
    [aux_sym_switch_block_token1] = ACTIONS(1566),
    [anon_sym_PLUS] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1564),
    [anon_sym_BANG] = ACTIONS(1564),
    [anon_sym_AT] = ACTIONS(1564),
    [aux_sym_clone_expression_token1] = ACTIONS(1566),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1566),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1566),
    [anon_sym_DASH_DASH] = ACTIONS(1564),
    [anon_sym_PLUS_PLUS] = ACTIONS(1564),
    [aux_sym__list_destructing_token1] = ACTIONS(1566),
    [anon_sym_LBRACK] = ACTIONS(1564),
    [anon_sym_self] = ACTIONS(1566),
    [anon_sym_parent] = ACTIONS(1566),
    [aux_sym__argument_name_token1] = ACTIONS(1566),
    [aux_sym__argument_name_token2] = ACTIONS(1566),
    [anon_sym_POUND_LBRACK] = ACTIONS(1564),
    [aux_sym_encapsed_string_token1] = ACTIONS(1564),
    [anon_sym_DQUOTE] = ACTIONS(1564),
    [aux_sym_string_token1] = ACTIONS(1564),
    [anon_sym_SQUOTE] = ACTIONS(1564),
    [anon_sym_LT_LT_LT] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1564),
    [anon_sym_DOLLAR] = ACTIONS(1564),
    [aux_sym_yield_expression_token1] = ACTIONS(1566),
    [aux_sym_include_expression_token1] = ACTIONS(1566),
    [aux_sym_include_once_expression_token1] = ACTIONS(1566),
    [aux_sym_require_expression_token1] = ACTIONS(1566),
    [aux_sym_require_once_expression_token1] = ACTIONS(1566),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1568),
    [sym_name] = ACTIONS(1570),
    [anon_sym_QMARK_GT] = ACTIONS(1568),
    [anon_sym_SEMI] = ACTIONS(1568),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1570),
    [aux_sym_global_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_definition_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1570),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1570),
    [anon_sym_BSLASH] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_trait_declaration_token1] = ACTIONS(1570),
    [aux_sym_interface_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_declaration_token1] = ACTIONS(1570),
    [aux_sym_enum_case_token1] = ACTIONS(1570),
    [aux_sym_class_declaration_token1] = ACTIONS(1570),
    [aux_sym_final_modifier_token1] = ACTIONS(1570),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1570),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1570),
    [sym_var_modifier] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1570),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1570),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1570),
    [aux_sym_echo_statement_token1] = ACTIONS(1570),
    [aux_sym_exit_statement_token1] = ACTIONS(1570),
    [anon_sym_unset] = ACTIONS(1570),
    [aux_sym_declare_statement_token1] = ACTIONS(1570),
    [aux_sym_declare_statement_token2] = ACTIONS(1570),
    [sym_float] = ACTIONS(1570),
    [aux_sym_try_statement_token1] = ACTIONS(1570),
    [aux_sym_goto_statement_token1] = ACTIONS(1570),
    [aux_sym_continue_statement_token1] = ACTIONS(1570),
    [aux_sym_break_statement_token1] = ACTIONS(1570),
    [sym_integer] = ACTIONS(1570),
    [aux_sym_return_statement_token1] = ACTIONS(1570),
    [aux_sym_throw_expression_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token1] = ACTIONS(1570),
    [aux_sym_while_statement_token2] = ACTIONS(1570),
    [aux_sym_do_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token1] = ACTIONS(1570),
    [aux_sym_for_statement_token2] = ACTIONS(1570),
    [aux_sym_foreach_statement_token1] = ACTIONS(1570),
    [aux_sym_foreach_statement_token2] = ACTIONS(1570),
    [aux_sym_if_statement_token1] = ACTIONS(1570),
    [aux_sym_if_statement_token2] = ACTIONS(1570),
    [aux_sym_else_if_clause_token1] = ACTIONS(1570),
    [aux_sym_else_clause_token1] = ACTIONS(1570),
    [aux_sym_match_expression_token1] = ACTIONS(1570),
    [aux_sym_match_default_expression_token1] = ACTIONS(1570),
    [aux_sym_switch_statement_token1] = ACTIONS(1570),
    [aux_sym_switch_block_token1] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_TILDE] = ACTIONS(1568),
    [anon_sym_BANG] = ACTIONS(1568),
    [anon_sym_AT] = ACTIONS(1568),
    [aux_sym_clone_expression_token1] = ACTIONS(1570),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1570),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [aux_sym__list_destructing_token1] = ACTIONS(1570),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_self] = ACTIONS(1570),
    [anon_sym_parent] = ACTIONS(1570),
    [aux_sym__argument_name_token1] = ACTIONS(1570),
    [aux_sym__argument_name_token2] = ACTIONS(1570),
    [anon_sym_POUND_LBRACK] = ACTIONS(1568),
    [aux_sym_encapsed_string_token1] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [aux_sym_string_token1] = ACTIONS(1568),
    [anon_sym_SQUOTE] = ACTIONS(1568),
    [anon_sym_LT_LT_LT] = ACTIONS(1568),
    [anon_sym_BQUOTE] = ACTIONS(1568),
    [anon_sym_DOLLAR] = ACTIONS(1568),
    [aux_sym_yield_expression_token1] = ACTIONS(1570),
    [aux_sym_include_expression_token1] = ACTIONS(1570),
    [aux_sym_include_once_expression_token1] = ACTIONS(1570),
    [aux_sym_require_expression_token1] = ACTIONS(1570),
    [aux_sym_require_once_expression_token1] = ACTIONS(1570),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(1496),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1572),
    [sym_name] = ACTIONS(1574),
    [anon_sym_QMARK_GT] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1572),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1574),
    [aux_sym_global_declaration_token1] = ACTIONS(1574),
    [aux_sym_namespace_definition_token1] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1574),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1574),
    [anon_sym_BSLASH] = ACTIONS(1572),
    [anon_sym_LBRACE] = ACTIONS(1572),
    [anon_sym_RBRACE] = ACTIONS(1572),
    [aux_sym_trait_declaration_token1] = ACTIONS(1574),
    [aux_sym_interface_declaration_token1] = ACTIONS(1574),
    [aux_sym_enum_declaration_token1] = ACTIONS(1574),
    [aux_sym_enum_case_token1] = ACTIONS(1574),
    [aux_sym_class_declaration_token1] = ACTIONS(1574),
    [aux_sym_final_modifier_token1] = ACTIONS(1574),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1574),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1574),
    [sym_var_modifier] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1574),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1574),
    [aux_sym_echo_statement_token1] = ACTIONS(1574),
    [aux_sym_exit_statement_token1] = ACTIONS(1574),
    [anon_sym_unset] = ACTIONS(1574),
    [aux_sym_declare_statement_token1] = ACTIONS(1574),
    [aux_sym_declare_statement_token2] = ACTIONS(1574),
    [sym_float] = ACTIONS(1574),
    [aux_sym_try_statement_token1] = ACTIONS(1574),
    [aux_sym_goto_statement_token1] = ACTIONS(1574),
    [aux_sym_continue_statement_token1] = ACTIONS(1574),
    [aux_sym_break_statement_token1] = ACTIONS(1574),
    [sym_integer] = ACTIONS(1574),
    [aux_sym_return_statement_token1] = ACTIONS(1574),
    [aux_sym_throw_expression_token1] = ACTIONS(1574),
    [aux_sym_while_statement_token1] = ACTIONS(1574),
    [aux_sym_while_statement_token2] = ACTIONS(1574),
    [aux_sym_do_statement_token1] = ACTIONS(1574),
    [aux_sym_for_statement_token1] = ACTIONS(1574),
    [aux_sym_for_statement_token2] = ACTIONS(1574),
    [aux_sym_foreach_statement_token1] = ACTIONS(1574),
    [aux_sym_foreach_statement_token2] = ACTIONS(1574),
    [aux_sym_if_statement_token1] = ACTIONS(1574),
    [aux_sym_if_statement_token2] = ACTIONS(1574),
    [aux_sym_else_if_clause_token1] = ACTIONS(1574),
    [aux_sym_else_clause_token1] = ACTIONS(1574),
    [aux_sym_match_expression_token1] = ACTIONS(1574),
    [aux_sym_match_default_expression_token1] = ACTIONS(1574),
    [aux_sym_switch_statement_token1] = ACTIONS(1574),
    [aux_sym_switch_block_token1] = ACTIONS(1574),
    [anon_sym_PLUS] = ACTIONS(1574),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1572),
    [anon_sym_BANG] = ACTIONS(1572),
    [anon_sym_AT] = ACTIONS(1572),
    [aux_sym_clone_expression_token1] = ACTIONS(1574),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1574),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1572),
    [anon_sym_PLUS_PLUS] = ACTIONS(1572),
    [aux_sym__list_destructing_token1] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1572),
    [anon_sym_self] = ACTIONS(1574),
    [anon_sym_parent] = ACTIONS(1574),
    [aux_sym__argument_name_token1] = ACTIONS(1574),
    [aux_sym__argument_name_token2] = ACTIONS(1574),
    [anon_sym_POUND_LBRACK] = ACTIONS(1572),
    [aux_sym_encapsed_string_token1] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [aux_sym_string_token1] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1572),
    [anon_sym_LT_LT_LT] = ACTIONS(1572),
    [anon_sym_BQUOTE] = ACTIONS(1572),
    [anon_sym_DOLLAR] = ACTIONS(1572),
    [aux_sym_yield_expression_token1] = ACTIONS(1574),
    [aux_sym_include_expression_token1] = ACTIONS(1574),
    [aux_sym_include_once_expression_token1] = ACTIONS(1574),
    [aux_sym_require_expression_token1] = ACTIONS(1574),
    [aux_sym_require_once_expression_token1] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1576),
    [sym_name] = ACTIONS(1578),
    [anon_sym_QMARK_GT] = ACTIONS(1576),
    [anon_sym_SEMI] = ACTIONS(1576),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1578),
    [aux_sym_global_declaration_token1] = ACTIONS(1578),
    [aux_sym_namespace_definition_token1] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1578),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1578),
    [anon_sym_BSLASH] = ACTIONS(1576),
    [anon_sym_LBRACE] = ACTIONS(1576),
    [anon_sym_RBRACE] = ACTIONS(1576),
    [aux_sym_trait_declaration_token1] = ACTIONS(1578),
    [aux_sym_interface_declaration_token1] = ACTIONS(1578),
    [aux_sym_enum_declaration_token1] = ACTIONS(1578),
    [aux_sym_enum_case_token1] = ACTIONS(1578),
    [aux_sym_class_declaration_token1] = ACTIONS(1578),
    [aux_sym_final_modifier_token1] = ACTIONS(1578),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1578),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1578),
    [sym_var_modifier] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1578),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1578),
    [aux_sym_echo_statement_token1] = ACTIONS(1578),
    [aux_sym_exit_statement_token1] = ACTIONS(1578),
    [anon_sym_unset] = ACTIONS(1578),
    [aux_sym_declare_statement_token1] = ACTIONS(1578),
    [aux_sym_declare_statement_token2] = ACTIONS(1578),
    [sym_float] = ACTIONS(1578),
    [aux_sym_try_statement_token1] = ACTIONS(1578),
    [aux_sym_goto_statement_token1] = ACTIONS(1578),
    [aux_sym_continue_statement_token1] = ACTIONS(1578),
    [aux_sym_break_statement_token1] = ACTIONS(1578),
    [sym_integer] = ACTIONS(1578),
    [aux_sym_return_statement_token1] = ACTIONS(1578),
    [aux_sym_throw_expression_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token1] = ACTIONS(1578),
    [aux_sym_while_statement_token2] = ACTIONS(1578),
    [aux_sym_do_statement_token1] = ACTIONS(1578),
    [aux_sym_for_statement_token1] = ACTIONS(1578),
    [aux_sym_for_statement_token2] = ACTIONS(1578),
    [aux_sym_foreach_statement_token1] = ACTIONS(1578),
    [aux_sym_foreach_statement_token2] = ACTIONS(1578),
    [aux_sym_if_statement_token1] = ACTIONS(1578),
    [aux_sym_if_statement_token2] = ACTIONS(1578),
    [aux_sym_else_if_clause_token1] = ACTIONS(1578),
    [aux_sym_else_clause_token1] = ACTIONS(1578),
    [aux_sym_match_expression_token1] = ACTIONS(1578),
    [aux_sym_match_default_expression_token1] = ACTIONS(1578),
    [aux_sym_switch_statement_token1] = ACTIONS(1578),
    [aux_sym_switch_block_token1] = ACTIONS(1578),
    [anon_sym_PLUS] = ACTIONS(1578),
    [anon_sym_DASH] = ACTIONS(1578),
    [anon_sym_TILDE] = ACTIONS(1576),
    [anon_sym_BANG] = ACTIONS(1576),
    [anon_sym_AT] = ACTIONS(1576),
    [aux_sym_clone_expression_token1] = ACTIONS(1578),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1578),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1576),
    [anon_sym_PLUS_PLUS] = ACTIONS(1576),
    [aux_sym__list_destructing_token1] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1576),
    [anon_sym_self] = ACTIONS(1578),
    [anon_sym_parent] = ACTIONS(1578),
    [aux_sym__argument_name_token1] = ACTIONS(1578),
    [aux_sym__argument_name_token2] = ACTIONS(1578),
    [anon_sym_POUND_LBRACK] = ACTIONS(1576),
    [aux_sym_encapsed_string_token1] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1576),
    [aux_sym_string_token1] = ACTIONS(1576),
    [anon_sym_SQUOTE] = ACTIONS(1576),
    [anon_sym_LT_LT_LT] = ACTIONS(1576),
    [anon_sym_BQUOTE] = ACTIONS(1576),
    [anon_sym_DOLLAR] = ACTIONS(1576),
    [aux_sym_yield_expression_token1] = ACTIONS(1578),
    [aux_sym_include_expression_token1] = ACTIONS(1578),
    [aux_sym_include_once_expression_token1] = ACTIONS(1578),
    [aux_sym_require_expression_token1] = ACTIONS(1578),
    [aux_sym_require_once_expression_token1] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1580),
    [sym_name] = ACTIONS(1582),
    [anon_sym_QMARK_GT] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1580),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1582),
    [aux_sym_global_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_definition_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1582),
    [anon_sym_BSLASH] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [aux_sym_trait_declaration_token1] = ACTIONS(1582),
    [aux_sym_interface_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_case_token1] = ACTIONS(1582),
    [aux_sym_class_declaration_token1] = ACTIONS(1582),
    [aux_sym_final_modifier_token1] = ACTIONS(1582),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1582),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1582),
    [sym_var_modifier] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1582),
    [aux_sym_echo_statement_token1] = ACTIONS(1582),
    [aux_sym_exit_statement_token1] = ACTIONS(1582),
    [anon_sym_unset] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [aux_sym_declare_statement_token2] = ACTIONS(1582),
    [sym_float] = ACTIONS(1582),
    [aux_sym_try_statement_token1] = ACTIONS(1582),
    [aux_sym_goto_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [sym_integer] = ACTIONS(1582),
    [aux_sym_return_statement_token1] = ACTIONS(1582),
    [aux_sym_throw_expression_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token2] = ACTIONS(1582),
    [aux_sym_do_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token2] = ACTIONS(1582),
    [aux_sym_foreach_statement_token1] = ACTIONS(1582),
    [aux_sym_foreach_statement_token2] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token2] = ACTIONS(1582),
    [aux_sym_else_if_clause_token1] = ACTIONS(1582),
    [aux_sym_else_clause_token1] = ACTIONS(1582),
    [aux_sym_match_expression_token1] = ACTIONS(1582),
    [aux_sym_match_default_expression_token1] = ACTIONS(1582),
    [aux_sym_switch_statement_token1] = ACTIONS(1582),
    [aux_sym_switch_block_token1] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [aux_sym_clone_expression_token1] = ACTIONS(1582),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1582),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1580),
    [aux_sym__list_destructing_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_self] = ACTIONS(1582),
    [anon_sym_parent] = ACTIONS(1582),
    [aux_sym__argument_name_token1] = ACTIONS(1582),
    [aux_sym__argument_name_token2] = ACTIONS(1582),
    [anon_sym_POUND_LBRACK] = ACTIONS(1580),
    [aux_sym_encapsed_string_token1] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(1580),
    [aux_sym_string_token1] = ACTIONS(1580),
    [anon_sym_SQUOTE] = ACTIONS(1580),
    [anon_sym_LT_LT_LT] = ACTIONS(1580),
    [anon_sym_BQUOTE] = ACTIONS(1580),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [aux_sym_yield_expression_token1] = ACTIONS(1582),
    [aux_sym_include_expression_token1] = ACTIONS(1582),
    [aux_sym_include_once_expression_token1] = ACTIONS(1582),
    [aux_sym_require_expression_token1] = ACTIONS(1582),
    [aux_sym_require_once_expression_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1580),
    [sym_name] = ACTIONS(1582),
    [anon_sym_QMARK_GT] = ACTIONS(1580),
    [anon_sym_SEMI] = ACTIONS(1580),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1582),
    [aux_sym_global_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_definition_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1582),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1582),
    [anon_sym_BSLASH] = ACTIONS(1580),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_RBRACE] = ACTIONS(1580),
    [aux_sym_trait_declaration_token1] = ACTIONS(1582),
    [aux_sym_interface_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_declaration_token1] = ACTIONS(1582),
    [aux_sym_enum_case_token1] = ACTIONS(1582),
    [aux_sym_class_declaration_token1] = ACTIONS(1582),
    [aux_sym_final_modifier_token1] = ACTIONS(1582),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1582),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1582),
    [sym_var_modifier] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1582),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1582),
    [aux_sym_echo_statement_token1] = ACTIONS(1582),
    [aux_sym_exit_statement_token1] = ACTIONS(1582),
    [anon_sym_unset] = ACTIONS(1582),
    [aux_sym_declare_statement_token1] = ACTIONS(1582),
    [aux_sym_declare_statement_token2] = ACTIONS(1582),
    [sym_float] = ACTIONS(1582),
    [aux_sym_try_statement_token1] = ACTIONS(1582),
    [aux_sym_goto_statement_token1] = ACTIONS(1582),
    [aux_sym_continue_statement_token1] = ACTIONS(1582),
    [aux_sym_break_statement_token1] = ACTIONS(1582),
    [sym_integer] = ACTIONS(1582),
    [aux_sym_return_statement_token1] = ACTIONS(1582),
    [aux_sym_throw_expression_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token1] = ACTIONS(1582),
    [aux_sym_while_statement_token2] = ACTIONS(1582),
    [aux_sym_do_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token1] = ACTIONS(1582),
    [aux_sym_for_statement_token2] = ACTIONS(1582),
    [aux_sym_foreach_statement_token1] = ACTIONS(1582),
    [aux_sym_foreach_statement_token2] = ACTIONS(1582),
    [aux_sym_if_statement_token1] = ACTIONS(1582),
    [aux_sym_if_statement_token2] = ACTIONS(1582),
    [aux_sym_else_if_clause_token1] = ACTIONS(1582),
    [aux_sym_else_clause_token1] = ACTIONS(1582),
    [aux_sym_match_expression_token1] = ACTIONS(1582),
    [aux_sym_match_default_expression_token1] = ACTIONS(1582),
    [aux_sym_switch_statement_token1] = ACTIONS(1582),
    [aux_sym_switch_block_token1] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_TILDE] = ACTIONS(1580),
    [anon_sym_BANG] = ACTIONS(1580),
    [anon_sym_AT] = ACTIONS(1580),
    [aux_sym_clone_expression_token1] = ACTIONS(1582),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1582),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1580),
    [anon_sym_PLUS_PLUS] = ACTIONS(1580),
    [aux_sym__list_destructing_token1] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_self] = ACTIONS(1582),
    [anon_sym_parent] = ACTIONS(1582),
    [aux_sym__argument_name_token1] = ACTIONS(1582),
    [aux_sym__argument_name_token2] = ACTIONS(1582),
    [anon_sym_POUND_LBRACK] = ACTIONS(1580),
    [aux_sym_encapsed_string_token1] = ACTIONS(1580),
    [anon_sym_DQUOTE] = ACTIONS(1580),
    [aux_sym_string_token1] = ACTIONS(1580),
    [anon_sym_SQUOTE] = ACTIONS(1580),
    [anon_sym_LT_LT_LT] = ACTIONS(1580),
    [anon_sym_BQUOTE] = ACTIONS(1580),
    [anon_sym_DOLLAR] = ACTIONS(1580),
    [aux_sym_yield_expression_token1] = ACTIONS(1582),
    [aux_sym_include_expression_token1] = ACTIONS(1582),
    [aux_sym_include_once_expression_token1] = ACTIONS(1582),
    [aux_sym_require_expression_token1] = ACTIONS(1582),
    [aux_sym_require_once_expression_token1] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1584),
    [sym_name] = ACTIONS(1586),
    [anon_sym_QMARK_GT] = ACTIONS(1584),
    [anon_sym_SEMI] = ACTIONS(1584),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1586),
    [aux_sym_global_declaration_token1] = ACTIONS(1586),
    [aux_sym_namespace_definition_token1] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1586),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1586),
    [anon_sym_BSLASH] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1584),
    [anon_sym_RBRACE] = ACTIONS(1584),
    [aux_sym_trait_declaration_token1] = ACTIONS(1586),
    [aux_sym_interface_declaration_token1] = ACTIONS(1586),
    [aux_sym_enum_declaration_token1] = ACTIONS(1586),
    [aux_sym_enum_case_token1] = ACTIONS(1586),
    [aux_sym_class_declaration_token1] = ACTIONS(1586),
    [aux_sym_final_modifier_token1] = ACTIONS(1586),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1586),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1586),
    [sym_var_modifier] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1586),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1586),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1586),
    [aux_sym_echo_statement_token1] = ACTIONS(1586),
    [aux_sym_exit_statement_token1] = ACTIONS(1586),
    [anon_sym_unset] = ACTIONS(1586),
    [aux_sym_declare_statement_token1] = ACTIONS(1586),
    [aux_sym_declare_statement_token2] = ACTIONS(1586),
    [sym_float] = ACTIONS(1586),
    [aux_sym_try_statement_token1] = ACTIONS(1586),
    [aux_sym_goto_statement_token1] = ACTIONS(1586),
    [aux_sym_continue_statement_token1] = ACTIONS(1586),
    [aux_sym_break_statement_token1] = ACTIONS(1586),
    [sym_integer] = ACTIONS(1586),
    [aux_sym_return_statement_token1] = ACTIONS(1586),
    [aux_sym_throw_expression_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token1] = ACTIONS(1586),
    [aux_sym_while_statement_token2] = ACTIONS(1586),
    [aux_sym_do_statement_token1] = ACTIONS(1586),
    [aux_sym_for_statement_token1] = ACTIONS(1586),
    [aux_sym_for_statement_token2] = ACTIONS(1586),
    [aux_sym_foreach_statement_token1] = ACTIONS(1586),
    [aux_sym_foreach_statement_token2] = ACTIONS(1586),
    [aux_sym_if_statement_token1] = ACTIONS(1586),
    [aux_sym_if_statement_token2] = ACTIONS(1586),
    [aux_sym_else_if_clause_token1] = ACTIONS(1586),
    [aux_sym_else_clause_token1] = ACTIONS(1586),
    [aux_sym_match_expression_token1] = ACTIONS(1586),
    [aux_sym_match_default_expression_token1] = ACTIONS(1586),
    [aux_sym_switch_statement_token1] = ACTIONS(1586),
    [aux_sym_switch_block_token1] = ACTIONS(1586),
    [anon_sym_PLUS] = ACTIONS(1586),
    [anon_sym_DASH] = ACTIONS(1586),
    [anon_sym_TILDE] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1584),
    [anon_sym_AT] = ACTIONS(1584),
    [aux_sym_clone_expression_token1] = ACTIONS(1586),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1586),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1586),
    [anon_sym_DASH_DASH] = ACTIONS(1584),
    [anon_sym_PLUS_PLUS] = ACTIONS(1584),
    [aux_sym__list_destructing_token1] = ACTIONS(1586),
    [anon_sym_LBRACK] = ACTIONS(1584),
    [anon_sym_self] = ACTIONS(1586),
    [anon_sym_parent] = ACTIONS(1586),
    [aux_sym__argument_name_token1] = ACTIONS(1586),
    [aux_sym__argument_name_token2] = ACTIONS(1586),
    [anon_sym_POUND_LBRACK] = ACTIONS(1584),
    [aux_sym_encapsed_string_token1] = ACTIONS(1584),
    [anon_sym_DQUOTE] = ACTIONS(1584),
    [aux_sym_string_token1] = ACTIONS(1584),
    [anon_sym_SQUOTE] = ACTIONS(1584),
    [anon_sym_LT_LT_LT] = ACTIONS(1584),
    [anon_sym_BQUOTE] = ACTIONS(1584),
    [anon_sym_DOLLAR] = ACTIONS(1584),
    [aux_sym_yield_expression_token1] = ACTIONS(1586),
    [aux_sym_include_expression_token1] = ACTIONS(1586),
    [aux_sym_include_once_expression_token1] = ACTIONS(1586),
    [aux_sym_require_expression_token1] = ACTIONS(1586),
    [aux_sym_require_once_expression_token1] = ACTIONS(1586),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1588),
    [sym_name] = ACTIONS(1590),
    [anon_sym_QMARK_GT] = ACTIONS(1588),
    [anon_sym_SEMI] = ACTIONS(1588),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1590),
    [aux_sym_global_declaration_token1] = ACTIONS(1590),
    [aux_sym_namespace_definition_token1] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1590),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1590),
    [anon_sym_BSLASH] = ACTIONS(1588),
    [anon_sym_LBRACE] = ACTIONS(1588),
    [anon_sym_RBRACE] = ACTIONS(1588),
    [aux_sym_trait_declaration_token1] = ACTIONS(1590),
    [aux_sym_interface_declaration_token1] = ACTIONS(1590),
    [aux_sym_enum_declaration_token1] = ACTIONS(1590),
    [aux_sym_enum_case_token1] = ACTIONS(1590),
    [aux_sym_class_declaration_token1] = ACTIONS(1590),
    [aux_sym_final_modifier_token1] = ACTIONS(1590),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1590),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1590),
    [sym_var_modifier] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1590),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [aux_sym_cast_type_token1] = ACTIONS(1590),
    [aux_sym_echo_statement_token1] = ACTIONS(1590),
    [aux_sym_exit_statement_token1] = ACTIONS(1590),
    [anon_sym_unset] = ACTIONS(1590),
    [aux_sym_declare_statement_token1] = ACTIONS(1590),
    [aux_sym_declare_statement_token2] = ACTIONS(1590),
    [sym_float] = ACTIONS(1590),
    [aux_sym_try_statement_token1] = ACTIONS(1590),
    [aux_sym_goto_statement_token1] = ACTIONS(1590),
    [aux_sym_continue_statement_token1] = ACTIONS(1590),
    [aux_sym_break_statement_token1] = ACTIONS(1590),
    [sym_integer] = ACTIONS(1590),
    [aux_sym_return_statement_token1] = ACTIONS(1590),
    [aux_sym_throw_expression_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token1] = ACTIONS(1590),
    [aux_sym_while_statement_token2] = ACTIONS(1590),
    [aux_sym_do_statement_token1] = ACTIONS(1590),
    [aux_sym_for_statement_token1] = ACTIONS(1590),
    [aux_sym_for_statement_token2] = ACTIONS(1590),
    [aux_sym_foreach_statement_token1] = ACTIONS(1590),
    [aux_sym_foreach_statement_token2] = ACTIONS(1590),
    [aux_sym_if_statement_token1] = ACTIONS(1590),
    [aux_sym_if_statement_token2] = ACTIONS(1590),
    [aux_sym_else_if_clause_token1] = ACTIONS(1590),
    [aux_sym_else_clause_token1] = ACTIONS(1590),
    [aux_sym_match_expression_token1] = ACTIONS(1590),
    [aux_sym_match_default_expression_token1] = ACTIONS(1590),
    [aux_sym_switch_statement_token1] = ACTIONS(1590),
    [aux_sym_switch_block_token1] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_TILDE] = ACTIONS(1588),
    [anon_sym_BANG] = ACTIONS(1588),
    [anon_sym_AT] = ACTIONS(1588),
    [aux_sym_clone_expression_token1] = ACTIONS(1590),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1590),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1590),
    [anon_sym_DASH_DASH] = ACTIONS(1588),
    [anon_sym_PLUS_PLUS] = ACTIONS(1588),
    [aux_sym__list_destructing_token1] = ACTIONS(1590),
    [anon_sym_LBRACK] = ACTIONS(1588),
    [anon_sym_self] = ACTIONS(1590),
    [anon_sym_parent] = ACTIONS(1590),
    [aux_sym__argument_name_token1] = ACTIONS(1590),
    [aux_sym__argument_name_token2] = ACTIONS(1590),
    [anon_sym_POUND_LBRACK] = ACTIONS(1588),
    [aux_sym_encapsed_string_token1] = ACTIONS(1588),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [aux_sym_string_token1] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1588),
    [anon_sym_LT_LT_LT] = ACTIONS(1588),
    [anon_sym_BQUOTE] = ACTIONS(1588),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [aux_sym_yield_expression_token1] = ACTIONS(1590),
    [aux_sym_include_expression_token1] = ACTIONS(1590),
    [aux_sym_include_once_expression_token1] = ACTIONS(1590),
    [aux_sym_require_expression_token1] = ACTIONS(1590),
    [aux_sym_require_once_expression_token1] = ACTIONS(1590),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1592),
    [sym_name] = ACTIONS(1594),
    [anon_sym_QMARK_GT] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1592),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_case_token1] = ACTIONS(1594),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1592),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [aux_sym_declare_statement_token2] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token2] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token2] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token2] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token2] = ACTIONS(1594),
    [aux_sym_else_if_clause_token1] = ACTIONS(1594),
    [aux_sym_else_clause_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_match_default_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [aux_sym_switch_block_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1592),
    [anon_sym_BANG] = ACTIONS(1592),
    [anon_sym_AT] = ACTIONS(1592),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1592),
    [anon_sym_PLUS_PLUS] = ACTIONS(1592),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1592),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1592),
    [aux_sym_encapsed_string_token1] = ACTIONS(1592),
    [anon_sym_DQUOTE] = ACTIONS(1592),
    [aux_sym_string_token1] = ACTIONS(1592),
    [anon_sym_SQUOTE] = ACTIONS(1592),
    [anon_sym_LT_LT_LT] = ACTIONS(1592),
    [anon_sym_BQUOTE] = ACTIONS(1592),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1596),
    [sym_name] = ACTIONS(1598),
    [anon_sym_QMARK_GT] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1598),
    [aux_sym_global_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_definition_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1598),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1598),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [anon_sym_RBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1598),
    [aux_sym_interface_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_declaration_token1] = ACTIONS(1598),
    [aux_sym_enum_case_token1] = ACTIONS(1598),
    [aux_sym_class_declaration_token1] = ACTIONS(1598),
    [aux_sym_final_modifier_token1] = ACTIONS(1598),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1598),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1598),
    [sym_var_modifier] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1598),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1598),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1598),
    [anon_sym_LPAREN] = ACTIONS(1596),
    [aux_sym_cast_type_token1] = ACTIONS(1598),
    [aux_sym_echo_statement_token1] = ACTIONS(1598),
    [aux_sym_exit_statement_token1] = ACTIONS(1598),
    [anon_sym_unset] = ACTIONS(1598),
    [aux_sym_declare_statement_token1] = ACTIONS(1598),
    [aux_sym_declare_statement_token2] = ACTIONS(1598),
    [sym_float] = ACTIONS(1598),
    [aux_sym_try_statement_token1] = ACTIONS(1598),
    [aux_sym_goto_statement_token1] = ACTIONS(1598),
    [aux_sym_continue_statement_token1] = ACTIONS(1598),
    [aux_sym_break_statement_token1] = ACTIONS(1598),
    [sym_integer] = ACTIONS(1598),
    [aux_sym_return_statement_token1] = ACTIONS(1598),
    [aux_sym_throw_expression_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token1] = ACTIONS(1598),
    [aux_sym_while_statement_token2] = ACTIONS(1598),
    [aux_sym_do_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token1] = ACTIONS(1598),
    [aux_sym_for_statement_token2] = ACTIONS(1598),
    [aux_sym_foreach_statement_token1] = ACTIONS(1598),
    [aux_sym_foreach_statement_token2] = ACTIONS(1598),
    [aux_sym_if_statement_token1] = ACTIONS(1598),
    [aux_sym_if_statement_token2] = ACTIONS(1598),
    [aux_sym_else_if_clause_token1] = ACTIONS(1598),
    [aux_sym_else_clause_token1] = ACTIONS(1598),
    [aux_sym_match_expression_token1] = ACTIONS(1598),
    [aux_sym_match_default_expression_token1] = ACTIONS(1598),
    [aux_sym_switch_statement_token1] = ACTIONS(1598),
    [aux_sym_switch_block_token1] = ACTIONS(1598),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1598),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1598),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1598),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1598),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1598),
    [anon_sym_parent] = ACTIONS(1598),
    [aux_sym__argument_name_token1] = ACTIONS(1598),
    [aux_sym__argument_name_token2] = ACTIONS(1598),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1598),
    [aux_sym_include_expression_token1] = ACTIONS(1598),
    [aux_sym_include_once_expression_token1] = ACTIONS(1598),
    [aux_sym_require_expression_token1] = ACTIONS(1598),
    [aux_sym_require_once_expression_token1] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1600),
    [sym_name] = ACTIONS(1602),
    [anon_sym_QMARK_GT] = ACTIONS(1600),
    [anon_sym_SEMI] = ACTIONS(1600),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1602),
    [aux_sym_global_declaration_token1] = ACTIONS(1602),
    [aux_sym_namespace_definition_token1] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1602),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1602),
    [anon_sym_BSLASH] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_RBRACE] = ACTIONS(1600),
    [aux_sym_trait_declaration_token1] = ACTIONS(1602),
    [aux_sym_interface_declaration_token1] = ACTIONS(1602),
    [aux_sym_enum_declaration_token1] = ACTIONS(1602),
    [aux_sym_enum_case_token1] = ACTIONS(1602),
    [aux_sym_class_declaration_token1] = ACTIONS(1602),
    [aux_sym_final_modifier_token1] = ACTIONS(1602),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1602),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1602),
    [sym_var_modifier] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1602),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1602),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1602),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [aux_sym_cast_type_token1] = ACTIONS(1602),
    [aux_sym_echo_statement_token1] = ACTIONS(1602),
    [aux_sym_exit_statement_token1] = ACTIONS(1602),
    [anon_sym_unset] = ACTIONS(1602),
    [aux_sym_declare_statement_token1] = ACTIONS(1602),
    [aux_sym_declare_statement_token2] = ACTIONS(1602),
    [sym_float] = ACTIONS(1602),
    [aux_sym_try_statement_token1] = ACTIONS(1602),
    [aux_sym_goto_statement_token1] = ACTIONS(1602),
    [aux_sym_continue_statement_token1] = ACTIONS(1602),
    [aux_sym_break_statement_token1] = ACTIONS(1602),
    [sym_integer] = ACTIONS(1602),
    [aux_sym_return_statement_token1] = ACTIONS(1602),
    [aux_sym_throw_expression_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token1] = ACTIONS(1602),
    [aux_sym_while_statement_token2] = ACTIONS(1602),
    [aux_sym_do_statement_token1] = ACTIONS(1602),
    [aux_sym_for_statement_token1] = ACTIONS(1602),
    [aux_sym_for_statement_token2] = ACTIONS(1602),
    [aux_sym_foreach_statement_token1] = ACTIONS(1602),
    [aux_sym_foreach_statement_token2] = ACTIONS(1602),
    [aux_sym_if_statement_token1] = ACTIONS(1602),
    [aux_sym_if_statement_token2] = ACTIONS(1602),
    [aux_sym_else_if_clause_token1] = ACTIONS(1602),
    [aux_sym_else_clause_token1] = ACTIONS(1602),
    [aux_sym_match_expression_token1] = ACTIONS(1602),
    [aux_sym_match_default_expression_token1] = ACTIONS(1602),
    [aux_sym_switch_statement_token1] = ACTIONS(1602),
    [aux_sym_switch_block_token1] = ACTIONS(1602),
    [anon_sym_PLUS] = ACTIONS(1602),
    [anon_sym_DASH] = ACTIONS(1602),
    [anon_sym_TILDE] = ACTIONS(1600),
    [anon_sym_BANG] = ACTIONS(1600),
    [anon_sym_AT] = ACTIONS(1600),
    [aux_sym_clone_expression_token1] = ACTIONS(1602),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1602),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1602),
    [anon_sym_DASH_DASH] = ACTIONS(1600),
    [anon_sym_PLUS_PLUS] = ACTIONS(1600),
    [aux_sym__list_destructing_token1] = ACTIONS(1602),
    [anon_sym_LBRACK] = ACTIONS(1600),
    [anon_sym_self] = ACTIONS(1602),
    [anon_sym_parent] = ACTIONS(1602),
    [aux_sym__argument_name_token1] = ACTIONS(1602),
    [aux_sym__argument_name_token2] = ACTIONS(1602),
    [anon_sym_POUND_LBRACK] = ACTIONS(1600),
    [aux_sym_encapsed_string_token1] = ACTIONS(1600),
    [anon_sym_DQUOTE] = ACTIONS(1600),
    [aux_sym_string_token1] = ACTIONS(1600),
    [anon_sym_SQUOTE] = ACTIONS(1600),
    [anon_sym_LT_LT_LT] = ACTIONS(1600),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1600),
    [aux_sym_yield_expression_token1] = ACTIONS(1602),
    [aux_sym_include_expression_token1] = ACTIONS(1602),
    [aux_sym_include_once_expression_token1] = ACTIONS(1602),
    [aux_sym_require_expression_token1] = ACTIONS(1602),
    [aux_sym_require_once_expression_token1] = ACTIONS(1602),
    [sym_comment] = ACTIONS(3),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1604),
    [sym_name] = ACTIONS(1606),
    [anon_sym_QMARK_GT] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1606),
    [aux_sym_global_declaration_token1] = ACTIONS(1606),
    [aux_sym_namespace_definition_token1] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1606),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1606),
    [anon_sym_BSLASH] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [aux_sym_trait_declaration_token1] = ACTIONS(1606),
    [aux_sym_interface_declaration_token1] = ACTIONS(1606),
    [aux_sym_enum_declaration_token1] = ACTIONS(1606),
    [aux_sym_enum_case_token1] = ACTIONS(1606),
    [aux_sym_class_declaration_token1] = ACTIONS(1606),
    [aux_sym_final_modifier_token1] = ACTIONS(1606),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1606),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1606),
    [sym_var_modifier] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1606),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1606),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [aux_sym_cast_type_token1] = ACTIONS(1606),
    [aux_sym_echo_statement_token1] = ACTIONS(1606),
    [aux_sym_exit_statement_token1] = ACTIONS(1606),
    [anon_sym_unset] = ACTIONS(1606),
    [aux_sym_declare_statement_token1] = ACTIONS(1606),
    [aux_sym_declare_statement_token2] = ACTIONS(1606),
    [sym_float] = ACTIONS(1606),
    [aux_sym_try_statement_token1] = ACTIONS(1606),
    [aux_sym_goto_statement_token1] = ACTIONS(1606),
    [aux_sym_continue_statement_token1] = ACTIONS(1606),
    [aux_sym_break_statement_token1] = ACTIONS(1606),
    [sym_integer] = ACTIONS(1606),
    [aux_sym_return_statement_token1] = ACTIONS(1606),
    [aux_sym_throw_expression_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token1] = ACTIONS(1606),
    [aux_sym_while_statement_token2] = ACTIONS(1606),
    [aux_sym_do_statement_token1] = ACTIONS(1606),
    [aux_sym_for_statement_token1] = ACTIONS(1606),
    [aux_sym_for_statement_token2] = ACTIONS(1606),
    [aux_sym_foreach_statement_token1] = ACTIONS(1606),
    [aux_sym_foreach_statement_token2] = ACTIONS(1606),
    [aux_sym_if_statement_token1] = ACTIONS(1606),
    [aux_sym_if_statement_token2] = ACTIONS(1606),
    [aux_sym_else_if_clause_token1] = ACTIONS(1606),
    [aux_sym_else_clause_token1] = ACTIONS(1606),
    [aux_sym_match_expression_token1] = ACTIONS(1606),
    [aux_sym_match_default_expression_token1] = ACTIONS(1606),
    [aux_sym_switch_statement_token1] = ACTIONS(1606),
    [aux_sym_switch_block_token1] = ACTIONS(1606),
    [anon_sym_PLUS] = ACTIONS(1606),
    [anon_sym_DASH] = ACTIONS(1606),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [aux_sym_clone_expression_token1] = ACTIONS(1606),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1606),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1606),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [aux_sym__list_destructing_token1] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_self] = ACTIONS(1606),
    [anon_sym_parent] = ACTIONS(1606),
    [aux_sym__argument_name_token1] = ACTIONS(1606),
    [aux_sym__argument_name_token2] = ACTIONS(1606),
    [anon_sym_POUND_LBRACK] = ACTIONS(1604),
    [aux_sym_encapsed_string_token1] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [aux_sym_string_token1] = ACTIONS(1604),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [anon_sym_LT_LT_LT] = ACTIONS(1604),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [aux_sym_yield_expression_token1] = ACTIONS(1606),
    [aux_sym_include_expression_token1] = ACTIONS(1606),
    [aux_sym_include_once_expression_token1] = ACTIONS(1606),
    [aux_sym_require_expression_token1] = ACTIONS(1606),
    [aux_sym_require_once_expression_token1] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1608),
    [sym_name] = ACTIONS(1610),
    [anon_sym_QMARK_GT] = ACTIONS(1608),
    [anon_sym_SEMI] = ACTIONS(1608),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1610),
    [aux_sym_global_declaration_token1] = ACTIONS(1610),
    [aux_sym_namespace_definition_token1] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1610),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1610),
    [anon_sym_BSLASH] = ACTIONS(1608),
    [anon_sym_LBRACE] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1608),
    [aux_sym_trait_declaration_token1] = ACTIONS(1610),
    [aux_sym_interface_declaration_token1] = ACTIONS(1610),
    [aux_sym_enum_declaration_token1] = ACTIONS(1610),
    [aux_sym_enum_case_token1] = ACTIONS(1610),
    [aux_sym_class_declaration_token1] = ACTIONS(1610),
    [aux_sym_final_modifier_token1] = ACTIONS(1610),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1610),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1610),
    [sym_var_modifier] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1610),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1610),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1610),
    [anon_sym_LPAREN] = ACTIONS(1608),
    [aux_sym_cast_type_token1] = ACTIONS(1610),
    [aux_sym_echo_statement_token1] = ACTIONS(1610),
    [aux_sym_exit_statement_token1] = ACTIONS(1610),
    [anon_sym_unset] = ACTIONS(1610),
    [aux_sym_declare_statement_token1] = ACTIONS(1610),
    [aux_sym_declare_statement_token2] = ACTIONS(1610),
    [sym_float] = ACTIONS(1610),
    [aux_sym_try_statement_token1] = ACTIONS(1610),
    [aux_sym_goto_statement_token1] = ACTIONS(1610),
    [aux_sym_continue_statement_token1] = ACTIONS(1610),
    [aux_sym_break_statement_token1] = ACTIONS(1610),
    [sym_integer] = ACTIONS(1610),
    [aux_sym_return_statement_token1] = ACTIONS(1610),
    [aux_sym_throw_expression_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token1] = ACTIONS(1610),
    [aux_sym_while_statement_token2] = ACTIONS(1610),
    [aux_sym_do_statement_token1] = ACTIONS(1610),
    [aux_sym_for_statement_token1] = ACTIONS(1610),
    [aux_sym_for_statement_token2] = ACTIONS(1610),
    [aux_sym_foreach_statement_token1] = ACTIONS(1610),
    [aux_sym_foreach_statement_token2] = ACTIONS(1610),
    [aux_sym_if_statement_token1] = ACTIONS(1610),
    [aux_sym_if_statement_token2] = ACTIONS(1610),
    [aux_sym_else_if_clause_token1] = ACTIONS(1610),
    [aux_sym_else_clause_token1] = ACTIONS(1610),
    [aux_sym_match_expression_token1] = ACTIONS(1610),
    [aux_sym_match_default_expression_token1] = ACTIONS(1610),
    [aux_sym_switch_statement_token1] = ACTIONS(1610),
    [aux_sym_switch_block_token1] = ACTIONS(1610),
    [anon_sym_PLUS] = ACTIONS(1610),
    [anon_sym_DASH] = ACTIONS(1610),
    [anon_sym_TILDE] = ACTIONS(1608),
    [anon_sym_BANG] = ACTIONS(1608),
    [anon_sym_AT] = ACTIONS(1608),
    [aux_sym_clone_expression_token1] = ACTIONS(1610),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1610),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1610),
    [anon_sym_DASH_DASH] = ACTIONS(1608),
    [anon_sym_PLUS_PLUS] = ACTIONS(1608),
    [aux_sym__list_destructing_token1] = ACTIONS(1610),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_self] = ACTIONS(1610),
    [anon_sym_parent] = ACTIONS(1610),
    [aux_sym__argument_name_token1] = ACTIONS(1610),
    [aux_sym__argument_name_token2] = ACTIONS(1610),
    [anon_sym_POUND_LBRACK] = ACTIONS(1608),
    [aux_sym_encapsed_string_token1] = ACTIONS(1608),
    [anon_sym_DQUOTE] = ACTIONS(1608),
    [aux_sym_string_token1] = ACTIONS(1608),
    [anon_sym_SQUOTE] = ACTIONS(1608),
    [anon_sym_LT_LT_LT] = ACTIONS(1608),
    [anon_sym_BQUOTE] = ACTIONS(1608),
    [anon_sym_DOLLAR] = ACTIONS(1608),
    [aux_sym_yield_expression_token1] = ACTIONS(1610),
    [aux_sym_include_expression_token1] = ACTIONS(1610),
    [aux_sym_include_once_expression_token1] = ACTIONS(1610),
    [aux_sym_require_expression_token1] = ACTIONS(1610),
    [aux_sym_require_once_expression_token1] = ACTIONS(1610),
    [sym_comment] = ACTIONS(3),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [sym_name] = ACTIONS(1614),
    [anon_sym_QMARK_GT] = ACTIONS(1612),
    [anon_sym_SEMI] = ACTIONS(1612),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1614),
    [aux_sym_global_declaration_token1] = ACTIONS(1614),
    [aux_sym_namespace_definition_token1] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1614),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1614),
    [anon_sym_BSLASH] = ACTIONS(1612),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [aux_sym_trait_declaration_token1] = ACTIONS(1614),
    [aux_sym_interface_declaration_token1] = ACTIONS(1614),
    [aux_sym_enum_declaration_token1] = ACTIONS(1614),
    [aux_sym_enum_case_token1] = ACTIONS(1614),
    [aux_sym_class_declaration_token1] = ACTIONS(1614),
    [aux_sym_final_modifier_token1] = ACTIONS(1614),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1614),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1614),
    [sym_var_modifier] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1614),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1614),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [aux_sym_cast_type_token1] = ACTIONS(1614),
    [aux_sym_echo_statement_token1] = ACTIONS(1614),
    [aux_sym_exit_statement_token1] = ACTIONS(1614),
    [anon_sym_unset] = ACTIONS(1614),
    [aux_sym_declare_statement_token1] = ACTIONS(1614),
    [aux_sym_declare_statement_token2] = ACTIONS(1614),
    [sym_float] = ACTIONS(1614),
    [aux_sym_try_statement_token1] = ACTIONS(1614),
    [aux_sym_goto_statement_token1] = ACTIONS(1614),
    [aux_sym_continue_statement_token1] = ACTIONS(1614),
    [aux_sym_break_statement_token1] = ACTIONS(1614),
    [sym_integer] = ACTIONS(1614),
    [aux_sym_return_statement_token1] = ACTIONS(1614),
    [aux_sym_throw_expression_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token1] = ACTIONS(1614),
    [aux_sym_while_statement_token2] = ACTIONS(1614),
    [aux_sym_do_statement_token1] = ACTIONS(1614),
    [aux_sym_for_statement_token1] = ACTIONS(1614),
    [aux_sym_for_statement_token2] = ACTIONS(1614),
    [aux_sym_foreach_statement_token1] = ACTIONS(1614),
    [aux_sym_foreach_statement_token2] = ACTIONS(1614),
    [aux_sym_if_statement_token1] = ACTIONS(1614),
    [aux_sym_if_statement_token2] = ACTIONS(1614),
    [aux_sym_else_if_clause_token1] = ACTIONS(1614),
    [aux_sym_else_clause_token1] = ACTIONS(1614),
    [aux_sym_match_expression_token1] = ACTIONS(1614),
    [aux_sym_match_default_expression_token1] = ACTIONS(1614),
    [aux_sym_switch_statement_token1] = ACTIONS(1614),
    [aux_sym_switch_block_token1] = ACTIONS(1614),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_AT] = ACTIONS(1612),
    [aux_sym_clone_expression_token1] = ACTIONS(1614),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1614),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1614),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [aux_sym__list_destructing_token1] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_self] = ACTIONS(1614),
    [anon_sym_parent] = ACTIONS(1614),
    [aux_sym__argument_name_token1] = ACTIONS(1614),
    [aux_sym__argument_name_token2] = ACTIONS(1614),
    [anon_sym_POUND_LBRACK] = ACTIONS(1612),
    [aux_sym_encapsed_string_token1] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1612),
    [aux_sym_string_token1] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_LT_LT_LT] = ACTIONS(1612),
    [anon_sym_BQUOTE] = ACTIONS(1612),
    [anon_sym_DOLLAR] = ACTIONS(1612),
    [aux_sym_yield_expression_token1] = ACTIONS(1614),
    [aux_sym_include_expression_token1] = ACTIONS(1614),
    [aux_sym_include_once_expression_token1] = ACTIONS(1614),
    [aux_sym_require_expression_token1] = ACTIONS(1614),
    [aux_sym_require_once_expression_token1] = ACTIONS(1614),
    [sym_comment] = ACTIONS(3),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1616),
    [sym_name] = ACTIONS(1618),
    [anon_sym_QMARK_GT] = ACTIONS(1616),
    [anon_sym_SEMI] = ACTIONS(1616),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1618),
    [aux_sym_global_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_definition_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1618),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1618),
    [anon_sym_BSLASH] = ACTIONS(1616),
    [anon_sym_LBRACE] = ACTIONS(1616),
    [anon_sym_RBRACE] = ACTIONS(1616),
    [aux_sym_trait_declaration_token1] = ACTIONS(1618),
    [aux_sym_interface_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_declaration_token1] = ACTIONS(1618),
    [aux_sym_enum_case_token1] = ACTIONS(1618),
    [aux_sym_class_declaration_token1] = ACTIONS(1618),
    [aux_sym_final_modifier_token1] = ACTIONS(1618),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1618),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1618),
    [sym_var_modifier] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1618),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1618),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1618),
    [anon_sym_LPAREN] = ACTIONS(1616),
    [aux_sym_cast_type_token1] = ACTIONS(1618),
    [aux_sym_echo_statement_token1] = ACTIONS(1618),
    [aux_sym_exit_statement_token1] = ACTIONS(1618),
    [anon_sym_unset] = ACTIONS(1618),
    [aux_sym_declare_statement_token1] = ACTIONS(1618),
    [aux_sym_declare_statement_token2] = ACTIONS(1618),
    [sym_float] = ACTIONS(1618),
    [aux_sym_try_statement_token1] = ACTIONS(1618),
    [aux_sym_goto_statement_token1] = ACTIONS(1618),
    [aux_sym_continue_statement_token1] = ACTIONS(1618),
    [aux_sym_break_statement_token1] = ACTIONS(1618),
    [sym_integer] = ACTIONS(1618),
    [aux_sym_return_statement_token1] = ACTIONS(1618),
    [aux_sym_throw_expression_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token1] = ACTIONS(1618),
    [aux_sym_while_statement_token2] = ACTIONS(1618),
    [aux_sym_do_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token1] = ACTIONS(1618),
    [aux_sym_for_statement_token2] = ACTIONS(1618),
    [aux_sym_foreach_statement_token1] = ACTIONS(1618),
    [aux_sym_foreach_statement_token2] = ACTIONS(1618),
    [aux_sym_if_statement_token1] = ACTIONS(1618),
    [aux_sym_if_statement_token2] = ACTIONS(1618),
    [aux_sym_else_if_clause_token1] = ACTIONS(1618),
    [aux_sym_else_clause_token1] = ACTIONS(1618),
    [aux_sym_match_expression_token1] = ACTIONS(1618),
    [aux_sym_match_default_expression_token1] = ACTIONS(1618),
    [aux_sym_switch_statement_token1] = ACTIONS(1618),
    [aux_sym_switch_block_token1] = ACTIONS(1618),
    [anon_sym_PLUS] = ACTIONS(1618),
    [anon_sym_DASH] = ACTIONS(1618),
    [anon_sym_TILDE] = ACTIONS(1616),
    [anon_sym_BANG] = ACTIONS(1616),
    [anon_sym_AT] = ACTIONS(1616),
    [aux_sym_clone_expression_token1] = ACTIONS(1618),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1618),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1618),
    [anon_sym_DASH_DASH] = ACTIONS(1616),
    [anon_sym_PLUS_PLUS] = ACTIONS(1616),
    [aux_sym__list_destructing_token1] = ACTIONS(1618),
    [anon_sym_LBRACK] = ACTIONS(1616),
    [anon_sym_self] = ACTIONS(1618),
    [anon_sym_parent] = ACTIONS(1618),
    [aux_sym__argument_name_token1] = ACTIONS(1618),
    [aux_sym__argument_name_token2] = ACTIONS(1618),
    [anon_sym_POUND_LBRACK] = ACTIONS(1616),
    [aux_sym_encapsed_string_token1] = ACTIONS(1616),
    [anon_sym_DQUOTE] = ACTIONS(1616),
    [aux_sym_string_token1] = ACTIONS(1616),
    [anon_sym_SQUOTE] = ACTIONS(1616),
    [anon_sym_LT_LT_LT] = ACTIONS(1616),
    [anon_sym_BQUOTE] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1616),
    [aux_sym_yield_expression_token1] = ACTIONS(1618),
    [aux_sym_include_expression_token1] = ACTIONS(1618),
    [aux_sym_include_once_expression_token1] = ACTIONS(1618),
    [aux_sym_require_expression_token1] = ACTIONS(1618),
    [aux_sym_require_once_expression_token1] = ACTIONS(1618),
    [sym_comment] = ACTIONS(3),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1620),
    [sym_name] = ACTIONS(1622),
    [anon_sym_QMARK_GT] = ACTIONS(1620),
    [anon_sym_SEMI] = ACTIONS(1620),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1622),
    [aux_sym_global_declaration_token1] = ACTIONS(1622),
    [aux_sym_namespace_definition_token1] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1622),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1622),
    [anon_sym_BSLASH] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(1620),
    [anon_sym_RBRACE] = ACTIONS(1620),
    [aux_sym_trait_declaration_token1] = ACTIONS(1622),
    [aux_sym_interface_declaration_token1] = ACTIONS(1622),
    [aux_sym_enum_declaration_token1] = ACTIONS(1622),
    [aux_sym_enum_case_token1] = ACTIONS(1622),
    [aux_sym_class_declaration_token1] = ACTIONS(1622),
    [aux_sym_final_modifier_token1] = ACTIONS(1622),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1622),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1622),
    [sym_var_modifier] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1622),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1622),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1620),
    [aux_sym_cast_type_token1] = ACTIONS(1622),
    [aux_sym_echo_statement_token1] = ACTIONS(1622),
    [aux_sym_exit_statement_token1] = ACTIONS(1622),
    [anon_sym_unset] = ACTIONS(1622),
    [aux_sym_declare_statement_token1] = ACTIONS(1622),
    [aux_sym_declare_statement_token2] = ACTIONS(1622),
    [sym_float] = ACTIONS(1622),
    [aux_sym_try_statement_token1] = ACTIONS(1622),
    [aux_sym_goto_statement_token1] = ACTIONS(1622),
    [aux_sym_continue_statement_token1] = ACTIONS(1622),
    [aux_sym_break_statement_token1] = ACTIONS(1622),
    [sym_integer] = ACTIONS(1622),
    [aux_sym_return_statement_token1] = ACTIONS(1622),
    [aux_sym_throw_expression_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token1] = ACTIONS(1622),
    [aux_sym_while_statement_token2] = ACTIONS(1622),
    [aux_sym_do_statement_token1] = ACTIONS(1622),
    [aux_sym_for_statement_token1] = ACTIONS(1622),
    [aux_sym_for_statement_token2] = ACTIONS(1622),
    [aux_sym_foreach_statement_token1] = ACTIONS(1622),
    [aux_sym_foreach_statement_token2] = ACTIONS(1622),
    [aux_sym_if_statement_token1] = ACTIONS(1622),
    [aux_sym_if_statement_token2] = ACTIONS(1622),
    [aux_sym_else_if_clause_token1] = ACTIONS(1622),
    [aux_sym_else_clause_token1] = ACTIONS(1622),
    [aux_sym_match_expression_token1] = ACTIONS(1622),
    [aux_sym_match_default_expression_token1] = ACTIONS(1622),
    [aux_sym_switch_statement_token1] = ACTIONS(1622),
    [aux_sym_switch_block_token1] = ACTIONS(1622),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1620),
    [anon_sym_BANG] = ACTIONS(1620),
    [anon_sym_AT] = ACTIONS(1620),
    [aux_sym_clone_expression_token1] = ACTIONS(1622),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1622),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1622),
    [anon_sym_DASH_DASH] = ACTIONS(1620),
    [anon_sym_PLUS_PLUS] = ACTIONS(1620),
    [aux_sym__list_destructing_token1] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1620),
    [anon_sym_self] = ACTIONS(1622),
    [anon_sym_parent] = ACTIONS(1622),
    [aux_sym__argument_name_token1] = ACTIONS(1622),
    [aux_sym__argument_name_token2] = ACTIONS(1622),
    [anon_sym_POUND_LBRACK] = ACTIONS(1620),
    [aux_sym_encapsed_string_token1] = ACTIONS(1620),
    [anon_sym_DQUOTE] = ACTIONS(1620),
    [aux_sym_string_token1] = ACTIONS(1620),
    [anon_sym_SQUOTE] = ACTIONS(1620),
    [anon_sym_LT_LT_LT] = ACTIONS(1620),
    [anon_sym_BQUOTE] = ACTIONS(1620),
    [anon_sym_DOLLAR] = ACTIONS(1620),
    [aux_sym_yield_expression_token1] = ACTIONS(1622),
    [aux_sym_include_expression_token1] = ACTIONS(1622),
    [aux_sym_include_once_expression_token1] = ACTIONS(1622),
    [aux_sym_require_expression_token1] = ACTIONS(1622),
    [aux_sym_require_once_expression_token1] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_name] = ACTIONS(1626),
    [anon_sym_QMARK_GT] = ACTIONS(1624),
    [anon_sym_SEMI] = ACTIONS(1624),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1626),
    [aux_sym_global_declaration_token1] = ACTIONS(1626),
    [aux_sym_namespace_definition_token1] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1626),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1626),
    [anon_sym_BSLASH] = ACTIONS(1624),
    [anon_sym_LBRACE] = ACTIONS(1624),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [aux_sym_trait_declaration_token1] = ACTIONS(1626),
    [aux_sym_interface_declaration_token1] = ACTIONS(1626),
    [aux_sym_enum_declaration_token1] = ACTIONS(1626),
    [aux_sym_enum_case_token1] = ACTIONS(1626),
    [aux_sym_class_declaration_token1] = ACTIONS(1626),
    [aux_sym_final_modifier_token1] = ACTIONS(1626),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1626),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1626),
    [sym_var_modifier] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1626),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1626),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1626),
    [anon_sym_LPAREN] = ACTIONS(1624),
    [aux_sym_cast_type_token1] = ACTIONS(1626),
    [aux_sym_echo_statement_token1] = ACTIONS(1626),
    [aux_sym_exit_statement_token1] = ACTIONS(1626),
    [anon_sym_unset] = ACTIONS(1626),
    [aux_sym_declare_statement_token1] = ACTIONS(1626),
    [aux_sym_declare_statement_token2] = ACTIONS(1626),
    [sym_float] = ACTIONS(1626),
    [aux_sym_try_statement_token1] = ACTIONS(1626),
    [aux_sym_goto_statement_token1] = ACTIONS(1626),
    [aux_sym_continue_statement_token1] = ACTIONS(1626),
    [aux_sym_break_statement_token1] = ACTIONS(1626),
    [sym_integer] = ACTIONS(1626),
    [aux_sym_return_statement_token1] = ACTIONS(1626),
    [aux_sym_throw_expression_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token1] = ACTIONS(1626),
    [aux_sym_while_statement_token2] = ACTIONS(1626),
    [aux_sym_do_statement_token1] = ACTIONS(1626),
    [aux_sym_for_statement_token1] = ACTIONS(1626),
    [aux_sym_for_statement_token2] = ACTIONS(1626),
    [aux_sym_foreach_statement_token1] = ACTIONS(1626),
    [aux_sym_foreach_statement_token2] = ACTIONS(1626),
    [aux_sym_if_statement_token1] = ACTIONS(1626),
    [aux_sym_if_statement_token2] = ACTIONS(1626),
    [aux_sym_else_if_clause_token1] = ACTIONS(1626),
    [aux_sym_else_clause_token1] = ACTIONS(1626),
    [aux_sym_match_expression_token1] = ACTIONS(1626),
    [aux_sym_match_default_expression_token1] = ACTIONS(1626),
    [aux_sym_switch_statement_token1] = ACTIONS(1626),
    [aux_sym_switch_block_token1] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1626),
    [anon_sym_TILDE] = ACTIONS(1624),
    [anon_sym_BANG] = ACTIONS(1624),
    [anon_sym_AT] = ACTIONS(1624),
    [aux_sym_clone_expression_token1] = ACTIONS(1626),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1626),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1626),
    [anon_sym_DASH_DASH] = ACTIONS(1624),
    [anon_sym_PLUS_PLUS] = ACTIONS(1624),
    [aux_sym__list_destructing_token1] = ACTIONS(1626),
    [anon_sym_LBRACK] = ACTIONS(1624),
    [anon_sym_self] = ACTIONS(1626),
    [anon_sym_parent] = ACTIONS(1626),
    [aux_sym__argument_name_token1] = ACTIONS(1626),
    [aux_sym__argument_name_token2] = ACTIONS(1626),
    [anon_sym_POUND_LBRACK] = ACTIONS(1624),
    [aux_sym_encapsed_string_token1] = ACTIONS(1624),
    [anon_sym_DQUOTE] = ACTIONS(1624),
    [aux_sym_string_token1] = ACTIONS(1624),
    [anon_sym_SQUOTE] = ACTIONS(1624),
    [anon_sym_LT_LT_LT] = ACTIONS(1624),
    [anon_sym_BQUOTE] = ACTIONS(1624),
    [anon_sym_DOLLAR] = ACTIONS(1624),
    [aux_sym_yield_expression_token1] = ACTIONS(1626),
    [aux_sym_include_expression_token1] = ACTIONS(1626),
    [aux_sym_include_once_expression_token1] = ACTIONS(1626),
    [aux_sym_require_expression_token1] = ACTIONS(1626),
    [aux_sym_require_once_expression_token1] = ACTIONS(1626),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1628),
    [sym_name] = ACTIONS(1630),
    [anon_sym_QMARK_GT] = ACTIONS(1628),
    [anon_sym_SEMI] = ACTIONS(1628),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1630),
    [aux_sym_global_declaration_token1] = ACTIONS(1630),
    [aux_sym_namespace_definition_token1] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1630),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1630),
    [anon_sym_BSLASH] = ACTIONS(1628),
    [anon_sym_LBRACE] = ACTIONS(1628),
    [anon_sym_RBRACE] = ACTIONS(1628),
    [aux_sym_trait_declaration_token1] = ACTIONS(1630),
    [aux_sym_interface_declaration_token1] = ACTIONS(1630),
    [aux_sym_enum_declaration_token1] = ACTIONS(1630),
    [aux_sym_enum_case_token1] = ACTIONS(1630),
    [aux_sym_class_declaration_token1] = ACTIONS(1630),
    [aux_sym_final_modifier_token1] = ACTIONS(1630),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1630),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1630),
    [sym_var_modifier] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1630),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1630),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1628),
    [aux_sym_cast_type_token1] = ACTIONS(1630),
    [aux_sym_echo_statement_token1] = ACTIONS(1630),
    [aux_sym_exit_statement_token1] = ACTIONS(1630),
    [anon_sym_unset] = ACTIONS(1630),
    [aux_sym_declare_statement_token1] = ACTIONS(1630),
    [aux_sym_declare_statement_token2] = ACTIONS(1630),
    [sym_float] = ACTIONS(1630),
    [aux_sym_try_statement_token1] = ACTIONS(1630),
    [aux_sym_goto_statement_token1] = ACTIONS(1630),
    [aux_sym_continue_statement_token1] = ACTIONS(1630),
    [aux_sym_break_statement_token1] = ACTIONS(1630),
    [sym_integer] = ACTIONS(1630),
    [aux_sym_return_statement_token1] = ACTIONS(1630),
    [aux_sym_throw_expression_token1] = ACTIONS(1630),
    [aux_sym_while_statement_token1] = ACTIONS(1630),
    [aux_sym_while_statement_token2] = ACTIONS(1630),
    [aux_sym_do_statement_token1] = ACTIONS(1630),
    [aux_sym_for_statement_token1] = ACTIONS(1630),
    [aux_sym_for_statement_token2] = ACTIONS(1630),
    [aux_sym_foreach_statement_token1] = ACTIONS(1630),
    [aux_sym_foreach_statement_token2] = ACTIONS(1630),
    [aux_sym_if_statement_token1] = ACTIONS(1630),
    [aux_sym_if_statement_token2] = ACTIONS(1630),
    [aux_sym_else_if_clause_token1] = ACTIONS(1630),
    [aux_sym_else_clause_token1] = ACTIONS(1630),
    [aux_sym_match_expression_token1] = ACTIONS(1630),
    [aux_sym_match_default_expression_token1] = ACTIONS(1630),
    [aux_sym_switch_statement_token1] = ACTIONS(1630),
    [aux_sym_switch_block_token1] = ACTIONS(1630),
    [anon_sym_PLUS] = ACTIONS(1630),
    [anon_sym_DASH] = ACTIONS(1630),
    [anon_sym_TILDE] = ACTIONS(1628),
    [anon_sym_BANG] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(1628),
    [aux_sym_clone_expression_token1] = ACTIONS(1630),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1630),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1630),
    [anon_sym_DASH_DASH] = ACTIONS(1628),
    [anon_sym_PLUS_PLUS] = ACTIONS(1628),
    [aux_sym__list_destructing_token1] = ACTIONS(1630),
    [anon_sym_LBRACK] = ACTIONS(1628),
    [anon_sym_self] = ACTIONS(1630),
    [anon_sym_parent] = ACTIONS(1630),
    [aux_sym__argument_name_token1] = ACTIONS(1630),
    [aux_sym__argument_name_token2] = ACTIONS(1630),
    [anon_sym_POUND_LBRACK] = ACTIONS(1628),
    [aux_sym_encapsed_string_token1] = ACTIONS(1628),
    [anon_sym_DQUOTE] = ACTIONS(1628),
    [aux_sym_string_token1] = ACTIONS(1628),
    [anon_sym_SQUOTE] = ACTIONS(1628),
    [anon_sym_LT_LT_LT] = ACTIONS(1628),
    [anon_sym_BQUOTE] = ACTIONS(1628),
    [anon_sym_DOLLAR] = ACTIONS(1628),
    [aux_sym_yield_expression_token1] = ACTIONS(1630),
    [aux_sym_include_expression_token1] = ACTIONS(1630),
    [aux_sym_include_once_expression_token1] = ACTIONS(1630),
    [aux_sym_require_expression_token1] = ACTIONS(1630),
    [aux_sym_require_once_expression_token1] = ACTIONS(1630),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1632),
    [sym_name] = ACTIONS(1634),
    [anon_sym_QMARK_GT] = ACTIONS(1632),
    [anon_sym_SEMI] = ACTIONS(1632),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1634),
    [aux_sym_global_declaration_token1] = ACTIONS(1634),
    [aux_sym_namespace_definition_token1] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1634),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1634),
    [anon_sym_BSLASH] = ACTIONS(1632),
    [anon_sym_LBRACE] = ACTIONS(1632),
    [anon_sym_RBRACE] = ACTIONS(1632),
    [aux_sym_trait_declaration_token1] = ACTIONS(1634),
    [aux_sym_interface_declaration_token1] = ACTIONS(1634),
    [aux_sym_enum_declaration_token1] = ACTIONS(1634),
    [aux_sym_enum_case_token1] = ACTIONS(1634),
    [aux_sym_class_declaration_token1] = ACTIONS(1634),
    [aux_sym_final_modifier_token1] = ACTIONS(1634),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1634),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1634),
    [sym_var_modifier] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1634),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1634),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1634),
    [anon_sym_LPAREN] = ACTIONS(1632),
    [aux_sym_cast_type_token1] = ACTIONS(1634),
    [aux_sym_echo_statement_token1] = ACTIONS(1634),
    [aux_sym_exit_statement_token1] = ACTIONS(1634),
    [anon_sym_unset] = ACTIONS(1634),
    [aux_sym_declare_statement_token1] = ACTIONS(1634),
    [aux_sym_declare_statement_token2] = ACTIONS(1634),
    [sym_float] = ACTIONS(1634),
    [aux_sym_try_statement_token1] = ACTIONS(1634),
    [aux_sym_goto_statement_token1] = ACTIONS(1634),
    [aux_sym_continue_statement_token1] = ACTIONS(1634),
    [aux_sym_break_statement_token1] = ACTIONS(1634),
    [sym_integer] = ACTIONS(1634),
    [aux_sym_return_statement_token1] = ACTIONS(1634),
    [aux_sym_throw_expression_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token1] = ACTIONS(1634),
    [aux_sym_while_statement_token2] = ACTIONS(1634),
    [aux_sym_do_statement_token1] = ACTIONS(1634),
    [aux_sym_for_statement_token1] = ACTIONS(1634),
    [aux_sym_for_statement_token2] = ACTIONS(1634),
    [aux_sym_foreach_statement_token1] = ACTIONS(1634),
    [aux_sym_foreach_statement_token2] = ACTIONS(1634),
    [aux_sym_if_statement_token1] = ACTIONS(1634),
    [aux_sym_if_statement_token2] = ACTIONS(1634),
    [aux_sym_else_if_clause_token1] = ACTIONS(1634),
    [aux_sym_else_clause_token1] = ACTIONS(1634),
    [aux_sym_match_expression_token1] = ACTIONS(1634),
    [aux_sym_match_default_expression_token1] = ACTIONS(1634),
    [aux_sym_switch_statement_token1] = ACTIONS(1634),
    [aux_sym_switch_block_token1] = ACTIONS(1634),
    [anon_sym_PLUS] = ACTIONS(1634),
    [anon_sym_DASH] = ACTIONS(1634),
    [anon_sym_TILDE] = ACTIONS(1632),
    [anon_sym_BANG] = ACTIONS(1632),
    [anon_sym_AT] = ACTIONS(1632),
    [aux_sym_clone_expression_token1] = ACTIONS(1634),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1634),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1634),
    [anon_sym_DASH_DASH] = ACTIONS(1632),
    [anon_sym_PLUS_PLUS] = ACTIONS(1632),
    [aux_sym__list_destructing_token1] = ACTIONS(1634),
    [anon_sym_LBRACK] = ACTIONS(1632),
    [anon_sym_self] = ACTIONS(1634),
    [anon_sym_parent] = ACTIONS(1634),
    [aux_sym__argument_name_token1] = ACTIONS(1634),
    [aux_sym__argument_name_token2] = ACTIONS(1634),
    [anon_sym_POUND_LBRACK] = ACTIONS(1632),
    [aux_sym_encapsed_string_token1] = ACTIONS(1632),
    [anon_sym_DQUOTE] = ACTIONS(1632),
    [aux_sym_string_token1] = ACTIONS(1632),
    [anon_sym_SQUOTE] = ACTIONS(1632),
    [anon_sym_LT_LT_LT] = ACTIONS(1632),
    [anon_sym_BQUOTE] = ACTIONS(1632),
    [anon_sym_DOLLAR] = ACTIONS(1632),
    [aux_sym_yield_expression_token1] = ACTIONS(1634),
    [aux_sym_include_expression_token1] = ACTIONS(1634),
    [aux_sym_include_once_expression_token1] = ACTIONS(1634),
    [aux_sym_require_expression_token1] = ACTIONS(1634),
    [aux_sym_require_once_expression_token1] = ACTIONS(1634),
    [sym_comment] = ACTIONS(3),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [sym_name] = ACTIONS(1638),
    [anon_sym_QMARK_GT] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1638),
    [aux_sym_global_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_definition_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1638),
    [anon_sym_BSLASH] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1636),
    [aux_sym_trait_declaration_token1] = ACTIONS(1638),
    [aux_sym_interface_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_case_token1] = ACTIONS(1638),
    [aux_sym_class_declaration_token1] = ACTIONS(1638),
    [aux_sym_final_modifier_token1] = ACTIONS(1638),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1638),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1638),
    [sym_var_modifier] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1638),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_cast_type_token1] = ACTIONS(1638),
    [aux_sym_echo_statement_token1] = ACTIONS(1638),
    [aux_sym_exit_statement_token1] = ACTIONS(1638),
    [anon_sym_unset] = ACTIONS(1638),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [aux_sym_declare_statement_token2] = ACTIONS(1638),
    [sym_float] = ACTIONS(1638),
    [aux_sym_try_statement_token1] = ACTIONS(1638),
    [aux_sym_goto_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [sym_integer] = ACTIONS(1638),
    [aux_sym_return_statement_token1] = ACTIONS(1638),
    [aux_sym_throw_expression_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token2] = ACTIONS(1638),
    [aux_sym_do_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token2] = ACTIONS(1638),
    [aux_sym_foreach_statement_token1] = ACTIONS(1638),
    [aux_sym_foreach_statement_token2] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token2] = ACTIONS(1638),
    [aux_sym_else_if_clause_token1] = ACTIONS(1638),
    [aux_sym_else_clause_token1] = ACTIONS(1638),
    [aux_sym_match_expression_token1] = ACTIONS(1638),
    [aux_sym_match_default_expression_token1] = ACTIONS(1638),
    [aux_sym_switch_statement_token1] = ACTIONS(1638),
    [aux_sym_switch_block_token1] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_AT] = ACTIONS(1636),
    [aux_sym_clone_expression_token1] = ACTIONS(1638),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1638),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1636),
    [anon_sym_PLUS_PLUS] = ACTIONS(1636),
    [aux_sym__list_destructing_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [anon_sym_self] = ACTIONS(1638),
    [anon_sym_parent] = ACTIONS(1638),
    [aux_sym__argument_name_token1] = ACTIONS(1638),
    [aux_sym__argument_name_token2] = ACTIONS(1638),
    [anon_sym_POUND_LBRACK] = ACTIONS(1636),
    [aux_sym_encapsed_string_token1] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1636),
    [aux_sym_string_token1] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1636),
    [anon_sym_LT_LT_LT] = ACTIONS(1636),
    [anon_sym_BQUOTE] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [aux_sym_yield_expression_token1] = ACTIONS(1638),
    [aux_sym_include_expression_token1] = ACTIONS(1638),
    [aux_sym_include_once_expression_token1] = ACTIONS(1638),
    [aux_sym_require_expression_token1] = ACTIONS(1638),
    [aux_sym_require_once_expression_token1] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1640),
    [sym_name] = ACTIONS(1642),
    [anon_sym_QMARK_GT] = ACTIONS(1640),
    [anon_sym_SEMI] = ACTIONS(1640),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1642),
    [aux_sym_global_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_definition_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1642),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1642),
    [anon_sym_BSLASH] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_RBRACE] = ACTIONS(1640),
    [aux_sym_trait_declaration_token1] = ACTIONS(1642),
    [aux_sym_interface_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_declaration_token1] = ACTIONS(1642),
    [aux_sym_enum_case_token1] = ACTIONS(1642),
    [aux_sym_class_declaration_token1] = ACTIONS(1642),
    [aux_sym_final_modifier_token1] = ACTIONS(1642),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1642),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1642),
    [sym_var_modifier] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1642),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1642),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [aux_sym_cast_type_token1] = ACTIONS(1642),
    [aux_sym_echo_statement_token1] = ACTIONS(1642),
    [aux_sym_exit_statement_token1] = ACTIONS(1642),
    [anon_sym_unset] = ACTIONS(1642),
    [aux_sym_declare_statement_token1] = ACTIONS(1642),
    [aux_sym_declare_statement_token2] = ACTIONS(1642),
    [sym_float] = ACTIONS(1642),
    [aux_sym_try_statement_token1] = ACTIONS(1642),
    [aux_sym_goto_statement_token1] = ACTIONS(1642),
    [aux_sym_continue_statement_token1] = ACTIONS(1642),
    [aux_sym_break_statement_token1] = ACTIONS(1642),
    [sym_integer] = ACTIONS(1642),
    [aux_sym_return_statement_token1] = ACTIONS(1642),
    [aux_sym_throw_expression_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token1] = ACTIONS(1642),
    [aux_sym_while_statement_token2] = ACTIONS(1642),
    [aux_sym_do_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token1] = ACTIONS(1642),
    [aux_sym_for_statement_token2] = ACTIONS(1642),
    [aux_sym_foreach_statement_token1] = ACTIONS(1642),
    [aux_sym_foreach_statement_token2] = ACTIONS(1642),
    [aux_sym_if_statement_token1] = ACTIONS(1642),
    [aux_sym_if_statement_token2] = ACTIONS(1642),
    [aux_sym_else_if_clause_token1] = ACTIONS(1642),
    [aux_sym_else_clause_token1] = ACTIONS(1642),
    [aux_sym_match_expression_token1] = ACTIONS(1642),
    [aux_sym_match_default_expression_token1] = ACTIONS(1642),
    [aux_sym_switch_statement_token1] = ACTIONS(1642),
    [aux_sym_switch_block_token1] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1642),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_BANG] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [aux_sym_clone_expression_token1] = ACTIONS(1642),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1642),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1642),
    [anon_sym_DASH_DASH] = ACTIONS(1640),
    [anon_sym_PLUS_PLUS] = ACTIONS(1640),
    [aux_sym__list_destructing_token1] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_self] = ACTIONS(1642),
    [anon_sym_parent] = ACTIONS(1642),
    [aux_sym__argument_name_token1] = ACTIONS(1642),
    [aux_sym__argument_name_token2] = ACTIONS(1642),
    [anon_sym_POUND_LBRACK] = ACTIONS(1640),
    [aux_sym_encapsed_string_token1] = ACTIONS(1640),
    [anon_sym_DQUOTE] = ACTIONS(1640),
    [aux_sym_string_token1] = ACTIONS(1640),
    [anon_sym_SQUOTE] = ACTIONS(1640),
    [anon_sym_LT_LT_LT] = ACTIONS(1640),
    [anon_sym_BQUOTE] = ACTIONS(1640),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [aux_sym_yield_expression_token1] = ACTIONS(1642),
    [aux_sym_include_expression_token1] = ACTIONS(1642),
    [aux_sym_include_once_expression_token1] = ACTIONS(1642),
    [aux_sym_require_expression_token1] = ACTIONS(1642),
    [aux_sym_require_once_expression_token1] = ACTIONS(1642),
    [sym_comment] = ACTIONS(3),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1644),
    [sym_name] = ACTIONS(1646),
    [anon_sym_QMARK_GT] = ACTIONS(1644),
    [anon_sym_SEMI] = ACTIONS(1644),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1646),
    [aux_sym_global_declaration_token1] = ACTIONS(1646),
    [aux_sym_namespace_definition_token1] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1646),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1646),
    [anon_sym_BSLASH] = ACTIONS(1644),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [anon_sym_RBRACE] = ACTIONS(1644),
    [aux_sym_trait_declaration_token1] = ACTIONS(1646),
    [aux_sym_interface_declaration_token1] = ACTIONS(1646),
    [aux_sym_enum_declaration_token1] = ACTIONS(1646),
    [aux_sym_enum_case_token1] = ACTIONS(1646),
    [aux_sym_class_declaration_token1] = ACTIONS(1646),
    [aux_sym_final_modifier_token1] = ACTIONS(1646),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1646),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1646),
    [sym_var_modifier] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1646),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1646),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [aux_sym_cast_type_token1] = ACTIONS(1646),
    [aux_sym_echo_statement_token1] = ACTIONS(1646),
    [aux_sym_exit_statement_token1] = ACTIONS(1646),
    [anon_sym_unset] = ACTIONS(1646),
    [aux_sym_declare_statement_token1] = ACTIONS(1646),
    [aux_sym_declare_statement_token2] = ACTIONS(1646),
    [sym_float] = ACTIONS(1646),
    [aux_sym_try_statement_token1] = ACTIONS(1646),
    [aux_sym_goto_statement_token1] = ACTIONS(1646),
    [aux_sym_continue_statement_token1] = ACTIONS(1646),
    [aux_sym_break_statement_token1] = ACTIONS(1646),
    [sym_integer] = ACTIONS(1646),
    [aux_sym_return_statement_token1] = ACTIONS(1646),
    [aux_sym_throw_expression_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token1] = ACTIONS(1646),
    [aux_sym_while_statement_token2] = ACTIONS(1646),
    [aux_sym_do_statement_token1] = ACTIONS(1646),
    [aux_sym_for_statement_token1] = ACTIONS(1646),
    [aux_sym_for_statement_token2] = ACTIONS(1646),
    [aux_sym_foreach_statement_token1] = ACTIONS(1646),
    [aux_sym_foreach_statement_token2] = ACTIONS(1646),
    [aux_sym_if_statement_token1] = ACTIONS(1646),
    [aux_sym_if_statement_token2] = ACTIONS(1646),
    [aux_sym_else_if_clause_token1] = ACTIONS(1646),
    [aux_sym_else_clause_token1] = ACTIONS(1646),
    [aux_sym_match_expression_token1] = ACTIONS(1646),
    [aux_sym_match_default_expression_token1] = ACTIONS(1646),
    [aux_sym_switch_statement_token1] = ACTIONS(1646),
    [aux_sym_switch_block_token1] = ACTIONS(1646),
    [anon_sym_PLUS] = ACTIONS(1646),
    [anon_sym_DASH] = ACTIONS(1646),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_BANG] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1644),
    [aux_sym_clone_expression_token1] = ACTIONS(1646),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1646),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1646),
    [anon_sym_DASH_DASH] = ACTIONS(1644),
    [anon_sym_PLUS_PLUS] = ACTIONS(1644),
    [aux_sym__list_destructing_token1] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_self] = ACTIONS(1646),
    [anon_sym_parent] = ACTIONS(1646),
    [aux_sym__argument_name_token1] = ACTIONS(1646),
    [aux_sym__argument_name_token2] = ACTIONS(1646),
    [anon_sym_POUND_LBRACK] = ACTIONS(1644),
    [aux_sym_encapsed_string_token1] = ACTIONS(1644),
    [anon_sym_DQUOTE] = ACTIONS(1644),
    [aux_sym_string_token1] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_LT_LT_LT] = ACTIONS(1644),
    [anon_sym_BQUOTE] = ACTIONS(1644),
    [anon_sym_DOLLAR] = ACTIONS(1644),
    [aux_sym_yield_expression_token1] = ACTIONS(1646),
    [aux_sym_include_expression_token1] = ACTIONS(1646),
    [aux_sym_include_once_expression_token1] = ACTIONS(1646),
    [aux_sym_require_expression_token1] = ACTIONS(1646),
    [aux_sym_require_once_expression_token1] = ACTIONS(1646),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1648),
    [sym_name] = ACTIONS(1650),
    [anon_sym_QMARK_GT] = ACTIONS(1648),
    [anon_sym_SEMI] = ACTIONS(1648),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1650),
    [aux_sym_global_declaration_token1] = ACTIONS(1650),
    [aux_sym_namespace_definition_token1] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1650),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1650),
    [anon_sym_BSLASH] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_RBRACE] = ACTIONS(1648),
    [aux_sym_trait_declaration_token1] = ACTIONS(1650),
    [aux_sym_interface_declaration_token1] = ACTIONS(1650),
    [aux_sym_enum_declaration_token1] = ACTIONS(1650),
    [aux_sym_enum_case_token1] = ACTIONS(1650),
    [aux_sym_class_declaration_token1] = ACTIONS(1650),
    [aux_sym_final_modifier_token1] = ACTIONS(1650),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1650),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1650),
    [sym_var_modifier] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1650),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1650),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [aux_sym_cast_type_token1] = ACTIONS(1650),
    [aux_sym_echo_statement_token1] = ACTIONS(1650),
    [aux_sym_exit_statement_token1] = ACTIONS(1650),
    [anon_sym_unset] = ACTIONS(1650),
    [aux_sym_declare_statement_token1] = ACTIONS(1650),
    [aux_sym_declare_statement_token2] = ACTIONS(1650),
    [sym_float] = ACTIONS(1650),
    [aux_sym_try_statement_token1] = ACTIONS(1650),
    [aux_sym_goto_statement_token1] = ACTIONS(1650),
    [aux_sym_continue_statement_token1] = ACTIONS(1650),
    [aux_sym_break_statement_token1] = ACTIONS(1650),
    [sym_integer] = ACTIONS(1650),
    [aux_sym_return_statement_token1] = ACTIONS(1650),
    [aux_sym_throw_expression_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token1] = ACTIONS(1650),
    [aux_sym_while_statement_token2] = ACTIONS(1650),
    [aux_sym_do_statement_token1] = ACTIONS(1650),
    [aux_sym_for_statement_token1] = ACTIONS(1650),
    [aux_sym_for_statement_token2] = ACTIONS(1650),
    [aux_sym_foreach_statement_token1] = ACTIONS(1650),
    [aux_sym_foreach_statement_token2] = ACTIONS(1650),
    [aux_sym_if_statement_token1] = ACTIONS(1650),
    [aux_sym_if_statement_token2] = ACTIONS(1650),
    [aux_sym_else_if_clause_token1] = ACTIONS(1650),
    [aux_sym_else_clause_token1] = ACTIONS(1650),
    [aux_sym_match_expression_token1] = ACTIONS(1650),
    [aux_sym_match_default_expression_token1] = ACTIONS(1650),
    [aux_sym_switch_statement_token1] = ACTIONS(1650),
    [aux_sym_switch_block_token1] = ACTIONS(1650),
    [anon_sym_PLUS] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_BANG] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [aux_sym_clone_expression_token1] = ACTIONS(1650),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1650),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1650),
    [anon_sym_DASH_DASH] = ACTIONS(1648),
    [anon_sym_PLUS_PLUS] = ACTIONS(1648),
    [aux_sym__list_destructing_token1] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_self] = ACTIONS(1650),
    [anon_sym_parent] = ACTIONS(1650),
    [aux_sym__argument_name_token1] = ACTIONS(1650),
    [aux_sym__argument_name_token2] = ACTIONS(1650),
    [anon_sym_POUND_LBRACK] = ACTIONS(1648),
    [aux_sym_encapsed_string_token1] = ACTIONS(1648),
    [anon_sym_DQUOTE] = ACTIONS(1648),
    [aux_sym_string_token1] = ACTIONS(1648),
    [anon_sym_SQUOTE] = ACTIONS(1648),
    [anon_sym_LT_LT_LT] = ACTIONS(1648),
    [anon_sym_BQUOTE] = ACTIONS(1648),
    [anon_sym_DOLLAR] = ACTIONS(1648),
    [aux_sym_yield_expression_token1] = ACTIONS(1650),
    [aux_sym_include_expression_token1] = ACTIONS(1650),
    [aux_sym_include_once_expression_token1] = ACTIONS(1650),
    [aux_sym_require_expression_token1] = ACTIONS(1650),
    [aux_sym_require_once_expression_token1] = ACTIONS(1650),
    [sym_comment] = ACTIONS(3),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1652),
    [sym_name] = ACTIONS(1654),
    [anon_sym_QMARK_GT] = ACTIONS(1652),
    [anon_sym_SEMI] = ACTIONS(1652),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1654),
    [aux_sym_global_declaration_token1] = ACTIONS(1654),
    [aux_sym_namespace_definition_token1] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1654),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1654),
    [anon_sym_BSLASH] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_RBRACE] = ACTIONS(1652),
    [aux_sym_trait_declaration_token1] = ACTIONS(1654),
    [aux_sym_interface_declaration_token1] = ACTIONS(1654),
    [aux_sym_enum_declaration_token1] = ACTIONS(1654),
    [aux_sym_enum_case_token1] = ACTIONS(1654),
    [aux_sym_class_declaration_token1] = ACTIONS(1654),
    [aux_sym_final_modifier_token1] = ACTIONS(1654),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1654),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1654),
    [sym_var_modifier] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1654),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1654),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1654),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [aux_sym_cast_type_token1] = ACTIONS(1654),
    [aux_sym_echo_statement_token1] = ACTIONS(1654),
    [aux_sym_exit_statement_token1] = ACTIONS(1654),
    [anon_sym_unset] = ACTIONS(1654),
    [aux_sym_declare_statement_token1] = ACTIONS(1654),
    [aux_sym_declare_statement_token2] = ACTIONS(1654),
    [sym_float] = ACTIONS(1654),
    [aux_sym_try_statement_token1] = ACTIONS(1654),
    [aux_sym_goto_statement_token1] = ACTIONS(1654),
    [aux_sym_continue_statement_token1] = ACTIONS(1654),
    [aux_sym_break_statement_token1] = ACTIONS(1654),
    [sym_integer] = ACTIONS(1654),
    [aux_sym_return_statement_token1] = ACTIONS(1654),
    [aux_sym_throw_expression_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token1] = ACTIONS(1654),
    [aux_sym_while_statement_token2] = ACTIONS(1654),
    [aux_sym_do_statement_token1] = ACTIONS(1654),
    [aux_sym_for_statement_token1] = ACTIONS(1654),
    [aux_sym_for_statement_token2] = ACTIONS(1654),
    [aux_sym_foreach_statement_token1] = ACTIONS(1654),
    [aux_sym_foreach_statement_token2] = ACTIONS(1654),
    [aux_sym_if_statement_token1] = ACTIONS(1654),
    [aux_sym_if_statement_token2] = ACTIONS(1654),
    [aux_sym_else_if_clause_token1] = ACTIONS(1654),
    [aux_sym_else_clause_token1] = ACTIONS(1654),
    [aux_sym_match_expression_token1] = ACTIONS(1654),
    [aux_sym_match_default_expression_token1] = ACTIONS(1654),
    [aux_sym_switch_statement_token1] = ACTIONS(1654),
    [aux_sym_switch_block_token1] = ACTIONS(1654),
    [anon_sym_PLUS] = ACTIONS(1654),
    [anon_sym_DASH] = ACTIONS(1654),
    [anon_sym_TILDE] = ACTIONS(1652),
    [anon_sym_BANG] = ACTIONS(1652),
    [anon_sym_AT] = ACTIONS(1652),
    [aux_sym_clone_expression_token1] = ACTIONS(1654),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1654),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1654),
    [anon_sym_DASH_DASH] = ACTIONS(1652),
    [anon_sym_PLUS_PLUS] = ACTIONS(1652),
    [aux_sym__list_destructing_token1] = ACTIONS(1654),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_self] = ACTIONS(1654),
    [anon_sym_parent] = ACTIONS(1654),
    [aux_sym__argument_name_token1] = ACTIONS(1654),
    [aux_sym__argument_name_token2] = ACTIONS(1654),
    [anon_sym_POUND_LBRACK] = ACTIONS(1652),
    [aux_sym_encapsed_string_token1] = ACTIONS(1652),
    [anon_sym_DQUOTE] = ACTIONS(1652),
    [aux_sym_string_token1] = ACTIONS(1652),
    [anon_sym_SQUOTE] = ACTIONS(1652),
    [anon_sym_LT_LT_LT] = ACTIONS(1652),
    [anon_sym_BQUOTE] = ACTIONS(1652),
    [anon_sym_DOLLAR] = ACTIONS(1652),
    [aux_sym_yield_expression_token1] = ACTIONS(1654),
    [aux_sym_include_expression_token1] = ACTIONS(1654),
    [aux_sym_include_once_expression_token1] = ACTIONS(1654),
    [aux_sym_require_expression_token1] = ACTIONS(1654),
    [aux_sym_require_once_expression_token1] = ACTIONS(1654),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(1656),
    [sym_name] = ACTIONS(1658),
    [anon_sym_QMARK_GT] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1656),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1658),
    [aux_sym_global_declaration_token1] = ACTIONS(1658),
    [aux_sym_namespace_definition_token1] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1658),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1658),
    [anon_sym_BSLASH] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1656),
    [anon_sym_RBRACE] = ACTIONS(1656),
    [aux_sym_trait_declaration_token1] = ACTIONS(1658),
    [aux_sym_interface_declaration_token1] = ACTIONS(1658),
    [aux_sym_enum_declaration_token1] = ACTIONS(1658),
    [aux_sym_enum_case_token1] = ACTIONS(1658),
    [aux_sym_class_declaration_token1] = ACTIONS(1658),
    [aux_sym_final_modifier_token1] = ACTIONS(1658),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1658),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1658),
    [sym_var_modifier] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1658),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1658),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1658),
    [anon_sym_LPAREN] = ACTIONS(1656),
    [aux_sym_cast_type_token1] = ACTIONS(1658),
    [aux_sym_echo_statement_token1] = ACTIONS(1658),
    [aux_sym_exit_statement_token1] = ACTIONS(1658),
    [anon_sym_unset] = ACTIONS(1658),
    [aux_sym_declare_statement_token1] = ACTIONS(1658),
    [aux_sym_declare_statement_token2] = ACTIONS(1658),
    [sym_float] = ACTIONS(1658),
    [aux_sym_try_statement_token1] = ACTIONS(1658),
    [aux_sym_goto_statement_token1] = ACTIONS(1658),
    [aux_sym_continue_statement_token1] = ACTIONS(1658),
    [aux_sym_break_statement_token1] = ACTIONS(1658),
    [sym_integer] = ACTIONS(1658),
    [aux_sym_return_statement_token1] = ACTIONS(1658),
    [aux_sym_throw_expression_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token1] = ACTIONS(1658),
    [aux_sym_while_statement_token2] = ACTIONS(1658),
    [aux_sym_do_statement_token1] = ACTIONS(1658),
    [aux_sym_for_statement_token1] = ACTIONS(1658),
    [aux_sym_for_statement_token2] = ACTIONS(1658),
    [aux_sym_foreach_statement_token1] = ACTIONS(1658),
    [aux_sym_foreach_statement_token2] = ACTIONS(1658),
    [aux_sym_if_statement_token1] = ACTIONS(1658),
    [aux_sym_if_statement_token2] = ACTIONS(1658),
    [aux_sym_else_if_clause_token1] = ACTIONS(1658),
    [aux_sym_else_clause_token1] = ACTIONS(1658),
    [aux_sym_match_expression_token1] = ACTIONS(1658),
    [aux_sym_match_default_expression_token1] = ACTIONS(1658),
    [aux_sym_switch_statement_token1] = ACTIONS(1658),
    [aux_sym_switch_block_token1] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_TILDE] = ACTIONS(1656),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1656),
    [aux_sym_clone_expression_token1] = ACTIONS(1658),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1658),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1658),
    [anon_sym_DASH_DASH] = ACTIONS(1656),
    [anon_sym_PLUS_PLUS] = ACTIONS(1656),
    [aux_sym__list_destructing_token1] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1656),
    [anon_sym_self] = ACTIONS(1658),
    [anon_sym_parent] = ACTIONS(1658),
    [aux_sym__argument_name_token1] = ACTIONS(1658),
    [aux_sym__argument_name_token2] = ACTIONS(1658),
    [anon_sym_POUND_LBRACK] = ACTIONS(1656),
    [aux_sym_encapsed_string_token1] = ACTIONS(1656),
    [anon_sym_DQUOTE] = ACTIONS(1656),
    [aux_sym_string_token1] = ACTIONS(1656),
    [anon_sym_SQUOTE] = ACTIONS(1656),
    [anon_sym_LT_LT_LT] = ACTIONS(1656),
    [anon_sym_BQUOTE] = ACTIONS(1656),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [aux_sym_yield_expression_token1] = ACTIONS(1658),
    [aux_sym_include_expression_token1] = ACTIONS(1658),
    [aux_sym_include_once_expression_token1] = ACTIONS(1658),
    [aux_sym_require_expression_token1] = ACTIONS(1658),
    [aux_sym_require_once_expression_token1] = ACTIONS(1658),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1660),
    [sym_name] = ACTIONS(1662),
    [anon_sym_QMARK_GT] = ACTIONS(1660),
    [anon_sym_SEMI] = ACTIONS(1660),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1662),
    [aux_sym_global_declaration_token1] = ACTIONS(1662),
    [aux_sym_namespace_definition_token1] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1662),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1662),
    [anon_sym_BSLASH] = ACTIONS(1660),
    [anon_sym_LBRACE] = ACTIONS(1660),
    [anon_sym_RBRACE] = ACTIONS(1660),
    [aux_sym_trait_declaration_token1] = ACTIONS(1662),
    [aux_sym_interface_declaration_token1] = ACTIONS(1662),
    [aux_sym_enum_declaration_token1] = ACTIONS(1662),
    [aux_sym_enum_case_token1] = ACTIONS(1662),
    [aux_sym_class_declaration_token1] = ACTIONS(1662),
    [aux_sym_final_modifier_token1] = ACTIONS(1662),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1662),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1662),
    [sym_var_modifier] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1662),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1662),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1660),
    [aux_sym_cast_type_token1] = ACTIONS(1662),
    [aux_sym_echo_statement_token1] = ACTIONS(1662),
    [aux_sym_exit_statement_token1] = ACTIONS(1662),
    [anon_sym_unset] = ACTIONS(1662),
    [aux_sym_declare_statement_token1] = ACTIONS(1662),
    [aux_sym_declare_statement_token2] = ACTIONS(1662),
    [sym_float] = ACTIONS(1662),
    [aux_sym_try_statement_token1] = ACTIONS(1662),
    [aux_sym_goto_statement_token1] = ACTIONS(1662),
    [aux_sym_continue_statement_token1] = ACTIONS(1662),
    [aux_sym_break_statement_token1] = ACTIONS(1662),
    [sym_integer] = ACTIONS(1662),
    [aux_sym_return_statement_token1] = ACTIONS(1662),
    [aux_sym_throw_expression_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token1] = ACTIONS(1662),
    [aux_sym_while_statement_token2] = ACTIONS(1662),
    [aux_sym_do_statement_token1] = ACTIONS(1662),
    [aux_sym_for_statement_token1] = ACTIONS(1662),
    [aux_sym_for_statement_token2] = ACTIONS(1662),
    [aux_sym_foreach_statement_token1] = ACTIONS(1662),
    [aux_sym_foreach_statement_token2] = ACTIONS(1662),
    [aux_sym_if_statement_token1] = ACTIONS(1662),
    [aux_sym_if_statement_token2] = ACTIONS(1662),
    [aux_sym_else_if_clause_token1] = ACTIONS(1662),
    [aux_sym_else_clause_token1] = ACTIONS(1662),
    [aux_sym_match_expression_token1] = ACTIONS(1662),
    [aux_sym_match_default_expression_token1] = ACTIONS(1662),
    [aux_sym_switch_statement_token1] = ACTIONS(1662),
    [aux_sym_switch_block_token1] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_TILDE] = ACTIONS(1660),
    [anon_sym_BANG] = ACTIONS(1660),
    [anon_sym_AT] = ACTIONS(1660),
    [aux_sym_clone_expression_token1] = ACTIONS(1662),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1662),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1662),
    [anon_sym_DASH_DASH] = ACTIONS(1660),
    [anon_sym_PLUS_PLUS] = ACTIONS(1660),
    [aux_sym__list_destructing_token1] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1660),
    [anon_sym_self] = ACTIONS(1662),
    [anon_sym_parent] = ACTIONS(1662),
    [aux_sym__argument_name_token1] = ACTIONS(1662),
    [aux_sym__argument_name_token2] = ACTIONS(1662),
    [anon_sym_POUND_LBRACK] = ACTIONS(1660),
    [aux_sym_encapsed_string_token1] = ACTIONS(1660),
    [anon_sym_DQUOTE] = ACTIONS(1660),
    [aux_sym_string_token1] = ACTIONS(1660),
    [anon_sym_SQUOTE] = ACTIONS(1660),
    [anon_sym_LT_LT_LT] = ACTIONS(1660),
    [anon_sym_BQUOTE] = ACTIONS(1660),
    [anon_sym_DOLLAR] = ACTIONS(1660),
    [aux_sym_yield_expression_token1] = ACTIONS(1662),
    [aux_sym_include_expression_token1] = ACTIONS(1662),
    [aux_sym_include_once_expression_token1] = ACTIONS(1662),
    [aux_sym_require_expression_token1] = ACTIONS(1662),
    [aux_sym_require_once_expression_token1] = ACTIONS(1662),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1664),
    [sym_name] = ACTIONS(1666),
    [anon_sym_QMARK_GT] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1664),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1666),
    [aux_sym_global_declaration_token1] = ACTIONS(1666),
    [aux_sym_namespace_definition_token1] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1666),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1666),
    [anon_sym_BSLASH] = ACTIONS(1664),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_RBRACE] = ACTIONS(1664),
    [aux_sym_trait_declaration_token1] = ACTIONS(1666),
    [aux_sym_interface_declaration_token1] = ACTIONS(1666),
    [aux_sym_enum_declaration_token1] = ACTIONS(1666),
    [aux_sym_enum_case_token1] = ACTIONS(1666),
    [aux_sym_class_declaration_token1] = ACTIONS(1666),
    [aux_sym_final_modifier_token1] = ACTIONS(1666),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1666),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1666),
    [sym_var_modifier] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1666),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1666),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [aux_sym_cast_type_token1] = ACTIONS(1666),
    [aux_sym_echo_statement_token1] = ACTIONS(1666),
    [aux_sym_exit_statement_token1] = ACTIONS(1666),
    [anon_sym_unset] = ACTIONS(1666),
    [aux_sym_declare_statement_token1] = ACTIONS(1666),
    [aux_sym_declare_statement_token2] = ACTIONS(1666),
    [sym_float] = ACTIONS(1666),
    [aux_sym_try_statement_token1] = ACTIONS(1666),
    [aux_sym_goto_statement_token1] = ACTIONS(1666),
    [aux_sym_continue_statement_token1] = ACTIONS(1666),
    [aux_sym_break_statement_token1] = ACTIONS(1666),
    [sym_integer] = ACTIONS(1666),
    [aux_sym_return_statement_token1] = ACTIONS(1666),
    [aux_sym_throw_expression_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token1] = ACTIONS(1666),
    [aux_sym_while_statement_token2] = ACTIONS(1666),
    [aux_sym_do_statement_token1] = ACTIONS(1666),
    [aux_sym_for_statement_token1] = ACTIONS(1666),
    [aux_sym_for_statement_token2] = ACTIONS(1666),
    [aux_sym_foreach_statement_token1] = ACTIONS(1666),
    [aux_sym_foreach_statement_token2] = ACTIONS(1666),
    [aux_sym_if_statement_token1] = ACTIONS(1666),
    [aux_sym_if_statement_token2] = ACTIONS(1666),
    [aux_sym_else_if_clause_token1] = ACTIONS(1666),
    [aux_sym_else_clause_token1] = ACTIONS(1666),
    [aux_sym_match_expression_token1] = ACTIONS(1666),
    [aux_sym_match_default_expression_token1] = ACTIONS(1666),
    [aux_sym_switch_statement_token1] = ACTIONS(1666),
    [aux_sym_switch_block_token1] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_TILDE] = ACTIONS(1664),
    [anon_sym_BANG] = ACTIONS(1664),
    [anon_sym_AT] = ACTIONS(1664),
    [aux_sym_clone_expression_token1] = ACTIONS(1666),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1666),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1666),
    [anon_sym_DASH_DASH] = ACTIONS(1664),
    [anon_sym_PLUS_PLUS] = ACTIONS(1664),
    [aux_sym__list_destructing_token1] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1664),
    [anon_sym_self] = ACTIONS(1666),
    [anon_sym_parent] = ACTIONS(1666),
    [aux_sym__argument_name_token1] = ACTIONS(1666),
    [aux_sym__argument_name_token2] = ACTIONS(1666),
    [anon_sym_POUND_LBRACK] = ACTIONS(1664),
    [aux_sym_encapsed_string_token1] = ACTIONS(1664),
    [anon_sym_DQUOTE] = ACTIONS(1664),
    [aux_sym_string_token1] = ACTIONS(1664),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [anon_sym_LT_LT_LT] = ACTIONS(1664),
    [anon_sym_BQUOTE] = ACTIONS(1664),
    [anon_sym_DOLLAR] = ACTIONS(1664),
    [aux_sym_yield_expression_token1] = ACTIONS(1666),
    [aux_sym_include_expression_token1] = ACTIONS(1666),
    [aux_sym_include_once_expression_token1] = ACTIONS(1666),
    [aux_sym_require_expression_token1] = ACTIONS(1666),
    [aux_sym_require_once_expression_token1] = ACTIONS(1666),
    [sym_comment] = ACTIONS(3),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(1668),
    [sym_name] = ACTIONS(1670),
    [anon_sym_QMARK_GT] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1668),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1670),
    [aux_sym_global_declaration_token1] = ACTIONS(1670),
    [aux_sym_namespace_definition_token1] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1670),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1670),
    [anon_sym_BSLASH] = ACTIONS(1668),
    [anon_sym_LBRACE] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [aux_sym_trait_declaration_token1] = ACTIONS(1670),
    [aux_sym_interface_declaration_token1] = ACTIONS(1670),
    [aux_sym_enum_declaration_token1] = ACTIONS(1670),
    [aux_sym_enum_case_token1] = ACTIONS(1670),
    [aux_sym_class_declaration_token1] = ACTIONS(1670),
    [aux_sym_final_modifier_token1] = ACTIONS(1670),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1670),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1670),
    [sym_var_modifier] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1670),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1670),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [aux_sym_cast_type_token1] = ACTIONS(1670),
    [aux_sym_echo_statement_token1] = ACTIONS(1670),
    [aux_sym_exit_statement_token1] = ACTIONS(1670),
    [anon_sym_unset] = ACTIONS(1670),
    [aux_sym_declare_statement_token1] = ACTIONS(1670),
    [aux_sym_declare_statement_token2] = ACTIONS(1670),
    [sym_float] = ACTIONS(1670),
    [aux_sym_try_statement_token1] = ACTIONS(1670),
    [aux_sym_goto_statement_token1] = ACTIONS(1670),
    [aux_sym_continue_statement_token1] = ACTIONS(1670),
    [aux_sym_break_statement_token1] = ACTIONS(1670),
    [sym_integer] = ACTIONS(1670),
    [aux_sym_return_statement_token1] = ACTIONS(1670),
    [aux_sym_throw_expression_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token1] = ACTIONS(1670),
    [aux_sym_while_statement_token2] = ACTIONS(1670),
    [aux_sym_do_statement_token1] = ACTIONS(1670),
    [aux_sym_for_statement_token1] = ACTIONS(1670),
    [aux_sym_for_statement_token2] = ACTIONS(1670),
    [aux_sym_foreach_statement_token1] = ACTIONS(1670),
    [aux_sym_foreach_statement_token2] = ACTIONS(1670),
    [aux_sym_if_statement_token1] = ACTIONS(1670),
    [aux_sym_if_statement_token2] = ACTIONS(1670),
    [aux_sym_else_if_clause_token1] = ACTIONS(1670),
    [aux_sym_else_clause_token1] = ACTIONS(1670),
    [aux_sym_match_expression_token1] = ACTIONS(1670),
    [aux_sym_match_default_expression_token1] = ACTIONS(1670),
    [aux_sym_switch_statement_token1] = ACTIONS(1670),
    [aux_sym_switch_block_token1] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_TILDE] = ACTIONS(1668),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_AT] = ACTIONS(1668),
    [aux_sym_clone_expression_token1] = ACTIONS(1670),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1670),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1670),
    [anon_sym_DASH_DASH] = ACTIONS(1668),
    [anon_sym_PLUS_PLUS] = ACTIONS(1668),
    [aux_sym__list_destructing_token1] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_self] = ACTIONS(1670),
    [anon_sym_parent] = ACTIONS(1670),
    [aux_sym__argument_name_token1] = ACTIONS(1670),
    [aux_sym__argument_name_token2] = ACTIONS(1670),
    [anon_sym_POUND_LBRACK] = ACTIONS(1668),
    [aux_sym_encapsed_string_token1] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1668),
    [aux_sym_string_token1] = ACTIONS(1668),
    [anon_sym_SQUOTE] = ACTIONS(1668),
    [anon_sym_LT_LT_LT] = ACTIONS(1668),
    [anon_sym_BQUOTE] = ACTIONS(1668),
    [anon_sym_DOLLAR] = ACTIONS(1668),
    [aux_sym_yield_expression_token1] = ACTIONS(1670),
    [aux_sym_include_expression_token1] = ACTIONS(1670),
    [aux_sym_include_once_expression_token1] = ACTIONS(1670),
    [aux_sym_require_expression_token1] = ACTIONS(1670),
    [aux_sym_require_once_expression_token1] = ACTIONS(1670),
    [sym_comment] = ACTIONS(3),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_name] = ACTIONS(1674),
    [anon_sym_QMARK_GT] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1674),
    [aux_sym_global_declaration_token1] = ACTIONS(1674),
    [aux_sym_namespace_definition_token1] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1674),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1674),
    [anon_sym_BSLASH] = ACTIONS(1672),
    [anon_sym_LBRACE] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [aux_sym_trait_declaration_token1] = ACTIONS(1674),
    [aux_sym_interface_declaration_token1] = ACTIONS(1674),
    [aux_sym_enum_declaration_token1] = ACTIONS(1674),
    [aux_sym_enum_case_token1] = ACTIONS(1674),
    [aux_sym_class_declaration_token1] = ACTIONS(1674),
    [aux_sym_final_modifier_token1] = ACTIONS(1674),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1674),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1674),
    [sym_var_modifier] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1674),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1674),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [aux_sym_cast_type_token1] = ACTIONS(1674),
    [aux_sym_echo_statement_token1] = ACTIONS(1674),
    [aux_sym_exit_statement_token1] = ACTIONS(1674),
    [anon_sym_unset] = ACTIONS(1674),
    [aux_sym_declare_statement_token1] = ACTIONS(1674),
    [aux_sym_declare_statement_token2] = ACTIONS(1674),
    [sym_float] = ACTIONS(1674),
    [aux_sym_try_statement_token1] = ACTIONS(1674),
    [aux_sym_goto_statement_token1] = ACTIONS(1674),
    [aux_sym_continue_statement_token1] = ACTIONS(1674),
    [aux_sym_break_statement_token1] = ACTIONS(1674),
    [sym_integer] = ACTIONS(1674),
    [aux_sym_return_statement_token1] = ACTIONS(1674),
    [aux_sym_throw_expression_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token1] = ACTIONS(1674),
    [aux_sym_while_statement_token2] = ACTIONS(1674),
    [aux_sym_do_statement_token1] = ACTIONS(1674),
    [aux_sym_for_statement_token1] = ACTIONS(1674),
    [aux_sym_for_statement_token2] = ACTIONS(1674),
    [aux_sym_foreach_statement_token1] = ACTIONS(1674),
    [aux_sym_foreach_statement_token2] = ACTIONS(1674),
    [aux_sym_if_statement_token1] = ACTIONS(1674),
    [aux_sym_if_statement_token2] = ACTIONS(1674),
    [aux_sym_else_if_clause_token1] = ACTIONS(1674),
    [aux_sym_else_clause_token1] = ACTIONS(1674),
    [aux_sym_match_expression_token1] = ACTIONS(1674),
    [aux_sym_match_default_expression_token1] = ACTIONS(1674),
    [aux_sym_switch_statement_token1] = ACTIONS(1674),
    [aux_sym_switch_block_token1] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_AT] = ACTIONS(1672),
    [aux_sym_clone_expression_token1] = ACTIONS(1674),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1674),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [aux_sym__list_destructing_token1] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [anon_sym_self] = ACTIONS(1674),
    [anon_sym_parent] = ACTIONS(1674),
    [aux_sym__argument_name_token1] = ACTIONS(1674),
    [aux_sym__argument_name_token2] = ACTIONS(1674),
    [anon_sym_POUND_LBRACK] = ACTIONS(1672),
    [aux_sym_encapsed_string_token1] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [aux_sym_string_token1] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_LT_LT_LT] = ACTIONS(1672),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [anon_sym_DOLLAR] = ACTIONS(1672),
    [aux_sym_yield_expression_token1] = ACTIONS(1674),
    [aux_sym_include_expression_token1] = ACTIONS(1674),
    [aux_sym_include_once_expression_token1] = ACTIONS(1674),
    [aux_sym_require_expression_token1] = ACTIONS(1674),
    [aux_sym_require_once_expression_token1] = ACTIONS(1674),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [sym_name] = ACTIONS(1678),
    [anon_sym_QMARK_GT] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1676),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1678),
    [aux_sym_global_declaration_token1] = ACTIONS(1678),
    [aux_sym_namespace_definition_token1] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1678),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1678),
    [anon_sym_BSLASH] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_RBRACE] = ACTIONS(1676),
    [aux_sym_trait_declaration_token1] = ACTIONS(1678),
    [aux_sym_interface_declaration_token1] = ACTIONS(1678),
    [aux_sym_enum_declaration_token1] = ACTIONS(1678),
    [aux_sym_enum_case_token1] = ACTIONS(1678),
    [aux_sym_class_declaration_token1] = ACTIONS(1678),
    [aux_sym_final_modifier_token1] = ACTIONS(1678),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1678),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1678),
    [sym_var_modifier] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1678),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1678),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [aux_sym_cast_type_token1] = ACTIONS(1678),
    [aux_sym_echo_statement_token1] = ACTIONS(1678),
    [aux_sym_exit_statement_token1] = ACTIONS(1678),
    [anon_sym_unset] = ACTIONS(1678),
    [aux_sym_declare_statement_token1] = ACTIONS(1678),
    [aux_sym_declare_statement_token2] = ACTIONS(1678),
    [sym_float] = ACTIONS(1678),
    [aux_sym_try_statement_token1] = ACTIONS(1678),
    [aux_sym_goto_statement_token1] = ACTIONS(1678),
    [aux_sym_continue_statement_token1] = ACTIONS(1678),
    [aux_sym_break_statement_token1] = ACTIONS(1678),
    [sym_integer] = ACTIONS(1678),
    [aux_sym_return_statement_token1] = ACTIONS(1678),
    [aux_sym_throw_expression_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token1] = ACTIONS(1678),
    [aux_sym_while_statement_token2] = ACTIONS(1678),
    [aux_sym_do_statement_token1] = ACTIONS(1678),
    [aux_sym_for_statement_token1] = ACTIONS(1678),
    [aux_sym_for_statement_token2] = ACTIONS(1678),
    [aux_sym_foreach_statement_token1] = ACTIONS(1678),
    [aux_sym_foreach_statement_token2] = ACTIONS(1678),
    [aux_sym_if_statement_token1] = ACTIONS(1678),
    [aux_sym_if_statement_token2] = ACTIONS(1678),
    [aux_sym_else_if_clause_token1] = ACTIONS(1678),
    [aux_sym_else_clause_token1] = ACTIONS(1678),
    [aux_sym_match_expression_token1] = ACTIONS(1678),
    [aux_sym_match_default_expression_token1] = ACTIONS(1678),
    [aux_sym_switch_statement_token1] = ACTIONS(1678),
    [aux_sym_switch_block_token1] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [aux_sym_clone_expression_token1] = ACTIONS(1678),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1678),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1676),
    [anon_sym_PLUS_PLUS] = ACTIONS(1676),
    [aux_sym__list_destructing_token1] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [anon_sym_self] = ACTIONS(1678),
    [anon_sym_parent] = ACTIONS(1678),
    [aux_sym__argument_name_token1] = ACTIONS(1678),
    [aux_sym__argument_name_token2] = ACTIONS(1678),
    [anon_sym_POUND_LBRACK] = ACTIONS(1676),
    [aux_sym_encapsed_string_token1] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1676),
    [aux_sym_string_token1] = ACTIONS(1676),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_LT_LT_LT] = ACTIONS(1676),
    [anon_sym_BQUOTE] = ACTIONS(1676),
    [anon_sym_DOLLAR] = ACTIONS(1676),
    [aux_sym_yield_expression_token1] = ACTIONS(1678),
    [aux_sym_include_expression_token1] = ACTIONS(1678),
    [aux_sym_include_once_expression_token1] = ACTIONS(1678),
    [aux_sym_require_expression_token1] = ACTIONS(1678),
    [aux_sym_require_once_expression_token1] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym_name] = ACTIONS(1682),
    [anon_sym_QMARK_GT] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1682),
    [aux_sym_global_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_definition_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1682),
    [anon_sym_BSLASH] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [aux_sym_trait_declaration_token1] = ACTIONS(1682),
    [aux_sym_interface_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_case_token1] = ACTIONS(1682),
    [aux_sym_class_declaration_token1] = ACTIONS(1682),
    [aux_sym_final_modifier_token1] = ACTIONS(1682),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1682),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1682),
    [sym_var_modifier] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1682),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_cast_type_token1] = ACTIONS(1682),
    [aux_sym_echo_statement_token1] = ACTIONS(1682),
    [aux_sym_exit_statement_token1] = ACTIONS(1682),
    [anon_sym_unset] = ACTIONS(1682),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [aux_sym_declare_statement_token2] = ACTIONS(1682),
    [sym_float] = ACTIONS(1682),
    [aux_sym_try_statement_token1] = ACTIONS(1682),
    [aux_sym_goto_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [sym_integer] = ACTIONS(1682),
    [aux_sym_return_statement_token1] = ACTIONS(1682),
    [aux_sym_throw_expression_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token2] = ACTIONS(1682),
    [aux_sym_do_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token2] = ACTIONS(1682),
    [aux_sym_foreach_statement_token1] = ACTIONS(1682),
    [aux_sym_foreach_statement_token2] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token2] = ACTIONS(1682),
    [aux_sym_else_if_clause_token1] = ACTIONS(1682),
    [aux_sym_else_clause_token1] = ACTIONS(1682),
    [aux_sym_match_expression_token1] = ACTIONS(1682),
    [aux_sym_match_default_expression_token1] = ACTIONS(1682),
    [aux_sym_switch_statement_token1] = ACTIONS(1682),
    [aux_sym_switch_block_token1] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [aux_sym_clone_expression_token1] = ACTIONS(1682),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1682),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [aux_sym__list_destructing_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_self] = ACTIONS(1682),
    [anon_sym_parent] = ACTIONS(1682),
    [aux_sym__argument_name_token1] = ACTIONS(1682),
    [aux_sym__argument_name_token2] = ACTIONS(1682),
    [anon_sym_POUND_LBRACK] = ACTIONS(1680),
    [aux_sym_encapsed_string_token1] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1680),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_LT_LT_LT] = ACTIONS(1680),
    [anon_sym_BQUOTE] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1680),
    [aux_sym_yield_expression_token1] = ACTIONS(1682),
    [aux_sym_include_expression_token1] = ACTIONS(1682),
    [aux_sym_include_once_expression_token1] = ACTIONS(1682),
    [aux_sym_require_expression_token1] = ACTIONS(1682),
    [aux_sym_require_once_expression_token1] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(1684),
    [sym_name] = ACTIONS(1686),
    [anon_sym_QMARK_GT] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1684),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1686),
    [aux_sym_global_declaration_token1] = ACTIONS(1686),
    [aux_sym_namespace_definition_token1] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1686),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1686),
    [anon_sym_BSLASH] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_RBRACE] = ACTIONS(1684),
    [aux_sym_trait_declaration_token1] = ACTIONS(1686),
    [aux_sym_interface_declaration_token1] = ACTIONS(1686),
    [aux_sym_enum_declaration_token1] = ACTIONS(1686),
    [aux_sym_enum_case_token1] = ACTIONS(1686),
    [aux_sym_class_declaration_token1] = ACTIONS(1686),
    [aux_sym_final_modifier_token1] = ACTIONS(1686),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1686),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1686),
    [sym_var_modifier] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1686),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1686),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [aux_sym_cast_type_token1] = ACTIONS(1686),
    [aux_sym_echo_statement_token1] = ACTIONS(1686),
    [aux_sym_exit_statement_token1] = ACTIONS(1686),
    [anon_sym_unset] = ACTIONS(1686),
    [aux_sym_declare_statement_token1] = ACTIONS(1686),
    [aux_sym_declare_statement_token2] = ACTIONS(1686),
    [sym_float] = ACTIONS(1686),
    [aux_sym_try_statement_token1] = ACTIONS(1686),
    [aux_sym_goto_statement_token1] = ACTIONS(1686),
    [aux_sym_continue_statement_token1] = ACTIONS(1686),
    [aux_sym_break_statement_token1] = ACTIONS(1686),
    [sym_integer] = ACTIONS(1686),
    [aux_sym_return_statement_token1] = ACTIONS(1686),
    [aux_sym_throw_expression_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token1] = ACTIONS(1686),
    [aux_sym_while_statement_token2] = ACTIONS(1686),
    [aux_sym_do_statement_token1] = ACTIONS(1686),
    [aux_sym_for_statement_token1] = ACTIONS(1686),
    [aux_sym_for_statement_token2] = ACTIONS(1686),
    [aux_sym_foreach_statement_token1] = ACTIONS(1686),
    [aux_sym_foreach_statement_token2] = ACTIONS(1686),
    [aux_sym_if_statement_token1] = ACTIONS(1686),
    [aux_sym_if_statement_token2] = ACTIONS(1686),
    [aux_sym_else_if_clause_token1] = ACTIONS(1686),
    [aux_sym_else_clause_token1] = ACTIONS(1686),
    [aux_sym_match_expression_token1] = ACTIONS(1686),
    [aux_sym_match_default_expression_token1] = ACTIONS(1686),
    [aux_sym_switch_statement_token1] = ACTIONS(1686),
    [aux_sym_switch_block_token1] = ACTIONS(1686),
    [anon_sym_PLUS] = ACTIONS(1686),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1684),
    [aux_sym_clone_expression_token1] = ACTIONS(1686),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1686),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1686),
    [anon_sym_DASH_DASH] = ACTIONS(1684),
    [anon_sym_PLUS_PLUS] = ACTIONS(1684),
    [aux_sym__list_destructing_token1] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_self] = ACTIONS(1686),
    [anon_sym_parent] = ACTIONS(1686),
    [aux_sym__argument_name_token1] = ACTIONS(1686),
    [aux_sym__argument_name_token2] = ACTIONS(1686),
    [anon_sym_POUND_LBRACK] = ACTIONS(1684),
    [aux_sym_encapsed_string_token1] = ACTIONS(1684),
    [anon_sym_DQUOTE] = ACTIONS(1684),
    [aux_sym_string_token1] = ACTIONS(1684),
    [anon_sym_SQUOTE] = ACTIONS(1684),
    [anon_sym_LT_LT_LT] = ACTIONS(1684),
    [anon_sym_BQUOTE] = ACTIONS(1684),
    [anon_sym_DOLLAR] = ACTIONS(1684),
    [aux_sym_yield_expression_token1] = ACTIONS(1686),
    [aux_sym_include_expression_token1] = ACTIONS(1686),
    [aux_sym_include_once_expression_token1] = ACTIONS(1686),
    [aux_sym_require_expression_token1] = ACTIONS(1686),
    [aux_sym_require_once_expression_token1] = ACTIONS(1686),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(1688),
    [sym_name] = ACTIONS(1690),
    [anon_sym_QMARK_GT] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1688),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1690),
    [aux_sym_global_declaration_token1] = ACTIONS(1690),
    [aux_sym_namespace_definition_token1] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1690),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1690),
    [anon_sym_BSLASH] = ACTIONS(1688),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_RBRACE] = ACTIONS(1688),
    [aux_sym_trait_declaration_token1] = ACTIONS(1690),
    [aux_sym_interface_declaration_token1] = ACTIONS(1690),
    [aux_sym_enum_declaration_token1] = ACTIONS(1690),
    [aux_sym_enum_case_token1] = ACTIONS(1690),
    [aux_sym_class_declaration_token1] = ACTIONS(1690),
    [aux_sym_final_modifier_token1] = ACTIONS(1690),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1690),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1690),
    [sym_var_modifier] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1690),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1690),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [aux_sym_cast_type_token1] = ACTIONS(1690),
    [aux_sym_echo_statement_token1] = ACTIONS(1690),
    [aux_sym_exit_statement_token1] = ACTIONS(1690),
    [anon_sym_unset] = ACTIONS(1690),
    [aux_sym_declare_statement_token1] = ACTIONS(1690),
    [aux_sym_declare_statement_token2] = ACTIONS(1690),
    [sym_float] = ACTIONS(1690),
    [aux_sym_try_statement_token1] = ACTIONS(1690),
    [aux_sym_goto_statement_token1] = ACTIONS(1690),
    [aux_sym_continue_statement_token1] = ACTIONS(1690),
    [aux_sym_break_statement_token1] = ACTIONS(1690),
    [sym_integer] = ACTIONS(1690),
    [aux_sym_return_statement_token1] = ACTIONS(1690),
    [aux_sym_throw_expression_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token1] = ACTIONS(1690),
    [aux_sym_while_statement_token2] = ACTIONS(1690),
    [aux_sym_do_statement_token1] = ACTIONS(1690),
    [aux_sym_for_statement_token1] = ACTIONS(1690),
    [aux_sym_for_statement_token2] = ACTIONS(1690),
    [aux_sym_foreach_statement_token1] = ACTIONS(1690),
    [aux_sym_foreach_statement_token2] = ACTIONS(1690),
    [aux_sym_if_statement_token1] = ACTIONS(1690),
    [aux_sym_if_statement_token2] = ACTIONS(1690),
    [aux_sym_else_if_clause_token1] = ACTIONS(1690),
    [aux_sym_else_clause_token1] = ACTIONS(1690),
    [aux_sym_match_expression_token1] = ACTIONS(1690),
    [aux_sym_match_default_expression_token1] = ACTIONS(1690),
    [aux_sym_switch_statement_token1] = ACTIONS(1690),
    [aux_sym_switch_block_token1] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(1690),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1688),
    [anon_sym_AT] = ACTIONS(1688),
    [aux_sym_clone_expression_token1] = ACTIONS(1690),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1690),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1688),
    [anon_sym_PLUS_PLUS] = ACTIONS(1688),
    [aux_sym__list_destructing_token1] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_self] = ACTIONS(1690),
    [anon_sym_parent] = ACTIONS(1690),
    [aux_sym__argument_name_token1] = ACTIONS(1690),
    [aux_sym__argument_name_token2] = ACTIONS(1690),
    [anon_sym_POUND_LBRACK] = ACTIONS(1688),
    [aux_sym_encapsed_string_token1] = ACTIONS(1688),
    [anon_sym_DQUOTE] = ACTIONS(1688),
    [aux_sym_string_token1] = ACTIONS(1688),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [anon_sym_LT_LT_LT] = ACTIONS(1688),
    [anon_sym_BQUOTE] = ACTIONS(1688),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [aux_sym_yield_expression_token1] = ACTIONS(1690),
    [aux_sym_include_expression_token1] = ACTIONS(1690),
    [aux_sym_include_once_expression_token1] = ACTIONS(1690),
    [aux_sym_require_expression_token1] = ACTIONS(1690),
    [aux_sym_require_once_expression_token1] = ACTIONS(1690),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(1692),
    [sym_name] = ACTIONS(1694),
    [anon_sym_QMARK_GT] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1692),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1694),
    [aux_sym_global_declaration_token1] = ACTIONS(1694),
    [aux_sym_namespace_definition_token1] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1694),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1694),
    [anon_sym_BSLASH] = ACTIONS(1692),
    [anon_sym_LBRACE] = ACTIONS(1692),
    [anon_sym_RBRACE] = ACTIONS(1692),
    [aux_sym_trait_declaration_token1] = ACTIONS(1694),
    [aux_sym_interface_declaration_token1] = ACTIONS(1694),
    [aux_sym_enum_declaration_token1] = ACTIONS(1694),
    [aux_sym_enum_case_token1] = ACTIONS(1694),
    [aux_sym_class_declaration_token1] = ACTIONS(1694),
    [aux_sym_final_modifier_token1] = ACTIONS(1694),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1694),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1694),
    [sym_var_modifier] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1694),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1694),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1692),
    [aux_sym_cast_type_token1] = ACTIONS(1694),
    [aux_sym_echo_statement_token1] = ACTIONS(1694),
    [aux_sym_exit_statement_token1] = ACTIONS(1694),
    [anon_sym_unset] = ACTIONS(1694),
    [aux_sym_declare_statement_token1] = ACTIONS(1694),
    [aux_sym_declare_statement_token2] = ACTIONS(1694),
    [sym_float] = ACTIONS(1694),
    [aux_sym_try_statement_token1] = ACTIONS(1694),
    [aux_sym_goto_statement_token1] = ACTIONS(1694),
    [aux_sym_continue_statement_token1] = ACTIONS(1694),
    [aux_sym_break_statement_token1] = ACTIONS(1694),
    [sym_integer] = ACTIONS(1694),
    [aux_sym_return_statement_token1] = ACTIONS(1694),
    [aux_sym_throw_expression_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token1] = ACTIONS(1694),
    [aux_sym_while_statement_token2] = ACTIONS(1694),
    [aux_sym_do_statement_token1] = ACTIONS(1694),
    [aux_sym_for_statement_token1] = ACTIONS(1694),
    [aux_sym_for_statement_token2] = ACTIONS(1694),
    [aux_sym_foreach_statement_token1] = ACTIONS(1694),
    [aux_sym_foreach_statement_token2] = ACTIONS(1694),
    [aux_sym_if_statement_token1] = ACTIONS(1694),
    [aux_sym_if_statement_token2] = ACTIONS(1694),
    [aux_sym_else_if_clause_token1] = ACTIONS(1694),
    [aux_sym_else_clause_token1] = ACTIONS(1694),
    [aux_sym_match_expression_token1] = ACTIONS(1694),
    [aux_sym_match_default_expression_token1] = ACTIONS(1694),
    [aux_sym_switch_statement_token1] = ACTIONS(1694),
    [aux_sym_switch_block_token1] = ACTIONS(1694),
    [anon_sym_PLUS] = ACTIONS(1694),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_TILDE] = ACTIONS(1692),
    [anon_sym_BANG] = ACTIONS(1692),
    [anon_sym_AT] = ACTIONS(1692),
    [aux_sym_clone_expression_token1] = ACTIONS(1694),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1694),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1694),
    [anon_sym_DASH_DASH] = ACTIONS(1692),
    [anon_sym_PLUS_PLUS] = ACTIONS(1692),
    [aux_sym__list_destructing_token1] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_self] = ACTIONS(1694),
    [anon_sym_parent] = ACTIONS(1694),
    [aux_sym__argument_name_token1] = ACTIONS(1694),
    [aux_sym__argument_name_token2] = ACTIONS(1694),
    [anon_sym_POUND_LBRACK] = ACTIONS(1692),
    [aux_sym_encapsed_string_token1] = ACTIONS(1692),
    [anon_sym_DQUOTE] = ACTIONS(1692),
    [aux_sym_string_token1] = ACTIONS(1692),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_LT_LT_LT] = ACTIONS(1692),
    [anon_sym_BQUOTE] = ACTIONS(1692),
    [anon_sym_DOLLAR] = ACTIONS(1692),
    [aux_sym_yield_expression_token1] = ACTIONS(1694),
    [aux_sym_include_expression_token1] = ACTIONS(1694),
    [aux_sym_include_once_expression_token1] = ACTIONS(1694),
    [aux_sym_require_expression_token1] = ACTIONS(1694),
    [aux_sym_require_once_expression_token1] = ACTIONS(1694),
    [sym_comment] = ACTIONS(3),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym_name] = ACTIONS(1682),
    [anon_sym_QMARK_GT] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1682),
    [aux_sym_global_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_definition_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1682),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1682),
    [anon_sym_BSLASH] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_RBRACE] = ACTIONS(1680),
    [aux_sym_trait_declaration_token1] = ACTIONS(1682),
    [aux_sym_interface_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_declaration_token1] = ACTIONS(1682),
    [aux_sym_enum_case_token1] = ACTIONS(1682),
    [aux_sym_class_declaration_token1] = ACTIONS(1682),
    [aux_sym_final_modifier_token1] = ACTIONS(1682),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1682),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1682),
    [sym_var_modifier] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1682),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1682),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [aux_sym_cast_type_token1] = ACTIONS(1682),
    [aux_sym_echo_statement_token1] = ACTIONS(1682),
    [aux_sym_exit_statement_token1] = ACTIONS(1682),
    [anon_sym_unset] = ACTIONS(1682),
    [aux_sym_declare_statement_token1] = ACTIONS(1682),
    [aux_sym_declare_statement_token2] = ACTIONS(1682),
    [sym_float] = ACTIONS(1682),
    [aux_sym_try_statement_token1] = ACTIONS(1682),
    [aux_sym_goto_statement_token1] = ACTIONS(1682),
    [aux_sym_continue_statement_token1] = ACTIONS(1682),
    [aux_sym_break_statement_token1] = ACTIONS(1682),
    [sym_integer] = ACTIONS(1682),
    [aux_sym_return_statement_token1] = ACTIONS(1682),
    [aux_sym_throw_expression_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token1] = ACTIONS(1682),
    [aux_sym_while_statement_token2] = ACTIONS(1682),
    [aux_sym_do_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token1] = ACTIONS(1682),
    [aux_sym_for_statement_token2] = ACTIONS(1682),
    [aux_sym_foreach_statement_token1] = ACTIONS(1682),
    [aux_sym_foreach_statement_token2] = ACTIONS(1682),
    [aux_sym_if_statement_token1] = ACTIONS(1682),
    [aux_sym_if_statement_token2] = ACTIONS(1682),
    [aux_sym_else_if_clause_token1] = ACTIONS(1682),
    [aux_sym_else_clause_token1] = ACTIONS(1682),
    [aux_sym_match_expression_token1] = ACTIONS(1682),
    [aux_sym_match_default_expression_token1] = ACTIONS(1682),
    [aux_sym_switch_statement_token1] = ACTIONS(1682),
    [aux_sym_switch_block_token1] = ACTIONS(1682),
    [anon_sym_PLUS] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [aux_sym_clone_expression_token1] = ACTIONS(1682),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1682),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1682),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [aux_sym__list_destructing_token1] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_self] = ACTIONS(1682),
    [anon_sym_parent] = ACTIONS(1682),
    [aux_sym__argument_name_token1] = ACTIONS(1682),
    [aux_sym__argument_name_token2] = ACTIONS(1682),
    [anon_sym_POUND_LBRACK] = ACTIONS(1680),
    [aux_sym_encapsed_string_token1] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [aux_sym_string_token1] = ACTIONS(1680),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_LT_LT_LT] = ACTIONS(1680),
    [anon_sym_BQUOTE] = ACTIONS(1680),
    [anon_sym_DOLLAR] = ACTIONS(1680),
    [aux_sym_yield_expression_token1] = ACTIONS(1682),
    [aux_sym_include_expression_token1] = ACTIONS(1682),
    [aux_sym_include_once_expression_token1] = ACTIONS(1682),
    [aux_sym_require_expression_token1] = ACTIONS(1682),
    [aux_sym_require_once_expression_token1] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(1696),
    [sym_name] = ACTIONS(1698),
    [anon_sym_QMARK_GT] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1696),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1698),
    [aux_sym_global_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_definition_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1698),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1698),
    [anon_sym_BSLASH] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1696),
    [anon_sym_RBRACE] = ACTIONS(1696),
    [aux_sym_trait_declaration_token1] = ACTIONS(1698),
    [aux_sym_interface_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_declaration_token1] = ACTIONS(1698),
    [aux_sym_enum_case_token1] = ACTIONS(1698),
    [aux_sym_class_declaration_token1] = ACTIONS(1698),
    [aux_sym_final_modifier_token1] = ACTIONS(1698),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1698),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1698),
    [sym_var_modifier] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1698),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1698),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1696),
    [aux_sym_cast_type_token1] = ACTIONS(1698),
    [aux_sym_echo_statement_token1] = ACTIONS(1698),
    [aux_sym_exit_statement_token1] = ACTIONS(1698),
    [anon_sym_unset] = ACTIONS(1698),
    [aux_sym_declare_statement_token1] = ACTIONS(1698),
    [aux_sym_declare_statement_token2] = ACTIONS(1698),
    [sym_float] = ACTIONS(1698),
    [aux_sym_try_statement_token1] = ACTIONS(1698),
    [aux_sym_goto_statement_token1] = ACTIONS(1698),
    [aux_sym_continue_statement_token1] = ACTIONS(1698),
    [aux_sym_break_statement_token1] = ACTIONS(1698),
    [sym_integer] = ACTIONS(1698),
    [aux_sym_return_statement_token1] = ACTIONS(1698),
    [aux_sym_throw_expression_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token1] = ACTIONS(1698),
    [aux_sym_while_statement_token2] = ACTIONS(1698),
    [aux_sym_do_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token1] = ACTIONS(1698),
    [aux_sym_for_statement_token2] = ACTIONS(1698),
    [aux_sym_foreach_statement_token1] = ACTIONS(1698),
    [aux_sym_foreach_statement_token2] = ACTIONS(1698),
    [aux_sym_if_statement_token1] = ACTIONS(1698),
    [aux_sym_if_statement_token2] = ACTIONS(1698),
    [aux_sym_else_if_clause_token1] = ACTIONS(1698),
    [aux_sym_else_clause_token1] = ACTIONS(1698),
    [aux_sym_match_expression_token1] = ACTIONS(1698),
    [aux_sym_match_default_expression_token1] = ACTIONS(1698),
    [aux_sym_switch_statement_token1] = ACTIONS(1698),
    [aux_sym_switch_block_token1] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_TILDE] = ACTIONS(1696),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_AT] = ACTIONS(1696),
    [aux_sym_clone_expression_token1] = ACTIONS(1698),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1698),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1696),
    [anon_sym_PLUS_PLUS] = ACTIONS(1696),
    [aux_sym__list_destructing_token1] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1696),
    [anon_sym_self] = ACTIONS(1698),
    [anon_sym_parent] = ACTIONS(1698),
    [aux_sym__argument_name_token1] = ACTIONS(1698),
    [aux_sym__argument_name_token2] = ACTIONS(1698),
    [anon_sym_POUND_LBRACK] = ACTIONS(1696),
    [aux_sym_encapsed_string_token1] = ACTIONS(1696),
    [anon_sym_DQUOTE] = ACTIONS(1696),
    [aux_sym_string_token1] = ACTIONS(1696),
    [anon_sym_SQUOTE] = ACTIONS(1696),
    [anon_sym_LT_LT_LT] = ACTIONS(1696),
    [anon_sym_BQUOTE] = ACTIONS(1696),
    [anon_sym_DOLLAR] = ACTIONS(1696),
    [aux_sym_yield_expression_token1] = ACTIONS(1698),
    [aux_sym_include_expression_token1] = ACTIONS(1698),
    [aux_sym_include_once_expression_token1] = ACTIONS(1698),
    [aux_sym_require_expression_token1] = ACTIONS(1698),
    [aux_sym_require_once_expression_token1] = ACTIONS(1698),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [sym_qualified_name] = STATE(905),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1158),
    [sym_unary_op_expression] = STATE(1158),
    [sym_error_suppression_expression] = STATE(1158),
    [sym_clone_expression] = STATE(1158),
    [sym_primary_expression] = STATE(1158),
    [sym_parenthesized_expression] = STATE(912),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_expression] = STATE(1158),
    [sym_cast_variable] = STATE(696),
    [sym_member_access_expression] = STATE(696),
    [sym_nullsafe_member_access_expression] = STATE(696),
    [sym_scoped_property_access_expression] = STATE(696),
    [sym_function_call_expression] = STATE(669),
    [sym_scoped_call_expression] = STATE(669),
    [sym__scope_resolution_qualifier] = STATE(2715),
    [sym_relative_scope] = STATE(2715),
    [sym_member_call_expression] = STATE(669),
    [sym_nullsafe_member_call_expression] = STATE(669),
    [sym_subscript_expression] = STATE(669),
    [sym__dereferencable_expression] = STATE(1748),
    [sym_array_creation_expression] = STATE(912),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(884),
    [sym_dynamic_variable_name] = STATE(669),
    [sym_variable_name] = STATE(669),
    [sym_include_expression] = STATE(1158),
    [sym_include_once_expression] = STATE(1158),
    [sym__reserved_identifier] = STATE(1614),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(755),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(1636),
    [sym_name] = ACTIONS(1638),
    [anon_sym_QMARK_GT] = ACTIONS(1636),
    [anon_sym_SEMI] = ACTIONS(1636),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1638),
    [aux_sym_global_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_definition_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1638),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1638),
    [anon_sym_BSLASH] = ACTIONS(1636),
    [anon_sym_LBRACE] = ACTIONS(1636),
    [anon_sym_RBRACE] = ACTIONS(1636),
    [aux_sym_trait_declaration_token1] = ACTIONS(1638),
    [aux_sym_interface_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_declaration_token1] = ACTIONS(1638),
    [aux_sym_enum_case_token1] = ACTIONS(1638),
    [aux_sym_class_declaration_token1] = ACTIONS(1638),
    [aux_sym_final_modifier_token1] = ACTIONS(1638),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1638),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1638),
    [sym_var_modifier] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1638),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1638),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1636),
    [aux_sym_cast_type_token1] = ACTIONS(1638),
    [aux_sym_echo_statement_token1] = ACTIONS(1638),
    [aux_sym_exit_statement_token1] = ACTIONS(1638),
    [anon_sym_unset] = ACTIONS(1638),
    [aux_sym_declare_statement_token1] = ACTIONS(1638),
    [aux_sym_declare_statement_token2] = ACTIONS(1638),
    [sym_float] = ACTIONS(1638),
    [aux_sym_try_statement_token1] = ACTIONS(1638),
    [aux_sym_goto_statement_token1] = ACTIONS(1638),
    [aux_sym_continue_statement_token1] = ACTIONS(1638),
    [aux_sym_break_statement_token1] = ACTIONS(1638),
    [sym_integer] = ACTIONS(1638),
    [aux_sym_return_statement_token1] = ACTIONS(1638),
    [aux_sym_throw_expression_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token1] = ACTIONS(1638),
    [aux_sym_while_statement_token2] = ACTIONS(1638),
    [aux_sym_do_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token1] = ACTIONS(1638),
    [aux_sym_for_statement_token2] = ACTIONS(1638),
    [aux_sym_foreach_statement_token1] = ACTIONS(1638),
    [aux_sym_foreach_statement_token2] = ACTIONS(1638),
    [aux_sym_if_statement_token1] = ACTIONS(1638),
    [aux_sym_if_statement_token2] = ACTIONS(1638),
    [aux_sym_else_if_clause_token1] = ACTIONS(1638),
    [aux_sym_else_clause_token1] = ACTIONS(1638),
    [aux_sym_match_expression_token1] = ACTIONS(1638),
    [aux_sym_match_default_expression_token1] = ACTIONS(1638),
    [aux_sym_switch_statement_token1] = ACTIONS(1638),
    [aux_sym_switch_block_token1] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1636),
    [anon_sym_BANG] = ACTIONS(1636),
    [anon_sym_AT] = ACTIONS(1636),
    [aux_sym_clone_expression_token1] = ACTIONS(1638),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1638),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1638),
    [anon_sym_DASH_DASH] = ACTIONS(1636),
    [anon_sym_PLUS_PLUS] = ACTIONS(1636),
    [aux_sym__list_destructing_token1] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1636),
    [anon_sym_self] = ACTIONS(1638),
    [anon_sym_parent] = ACTIONS(1638),
    [aux_sym__argument_name_token1] = ACTIONS(1638),
    [aux_sym__argument_name_token2] = ACTIONS(1638),
    [anon_sym_POUND_LBRACK] = ACTIONS(1636),
    [aux_sym_encapsed_string_token1] = ACTIONS(1636),
    [anon_sym_DQUOTE] = ACTIONS(1636),
    [aux_sym_string_token1] = ACTIONS(1636),
    [anon_sym_SQUOTE] = ACTIONS(1636),
    [anon_sym_LT_LT_LT] = ACTIONS(1636),
    [anon_sym_BQUOTE] = ACTIONS(1636),
    [anon_sym_DOLLAR] = ACTIONS(1636),
    [aux_sym_yield_expression_token1] = ACTIONS(1638),
    [aux_sym_include_expression_token1] = ACTIONS(1638),
    [aux_sym_include_once_expression_token1] = ACTIONS(1638),
    [aux_sym_require_expression_token1] = ACTIONS(1638),
    [aux_sym_require_once_expression_token1] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_name] = ACTIONS(1704),
    [anon_sym_QMARK_GT] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1704),
    [aux_sym_global_declaration_token1] = ACTIONS(1704),
    [aux_sym_namespace_definition_token1] = ACTIONS(1704),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1704),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1704),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1704),
    [anon_sym_BSLASH] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [aux_sym_trait_declaration_token1] = ACTIONS(1704),
    [aux_sym_interface_declaration_token1] = ACTIONS(1704),
    [aux_sym_enum_declaration_token1] = ACTIONS(1704),
    [aux_sym_enum_case_token1] = ACTIONS(1704),
    [aux_sym_class_declaration_token1] = ACTIONS(1704),
    [aux_sym_final_modifier_token1] = ACTIONS(1704),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1704),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1704),
    [sym_var_modifier] = ACTIONS(1704),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1704),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1704),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1704),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [aux_sym_cast_type_token1] = ACTIONS(1704),
    [aux_sym_echo_statement_token1] = ACTIONS(1704),
    [aux_sym_exit_statement_token1] = ACTIONS(1704),
    [anon_sym_unset] = ACTIONS(1704),
    [aux_sym_declare_statement_token1] = ACTIONS(1704),
    [aux_sym_declare_statement_token2] = ACTIONS(1704),
    [sym_float] = ACTIONS(1704),
    [aux_sym_try_statement_token1] = ACTIONS(1704),
    [aux_sym_goto_statement_token1] = ACTIONS(1704),
    [aux_sym_continue_statement_token1] = ACTIONS(1704),
    [aux_sym_break_statement_token1] = ACTIONS(1704),
    [sym_integer] = ACTIONS(1704),
    [aux_sym_return_statement_token1] = ACTIONS(1704),
    [aux_sym_throw_expression_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token1] = ACTIONS(1704),
    [aux_sym_while_statement_token2] = ACTIONS(1704),
    [aux_sym_do_statement_token1] = ACTIONS(1704),
    [aux_sym_for_statement_token1] = ACTIONS(1704),
    [aux_sym_for_statement_token2] = ACTIONS(1704),
    [aux_sym_foreach_statement_token1] = ACTIONS(1704),
    [aux_sym_foreach_statement_token2] = ACTIONS(1704),
    [aux_sym_if_statement_token1] = ACTIONS(1704),
    [aux_sym_if_statement_token2] = ACTIONS(1704),
    [aux_sym_else_if_clause_token1] = ACTIONS(1704),
    [aux_sym_else_clause_token1] = ACTIONS(1704),
    [aux_sym_match_expression_token1] = ACTIONS(1704),
    [aux_sym_match_default_expression_token1] = ACTIONS(1704),
    [aux_sym_switch_statement_token1] = ACTIONS(1704),
    [aux_sym_switch_block_token1] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_AT] = ACTIONS(1702),
    [aux_sym_clone_expression_token1] = ACTIONS(1704),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1704),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1704),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [aux_sym__list_destructing_token1] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_self] = ACTIONS(1704),
    [anon_sym_parent] = ACTIONS(1704),
    [aux_sym__argument_name_token1] = ACTIONS(1704),
    [aux_sym__argument_name_token2] = ACTIONS(1704),
    [anon_sym_POUND_LBRACK] = ACTIONS(1702),
    [aux_sym_encapsed_string_token1] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [aux_sym_string_token1] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_LT_LT_LT] = ACTIONS(1702),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [anon_sym_DOLLAR] = ACTIONS(1702),
    [aux_sym_yield_expression_token1] = ACTIONS(1704),
    [aux_sym_include_expression_token1] = ACTIONS(1704),
    [aux_sym_include_once_expression_token1] = ACTIONS(1704),
    [aux_sym_require_expression_token1] = ACTIONS(1704),
    [aux_sym_require_once_expression_token1] = ACTIONS(1704),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(1706),
    [sym_name] = ACTIONS(1708),
    [anon_sym_QMARK_GT] = ACTIONS(1706),
    [anon_sym_SEMI] = ACTIONS(1706),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1708),
    [aux_sym_global_declaration_token1] = ACTIONS(1708),
    [aux_sym_namespace_definition_token1] = ACTIONS(1708),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1708),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1708),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1708),
    [anon_sym_BSLASH] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [aux_sym_trait_declaration_token1] = ACTIONS(1708),
    [aux_sym_interface_declaration_token1] = ACTIONS(1708),
    [aux_sym_enum_declaration_token1] = ACTIONS(1708),
    [aux_sym_enum_case_token1] = ACTIONS(1708),
    [aux_sym_class_declaration_token1] = ACTIONS(1708),
    [aux_sym_final_modifier_token1] = ACTIONS(1708),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1708),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1708),
    [sym_var_modifier] = ACTIONS(1708),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1708),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1708),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1708),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1708),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [aux_sym_cast_type_token1] = ACTIONS(1708),
    [aux_sym_echo_statement_token1] = ACTIONS(1708),
    [aux_sym_exit_statement_token1] = ACTIONS(1708),
    [anon_sym_unset] = ACTIONS(1708),
    [aux_sym_declare_statement_token1] = ACTIONS(1708),
    [aux_sym_declare_statement_token2] = ACTIONS(1708),
    [sym_float] = ACTIONS(1708),
    [aux_sym_try_statement_token1] = ACTIONS(1708),
    [aux_sym_goto_statement_token1] = ACTIONS(1708),
    [aux_sym_continue_statement_token1] = ACTIONS(1708),
    [aux_sym_break_statement_token1] = ACTIONS(1708),
    [sym_integer] = ACTIONS(1708),
    [aux_sym_return_statement_token1] = ACTIONS(1708),
    [aux_sym_throw_expression_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token1] = ACTIONS(1708),
    [aux_sym_while_statement_token2] = ACTIONS(1708),
    [aux_sym_do_statement_token1] = ACTIONS(1708),
    [aux_sym_for_statement_token1] = ACTIONS(1708),
    [aux_sym_for_statement_token2] = ACTIONS(1708),
    [aux_sym_foreach_statement_token1] = ACTIONS(1708),
    [aux_sym_foreach_statement_token2] = ACTIONS(1708),
    [aux_sym_if_statement_token1] = ACTIONS(1708),
    [aux_sym_if_statement_token2] = ACTIONS(1708),
    [aux_sym_else_if_clause_token1] = ACTIONS(1708),
    [aux_sym_else_clause_token1] = ACTIONS(1708),
    [aux_sym_match_expression_token1] = ACTIONS(1708),
    [aux_sym_match_default_expression_token1] = ACTIONS(1708),
    [aux_sym_switch_statement_token1] = ACTIONS(1708),
    [aux_sym_switch_block_token1] = ACTIONS(1708),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_TILDE] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_AT] = ACTIONS(1706),
    [aux_sym_clone_expression_token1] = ACTIONS(1708),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1708),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1708),
    [anon_sym_DASH_DASH] = ACTIONS(1706),
    [anon_sym_PLUS_PLUS] = ACTIONS(1706),
    [aux_sym__list_destructing_token1] = ACTIONS(1708),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_self] = ACTIONS(1708),
    [anon_sym_parent] = ACTIONS(1708),
    [aux_sym__argument_name_token1] = ACTIONS(1708),
    [aux_sym__argument_name_token2] = ACTIONS(1708),
    [anon_sym_POUND_LBRACK] = ACTIONS(1706),
    [aux_sym_encapsed_string_token1] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1706),
    [aux_sym_string_token1] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1706),
    [anon_sym_LT_LT_LT] = ACTIONS(1706),
    [anon_sym_BQUOTE] = ACTIONS(1706),
    [anon_sym_DOLLAR] = ACTIONS(1706),
    [aux_sym_yield_expression_token1] = ACTIONS(1708),
    [aux_sym_include_expression_token1] = ACTIONS(1708),
    [aux_sym_include_once_expression_token1] = ACTIONS(1708),
    [aux_sym_require_expression_token1] = ACTIONS(1708),
    [aux_sym_require_once_expression_token1] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(1710),
    [sym_name] = ACTIONS(1712),
    [anon_sym_QMARK_GT] = ACTIONS(1710),
    [anon_sym_SEMI] = ACTIONS(1710),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1712),
    [aux_sym_global_declaration_token1] = ACTIONS(1712),
    [aux_sym_namespace_definition_token1] = ACTIONS(1712),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1712),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1712),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1712),
    [anon_sym_BSLASH] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [aux_sym_trait_declaration_token1] = ACTIONS(1712),
    [aux_sym_interface_declaration_token1] = ACTIONS(1712),
    [aux_sym_enum_declaration_token1] = ACTIONS(1712),
    [aux_sym_enum_case_token1] = ACTIONS(1712),
    [aux_sym_class_declaration_token1] = ACTIONS(1712),
    [aux_sym_final_modifier_token1] = ACTIONS(1712),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1712),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1712),
    [sym_var_modifier] = ACTIONS(1712),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1712),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1712),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1712),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1712),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [aux_sym_cast_type_token1] = ACTIONS(1712),
    [aux_sym_echo_statement_token1] = ACTIONS(1712),
    [aux_sym_exit_statement_token1] = ACTIONS(1712),
    [anon_sym_unset] = ACTIONS(1712),
    [aux_sym_declare_statement_token1] = ACTIONS(1712),
    [aux_sym_declare_statement_token2] = ACTIONS(1712),
    [sym_float] = ACTIONS(1712),
    [aux_sym_try_statement_token1] = ACTIONS(1712),
    [aux_sym_goto_statement_token1] = ACTIONS(1712),
    [aux_sym_continue_statement_token1] = ACTIONS(1712),
    [aux_sym_break_statement_token1] = ACTIONS(1712),
    [sym_integer] = ACTIONS(1712),
    [aux_sym_return_statement_token1] = ACTIONS(1712),
    [aux_sym_throw_expression_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token1] = ACTIONS(1712),
    [aux_sym_while_statement_token2] = ACTIONS(1712),
    [aux_sym_do_statement_token1] = ACTIONS(1712),
    [aux_sym_for_statement_token1] = ACTIONS(1712),
    [aux_sym_for_statement_token2] = ACTIONS(1712),
    [aux_sym_foreach_statement_token1] = ACTIONS(1712),
    [aux_sym_foreach_statement_token2] = ACTIONS(1712),
    [aux_sym_if_statement_token1] = ACTIONS(1712),
    [aux_sym_if_statement_token2] = ACTIONS(1712),
    [aux_sym_else_if_clause_token1] = ACTIONS(1712),
    [aux_sym_else_clause_token1] = ACTIONS(1712),
    [aux_sym_match_expression_token1] = ACTIONS(1712),
    [aux_sym_match_default_expression_token1] = ACTIONS(1712),
    [aux_sym_switch_statement_token1] = ACTIONS(1712),
    [aux_sym_switch_block_token1] = ACTIONS(1712),
    [anon_sym_PLUS] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1712),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_AT] = ACTIONS(1710),
    [aux_sym_clone_expression_token1] = ACTIONS(1712),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1712),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1712),
    [anon_sym_DASH_DASH] = ACTIONS(1710),
    [anon_sym_PLUS_PLUS] = ACTIONS(1710),
    [aux_sym__list_destructing_token1] = ACTIONS(1712),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_self] = ACTIONS(1712),
    [anon_sym_parent] = ACTIONS(1712),
    [aux_sym__argument_name_token1] = ACTIONS(1712),
    [aux_sym__argument_name_token2] = ACTIONS(1712),
    [anon_sym_POUND_LBRACK] = ACTIONS(1710),
    [aux_sym_encapsed_string_token1] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1710),
    [aux_sym_string_token1] = ACTIONS(1710),
    [anon_sym_SQUOTE] = ACTIONS(1710),
    [anon_sym_LT_LT_LT] = ACTIONS(1710),
    [anon_sym_BQUOTE] = ACTIONS(1710),
    [anon_sym_DOLLAR] = ACTIONS(1710),
    [aux_sym_yield_expression_token1] = ACTIONS(1712),
    [aux_sym_include_expression_token1] = ACTIONS(1712),
    [aux_sym_include_once_expression_token1] = ACTIONS(1712),
    [aux_sym_require_expression_token1] = ACTIONS(1712),
    [aux_sym_require_once_expression_token1] = ACTIONS(1712),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(1714),
    [sym_name] = ACTIONS(1716),
    [anon_sym_QMARK_GT] = ACTIONS(1714),
    [anon_sym_SEMI] = ACTIONS(1714),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1716),
    [aux_sym_global_declaration_token1] = ACTIONS(1716),
    [aux_sym_namespace_definition_token1] = ACTIONS(1716),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1716),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1716),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1716),
    [anon_sym_BSLASH] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [aux_sym_trait_declaration_token1] = ACTIONS(1716),
    [aux_sym_interface_declaration_token1] = ACTIONS(1716),
    [aux_sym_enum_declaration_token1] = ACTIONS(1716),
    [aux_sym_enum_case_token1] = ACTIONS(1716),
    [aux_sym_class_declaration_token1] = ACTIONS(1716),
    [aux_sym_final_modifier_token1] = ACTIONS(1716),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1716),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1716),
    [sym_var_modifier] = ACTIONS(1716),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1716),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1716),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1716),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1716),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [aux_sym_cast_type_token1] = ACTIONS(1716),
    [aux_sym_echo_statement_token1] = ACTIONS(1716),
    [aux_sym_exit_statement_token1] = ACTIONS(1716),
    [anon_sym_unset] = ACTIONS(1716),
    [aux_sym_declare_statement_token1] = ACTIONS(1716),
    [aux_sym_declare_statement_token2] = ACTIONS(1716),
    [sym_float] = ACTIONS(1716),
    [aux_sym_try_statement_token1] = ACTIONS(1716),
    [aux_sym_goto_statement_token1] = ACTIONS(1716),
    [aux_sym_continue_statement_token1] = ACTIONS(1716),
    [aux_sym_break_statement_token1] = ACTIONS(1716),
    [sym_integer] = ACTIONS(1716),
    [aux_sym_return_statement_token1] = ACTIONS(1716),
    [aux_sym_throw_expression_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token1] = ACTIONS(1716),
    [aux_sym_while_statement_token2] = ACTIONS(1716),
    [aux_sym_do_statement_token1] = ACTIONS(1716),
    [aux_sym_for_statement_token1] = ACTIONS(1716),
    [aux_sym_for_statement_token2] = ACTIONS(1716),
    [aux_sym_foreach_statement_token1] = ACTIONS(1716),
    [aux_sym_foreach_statement_token2] = ACTIONS(1716),
    [aux_sym_if_statement_token1] = ACTIONS(1716),
    [aux_sym_if_statement_token2] = ACTIONS(1716),
    [aux_sym_else_if_clause_token1] = ACTIONS(1716),
    [aux_sym_else_clause_token1] = ACTIONS(1716),
    [aux_sym_match_expression_token1] = ACTIONS(1716),
    [aux_sym_match_default_expression_token1] = ACTIONS(1716),
    [aux_sym_switch_statement_token1] = ACTIONS(1716),
    [aux_sym_switch_block_token1] = ACTIONS(1716),
    [anon_sym_PLUS] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1716),
    [anon_sym_TILDE] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_AT] = ACTIONS(1714),
    [aux_sym_clone_expression_token1] = ACTIONS(1716),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1716),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1716),
    [anon_sym_DASH_DASH] = ACTIONS(1714),
    [anon_sym_PLUS_PLUS] = ACTIONS(1714),
    [aux_sym__list_destructing_token1] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_self] = ACTIONS(1716),
    [anon_sym_parent] = ACTIONS(1716),
    [aux_sym__argument_name_token1] = ACTIONS(1716),
    [aux_sym__argument_name_token2] = ACTIONS(1716),
    [anon_sym_POUND_LBRACK] = ACTIONS(1714),
    [aux_sym_encapsed_string_token1] = ACTIONS(1714),
    [anon_sym_DQUOTE] = ACTIONS(1714),
    [aux_sym_string_token1] = ACTIONS(1714),
    [anon_sym_SQUOTE] = ACTIONS(1714),
    [anon_sym_LT_LT_LT] = ACTIONS(1714),
    [anon_sym_BQUOTE] = ACTIONS(1714),
    [anon_sym_DOLLAR] = ACTIONS(1714),
    [aux_sym_yield_expression_token1] = ACTIONS(1716),
    [aux_sym_include_expression_token1] = ACTIONS(1716),
    [aux_sym_include_once_expression_token1] = ACTIONS(1716),
    [aux_sym_require_expression_token1] = ACTIONS(1716),
    [aux_sym_require_once_expression_token1] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [sym_name] = ACTIONS(1720),
    [anon_sym_QMARK_GT] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1720),
    [aux_sym_global_declaration_token1] = ACTIONS(1720),
    [aux_sym_namespace_definition_token1] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1720),
    [anon_sym_BSLASH] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [aux_sym_trait_declaration_token1] = ACTIONS(1720),
    [aux_sym_interface_declaration_token1] = ACTIONS(1720),
    [aux_sym_enum_declaration_token1] = ACTIONS(1720),
    [aux_sym_enum_case_token1] = ACTIONS(1720),
    [aux_sym_class_declaration_token1] = ACTIONS(1720),
    [aux_sym_final_modifier_token1] = ACTIONS(1720),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1720),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1720),
    [sym_var_modifier] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1720),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [aux_sym_cast_type_token1] = ACTIONS(1720),
    [aux_sym_echo_statement_token1] = ACTIONS(1720),
    [aux_sym_exit_statement_token1] = ACTIONS(1720),
    [anon_sym_unset] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [aux_sym_declare_statement_token2] = ACTIONS(1720),
    [sym_float] = ACTIONS(1720),
    [aux_sym_try_statement_token1] = ACTIONS(1720),
    [aux_sym_goto_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [sym_integer] = ACTIONS(1720),
    [aux_sym_return_statement_token1] = ACTIONS(1720),
    [aux_sym_throw_expression_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token2] = ACTIONS(1720),
    [aux_sym_do_statement_token1] = ACTIONS(1720),
    [aux_sym_for_statement_token1] = ACTIONS(1720),
    [aux_sym_for_statement_token2] = ACTIONS(1720),
    [aux_sym_foreach_statement_token1] = ACTIONS(1720),
    [aux_sym_foreach_statement_token2] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token2] = ACTIONS(1720),
    [aux_sym_else_if_clause_token1] = ACTIONS(1720),
    [aux_sym_else_clause_token1] = ACTIONS(1720),
    [aux_sym_match_expression_token1] = ACTIONS(1720),
    [aux_sym_match_default_expression_token1] = ACTIONS(1720),
    [aux_sym_switch_statement_token1] = ACTIONS(1720),
    [aux_sym_switch_block_token1] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(1718),
    [aux_sym_clone_expression_token1] = ACTIONS(1720),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1720),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1720),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [aux_sym__list_destructing_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_self] = ACTIONS(1720),
    [anon_sym_parent] = ACTIONS(1720),
    [aux_sym__argument_name_token1] = ACTIONS(1720),
    [aux_sym__argument_name_token2] = ACTIONS(1720),
    [anon_sym_POUND_LBRACK] = ACTIONS(1718),
    [aux_sym_encapsed_string_token1] = ACTIONS(1718),
    [anon_sym_DQUOTE] = ACTIONS(1718),
    [aux_sym_string_token1] = ACTIONS(1718),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [anon_sym_LT_LT_LT] = ACTIONS(1718),
    [anon_sym_BQUOTE] = ACTIONS(1718),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [aux_sym_yield_expression_token1] = ACTIONS(1720),
    [aux_sym_include_expression_token1] = ACTIONS(1720),
    [aux_sym_include_once_expression_token1] = ACTIONS(1720),
    [aux_sym_require_expression_token1] = ACTIONS(1720),
    [aux_sym_require_once_expression_token1] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(1718),
    [sym_name] = ACTIONS(1720),
    [anon_sym_QMARK_GT] = ACTIONS(1718),
    [anon_sym_SEMI] = ACTIONS(1718),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1720),
    [aux_sym_global_declaration_token1] = ACTIONS(1720),
    [aux_sym_namespace_definition_token1] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1720),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1720),
    [anon_sym_BSLASH] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [aux_sym_trait_declaration_token1] = ACTIONS(1720),
    [aux_sym_interface_declaration_token1] = ACTIONS(1720),
    [aux_sym_enum_declaration_token1] = ACTIONS(1720),
    [aux_sym_enum_case_token1] = ACTIONS(1720),
    [aux_sym_class_declaration_token1] = ACTIONS(1720),
    [aux_sym_final_modifier_token1] = ACTIONS(1720),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1720),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1720),
    [sym_var_modifier] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1720),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1720),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1720),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [aux_sym_cast_type_token1] = ACTIONS(1720),
    [aux_sym_echo_statement_token1] = ACTIONS(1720),
    [aux_sym_exit_statement_token1] = ACTIONS(1720),
    [anon_sym_unset] = ACTIONS(1720),
    [aux_sym_declare_statement_token1] = ACTIONS(1720),
    [aux_sym_declare_statement_token2] = ACTIONS(1720),
    [sym_float] = ACTIONS(1720),
    [aux_sym_try_statement_token1] = ACTIONS(1720),
    [aux_sym_goto_statement_token1] = ACTIONS(1720),
    [aux_sym_continue_statement_token1] = ACTIONS(1720),
    [aux_sym_break_statement_token1] = ACTIONS(1720),
    [sym_integer] = ACTIONS(1720),
    [aux_sym_return_statement_token1] = ACTIONS(1720),
    [aux_sym_throw_expression_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token1] = ACTIONS(1720),
    [aux_sym_while_statement_token2] = ACTIONS(1720),
    [aux_sym_do_statement_token1] = ACTIONS(1720),
    [aux_sym_for_statement_token1] = ACTIONS(1720),
    [aux_sym_for_statement_token2] = ACTIONS(1720),
    [aux_sym_foreach_statement_token1] = ACTIONS(1720),
    [aux_sym_foreach_statement_token2] = ACTIONS(1720),
    [aux_sym_if_statement_token1] = ACTIONS(1720),
    [aux_sym_if_statement_token2] = ACTIONS(1720),
    [aux_sym_else_if_clause_token1] = ACTIONS(1720),
    [aux_sym_else_clause_token1] = ACTIONS(1720),
    [aux_sym_match_expression_token1] = ACTIONS(1720),
    [aux_sym_match_default_expression_token1] = ACTIONS(1720),
    [aux_sym_switch_statement_token1] = ACTIONS(1720),
    [aux_sym_switch_block_token1] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1720),
    [anon_sym_TILDE] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_AT] = ACTIONS(1718),
    [aux_sym_clone_expression_token1] = ACTIONS(1720),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1720),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1720),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [aux_sym__list_destructing_token1] = ACTIONS(1720),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_self] = ACTIONS(1720),
    [anon_sym_parent] = ACTIONS(1720),
    [aux_sym__argument_name_token1] = ACTIONS(1720),
    [aux_sym__argument_name_token2] = ACTIONS(1720),
    [anon_sym_POUND_LBRACK] = ACTIONS(1718),
    [aux_sym_encapsed_string_token1] = ACTIONS(1718),
    [anon_sym_DQUOTE] = ACTIONS(1718),
    [aux_sym_string_token1] = ACTIONS(1718),
    [anon_sym_SQUOTE] = ACTIONS(1718),
    [anon_sym_LT_LT_LT] = ACTIONS(1718),
    [anon_sym_BQUOTE] = ACTIONS(1718),
    [anon_sym_DOLLAR] = ACTIONS(1718),
    [aux_sym_yield_expression_token1] = ACTIONS(1720),
    [aux_sym_include_expression_token1] = ACTIONS(1720),
    [aux_sym_include_once_expression_token1] = ACTIONS(1720),
    [aux_sym_require_expression_token1] = ACTIONS(1720),
    [aux_sym_require_once_expression_token1] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(1722),
    [sym_name] = ACTIONS(1724),
    [anon_sym_QMARK_GT] = ACTIONS(1722),
    [anon_sym_SEMI] = ACTIONS(1722),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1724),
    [aux_sym_global_declaration_token1] = ACTIONS(1724),
    [aux_sym_namespace_definition_token1] = ACTIONS(1724),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1724),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1724),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1724),
    [anon_sym_BSLASH] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [aux_sym_trait_declaration_token1] = ACTIONS(1724),
    [aux_sym_interface_declaration_token1] = ACTIONS(1724),
    [aux_sym_enum_declaration_token1] = ACTIONS(1724),
    [aux_sym_enum_case_token1] = ACTIONS(1724),
    [aux_sym_class_declaration_token1] = ACTIONS(1724),
    [aux_sym_final_modifier_token1] = ACTIONS(1724),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1724),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1724),
    [sym_var_modifier] = ACTIONS(1724),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1724),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1724),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1724),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [aux_sym_cast_type_token1] = ACTIONS(1724),
    [aux_sym_echo_statement_token1] = ACTIONS(1724),
    [aux_sym_exit_statement_token1] = ACTIONS(1724),
    [anon_sym_unset] = ACTIONS(1724),
    [aux_sym_declare_statement_token1] = ACTIONS(1724),
    [aux_sym_declare_statement_token2] = ACTIONS(1724),
    [sym_float] = ACTIONS(1724),
    [aux_sym_try_statement_token1] = ACTIONS(1724),
    [aux_sym_goto_statement_token1] = ACTIONS(1724),
    [aux_sym_continue_statement_token1] = ACTIONS(1724),
    [aux_sym_break_statement_token1] = ACTIONS(1724),
    [sym_integer] = ACTIONS(1724),
    [aux_sym_return_statement_token1] = ACTIONS(1724),
    [aux_sym_throw_expression_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token1] = ACTIONS(1724),
    [aux_sym_while_statement_token2] = ACTIONS(1724),
    [aux_sym_do_statement_token1] = ACTIONS(1724),
    [aux_sym_for_statement_token1] = ACTIONS(1724),
    [aux_sym_for_statement_token2] = ACTIONS(1724),
    [aux_sym_foreach_statement_token1] = ACTIONS(1724),
    [aux_sym_foreach_statement_token2] = ACTIONS(1724),
    [aux_sym_if_statement_token1] = ACTIONS(1724),
    [aux_sym_if_statement_token2] = ACTIONS(1724),
    [aux_sym_else_if_clause_token1] = ACTIONS(1724),
    [aux_sym_else_clause_token1] = ACTIONS(1724),
    [aux_sym_match_expression_token1] = ACTIONS(1724),
    [aux_sym_match_default_expression_token1] = ACTIONS(1724),
    [aux_sym_switch_statement_token1] = ACTIONS(1724),
    [aux_sym_switch_block_token1] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_TILDE] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_AT] = ACTIONS(1722),
    [aux_sym_clone_expression_token1] = ACTIONS(1724),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1724),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1724),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [aux_sym__list_destructing_token1] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_self] = ACTIONS(1724),
    [anon_sym_parent] = ACTIONS(1724),
    [aux_sym__argument_name_token1] = ACTIONS(1724),
    [aux_sym__argument_name_token2] = ACTIONS(1724),
    [anon_sym_POUND_LBRACK] = ACTIONS(1722),
    [aux_sym_encapsed_string_token1] = ACTIONS(1722),
    [anon_sym_DQUOTE] = ACTIONS(1722),
    [aux_sym_string_token1] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1722),
    [anon_sym_LT_LT_LT] = ACTIONS(1722),
    [anon_sym_BQUOTE] = ACTIONS(1722),
    [anon_sym_DOLLAR] = ACTIONS(1722),
    [aux_sym_yield_expression_token1] = ACTIONS(1724),
    [aux_sym_include_expression_token1] = ACTIONS(1724),
    [aux_sym_include_once_expression_token1] = ACTIONS(1724),
    [aux_sym_require_expression_token1] = ACTIONS(1724),
    [aux_sym_require_once_expression_token1] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [sym_name] = ACTIONS(1726),
    [anon_sym_SEMI] = ACTIONS(1728),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1726),
    [aux_sym_global_declaration_token1] = ACTIONS(1726),
    [aux_sym_namespace_definition_token1] = ACTIONS(1726),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1726),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1726),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1726),
    [anon_sym_BSLASH] = ACTIONS(1728),
    [anon_sym_LBRACE] = ACTIONS(1728),
    [aux_sym_trait_declaration_token1] = ACTIONS(1726),
    [aux_sym_interface_declaration_token1] = ACTIONS(1726),
    [aux_sym_enum_declaration_token1] = ACTIONS(1726),
    [anon_sym_COLON] = ACTIONS(1728),
    [aux_sym_class_declaration_token1] = ACTIONS(1726),
    [aux_sym_final_modifier_token1] = ACTIONS(1726),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1726),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1726),
    [sym_var_modifier] = ACTIONS(1726),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1726),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1726),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1726),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1728),
    [aux_sym_cast_type_token1] = ACTIONS(1726),
    [aux_sym_echo_statement_token1] = ACTIONS(1726),
    [aux_sym_exit_statement_token1] = ACTIONS(1726),
    [anon_sym_unset] = ACTIONS(1726),
    [aux_sym_declare_statement_token1] = ACTIONS(1726),
    [sym_float] = ACTIONS(1726),
    [aux_sym_try_statement_token1] = ACTIONS(1726),
    [aux_sym_goto_statement_token1] = ACTIONS(1726),
    [aux_sym_continue_statement_token1] = ACTIONS(1726),
    [aux_sym_break_statement_token1] = ACTIONS(1726),
    [sym_integer] = ACTIONS(1726),
    [aux_sym_return_statement_token1] = ACTIONS(1726),
    [aux_sym_throw_expression_token1] = ACTIONS(1726),
    [aux_sym_while_statement_token1] = ACTIONS(1726),
    [aux_sym_do_statement_token1] = ACTIONS(1726),
    [aux_sym_for_statement_token1] = ACTIONS(1726),
    [aux_sym_foreach_statement_token1] = ACTIONS(1726),
    [aux_sym_if_statement_token1] = ACTIONS(1726),
    [aux_sym_match_expression_token1] = ACTIONS(1726),
    [aux_sym_switch_statement_token1] = ACTIONS(1726),
    [anon_sym_PLUS] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_TILDE] = ACTIONS(1728),
    [anon_sym_BANG] = ACTIONS(1728),
    [anon_sym_AT] = ACTIONS(1728),
    [aux_sym_clone_expression_token1] = ACTIONS(1726),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1726),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1726),
    [anon_sym_DASH_DASH] = ACTIONS(1728),
    [anon_sym_PLUS_PLUS] = ACTIONS(1728),
    [aux_sym__list_destructing_token1] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1728),
    [anon_sym_self] = ACTIONS(1726),
    [anon_sym_parent] = ACTIONS(1726),
    [aux_sym__argument_name_token1] = ACTIONS(1726),
    [aux_sym__argument_name_token2] = ACTIONS(1726),
    [anon_sym_POUND_LBRACK] = ACTIONS(1728),
    [aux_sym_encapsed_string_token1] = ACTIONS(1728),
    [anon_sym_DQUOTE] = ACTIONS(1728),
    [aux_sym_string_token1] = ACTIONS(1728),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [anon_sym_LT_LT_LT] = ACTIONS(1728),
    [anon_sym_BQUOTE] = ACTIONS(1728),
    [anon_sym_DOLLAR] = ACTIONS(1728),
    [aux_sym_yield_expression_token1] = ACTIONS(1726),
    [aux_sym_include_expression_token1] = ACTIONS(1726),
    [aux_sym_include_once_expression_token1] = ACTIONS(1726),
    [aux_sym_require_expression_token1] = ACTIONS(1726),
    [aux_sym_require_once_expression_token1] = ACTIONS(1726),
    [sym_comment] = ACTIONS(3),
  },
  [630] = {
    [sym_qualified_name] = STATE(766),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2599),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_primary_expression] = STATE(1018),
    [sym_parenthesized_expression] = STATE(765),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_variable] = STATE(757),
    [sym_member_access_expression] = STATE(757),
    [sym_nullsafe_member_access_expression] = STATE(757),
    [sym_scoped_property_access_expression] = STATE(757),
    [sym_function_call_expression] = STATE(715),
    [sym_scoped_call_expression] = STATE(715),
    [sym__scope_resolution_qualifier] = STATE(2735),
    [sym_relative_scope] = STATE(2735),
    [sym_member_call_expression] = STATE(715),
    [sym_nullsafe_member_call_expression] = STATE(715),
    [sym_subscript_expression] = STATE(715),
    [sym__dereferencable_expression] = STATE(1798),
    [sym_array_creation_expression] = STATE(765),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(764),
    [sym_string] = STATE(764),
    [sym_heredoc] = STATE(764),
    [sym_nowdoc] = STATE(764),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(764),
    [sym_dynamic_variable_name] = STATE(715),
    [sym_variable_name] = STATE(715),
    [sym__reserved_identifier] = STATE(1638),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(1730),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(691),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym_qualified_name] = STATE(915),
    [sym_namespace_name_as_prefix] = STATE(2722),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2350),
    [sym__arrow_function_header] = STATE(2718),
    [sym_arrow_function] = STATE(1146),
    [sym_literal] = STATE(1146),
    [sym_throw_expression] = STATE(1146),
    [sym_primary_expression] = STATE(1182),
    [sym_parenthesized_expression] = STATE(922),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1146),
    [sym_anonymous_function_creation_expression] = STATE(1146),
    [sym_object_creation_expression] = STATE(1146),
    [sym_update_expression] = STATE(1146),
    [sym_cast_variable] = STATE(923),
    [sym_member_access_expression] = STATE(923),
    [sym_nullsafe_member_access_expression] = STATE(923),
    [sym_scoped_property_access_expression] = STATE(923),
    [sym_function_call_expression] = STATE(837),
    [sym_scoped_call_expression] = STATE(837),
    [sym__scope_resolution_qualifier] = STATE(2672),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(837),
    [sym_nullsafe_member_call_expression] = STATE(837),
    [sym_subscript_expression] = STATE(837),
    [sym__dereferencable_expression] = STATE(1728),
    [sym_array_creation_expression] = STATE(922),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1917),
    [sym_encapsed_string] = STATE(928),
    [sym_string] = STATE(928),
    [sym_heredoc] = STATE(928),
    [sym_nowdoc] = STATE(928),
    [sym_shell_command_expression] = STATE(1146),
    [sym_boolean] = STATE(1132),
    [sym_null] = STATE(1132),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(837),
    [sym_variable_name] = STATE(837),
    [sym__reserved_identifier] = STATE(1631),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(1736),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(759),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1700),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [sym_qualified_name] = STATE(766),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2668),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_primary_expression] = STATE(1018),
    [sym_parenthesized_expression] = STATE(765),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_variable] = STATE(757),
    [sym_member_access_expression] = STATE(757),
    [sym_nullsafe_member_access_expression] = STATE(757),
    [sym_scoped_property_access_expression] = STATE(757),
    [sym_function_call_expression] = STATE(715),
    [sym_scoped_call_expression] = STATE(715),
    [sym__scope_resolution_qualifier] = STATE(2735),
    [sym_relative_scope] = STATE(2735),
    [sym_member_call_expression] = STATE(715),
    [sym_nullsafe_member_call_expression] = STATE(715),
    [sym_subscript_expression] = STATE(715),
    [sym__dereferencable_expression] = STATE(1798),
    [sym_array_creation_expression] = STATE(765),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(764),
    [sym_string] = STATE(764),
    [sym_heredoc] = STATE(764),
    [sym_nowdoc] = STATE(764),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(764),
    [sym_dynamic_variable_name] = STATE(715),
    [sym_variable_name] = STATE(715),
    [sym__reserved_identifier] = STATE(1638),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(1730),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(769),
    [aux_sym_print_intrinsic_token1] = ACTIONS(779),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [sym_qualified_name] = STATE(766),
    [sym_namespace_name_as_prefix] = STATE(2585),
    [sym_namespace_name] = STATE(2721),
    [sym_static_modifier] = STATE(2418),
    [sym__arrow_function_header] = STATE(2584),
    [sym_arrow_function] = STATE(1001),
    [sym_literal] = STATE(1001),
    [sym_throw_expression] = STATE(1001),
    [sym_primary_expression] = STATE(1018),
    [sym_parenthesized_expression] = STATE(765),
    [sym_class_constant_access_expression] = STATE(833),
    [sym_print_intrinsic] = STATE(1001),
    [sym_anonymous_function_creation_expression] = STATE(1001),
    [sym_object_creation_expression] = STATE(1001),
    [sym_update_expression] = STATE(1001),
    [sym_cast_variable] = STATE(757),
    [sym_member_access_expression] = STATE(757),
    [sym_nullsafe_member_access_expression] = STATE(757),
    [sym_scoped_property_access_expression] = STATE(757),
    [sym_function_call_expression] = STATE(715),
    [sym_scoped_call_expression] = STATE(715),
    [sym__scope_resolution_qualifier] = STATE(2735),
    [sym_relative_scope] = STATE(2735),
    [sym_member_call_expression] = STATE(715),
    [sym_nullsafe_member_call_expression] = STATE(715),
    [sym_subscript_expression] = STATE(715),
    [sym__dereferencable_expression] = STATE(1798),
    [sym_array_creation_expression] = STATE(765),
    [sym_attribute_group] = STATE(1427),
    [sym_attribute_list] = STATE(1872),
    [sym_encapsed_string] = STATE(764),
    [sym_string] = STATE(764),
    [sym_heredoc] = STATE(764),
    [sym_nowdoc] = STATE(764),
    [sym_shell_command_expression] = STATE(1001),
    [sym_boolean] = STATE(1024),
    [sym_null] = STATE(1024),
    [sym__string] = STATE(764),
    [sym_dynamic_variable_name] = STATE(715),
    [sym_variable_name] = STATE(715),
    [sym__reserved_identifier] = STATE(1638),
    [aux_sym_attribute_list_repeat1] = STATE(1427),
    [sym_name] = ACTIONS(1730),
    [aux_sym_function_static_declaration_token1] = ACTIONS(663),
    [aux_sym_namespace_definition_token1] = ACTIONS(665),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1732),
    [aux_sym_cast_type_token1] = ACTIONS(675),
    [sym_float] = ACTIONS(677),
    [sym_integer] = ACTIONS(677),
    [aux_sym_throw_expression_token1] = ACTIONS(729),
    [aux_sym_print_intrinsic_token1] = ACTIONS(739),
    [aux_sym_object_creation_expression_token1] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(699),
    [aux_sym__argument_name_token2] = ACTIONS(701),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(703),
    [aux_sym_string_token1] = ACTIONS(705),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LT_LT_LT] = ACTIONS(707),
    [anon_sym_BQUOTE] = ACTIONS(709),
    [anon_sym_DOLLAR] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1742), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1748), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1752), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1756), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1762), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1760), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1768), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1766), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1772), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1770), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [499] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1776), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1774), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [572] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [653] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1792), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1790), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [726] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1794), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [794] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1800), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1798), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [862] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1804), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1802), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [930] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1808), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1806), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [998] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1812), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1810), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1066] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1816), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1814), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1134] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1820), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1818), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1202] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1824), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1822), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1270] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1828), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1826), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1338] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1832), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1830), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1406] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1834), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1474] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1838), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1542] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1844), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1842), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1610] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1685] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1764] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1852), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1842] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1915] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1858), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1860), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1992] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1762), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1760), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2061] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(676), 1,
      sym_arguments,
    ACTIONS(1768), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1766), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2130] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(673), 1,
      sym_arguments,
    ACTIONS(1772), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1770), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2199] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(1792), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1790), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2268] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(677), 1,
      sym_arguments,
    ACTIONS(1776), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1774), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2337] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2414] = 12,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(656), 1,
      sym_arguments,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2497] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1858), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2574] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1828), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1826), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2638] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1844), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1842), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2702] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1748), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2766] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1808), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1806), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2830] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1838), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2894] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1752), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2958] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1804), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1802), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3022] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1824), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1822), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3086] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1852), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3158] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1820), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1818), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3222] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1800), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1798), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3286] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1812), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1810), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3350] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1816), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1814), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3414] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1864), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3492] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1868), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3568] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3646] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1834), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3710] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1872), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1852), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3788] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1742), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3852] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1794), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3916] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1756), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3980] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1832), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1830), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4044] = 10,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4121] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1788), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4192] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    ACTIONS(1858), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1860), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4263] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1852), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4340] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_EQ,
    ACTIONS(1858), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1788), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4411] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4483] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1864), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1848), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4555] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1868), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1778), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4625] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1872), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1852), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4697] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_EQ,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1852), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1780), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4768] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1878), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1880), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4826] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1884), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1886), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1888), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1892), 1,
      sym_var_modifier,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1763), 1,
      sym_variable_name,
    STATE(1897), 1,
      sym_property_element,
    STATE(1898), 1,
      sym__function_definition_header,
    STATE(2246), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [4929] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1884), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1886), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1888), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1892), 1,
      sym_var_modifier,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1763), 1,
      sym_variable_name,
    STATE(1929), 1,
      sym__function_definition_header,
    STATE(1930), 1,
      sym_property_element,
    STATE(2010), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5032] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(723), 1,
      sym_arguments,
    ACTIONS(1792), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5091] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(656), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5156] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(736), 1,
      sym_arguments,
    ACTIONS(1772), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5215] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(721), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5280] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1776), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5339] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(656), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5404] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1768), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5463] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1812), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5518] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(728), 1,
      sym_arguments,
    ACTIONS(1762), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5577] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5638] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5701] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(785), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5766] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 1,
      sym_name,
    ACTIONS(1919), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    STATE(2626), 1,
      sym_attribute_list,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(930), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1917), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(926), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1775), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(929), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5862] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(652), 1,
      sym_arguments,
    ACTIONS(1927), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5920] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1832), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1830), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5974] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1748), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6028] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1844), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1842), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6082] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6136] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1816), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6190] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1834), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6244] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6298] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1985), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6452] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1800), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6506] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1812), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6560] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1756), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6614] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1824), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6668] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(1945), 1,
      anon_sym_COMMA,
    ACTIONS(1947), 1,
      anon_sym_RPAREN,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2074), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6768] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1820), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6822] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1951), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6880] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1804), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6934] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1808), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6988] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1828), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7042] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7096] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(1955), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    STATE(2560), 1,
      sym_attribute_list,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(759), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2748), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(761), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1797), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(760), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7192] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7249] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7308] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(808), 1,
      sym_arguments,
    ACTIONS(1762), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7365] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(827), 1,
      sym_arguments,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7422] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(817), 1,
      sym_arguments,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7479] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2284), 1,
      sym__list_destructing,
    STATE(2286), 1,
      sym_by_ref,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1621), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1544), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7574] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1792), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7631] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1792), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7686] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1776), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7743] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7800] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1776), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7855] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(784), 1,
      sym_arguments,
    ACTIONS(1776), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7912] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(806), 1,
      sym_arguments,
    ACTIONS(1792), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7969] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8024] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8079] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1762), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8134] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1762), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8191] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1786), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8248] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1965), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8307] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(785), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8366] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(785), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8425] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_LPAREN,
    STATE(1029), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8484] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1971), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8543] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1977), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1975), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8600] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1965), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8659] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8718] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8777] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8836] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(1982), 1,
      anon_sym_RPAREN,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2546), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8933] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8992] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(1984), 1,
      anon_sym_RPAREN,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2546), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9089] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1986), 1,
      sym_name,
    ACTIONS(1988), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      aux_sym_use_list_repeat1,
    STATE(1644), 1,
      sym_class_constant_access_expression,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2472), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1651), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9180] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(737), 1,
      sym_arguments,
    ACTIONS(1927), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9237] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2155), 1,
      sym__list_destructing,
    STATE(2157), 1,
      sym_by_ref,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1601), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1538), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [9332] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(728), 1,
      sym_arguments,
    ACTIONS(1951), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9389] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(1990), 1,
      anon_sym_RPAREN,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2546), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9486] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1992), 1,
      sym_name,
    ACTIONS(1998), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(2001), 1,
      anon_sym_BSLASH,
    ACTIONS(2004), 1,
      anon_sym_RBRACE,
    ACTIONS(2006), 1,
      anon_sym_LPAREN,
    ACTIONS(2009), 1,
      aux_sym_cast_type_token1,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2021), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2024), 1,
      anon_sym_DOLLAR,
    STATE(776), 1,
      aux_sym_use_list_repeat1,
    STATE(1644), 1,
      sym_class_constant_access_expression,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(2015), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2472), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1995), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1651), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9577] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9632] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9691] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1986), 1,
      sym_name,
    ACTIONS(2027), 1,
      anon_sym_RBRACE,
    STATE(771), 1,
      aux_sym_use_list_repeat1,
    STATE(1644), 1,
      sym_class_constant_access_expression,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2472), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1651), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9782] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2031), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9841] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9900] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(2033), 1,
      anon_sym_RPAREN,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2546), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9997] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2037), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10049] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1824), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10101] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1842), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2041), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10155] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10207] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1975), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10259] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2045), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10311] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2049), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10363] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1726), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10415] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2053), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10467] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1748), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10519] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2057), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10571] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2061), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10623] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2065), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10675] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10727] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10779] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10831] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2069), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10883] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2073), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10935] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2077), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10987] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1756), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11039] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2081), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11091] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2085), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11143] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2089), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11195] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1816), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11247] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1812), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11301] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1800), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11353] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2095), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1937), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(1051), 1,
      sym_attribute_list,
    STATE(1197), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2073), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1396), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2546), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11499] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2099), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11551] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1828), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11603] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2031), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11657] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2103), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11709] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2107), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11761] = 23,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(951), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2416), 1,
      sym_by_ref,
    STATE(2417), 1,
      sym__array_destructing,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1646), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1554), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [11853] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1808), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11905] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2111), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11957] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1834), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12009] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2115), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12061] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2119), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12113] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2123), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12165] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2127), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12217] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2131), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12269] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2135), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12321] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2139), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12373] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1804), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12425] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1844), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1842), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12477] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1820), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12529] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2143), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12581] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1832), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1830), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12633] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12686] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12739] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12796] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1148), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1146), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12847] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1152), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1150), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12898] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1858), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12957] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(933), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13018] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(671), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13079] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(656), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2149), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13191] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    ACTIONS(1772), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13246] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(862), 1,
      sym_arguments,
    ACTIONS(1776), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13301] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13362] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1971), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13415] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(861), 1,
      sym_arguments,
    ACTIONS(1792), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13470] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(875), 1,
      sym_arguments,
    ACTIONS(1768), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13525] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      sym_arguments,
    ACTIONS(1762), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13580] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13633] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_RPAREN,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13688] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1844), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1842), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13738] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1748), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13788] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1820), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13838] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1800), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13888] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    ACTIONS(2153), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1629), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1593), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [13974] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14024] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1834), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14074] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    ACTIONS(2155), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1629), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1593), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14160] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2157), 1,
      anon_sym_COLON,
    STATE(671), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14222] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1812), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14272] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1816), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14322] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1824), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14372] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1828), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14422] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1756), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14472] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    ACTIONS(2159), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1629), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1593), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14558] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    STATE(656), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14620] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14670] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14720] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1832), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1830), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14770] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1808), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14820] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14870] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2163), 1,
      anon_sym_COLON,
    STATE(671), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14932] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    ACTIONS(2165), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1629), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1593), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2167), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15068] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1804), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15118] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1927), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15171] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1772), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15222] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(813), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1617), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2633), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1793), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(780), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1618), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15305] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1792), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15358] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1776), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15411] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15462] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1772), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15515] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15568] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15623] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1762), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15676] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1927), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15729] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2031), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15784] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(777), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1517), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15867] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15922] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      sym_arguments,
    ACTIONS(1951), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15975] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16030] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1629), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1593), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16113] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16168] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1951), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16221] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16270] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(645), 1,
      sym_arguments,
    ACTIONS(1762), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16321] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16372] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1196), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1194), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16421] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(2173), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(741), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2699), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(849), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1783), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(778), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16504] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2175), 1,
      sym_name,
    ACTIONS(2177), 1,
      anon_sym_LPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1630), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1816), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2739), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(979), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(893), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1616), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16587] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      sym_name,
    ACTIONS(2179), 1,
      anon_sym_LPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1617), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1793), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2729), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(781), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1618), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16670] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(2175), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(982), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1630), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2575), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1816), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(887), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1616), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16753] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1168), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1166), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16802] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2175), 1,
      sym_name,
    ACTIONS(2177), 1,
      anon_sym_LPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1630), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1816), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2739), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(983), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(925), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1616), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16885] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16940] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(651), 1,
      sym_arguments,
    ACTIONS(1776), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16991] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(649), 1,
      sym_arguments,
    ACTIONS(1792), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17042] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(2171), 1,
      sym_name,
    ACTIONS(2179), 1,
      anon_sym_LPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1617), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1793), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2729), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(845), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(762), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1618), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17125] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(963), 1,
      sym_arguments,
    ACTIONS(1762), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1760), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17178] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1732), 1,
      anon_sym_LPAREN,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2181), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1638), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1798), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2735), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(777), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(714), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1635), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17261] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(952), 1,
      sym_arguments,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1766), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17314] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17369] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(978), 1,
      sym_arguments,
    ACTIONS(1772), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17422] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1596), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1514), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17505] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17560] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(2183), 1,
      sym_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(889), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2703), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1917), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(980), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1799), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(891), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17643] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1878), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1880), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17692] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(972), 1,
      sym_arguments,
    ACTIONS(1776), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1774), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17745] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(968), 1,
      sym_arguments,
    ACTIONS(1792), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1790), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17798] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1790), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1530), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17881] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17932] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17987] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1858), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18040] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(813), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1625), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2617), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1790), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1504), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1651), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18123] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1971), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18178] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LPAREN,
    STATE(1156), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18233] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(675), 1,
      aux_sym_cast_type_token1,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1402), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2187), 1,
      sym_name,
    ACTIONS(2189), 1,
      anon_sym_LPAREN,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1631), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1728), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2693), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(881), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(834), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1636), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18316] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1965), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18371] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(933), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18426] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(933), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1911), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18481] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1838), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18529] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2131), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18577] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1842), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2041), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18627] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2107), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18675] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2037), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18723] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2119), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18771] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2139), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18819] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2103), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18867] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2057), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18915] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2061), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18963] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1756), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19011] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2065), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19059] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2069), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19107] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2049), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19155] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1810), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19205] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1726), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19253] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2045), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19301] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2115), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19349] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2143), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19397] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2111), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19445] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2135), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19493] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1804), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1802), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19541] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2073), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19589] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1844), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1842), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19637] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19685] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2095), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19733] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19781] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2127), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19829] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2089), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19877] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2077), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19925] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1820), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19973] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2081), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20021] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1800), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1798), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20069] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20117] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(2191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20169] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1794), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20217] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1834), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20265] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1816), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20313] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20363] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1832), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1830), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20411] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2123), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20459] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1824), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20507] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2099), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20555] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1828), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1826), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20603] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2085), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20651] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2053), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20699] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1748), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20747] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1808), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1806), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20795] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1782), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1788), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20844] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1904), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20893] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1780), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20942] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2031), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20991] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1971), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21040] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21086] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2199), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21132] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21178] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2207), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21224] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2211), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21270] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2215), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21316] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2219), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21362] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2223), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2221), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21408] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2227), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21454] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2231), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21500] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2235), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2233), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21546] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2239), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2237), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21592] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2243), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2241), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21638] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2247), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2245), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21684] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2251), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21730] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2255), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21776] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2259), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2257), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21822] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1780), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21868] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2263), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21914] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2265), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2263), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21962] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22008] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2269), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22054] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22100] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2277), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2275), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22146] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2281), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2279), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22192] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2285), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2283), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22238] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2289), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2287), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22284] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2293), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2291), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22330] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2297), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22376] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2301), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2299), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22422] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2305), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2303), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22468] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2309), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2307), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22514] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2313), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2311), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22560] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2317), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2315), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22606] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2321), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2319), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22652] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2325), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2323), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22698] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2329), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22744] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2333), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2331), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22790] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2337), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2335), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22836] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2341), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22882] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22928] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2345), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22974] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2349), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2347), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23020] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1748), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23066] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2353), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2351), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23112] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2041), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23158] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2357), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2355), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23204] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23250] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2361), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2359), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23296] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2365), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23342] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2369), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23388] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2373), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2371), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23434] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2377), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2375), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23480] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2381), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2379), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23526] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1756), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23572] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2385), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2383), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23618] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2389), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2387), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23664] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2393), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23710] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2397), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2395), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23756] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2401), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2399), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23802] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2405), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2403), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23848] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2409), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2407), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23894] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2413), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2411), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23940] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2417), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2415), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23986] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2421), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2419), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24032] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1168), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1166), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24077] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1196), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1194), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24122] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1217), 1,
      sym_visibility_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym_type,
    STATE(2184), 1,
      sym_reference_modifier,
    STATE(2187), 1,
      sym_variable_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1626), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [24201] = 16,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24271] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2451), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24353] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2467), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24429] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2469), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24505] = 20,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24583] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2473), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2478), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2481), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2484), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2487), 1,
      sym_var_modifier,
    ACTIONS(2490), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2476), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2471), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [24641] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2493), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24723] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2495), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24805] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24851] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [24905] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [24957] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2497), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25039] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [25095] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2499), 1,
      anon_sym_EQ_GT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2375), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25179] = 21,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [25259] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25335] = 11,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1904), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1902), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [25395] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2419), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25477] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2501), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25559] = 14,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25625] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25671] = 17,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [25743] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2503), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25825] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2505), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25907] = 13,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25971] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2507), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26053] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2509), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26135] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2511), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26211] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2515), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2513), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26287] = 15,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26355] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2519), 1,
      anon_sym_QMARK,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26431] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26481] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26557] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_QMARK,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26632] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2467), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26707] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2469), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26782] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26827] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2511), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26902] = 15,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26969] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2555), 1,
      anon_sym_EQ_GT,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2375), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27052] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_QMARK,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2513), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27127] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2509), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27208] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [27261] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27312] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27367] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2495), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27448] = 11,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1904), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1902), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27507] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2505), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27588] = 14,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27653] = 16,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27722] = 17,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [27793] = 20,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27870] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27919] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2497), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28000] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28075] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2493), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28156] = 21,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28235] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28280] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28355] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2501), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28436] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2503), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28517] = 13,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28580] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2507), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28661] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2419), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28742] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2451), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28823] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2255), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2253), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28865] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2505), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28945] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2273), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2271), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28987] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2405), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2403), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29029] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2353), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2351), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29071] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_QMARK,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29145] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2511), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29219] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2349), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2347), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29261] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2421), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2419), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29303] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2281), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2279), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29345] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2495), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29425] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2269), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2267), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29467] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2207), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2205), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29509] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2211), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2209), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29551] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2219), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2217), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29593] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29635] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2337), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2335), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29677] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29719] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2333), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2331), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29761] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2251), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2249), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29803] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2247), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2245), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29845] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2235), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2233), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29887] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2227), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2225), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29929] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2223), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2221), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29971] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2417), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2415), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30013] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2297), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2295), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30055] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2501), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30135] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1152), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1150), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30177] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1148), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1146), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30219] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1780), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1778), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30261] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2263), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30303] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2377), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2375), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30345] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2361), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2359), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30387] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2365), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30429] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2603), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2263), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2261), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30473] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2503), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30553] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2329), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30595] = 13,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30657] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2231), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2229), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30699] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2041), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30741] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2373), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2371), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30783] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2381), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2379), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30825] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2239), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2237), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30867] = 15,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30933] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30981] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31055] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31099] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31173] = 21,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31251] = 20,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31327] = 17,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31397] = 16,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31465] = 14,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31529] = 11,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1904), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1902), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31587] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2243), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2241), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31629] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [31683] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2369), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2367), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31725] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2497), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31805] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31855] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [31907] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31951] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2469), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32025] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2413), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2411), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32067] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32109] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2467), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32183] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2321), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2319), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32225] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2341), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2339), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32267] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2317), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2315), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32309] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2285), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2283), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32351] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2345), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2343), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32393] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_QMARK,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2513), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32467] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2493), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32547] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2293), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2291), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32589] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2385), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2383), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32631] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2419), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32711] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2409), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2407), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32753] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2401), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2399), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32795] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2277), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2275), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32837] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2305), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2303), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32879] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2309), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2307), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32921] = 18,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(1260), 1,
      sym_readonly_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1939), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2178), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1697), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [32993] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2393), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33035] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2313), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2311), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33077] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2301), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2299), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33119] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2199), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2197), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33161] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2325), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2323), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33203] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1750), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1748), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33245] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1754), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1752), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33287] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2389), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2387), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33329] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2397), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2395), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33371] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2357), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2355), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33413] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1758), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1756), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33455] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2507), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33535] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2451), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33615] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2509), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33695] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2259), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2257), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33737] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2289), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2287), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33779] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2605), 1,
      anon_sym_EQ_GT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2375), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33861] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2215), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2213), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33903] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1744), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33945] = 18,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(1262), 1,
      sym_readonly_modifier,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1914), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2020), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1697), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34017] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_QMARK,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2517), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34090] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34163] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2641), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1653), 1,
      sym_type,
    STATE(1890), 1,
      sym_const_element,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2660), 1,
      sym__reserved_identifier,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34230] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2467), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34303] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2469), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34376] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34419] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2641), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1694), 1,
      sym_type,
    STATE(1912), 1,
      sym_const_element,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2660), 1,
      sym__reserved_identifier,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34486] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2505), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34565] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2507), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34644] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2451), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34723] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2509), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34802] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2651), 1,
      anon_sym_EQ_GT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2375), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34883] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2493), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34962] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2497), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35041] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2419), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35120] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2495), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35199] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2641), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1678), 1,
      sym_type,
    STATE(1928), 1,
      sym_const_element,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2660), 1,
      sym__reserved_identifier,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35266] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35317] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2501), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35396] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2503), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35475] = 13,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35536] = 15,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35601] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35648] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35721] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1904), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1902), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35764] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_QMARK,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2513), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35837] = 21,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35914] = 20,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35989] = 4,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2337), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2335), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36032] = 17,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [36101] = 19,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2511), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36174] = 16,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_QMARK,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36241] = 4,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2203), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2201), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36284] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36333] = 14,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(1904), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1902), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [36396] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1902), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [36449] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(2641), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1685), 1,
      sym_type,
    STATE(1902), 1,
      sym_const_element,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2660), 1,
      sym__reserved_identifier,
    STATE(2721), 1,
      sym_namespace_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36516] = 11,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1904), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1902), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36573] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2653), 1,
      anon_sym_EQ_GT,
    ACTIONS(2375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36653] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2657), 1,
      anon_sym_COMMA,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36733] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2657), 1,
      anon_sym_COMMA,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36813] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2661), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36891] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1880), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2081), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1697), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36957] = 24,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2663), 1,
      anon_sym_COMMA,
    ACTIONS(2665), 1,
      anon_sym_EQ_GT,
    STATE(2125), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37039] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1873), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2233), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1697), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37105] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2667), 1,
      anon_sym_EQ_GT,
    ACTIONS(2375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37185] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2669), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37263] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2671), 1,
      anon_sym_EQ_GT,
    ACTIONS(2375), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37343] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2673), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37421] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2659), 1,
      anon_sym_SEMI,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37500] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2677), 1,
      anon_sym_EQ_GT,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37579] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37656] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2683), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37733] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37810] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37887] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2689), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37964] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38041] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2693), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38118] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1285), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38189] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2677), 1,
      anon_sym_EQ_GT,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38268] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1294), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38339] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2719), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38416] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2721), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38493] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2677), 1,
      anon_sym_EQ_GT,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38572] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2725), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38649] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2727), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38726] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1278), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38797] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1294), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38868] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1294), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38939] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2735), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39016] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2737), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39093] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2739), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39170] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39247] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39324] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2745), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39401] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2655), 1,
      anon_sym_SEMI,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39480] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2750), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2753), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2756), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2761), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2764), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2770), 1,
      sym_var_modifier,
    ACTIONS(2776), 1,
      anon_sym_POUND_LBRACK,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2773), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1294), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39551] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1286), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39622] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39699] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39776] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2785), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39853] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1304), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39924] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2655), 1,
      anon_sym_RPAREN,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40003] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2791), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40080] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2793), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40157] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40234] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2711), 1,
      sym_var_modifier,
    ACTIONS(2797), 1,
      anon_sym_RBRACE,
    STATE(1425), 1,
      sym_attribute_list,
    STATE(1473), 1,
      sym__class_const_declaration,
    STATE(1483), 1,
      sym__const_declaration,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1294), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(704), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40305] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_AMP,
    ACTIONS(2565), 1,
      anon_sym_QMARK,
    ACTIONS(2567), 1,
      anon_sym_PIPE,
    ACTIONS(2571), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2573), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2575), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2577), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2579), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2585), 1,
      anon_sym_CARET,
    ACTIONS(2593), 1,
      anon_sym_GT_EQ,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(2601), 1,
      anon_sym_PERCENT,
    ACTIONS(2569), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2595), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2599), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2591), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2589), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40382] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2801), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40459] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2803), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40536] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2659), 1,
      anon_sym_RPAREN,
    ACTIONS(2789), 1,
      anon_sym_COMMA,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40615] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40692] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2807), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40769] = 23,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2677), 1,
      anon_sym_EQ_GT,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40848] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40925] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41002] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_AMP,
    ACTIONS(2609), 1,
      anon_sym_PIPE,
    ACTIONS(2613), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2621), 1,
      anon_sym_CARET,
    ACTIONS(2629), 1,
      anon_sym_GT_EQ,
    ACTIONS(2633), 1,
      anon_sym_DOT,
    ACTIONS(2637), 1,
      anon_sym_PERCENT,
    ACTIONS(2639), 1,
      anon_sym_QMARK,
    ACTIONS(2645), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2647), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2611), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2623), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2631), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2815), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2627), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2625), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41079] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2817), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41156] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41232] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2821), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41308] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2823), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41384] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2825), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41460] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41536] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2829), 1,
      anon_sym_EQ_GT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41612] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2831), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41688] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2833), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41764] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41840] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2837), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41916] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2839), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41992] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42068] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2843), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42144] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42220] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42296] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42372] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2851), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42448] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42524] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2855), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42600] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2857), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42676] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42752] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42828] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2863), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42904] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2865), 1,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42980] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43056] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43132] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2865), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43208] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2871), 1,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43284] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2873), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43360] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43436] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43512] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43588] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2879), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43664] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2881), 1,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43740] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2881), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43816] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43892] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43968] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44044] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2889), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44120] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2891), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44196] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44272] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2895), 1,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44348] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2897), 1,
      anon_sym_EQ_GT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44424] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2899), 1,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44500] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2901), 1,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44576] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44652] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44728] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44804] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2907), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44880] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44956] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45032] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2913), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45108] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2915), 1,
      anon_sym_EQ_GT,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45184] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2917), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45260] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2919), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45336] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2921), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45412] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2923), 1,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45488] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45564] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2855), 1,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45640] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2927), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45716] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2931), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2929), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45754] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2935), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2933), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45792] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45868] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_AMP,
    ACTIONS(2523), 1,
      anon_sym_PIPE,
    ACTIONS(2527), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2529), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2531), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2535), 1,
      anon_sym_CARET,
    ACTIONS(2543), 1,
      anon_sym_GT_EQ,
    ACTIONS(2547), 1,
      anon_sym_DOT,
    ACTIONS(2551), 1,
      anon_sym_PERCENT,
    ACTIONS(2553), 1,
      anon_sym_QMARK,
    ACTIONS(2557), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2559), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2561), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2821), 1,
      anon_sym_RBRACK,
    ACTIONS(2525), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2537), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2545), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2541), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2539), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45944] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2939), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46020] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46096] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46172] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2945), 1,
      anon_sym_COLON,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46248] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2947), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46324] = 22,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2425), 1,
      anon_sym_AMP,
    ACTIONS(2427), 1,
      anon_sym_PIPE,
    ACTIONS(2431), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2433), 1,
      anon_sym_CARET,
    ACTIONS(2441), 1,
      anon_sym_GT_EQ,
    ACTIONS(2445), 1,
      anon_sym_DOT,
    ACTIONS(2449), 1,
      anon_sym_PERCENT,
    ACTIONS(2453), 1,
      anon_sym_QMARK,
    ACTIONS(2455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2457), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2459), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2461), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2463), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
    ACTIONS(2429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2435), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2443), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2439), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2437), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46400] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2953), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2951), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46438] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2955), 1,
      anon_sym_RBRACE,
    ACTIONS(2957), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2959), 1,
      sym_var_modifier,
    STATE(1428), 1,
      sym_attribute_list,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1434), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46503] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2964), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2967), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2970), 1,
      anon_sym_RBRACE,
    ACTIONS(2972), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2975), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2978), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2981), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2984), 1,
      sym_var_modifier,
    ACTIONS(2990), 1,
      anon_sym_POUND_LBRACK,
    STATE(1428), 1,
      sym_attribute_list,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2987), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1388), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1434), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46568] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2957), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2959), 1,
      sym_var_modifier,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    STATE(1428), 1,
      sym_attribute_list,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1393), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1434), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46633] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2957), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2959), 1,
      sym_var_modifier,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    STATE(1428), 1,
      sym_attribute_list,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1388), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1434), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46698] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2999), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2997), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46735] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3001), 1,
      sym_name,
    ACTIONS(3005), 1,
      anon_sym_LPAREN,
    ACTIONS(3007), 1,
      anon_sym_QMARK,
    ACTIONS(3009), 1,
      sym_bottom_type,
    STATE(1777), 1,
      sym_qualified_name,
    STATE(2021), 1,
      sym_type,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1989), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1607), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3003), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2957), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2959), 1,
      sym_var_modifier,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    STATE(1428), 1,
      sym_attribute_list,
    STATE(1967), 1,
      sym__function_definition_header,
    STATE(1427), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1388), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1434), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46859] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1894), 1,
      anon_sym_LPAREN,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(3013), 1,
      sym_bottom_type,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2341), 1,
      sym_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1582), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1499), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46918] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3017), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3015), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_POUND_LBRACK,
    STATE(1397), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3021), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3019), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_POUND_LBRACK,
    STATE(1397), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3025), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3023), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47031] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2727), 1,
      sym_intersection_type,
    STATE(2085), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47079] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2749), 1,
      sym_intersection_type,
    STATE(2085), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47127] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3032), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47207] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3001), 1,
      sym_name,
    ACTIONS(3007), 1,
      anon_sym_QMARK,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    STATE(1777), 1,
      sym_qualified_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1847), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3003), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47255] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1537), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47303] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1519), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3038), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47383] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3001), 1,
      sym_name,
    ACTIONS(3007), 1,
      anon_sym_QMARK,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    STATE(1777), 1,
      sym_qualified_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1904), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3003), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(3042), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47463] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2728), 1,
      sym_intersection_type,
    STATE(2085), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47511] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2563), 1,
      sym_intersection_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2085), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47559] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1537), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47607] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2569), 1,
      sym_intersection_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2085), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47655] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1515), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47700] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1515), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47745] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3001), 1,
      sym_name,
    ACTIONS(3007), 1,
      anon_sym_QMARK,
    STATE(1777), 1,
      sym_qualified_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1848), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3003), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47790] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1896), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1536), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47835] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3001), 1,
      sym_name,
    ACTIONS(3007), 1,
      anon_sym_QMARK,
    STATE(1777), 1,
      sym_qualified_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1911), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(3003), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47880] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_QMARK,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1536), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47925] = 16,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3046), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3048), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(3050), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(3052), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3054), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3056), 1,
      sym_var_modifier,
    ACTIONS(3058), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1502), 1,
      sym_static_modifier,
    STATE(2310), 1,
      sym__function_definition_header,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47981] = 16,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3046), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3058), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3060), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(3062), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(3064), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3066), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3068), 1,
      sym_var_modifier,
    STATE(1502), 1,
      sym_static_modifier,
    STATE(2529), 1,
      sym__function_definition_header,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1437), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48037] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    STATE(1905), 1,
      sym_static_variable_declaration,
    STATE(1945), 1,
      sym_variable_name,
    ACTIONS(1810), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2953), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [48074] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    STATE(1945), 1,
      sym_variable_name,
    STATE(1946), 1,
      sym_static_variable_declaration,
    ACTIONS(1810), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2953), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [48111] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1510), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48151] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3001), 1,
      sym_name,
    STATE(1777), 1,
      sym_qualified_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1735), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(3003), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48191] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2665), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1510), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1890), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48231] = 12,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2701), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3070), 1,
      sym_var_modifier,
    STATE(1487), 1,
      sym__const_declaration,
    STATE(1933), 1,
      sym__function_definition_header,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(703), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_POUND_LBRACK,
    STATE(1426), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3025), 16,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [48305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    STATE(1426), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3021), 16,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [48334] = 11,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3075), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3077), 1,
      sym_var_modifier,
    STATE(1933), 1,
      sym__function_definition_header,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48376] = 10,
    ACTIONS(677), 1,
      sym_integer,
    ACTIONS(707), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3079), 1,
      sym_float,
    ACTIONS(3081), 1,
      aux_sym__argument_name_token1,
    ACTIONS(3083), 1,
      aux_sym__argument_name_token2,
    STATE(2580), 1,
      sym_literal,
    ACTIONS(703), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(705), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1024), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [48415] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3085), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3087), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3089), 1,
      sym_var_modifier,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48454] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3089), 1,
      sym_var_modifier,
    STATE(1898), 1,
      sym__function_definition_header,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48493] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3089), 1,
      sym_var_modifier,
    ACTIONS(3091), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3093), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [48555] = 10,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2699), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3089), 1,
      sym_var_modifier,
    STATE(1929), 1,
      sym__function_definition_header,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [48617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [48640] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3089), 1,
      sym_var_modifier,
    ACTIONS(3095), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48676] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3089), 1,
      sym_var_modifier,
    ACTIONS(3097), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48712] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2707), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3085), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(3089), 1,
      sym_var_modifier,
    ACTIONS(2713), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1057), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48748] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3099), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(2004), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [48772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_LBRACE,
    ACTIONS(3107), 1,
      anon_sym_BSLASHu,
    ACTIONS(3110), 1,
      sym__new_line,
    ACTIONS(3113), 1,
      anon_sym_DOLLAR,
    ACTIONS(3116), 1,
      sym_heredoc_end,
    STATE(1441), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3104), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1443), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    ACTIONS(3122), 1,
      anon_sym_BSLASHu,
    ACTIONS(3124), 1,
      sym__new_line,
    ACTIONS(3127), 1,
      anon_sym_DOLLAR,
    ACTIONS(3129), 1,
      sym_heredoc_end,
    STATE(1441), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3120), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1443), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    ACTIONS(3127), 1,
      anon_sym_DOLLAR,
    ACTIONS(3133), 1,
      anon_sym_BSLASHu,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3131), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3135), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1448), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48924] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    ACTIONS(3122), 1,
      anon_sym_BSLASHu,
    ACTIONS(3127), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      sym__new_line,
    STATE(1442), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3120), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1443), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_LBRACE,
    ACTIONS(3151), 1,
      anon_sym_BSLASHu,
    ACTIONS(3156), 1,
      anon_sym_DOLLAR,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3148), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(3154), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1448), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    ACTIONS(3127), 1,
      anon_sym_DOLLAR,
    ACTIONS(3133), 1,
      anon_sym_BSLASHu,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3116), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(3131), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1448), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49327] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3183), 1,
      anon_sym_BSLASHu,
    ACTIONS(3185), 1,
      anon_sym_BQUOTE,
    ACTIONS(3187), 1,
      anon_sym_DOLLAR,
    STATE(1546), 1,
      sym_variable_name,
    STATE(1714), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3181), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1484), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49379] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    ACTIONS(3195), 1,
      anon_sym_BSLASHu,
    ACTIONS(3197), 1,
      anon_sym_DQUOTE,
    ACTIONS(3199), 1,
      anon_sym_DOLLAR,
    STATE(1542), 1,
      sym_variable_name,
    STATE(1674), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3193), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1488), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49488] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3187), 1,
      anon_sym_DOLLAR,
    ACTIONS(3211), 1,
      anon_sym_BSLASHu,
    ACTIONS(3213), 1,
      anon_sym_BQUOTE,
    STATE(1546), 1,
      sym_variable_name,
    STATE(1714), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3209), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1477), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3215), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3217), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49578] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    ACTIONS(3227), 1,
      anon_sym_BSLASHu,
    ACTIONS(3230), 1,
      anon_sym_DQUOTE,
    ACTIONS(3232), 1,
      anon_sym_DOLLAR,
    STATE(1542), 1,
      sym_variable_name,
    STATE(1674), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3224), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1475), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49611] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_DOLLAR,
    ACTIONS(3237), 1,
      anon_sym_BSLASHu,
    ACTIONS(3239), 1,
      anon_sym_DQUOTE,
    STATE(1542), 1,
      sym_variable_name,
    STATE(1674), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3235), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1475), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49644] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3247), 1,
      anon_sym_BSLASHu,
    ACTIONS(3250), 1,
      anon_sym_BQUOTE,
    ACTIONS(3252), 1,
      anon_sym_DOLLAR,
    STATE(1546), 1,
      sym_variable_name,
    STATE(1714), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3244), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1477), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49677] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3255), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3257), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49721] = 10,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3261), 1,
      sym_name,
    ACTIONS(3267), 1,
      anon_sym_BSLASH,
    STATE(1935), 1,
      sym_namespace_use_clause,
    STATE(2677), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3265), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1762), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49756] = 10,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3261), 1,
      sym_name,
    ACTIONS(3271), 1,
      anon_sym_BSLASH,
    STATE(1908), 1,
      sym_namespace_use_clause,
    STATE(2674), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3269), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1762), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3273), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49829] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3187), 1,
      anon_sym_DOLLAR,
    ACTIONS(3211), 1,
      anon_sym_BSLASHu,
    ACTIONS(3277), 1,
      anon_sym_BQUOTE,
    STATE(1546), 1,
      sym_variable_name,
    STATE(1714), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3209), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1477), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49919] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_DOLLAR,
    ACTIONS(3237), 1,
      anon_sym_BSLASHu,
    ACTIONS(3285), 1,
      anon_sym_DQUOTE,
    STATE(1542), 1,
      sym_variable_name,
    STATE(1674), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3235), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1475), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49952] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3187), 1,
      anon_sym_DOLLAR,
    ACTIONS(3289), 1,
      anon_sym_BSLASHu,
    ACTIONS(3291), 1,
      anon_sym_BQUOTE,
    STATE(1546), 1,
      sym_variable_name,
    STATE(1714), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3287), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1471), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [50004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3295), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [50023] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    ACTIONS(3199), 1,
      anon_sym_DOLLAR,
    ACTIONS(3299), 1,
      anon_sym_BSLASHu,
    ACTIONS(3301), 1,
      anon_sym_DQUOTE,
    STATE(1542), 1,
      sym_variable_name,
    STATE(1674), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3297), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1476), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [50056] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    ACTIONS(3305), 1,
      anon_sym_RBRACK,
    STATE(2328), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50090] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3309), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3311), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3307), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50112] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    ACTIONS(3313), 1,
      anon_sym_RBRACK,
    STATE(2328), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50146] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    ACTIONS(3315), 1,
      anon_sym_RBRACK,
    STATE(2328), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50180] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    ACTIONS(3317), 1,
      anon_sym_RBRACK,
    STATE(2328), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50214] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_LBRACE,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR,
    STATE(1526), 1,
      sym_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3321), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1449), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [50244] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_AMP,
    ACTIONS(3339), 1,
      anon_sym_PIPE,
    STATE(1516), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1518), 1,
      aux_sym_union_type_repeat1,
    STATE(1527), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3334), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3327), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50274] = 9,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3261), 1,
      sym_name,
    ACTIONS(3341), 1,
      anon_sym_BSLASH,
    STATE(1956), 1,
      sym_namespace_use_clause,
    STATE(2683), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1762), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50305] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3343), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3345), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50324] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3347), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3349), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3307), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50345] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    STATE(2328), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50376] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(2029), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50399] = 9,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3261), 1,
      sym_name,
    ACTIONS(3351), 1,
      anon_sym_BSLASH,
    STATE(1840), 1,
      sym_namespace_use_clause,
    STATE(2579), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1762), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50430] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3261), 1,
      sym_name,
    STATE(2168), 1,
      sym_namespace_use_clause,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1762), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50461] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    STATE(2053), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50492] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3303), 1,
      sym_name,
    STATE(2006), 1,
      sym_attribute,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1858), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50523] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3353), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2527), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [50548] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3355), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3357), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50567] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3359), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2509), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [50592] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    ACTIONS(2953), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1810), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50615] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3255), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3257), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50634] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3361), 1,
      anon_sym_COMMA,
    ACTIONS(3363), 1,
      anon_sym_RPAREN,
    STATE(656), 1,
      sym_arguments,
    STATE(2160), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50660] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3365), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3367), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50678] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_AMP,
    STATE(1529), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3369), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3371), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50700] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1788), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50722] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    STATE(1533), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3373), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3375), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50744] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3379), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3382), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50762] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3385), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2255), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50790] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3387), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(1852), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50818] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2259), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1834), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1836), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50864] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_PIPE,
    STATE(1524), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3391), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3393), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50886] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2953), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1810), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3400), 1,
      anon_sym_DASH_GT,
    ACTIONS(3402), 1,
      anon_sym_LBRACK,
    ACTIONS(3406), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3398), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3404), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50930] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_PIPE,
    STATE(1524), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3408), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3410), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50952] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_PIPE,
    STATE(1524), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3414), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3416), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50974] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    STATE(1529), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3418), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3423), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50996] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3425), 1,
      anon_sym_COMMA,
    ACTIONS(3427), 1,
      anon_sym_RPAREN,
    STATE(656), 1,
      sym_arguments,
    STATE(2265), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51022] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3429), 1,
      sym_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1853), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51050] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_PIPE,
    STATE(1528), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3431), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3433), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [51072] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_PIPE,
    STATE(1533), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3365), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3367), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [51094] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3438), 1,
      sym_name,
    STATE(2721), 1,
      sym_namespace_name,
    STATE(2722), 1,
      sym_namespace_name_as_prefix,
    STATE(1722), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51122] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3440), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3442), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [51140] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3418), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3423), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51158] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3391), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3393), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [51176] = 7,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3444), 1,
      anon_sym_RPAREN,
    STATE(656), 1,
      sym_arguments,
    STATE(2258), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51202] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(3446), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(656), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51228] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3448), 1,
      sym_name,
    ACTIONS(3450), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(744), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51251] = 7,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_name,
    ACTIONS(3454), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(638), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51276] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_BSLASHu,
    ACTIONS(3456), 1,
      anon_sym_DASH_GT,
    ACTIONS(3458), 1,
      anon_sym_LBRACK,
    ACTIONS(3460), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3404), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51299] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3462), 1,
      sym_name,
    ACTIONS(3464), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(743), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51322] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(3466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51343] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3452), 1,
      sym_name,
    ACTIONS(3454), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(756), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51368] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3398), 1,
      anon_sym_BSLASHu,
    ACTIONS(3468), 1,
      anon_sym_DASH_GT,
    ACTIONS(3470), 1,
      anon_sym_LBRACK,
    ACTIONS(3472), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3404), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51391] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3452), 1,
      sym_name,
    ACTIONS(3454), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(896), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51416] = 7,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym_name,
    ACTIONS(3476), 1,
      anon_sym_LBRACE,
    STATE(1642), 1,
      sym__reserved_identifier,
    STATE(1623), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51441] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3478), 1,
      sym_name,
    ACTIONS(3480), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(911), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51464] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3482), 1,
      sym_name,
    ACTIONS(3486), 1,
      anon_sym_LBRACE,
    ACTIONS(3484), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(663), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51487] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3488), 1,
      sym_name,
    ACTIONS(3490), 1,
      anon_sym_LBRACE,
    ACTIONS(3484), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(664), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51510] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3492), 1,
      sym_name,
    ACTIONS(3494), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(913), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51533] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3496), 1,
      sym_name,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1609), 1,
      sym_reference_modifier,
    STATE(1660), 1,
      sym_formal_parameters,
    STATE(2363), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51560] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(3500), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51581] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3502), 1,
      sym_name,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51604] = 7,
    ACTIONS(1740), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3506), 1,
      sym_name,
    ACTIONS(3508), 1,
      anon_sym_LBRACE,
    STATE(1624), 1,
      sym__reserved_identifier,
    STATE(848), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51629] = 6,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3510), 1,
      sym_name,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(707), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51652] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_name,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(640), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51675] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51698] = 6,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3520), 1,
      sym_name,
    ACTIONS(3522), 1,
      anon_sym_LBRACE,
    ACTIONS(3512), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(711), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51721] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3524), 1,
      sym_name,
    ACTIONS(3526), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym__reserved_identifier,
    STATE(909), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51746] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3452), 1,
      sym_name,
    ACTIONS(3454), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(755), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51771] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51794] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2161), 1,
      anon_sym_COLON,
    ACTIONS(1810), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51813] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3496), 1,
      sym_name,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1620), 1,
      sym_reference_modifier,
    STATE(1701), 1,
      sym_formal_parameters,
    STATE(2363), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51840] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51861] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3516), 1,
      sym_name,
    ACTIONS(3518), 1,
      anon_sym_LBRACE,
    ACTIONS(3528), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(640), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51884] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3530), 1,
      sym_name,
    ACTIONS(3532), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(883), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51907] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51930] = 7,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_name,
    ACTIONS(3526), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym__reserved_identifier,
    STATE(1643), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51955] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3452), 1,
      sym_name,
    ACTIONS(3454), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(885), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51980] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(2793), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52001] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3534), 1,
      sym_name,
    ACTIONS(3536), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(740), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52024] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3474), 1,
      sym_name,
    ACTIONS(3476), 1,
      anon_sym_LBRACE,
    STATE(1642), 1,
      sym__reserved_identifier,
    STATE(742), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52049] = 6,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3502), 1,
      sym_name,
    ACTIONS(3504), 1,
      anon_sym_LBRACE,
    ACTIONS(3528), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52072] = 7,
    ACTIONS(1740), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3538), 1,
      sym_name,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(890), 1,
      sym__reserved_identifier,
    STATE(848), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52097] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3542), 1,
      sym_name,
    ACTIONS(3544), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(897), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52120] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3546), 1,
      sym_name,
    ACTIONS(3548), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(753), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52143] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(2685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52164] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3550), 1,
      sym_name,
    ACTIONS(3552), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(877), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52187] = 7,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3554), 1,
      sym_name,
    ACTIONS(3556), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym__reserved_identifier,
    STATE(713), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52212] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3558), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3560), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [52229] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3562), 1,
      sym_name,
    ACTIONS(3564), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym__reserved_identifier,
    STATE(662), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52254] = 6,
    ACTIONS(1740), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3566), 1,
      sym_name,
    ACTIONS(3570), 1,
      anon_sym_LBRACE,
    ACTIONS(3568), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(842), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52277] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(3572), 1,
      anon_sym_EQ,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3257), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3255), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52300] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(656), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52323] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3574), 1,
      sym_name,
    ACTIONS(3576), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(882), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52346] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(721), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52369] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_BSLASHu,
    ACTIONS(1834), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52386] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3578), 1,
      sym_name,
    ACTIONS(3580), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(749), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52409] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_BSLASHu,
    ACTIONS(1834), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52426] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(2805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52447] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(3582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52468] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3584), 1,
      sym_name,
    ACTIONS(3586), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(754), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52491] = 6,
    ACTIONS(1740), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3588), 1,
      sym_name,
    ACTIONS(3590), 1,
      anon_sym_LBRACE,
    ACTIONS(3568), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(847), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [52514] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_COMMA,
    ACTIONS(3363), 1,
      anon_sym_RPAREN,
    STATE(2160), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52534] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COMMA,
    ACTIONS(3427), 1,
      anon_sym_RPAREN,
    STATE(2265), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52554] = 6,
    ACTIONS(1087), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3592), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3594), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1085), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1599), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52576] = 6,
    ACTIONS(1095), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3596), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3599), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1093), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1599), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52598] = 8,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(3604), 1,
      anon_sym_COMMA,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(1453), 1,
      sym_use_list,
    STATE(1654), 1,
      aux_sym_base_clause_repeat1,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52624] = 5,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3444), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52644] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1156), 1,
      sym_declaration_list,
    STATE(1727), 1,
      sym_arguments,
    STATE(1827), 1,
      sym_base_clause,
    STATE(2502), 1,
      sym_class_interface_clause,
  [52672] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1887), 1,
      sym_named_type,
    STATE(2067), 1,
      sym_type_list,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
  [52700] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(1887), 1,
      sym_named_type,
    STATE(2145), 1,
      sym_type_list,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
  [52728] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1135), 1,
      sym_declaration_list,
    STATE(1693), 1,
      sym_arguments,
    STATE(1891), 1,
      sym_base_clause,
    STATE(2315), 1,
      sym_class_interface_clause,
  [52756] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1021), 1,
      sym_declaration_list,
    STATE(1699), 1,
      sym_arguments,
    STATE(1909), 1,
      sym_base_clause,
    STATE(2271), 1,
      sym_class_interface_clause,
  [52784] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_AMP,
    ACTIONS(3618), 1,
      anon_sym_PIPE,
    STATE(1737), 1,
      aux_sym_union_type_repeat1,
    STATE(1738), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1739), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3334), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [52808] = 9,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1029), 1,
      sym_declaration_list,
    STATE(1700), 1,
      sym_arguments,
    STATE(1968), 1,
      sym_base_clause,
    STATE(2300), 1,
      sym_class_interface_clause,
  [52836] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      sym_name,
    STATE(1681), 1,
      sym_formal_parameters,
    STATE(2557), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52857] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3624), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3627), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3622), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1610), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3632), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52891] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3634), 1,
      sym_name,
    STATE(1741), 1,
      sym_reference_modifier,
    STATE(2399), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52912] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3257), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [52929] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52946] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(3638), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2066), 1,
      sym_namespace_aliasing_clause,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3636), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [52967] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52984] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53001] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53018] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2169), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2167), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [53033] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    ACTIONS(3620), 1,
      sym_name,
    STATE(1692), 1,
      sym_formal_parameters,
    STATE(2557), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53054] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53069] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    ACTIONS(1925), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53086] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(808), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53103] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      sym_arguments,
    ACTIONS(1949), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53120] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53137] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_AMP,
    ACTIONS(3646), 1,
      anon_sym_PIPE,
    STATE(1757), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1758), 1,
      aux_sym_union_type_repeat1,
    STATE(1959), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3334), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [53160] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(665), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1882), 1,
      sym_name,
    STATE(1513), 1,
      sym_qualified_name,
    STATE(2043), 1,
      sym_named_type,
    STATE(2585), 1,
      sym_namespace_name_as_prefix,
    STATE(2721), 1,
      sym_namespace_name,
  [53185] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3650), 1,
      anon_sym_DASH,
    ACTIONS(3648), 2,
      sym_integer,
      sym_name,
    STATE(2694), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [53204] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53219] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53236] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3654), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3658), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53283] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3650), 1,
      anon_sym_DASH,
    ACTIONS(3660), 2,
      sym_integer,
      sym_name,
    STATE(2695), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [53302] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53319] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53336] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3650), 1,
      anon_sym_DASH,
    ACTIONS(3662), 2,
      sym_integer,
      sym_name,
    STATE(2639), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [53355] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53372] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(812), 1,
      sym_arguments,
    ACTIONS(1925), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3154), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53404] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(974), 1,
      sym_arguments,
    ACTIONS(1925), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53421] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_LPAREN,
    STATE(808), 1,
      sym_arguments,
    ACTIONS(1949), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53438] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(963), 1,
      sym_arguments,
    ACTIONS(1760), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53455] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3446), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3666), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53472] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LPAREN,
    STATE(963), 1,
      sym_arguments,
    ACTIONS(1949), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53489] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3500), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3670), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1834), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1796), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1794), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1838), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [53564] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1784), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53581] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1173), 1,
      sym_compound_statement,
    STATE(1839), 1,
      sym_anonymous_function_use_clause,
    STATE(2370), 1,
      sym__return_type,
  [53603] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3678), 1,
      sym_name,
    STATE(1838), 1,
      sym_const_element,
    STATE(2660), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53621] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_COMMA,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(1451), 1,
      sym_use_list,
    STATE(1804), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53641] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(2489), 1,
      sym_arguments,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3682), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53661] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_BSLASHu,
    ACTIONS(3658), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53675] = 7,
    ACTIONS(1117), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3684), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3687), 1,
      aux_sym_else_clause_token1,
    STATE(1811), 1,
      aux_sym_if_statement_repeat1,
    STATE(2039), 1,
      sym_else_if_clause,
    STATE(2084), 1,
      sym_else_clause,
  [53697] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_BSLASHu,
    ACTIONS(3654), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53711] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1120), 1,
      sym_compound_statement,
    STATE(1842), 1,
      sym_anonymous_function_use_clause,
    STATE(2389), 1,
      sym__return_type,
  [53733] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1124), 1,
      sym_compound_statement,
    STATE(1844), 1,
      sym_anonymous_function_use_clause,
    STATE(2407), 1,
      sym__return_type,
  [53755] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1005), 1,
      sym_compound_statement,
    STATE(1862), 1,
      sym_anonymous_function_use_clause,
    STATE(2476), 1,
      sym__return_type,
  [53777] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_BSLASHu,
    ACTIONS(1834), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53791] = 7,
    ACTIONS(1103), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3690), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3693), 1,
      aux_sym_else_clause_token1,
    STATE(1657), 1,
      aux_sym_if_statement_repeat1,
    STATE(2039), 1,
      sym_else_if_clause,
    STATE(2040), 1,
      sym_else_clause,
  [53813] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_declaration_list,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [53835] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3702), 1,
      aux_sym_switch_block_token1,
    STATE(1610), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53853] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    STATE(1610), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53871] = 7,
    ACTIONS(1117), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3706), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3708), 1,
      aux_sym_else_clause_token1,
    STATE(1811), 1,
      aux_sym_if_statement_repeat1,
    STATE(2039), 1,
      sym_else_if_clause,
    STATE(2084), 1,
      sym_else_clause,
  [53893] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_declaration_list,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2464), 1,
      sym_class_interface_clause,
  [53915] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_BSLASHu,
    ACTIONS(1794), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53929] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_BSLASHu,
    ACTIONS(1834), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53943] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3710), 1,
      aux_sym_switch_block_token1,
    STATE(1610), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53961] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3712), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3714), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3716), 1,
      aux_sym_else_clause_token1,
    STATE(1801), 1,
      aux_sym_if_statement_repeat2,
    STATE(2251), 1,
      sym_else_if_clause_2,
    STATE(2628), 1,
      sym_else_clause_2,
  [53983] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3714), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3716), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3718), 1,
      aux_sym_if_statement_token2,
    STATE(1801), 1,
      aux_sym_if_statement_repeat2,
    STATE(2251), 1,
      sym_else_if_clause_2,
    STATE(2613), 1,
      sym_else_clause_2,
  [54005] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_BSLASHu,
    ACTIONS(3632), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54019] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_declaration_list,
    STATE(1833), 1,
      sym_base_clause,
    STATE(2528), 1,
      sym_class_interface_clause,
  [54041] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1814), 1,
      sym_declaration_list,
    STATE(1867), 1,
      sym_base_clause,
    STATE(2497), 1,
      sym_class_interface_clause,
  [54063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      anon_sym_SQUOTE,
    ACTIONS(3722), 1,
      aux_sym_string_token2,
    ACTIONS(3724), 1,
      aux_sym_string_content_token1,
    STATE(1857), 1,
      aux_sym_string_content_repeat1,
    STATE(1696), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54083] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3678), 1,
      sym_name,
    STATE(1885), 1,
      sym_const_element,
    STATE(2660), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54101] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1205), 1,
      sym_compound_statement,
    STATE(1828), 1,
      sym_anonymous_function_use_clause,
    STATE(2339), 1,
      sym__return_type,
  [54123] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_BSLASHu,
    ACTIONS(3670), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54137] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1192), 1,
      sym_compound_statement,
    STATE(1834), 1,
      sym_anonymous_function_use_clause,
    STATE(2362), 1,
      sym__return_type,
  [54159] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_BSLASHu,
    ACTIONS(3654), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54173] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3726), 1,
      aux_sym_switch_block_token1,
    STATE(1671), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54191] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3714), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3716), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3728), 1,
      aux_sym_if_statement_token2,
    STATE(1672), 1,
      aux_sym_if_statement_repeat2,
    STATE(2251), 1,
      sym_else_if_clause_2,
    STATE(2638), 1,
      sym_else_clause_2,
  [54213] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3678), 1,
      sym_name,
    STATE(1896), 1,
      sym_const_element,
    STATE(2660), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      aux_sym_string_content_token1,
    ACTIONS(3730), 1,
      anon_sym_SQUOTE,
    ACTIONS(3732), 1,
      aux_sym_string_token2,
    STATE(1857), 1,
      aux_sym_string_content_repeat1,
    STATE(1716), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54251] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1040), 1,
      sym_compound_statement,
    STATE(1868), 1,
      sym_anonymous_function_use_clause,
    STATE(2390), 1,
      sym__return_type,
  [54273] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_BSLASHu,
    ACTIONS(1794), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54287] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
    STATE(1825), 1,
      sym_base_clause,
    STATE(2329), 1,
      sym_class_interface_clause,
  [54309] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1045), 1,
      sym_compound_statement,
    STATE(1878), 1,
      sym_anonymous_function_use_clause,
    STATE(2506), 1,
      sym__return_type,
  [54331] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_BSLASHu,
    ACTIONS(3250), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54345] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1206), 1,
      sym_compound_statement,
    STATE(1947), 1,
      sym_anonymous_function_use_clause,
    STATE(2351), 1,
      sym__return_type,
  [54367] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1171), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_base_clause,
    STATE(2424), 1,
      sym_class_interface_clause,
  [54389] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3678), 1,
      sym_name,
    STATE(1961), 1,
      sym_const_element,
    STATE(2660), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54407] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1034), 1,
      sym_compound_statement,
    STATE(1879), 1,
      sym_anonymous_function_use_clause,
    STATE(2521), 1,
      sym__return_type,
  [54429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_SQUOTE,
    ACTIONS(3738), 1,
      aux_sym_string_token2,
    ACTIONS(3741), 1,
      aux_sym_string_content_token1,
    STATE(1857), 1,
      aux_sym_string_content_repeat1,
    STATE(1696), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54449] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_DOLLAR,
    ACTIONS(3339), 1,
      anon_sym_PIPE,
    ACTIONS(3744), 1,
      anon_sym_AMP,
    STATE(1518), 1,
      aux_sym_union_type_repeat1,
    STATE(1527), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(2094), 1,
      aux_sym_intersection_type_repeat1,
  [54471] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_BSLASHu,
    ACTIONS(3230), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54485] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_declaration_list,
    STATE(1881), 1,
      sym_base_clause,
    STATE(2549), 1,
      sym_class_interface_clause,
  [54507] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_declaration_list,
    STATE(1910), 1,
      sym_base_clause,
    STATE(2393), 1,
      sym_class_interface_clause,
  [54529] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1186), 1,
      sym_compound_statement,
    STATE(1951), 1,
      sym_anonymous_function_use_clause,
    STATE(2551), 1,
      sym__return_type,
  [54551] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_BSLASHu,
    ACTIONS(1838), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54565] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_BSLASHu,
    ACTIONS(3670), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54579] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1025), 1,
      sym_compound_statement,
    STATE(1960), 1,
      sym_anonymous_function_use_clause,
    STATE(2287), 1,
      sym__return_type,
  [54601] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3678), 1,
      sym_name,
    STATE(2222), 1,
      sym_const_element,
    STATE(2660), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54619] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3752), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [54635] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_BSLASHu,
    ACTIONS(1838), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54649] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3754), 1,
      anon_sym_RBRACE,
    STATE(1610), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54667] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1736), 1,
      sym_declaration_list,
    STATE(1965), 1,
      sym_base_clause,
    STATE(2373), 1,
      sym_class_interface_clause,
  [54689] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1805), 1,
      sym_declaration_list,
    STATE(1883), 1,
      sym_base_clause,
    STATE(2543), 1,
      sym_class_interface_clause,
  [54711] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1803), 1,
      sym_declaration_list,
    STATE(1893), 1,
      sym_base_clause,
    STATE(2540), 1,
      sym_class_interface_clause,
  [54733] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_BSLASHu,
    ACTIONS(3658), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54747] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3714), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3716), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3756), 1,
      aux_sym_if_statement_token2,
    STATE(1673), 1,
      aux_sym_if_statement_repeat2,
    STATE(2251), 1,
      sym_else_if_clause_2,
    STATE(2732), 1,
      sym_else_clause_2,
  [54769] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_BSLASHu,
    ACTIONS(3632), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54783] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1026), 1,
      sym_compound_statement,
    STATE(1894), 1,
      sym_anonymous_function_use_clause,
    STATE(2522), 1,
      sym__return_type,
  [54805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      aux_sym_string_token2,
    ACTIONS(3724), 1,
      aux_sym_string_content_token1,
    ACTIONS(3758), 1,
      anon_sym_SQUOTE,
    STATE(1857), 1,
      aux_sym_string_content_repeat1,
    STATE(1696), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54825] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1128), 1,
      sym_compound_statement,
    STATE(1938), 1,
      sym_anonymous_function_use_clause,
    STATE(2343), 1,
      sym__return_type,
  [54847] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1044), 1,
      sym_compound_statement,
    STATE(1899), 1,
      sym_anonymous_function_use_clause,
    STATE(2460), 1,
      sym__return_type,
  [54869] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    STATE(1666), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54887] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3762), 1,
      aux_sym_switch_block_token1,
    STATE(1665), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54905] = 7,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3672), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1042), 1,
      sym_compound_statement,
    STATE(1921), 1,
      sym_anonymous_function_use_clause,
    STATE(2340), 1,
      sym__return_type,
  [54927] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_COMMA,
    ACTIONS(3606), 1,
      anon_sym_LBRACE,
    STATE(1453), 1,
      sym_use_list,
    STATE(1654), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54947] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1922), 1,
      aux_sym_base_clause_repeat1,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3766), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [54967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      aux_sym_string_content_token1,
    ACTIONS(3768), 1,
      anon_sym_SQUOTE,
    ACTIONS(3770), 1,
      aux_sym_string_token2,
    STATE(1857), 1,
      aux_sym_string_content_repeat1,
    STATE(1677), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [54987] = 7,
    ACTIONS(1103), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3706), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3708), 1,
      aux_sym_else_clause_token1,
    STATE(1667), 1,
      aux_sym_if_statement_repeat1,
    STATE(2039), 1,
      sym_else_if_clause,
    STATE(2040), 1,
      sym_else_clause,
  [55009] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3698), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3700), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3772), 1,
      anon_sym_RBRACE,
    STATE(1708), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [55027] = 7,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1142), 1,
      sym_declaration_list,
    STATE(1892), 1,
      sym_base_clause,
    STATE(2311), 1,
      sym_class_interface_clause,
  [55049] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3778), 1,
      anon_sym_DASH_GT,
    ACTIONS(3780), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3782), 1,
      anon_sym_LBRACK,
  [55068] = 5,
    ACTIONS(1734), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3784), 1,
      sym_name,
    ACTIONS(3786), 1,
      anon_sym_LBRACE,
    STATE(725), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55085] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_DOLLAR,
    ACTIONS(3788), 1,
      sym_name,
    ACTIONS(3790), 1,
      anon_sym_LBRACE,
    STATE(786), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55102] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_BSLASH,
    STATE(1733), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3792), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55117] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    ACTIONS(3796), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      aux_sym_base_clause_repeat1,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
  [55136] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_BSLASH,
    STATE(1785), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3798), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55151] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_BSLASH,
    STATE(1734), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3800), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55166] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3357), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55177] = 4,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55192] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_PIPE,
    STATE(1773), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3375), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55207] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_PIPE,
    STATE(1778), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3410), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55222] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_AMP,
    STATE(1774), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3371), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55237] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3811), 1,
      sym_name,
    ACTIONS(3813), 1,
      anon_sym_LBRACE,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    STATE(1650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55254] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3817), 1,
      sym_name,
    STATE(2276), 1,
      sym__reserved_identifier,
    ACTIONS(2643), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55269] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3819), 1,
      sym_name,
    ACTIONS(3821), 1,
      anon_sym_LBRACE,
    ACTIONS(3823), 1,
      anon_sym_DOLLAR,
    STATE(1707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55286] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3825), 1,
      sym_name,
    ACTIONS(3827), 1,
      anon_sym_LBRACE,
    STATE(674), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55303] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3829), 1,
      sym_name,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR,
    STATE(1702), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55320] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_LBRACE,
    ACTIONS(3833), 1,
      anon_sym_DOLLAR,
    ACTIONS(3835), 1,
      sym_name,
    STATE(1702), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55337] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_LBRACE,
    ACTIONS(3815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3837), 1,
      sym_name,
    STATE(1650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55354] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_COLON,
    STATE(2017), 1,
      sym__return_type,
    ACTIONS(3839), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55369] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3843), 1,
      anon_sym_LBRACE,
    ACTIONS(3845), 1,
      anon_sym_DASH_GT,
    ACTIONS(3847), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3849), 1,
      anon_sym_LBRACK,
  [55388] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3851), 1,
      anon_sym_BSLASH,
    STATE(1754), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3792), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55403] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3854), 1,
      anon_sym_LBRACE,
    ACTIONS(3856), 1,
      anon_sym_DASH_GT,
    ACTIONS(3858), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3860), 1,
      anon_sym_LBRACK,
  [55422] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1134), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55435] = 4,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3862), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55450] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3864), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2003), 1,
      sym_variable_name,
    STATE(2099), 1,
      sym_reference_modifier,
  [55469] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_BSLASH,
    STATE(1734), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3798), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55484] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_BSLASH,
    STATE(563), 1,
      sym_compound_statement,
    ACTIONS(3869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55501] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3433), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55516] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_PIPE,
    STATE(1767), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3410), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55531] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_PIPE,
    STATE(1764), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3375), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55546] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3879), 1,
      anon_sym_COLON,
    STATE(2057), 1,
      sym_enum_declaration_list,
    STATE(2536), 1,
      sym_class_interface_clause,
  [55565] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_LBRACE,
    ACTIONS(3823), 1,
      anon_sym_DOLLAR,
    ACTIONS(3881), 1,
      sym_name,
    STATE(1707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55582] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym_name,
    STATE(1864), 1,
      sym_namespace_name,
    STATE(2112), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3885), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [55599] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3638), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2066), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3636), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55614] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3889), 1,
      anon_sym_EQ,
    STATE(2254), 1,
      sym_property_initializer,
    ACTIONS(3887), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55629] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_PIPE,
    STATE(1764), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3367), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55644] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_COLON,
    STATE(2059), 1,
      sym__return_type,
    ACTIONS(3894), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55659] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3592), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3594), 1,
      aux_sym_finally_clause_token1,
    STATE(1598), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55674] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_PIPE,
    STATE(1767), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3393), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55689] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3752), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [55704] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3899), 1,
      anon_sym_COLON,
    STATE(1984), 1,
      sym_enum_declaration_list,
    STATE(2302), 1,
      sym_class_interface_clause,
  [55723] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_PIPE,
    STATE(1810), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3433), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55738] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_BSLASH,
    STATE(1992), 1,
      sym_compound_statement,
    ACTIONS(3901), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55755] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_PIPE,
    STATE(1767), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3416), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55770] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3903), 1,
      anon_sym_PIPE,
    STATE(1773), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3367), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55785] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_AMP,
    STATE(1774), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3423), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55800] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3909), 1,
      anon_sym_LBRACE,
    ACTIONS(3911), 1,
      anon_sym_DASH_GT,
    ACTIONS(3913), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3915), 1,
      anon_sym_LBRACK,
  [55819] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1142), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55832] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3257), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55843] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3917), 1,
      anon_sym_PIPE,
    STATE(1778), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3393), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55858] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3345), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55869] = 4,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55884] = 4,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55899] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_COLON,
    STATE(500), 1,
      sym_enum_declaration_list,
    STATE(2411), 1,
      sym_class_interface_clause,
  [55918] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3928), 1,
      anon_sym_LBRACE,
    ACTIONS(3930), 1,
      anon_sym_DASH_GT,
    ACTIONS(3932), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3934), 1,
      anon_sym_LBRACK,
  [55937] = 4,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3936), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55952] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_BSLASH,
    STATE(1785), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3800), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55967] = 4,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3941), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55982] = 6,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2038), 1,
      sym_formal_parameters,
    STATE(2397), 1,
      sym_reference_modifier,
  [56001] = 6,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1704), 1,
      sym_formal_parameters,
    STATE(2525), 1,
      sym_reference_modifier,
  [56020] = 5,
    ACTIONS(711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3943), 1,
      sym_name,
    ACTIONS(3945), 1,
      anon_sym_LBRACE,
    STATE(655), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56037] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3854), 1,
      anon_sym_LBRACE,
    ACTIONS(3860), 1,
      anon_sym_LBRACK,
    ACTIONS(3947), 1,
      anon_sym_DASH_GT,
    ACTIONS(3949), 1,
      anon_sym_QMARK_DASH_GT,
  [56056] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3951), 1,
      anon_sym_AMP,
    ACTIONS(3953), 1,
      anon_sym_RPAREN,
    STATE(2469), 2,
      sym_variable_name,
      sym_variable_reference,
  [56073] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3951), 1,
      anon_sym_AMP,
    ACTIONS(3955), 1,
      anon_sym_RPAREN,
    STATE(2469), 2,
      sym_variable_name,
      sym_variable_reference,
  [56090] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3928), 1,
      anon_sym_LBRACE,
    ACTIONS(3934), 1,
      anon_sym_LBRACK,
    ACTIONS(3957), 1,
      anon_sym_DASH_GT,
    ACTIONS(3959), 1,
      anon_sym_QMARK_DASH_GT,
  [56109] = 6,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3961), 1,
      sym_name,
    ACTIONS(3963), 1,
      anon_sym_BSLASH,
    STATE(1771), 1,
      sym_namespace_name,
    STATE(2031), 1,
      sym_compound_statement,
  [56128] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1138), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [56141] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    ACTIONS(3965), 1,
      anon_sym_COLON,
    STATE(516), 1,
      sym_enum_declaration_list,
    STATE(2530), 1,
      sym_class_interface_clause,
  [56160] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3928), 1,
      anon_sym_LBRACE,
    ACTIONS(3934), 1,
      anon_sym_LBRACK,
    ACTIONS(3967), 1,
      anon_sym_DASH_GT,
    ACTIONS(3969), 1,
      anon_sym_QMARK_DASH_GT,
  [56179] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3971), 1,
      anon_sym_LBRACE,
    ACTIONS(3973), 1,
      anon_sym_DASH_GT,
    ACTIONS(3975), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3977), 1,
      anon_sym_LBRACK,
  [56198] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3909), 1,
      anon_sym_LBRACE,
    ACTIONS(3915), 1,
      anon_sym_LBRACK,
    ACTIONS(3979), 1,
      anon_sym_DASH_GT,
    ACTIONS(3981), 1,
      anon_sym_QMARK_DASH_GT,
  [56217] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR,
    ACTIONS(3983), 1,
      sym_name,
    ACTIONS(3985), 1,
      anon_sym_LBRACE,
    STATE(931), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56234] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3987), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3989), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3992), 1,
      aux_sym_else_clause_token1,
    STATE(1801), 1,
      aux_sym_if_statement_repeat2,
    STATE(2251), 1,
      sym_else_if_clause_2,
  [56253] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3994), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3996), 1,
      aux_sym_finally_clause_token1,
    STATE(460), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [56268] = 4,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3998), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56283] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_COMMA,
    STATE(1804), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3752), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56298] = 4,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56313] = 4,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4005), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56328] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym_name,
    STATE(1864), 1,
      sym_namespace_name,
    STATE(2402), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3885), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [56345] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_name,
    STATE(2054), 1,
      sym_visibility_modifier,
    ACTIONS(4009), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56360] = 4,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56375] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_PIPE,
    STATE(1778), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3416), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [56390] = 6,
    ACTIONS(1127), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1129), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4013), 1,
      aux_sym_else_if_clause_token1,
    STATE(1811), 1,
      aux_sym_if_statement_repeat1,
    STATE(2039), 1,
      sym_else_if_clause,
  [56409] = 4,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4016), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56424] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3961), 1,
      sym_name,
    ACTIONS(3963), 1,
      anon_sym_BSLASH,
    STATE(519), 1,
      sym_compound_statement,
    STATE(1755), 1,
      sym_namespace_name,
  [56443] = 4,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(4018), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56458] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4020), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2181), 1,
      sym_reference_modifier,
    STATE(2183), 1,
      sym_variable_name,
  [56477] = 6,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3909), 1,
      anon_sym_LBRACE,
    ACTIONS(3915), 1,
      anon_sym_LBRACK,
    ACTIONS(4022), 1,
      anon_sym_DASH_GT,
    ACTIONS(4024), 1,
      anon_sym_QMARK_DASH_GT,
  [56496] = 5,
    ACTIONS(1740), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_name,
    ACTIONS(4028), 1,
      anon_sym_LBRACE,
    STATE(856), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [56513] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4030), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56527] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_declaration_list,
    STATE(2409), 1,
      sym_base_clause,
  [56543] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4036), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56553] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4040), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2398), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [56567] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4042), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56577] = 5,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_EQ,
    ACTIONS(4046), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      aux_sym__list_destructing_repeat1,
  [56593] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4048), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56607] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_declaration_list,
    STATE(2396), 1,
      sym_class_interface_clause,
  [56623] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56637] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1142), 1,
      sym_declaration_list,
    STATE(2311), 1,
      sym_class_interface_clause,
  [56653] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1126), 1,
      sym_compound_statement,
    STATE(2392), 1,
      sym__return_type,
  [56669] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4056), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56683] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_PIPE,
    STATE(1830), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4061), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56697] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1715), 1,
      sym_formal_parameters,
    STATE(2292), 1,
      sym_reference_modifier,
  [56713] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_enum_declaration_list,
    STATE(2381), 1,
      sym_class_interface_clause,
  [56729] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
    STATE(2294), 1,
      sym_class_interface_clause,
  [56745] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1136), 1,
      sym_compound_statement,
    STATE(2334), 1,
      sym__return_type,
  [56761] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4066), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4070), 1,
      sym_nowdoc_string,
    STATE(1836), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4068), 2,
      sym_heredoc_end,
      sym__new_line,
  [56789] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3951), 1,
      anon_sym_AMP,
    STATE(2469), 2,
      sym_variable_name,
      sym_variable_reference,
  [56803] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1952), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4073), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56817] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1139), 1,
      sym_compound_statement,
    STATE(2304), 1,
      sym__return_type,
  [56833] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1924), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56847] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4079), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56857] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1184), 1,
      sym_compound_statement,
    STATE(2463), 1,
      sym__return_type,
  [56873] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4081), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56887] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1198), 1,
      sym_compound_statement,
    STATE(2361), 1,
      sym__return_type,
  [56903] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(2360), 1,
      sym_class_interface_clause,
  [56919] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56933] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3393), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56943] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3367), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56953] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56967] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1972), 1,
      sym_formal_parameters,
    STATE(2445), 1,
      sym_reference_modifier,
  [56983] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4087), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56993] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1922), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3766), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57007] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3752), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57017] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2134), 1,
      sym_formal_parameters,
    STATE(2455), 1,
      sym_reference_modifier,
  [57033] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1659), 1,
      sym_formal_parameters,
    STATE(2457), 1,
      sym_reference_modifier,
  [57049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4093), 1,
      sym_heredoc_end,
    STATE(2477), 1,
      sym_heredoc_body,
  [57065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      aux_sym_string_content_token1,
    STATE(1866), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4095), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [57079] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_LPAREN,
    STATE(2489), 1,
      sym_arguments,
    ACTIONS(3682), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57093] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1149), 1,
      sym_declaration_list,
    STATE(2282), 1,
      sym_class_interface_clause,
  [57109] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4099), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57123] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2327), 1,
      sym_class_interface_clause,
  [57139] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(985), 1,
      sym_compound_statement,
    STATE(2456), 1,
      sym__return_type,
  [57155] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4101), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [57165] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4040), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2324), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57179] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      aux_sym_string_content_token1,
    STATE(1866), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4107), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [57207] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1784), 1,
      sym_declaration_list,
    STATE(2473), 1,
      sym_class_interface_clause,
  [57223] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1008), 1,
      sym_compound_statement,
    STATE(2474), 1,
      sym__return_type,
  [57239] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4036), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57249] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(2128), 1,
      sym_enum_declaration_list,
    STATE(2478), 1,
      sym_class_interface_clause,
  [57265] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2603), 1,
      sym_declare_directive,
    ACTIONS(4112), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57277] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3058), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4114), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2523), 1,
      sym_static_modifier,
  [57293] = 4,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2132), 2,
      sym_variable_name,
      sym_by_ref,
  [57307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4116), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4118), 1,
      sym_heredoc_end,
    STATE(2357), 1,
      sym_heredoc_body,
  [57323] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1704), 1,
      sym_formal_parameters,
    STATE(2525), 1,
      sym_reference_modifier,
  [57339] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3800), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [57349] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57363] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(998), 1,
      sym_compound_statement,
    STATE(2479), 1,
      sym__return_type,
  [57379] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_compound_statement,
    STATE(2480), 1,
      sym__return_type,
  [57395] = 4,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2229), 2,
      sym_variable_name,
      sym_by_ref,
  [57409] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1032), 1,
      sym_declaration_list,
    STATE(2483), 1,
      sym_class_interface_clause,
  [57425] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4087), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57435] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1812), 1,
      sym_declaration_list,
    STATE(2495), 1,
      sym_class_interface_clause,
  [57451] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4122), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57465] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4124), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57479] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4126), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57493] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_PIPE,
    STATE(1937), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4128), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [57507] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    STATE(612), 1,
      sym_declaration_list,
    STATE(2533), 1,
      sym_base_clause,
  [57523] = 5,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_BSLASH,
    ACTIONS(4132), 1,
      sym_name,
    STATE(2658), 1,
      sym_namespace_name,
  [57539] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4134), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57553] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1171), 1,
      sym_declaration_list,
    STATE(2424), 1,
      sym_class_interface_clause,
  [57569] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1159), 1,
      sym_declaration_list,
    STATE(2458), 1,
      sym_class_interface_clause,
  [57585] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1806), 1,
      sym_declaration_list,
    STATE(2503), 1,
      sym_class_interface_clause,
  [57601] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1041), 1,
      sym_compound_statement,
    STATE(2504), 1,
      sym__return_type,
  [57617] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3442), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57627] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4136), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57641] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1886), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4138), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57655] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_SEMI,
    ACTIONS(4142), 1,
      sym__automatic_semicolon,
    STATE(1444), 1,
      sym_compound_statement,
  [57671] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1017), 1,
      sym_compound_statement,
    STATE(2508), 1,
      sym__return_type,
  [57687] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1679), 1,
      sym_formal_parameters,
    STATE(2421), 1,
      sym_reference_modifier,
  [57703] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2153), 1,
      sym_formal_parameters,
    STATE(2423), 1,
      sym_reference_modifier,
  [57719] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4066), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57733] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4144), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57747] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3382), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57757] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    STATE(1954), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4146), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57771] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(1955), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4148), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57785] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4150), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57799] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1958), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4155), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57813] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_declaration_list,
    STATE(2549), 1,
      sym_class_interface_clause,
  [57829] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_declaration_list,
    STATE(2550), 1,
      sym_class_interface_clause,
  [57845] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3423), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [57855] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4157), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57869] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4161), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4159), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57883] = 4,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2234), 2,
      sym_variable_name,
      sym_by_ref,
  [57897] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1983), 1,
      sym_declaration_list,
    STATE(2301), 1,
      sym_base_clause,
  [57913] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4164), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57927] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2695), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3058), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4166), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2345), 1,
      sym_static_modifier,
  [57943] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1701), 1,
      sym_formal_parameters,
    STATE(2412), 1,
      sym_reference_modifier,
  [57959] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_enum_declaration_list,
    STATE(2554), 1,
      sym_class_interface_clause,
  [57975] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57989] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(988), 1,
      sym_compound_statement,
    STATE(2552), 1,
      sym__return_type,
  [58005] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4170), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58019] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4172), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58033] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4174), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58047] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2656), 1,
      sym_declare_directive,
    ACTIONS(4112), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [58059] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3752), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58073] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_AMP,
    STATE(1927), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3423), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58087] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58101] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_SEMI,
    ACTIONS(4186), 1,
      sym__automatic_semicolon,
    STATE(1459), 1,
      sym_compound_statement,
  [58117] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1903), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(4188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58131] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1687), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym_reference_modifier,
  [58147] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4190), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58161] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_SEMI,
    ACTIONS(4197), 1,
      sym__automatic_semicolon,
    STATE(1456), 1,
      sym_compound_statement,
  [58177] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4199), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [58187] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58201] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1660), 1,
      sym_formal_parameters,
    STATE(2415), 1,
      sym_reference_modifier,
  [58217] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_PIPE,
    STATE(1830), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4203), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [58231] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1201), 1,
      sym_compound_statement,
    STATE(2537), 1,
      sym__return_type,
  [58247] = 4,
    ACTIONS(829), 1,
      anon_sym_AMP,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2078), 2,
      sym_variable_name,
      sym_by_ref,
  [58261] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3610), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_declaration_list,
    STATE(2534), 1,
      sym_base_clause,
  [58277] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4199), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [58287] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1718), 1,
      sym_formal_parameters,
    STATE(2400), 1,
      sym_reference_modifier,
  [58303] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(1849), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4205), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4207), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4209), 1,
      sym_heredoc_end,
    STATE(2303), 1,
      sym_heredoc_body,
  [58333] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_EQ,
    ACTIONS(4211), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58345] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4215), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58359] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1130), 1,
      sym_compound_statement,
    STATE(2321), 1,
      sym__return_type,
  [58375] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4079), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [58385] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(3951), 1,
      anon_sym_AMP,
    STATE(1996), 2,
      sym_variable_name,
      sym_variable_reference,
  [58399] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2562), 1,
      sym_declare_directive,
    ACTIONS(4112), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [58411] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1194), 1,
      sym_compound_statement,
    STATE(2338), 1,
      sym__return_type,
  [58427] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4217), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4219), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4221), 1,
      sym_heredoc_end,
    STATE(2448), 1,
      sym_heredoc_body,
  [58457] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58471] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58485] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1923), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58499] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58513] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(1932), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58527] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_AMP,
    STATE(1927), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3371), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58541] = 5,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    STATE(1007), 1,
      sym_compound_statement,
    STATE(2346), 1,
      sym__return_type,
  [58557] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1920), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4237), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58571] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58585] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1880), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58595] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_enum_declaration_list,
    STATE(2395), 1,
      sym_class_interface_clause,
  [58611] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1780), 1,
      sym_declaration_list,
    STATE(2349), 1,
      sym_class_interface_clause,
  [58627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4241), 1,
      sym_nowdoc_string,
    STATE(1836), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4239), 2,
      sym_heredoc_end,
      sym__new_line,
  [58641] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4243), 1,
      anon_sym_SEMI,
    ACTIONS(4245), 1,
      sym__automatic_semicolon,
    STATE(1460), 1,
      sym_compound_statement,
  [58657] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3612), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_declaration_list,
    STATE(2393), 1,
      sym_class_interface_clause,
  [58673] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2688), 1,
      sym_declare_directive,
    ACTIONS(4112), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [58685] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3800), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [58695] = 5,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2038), 1,
      sym_formal_parameters,
    STATE(2397), 1,
      sym_reference_modifier,
  [58711] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4247), 1,
      anon_sym_EQ_GT,
    STATE(2644), 1,
      sym__return_type,
  [58724] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_COMMA,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
    STATE(2261), 1,
      aux_sym_arguments_repeat1,
  [58737] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1943), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [58748] = 3,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58759] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    STATE(2024), 1,
      aux_sym_array_creation_expression_repeat1,
  [58772] = 3,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58783] = 3,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58794] = 3,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58805] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_LPAREN,
    ACTIONS(4257), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58816] = 3,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58827] = 3,
    ACTIONS(1654), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58838] = 3,
    ACTIONS(1678), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1676), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58849] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58860] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
    STATE(2014), 1,
      aux_sym_formal_parameters_repeat1,
  [58873] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_DQUOTE,
    ACTIONS(4267), 1,
      anon_sym_SQUOTE,
    ACTIONS(4269), 1,
      sym_heredoc_start,
  [58886] = 3,
    ACTIONS(1646), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1644), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58897] = 4,
    ACTIONS(941), 1,
      anon_sym_RBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COMMA,
    STATE(2213), 1,
      aux_sym_array_creation_expression_repeat1,
  [58910] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3560), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58919] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_RBRACK,
    ACTIONS(4273), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_attribute_group_repeat1,
  [58932] = 3,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58943] = 3,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4275), 1,
      sym_heredoc_end,
    STATE(2438), 1,
      sym_heredoc_body,
  [58967] = 3,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58978] = 3,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58989] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_COMMA,
    ACTIONS(4279), 1,
      anon_sym_RPAREN,
    STATE(2244), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [59002] = 3,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59013] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_COMMA,
    ACTIONS(4283), 1,
      anon_sym_RPAREN,
    STATE(2051), 1,
      aux_sym_arguments_repeat1,
  [59026] = 3,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59037] = 3,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59048] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
    STATE(2001), 1,
      aux_sym_array_creation_expression_repeat1,
  [59061] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59072] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_EQ,
    ACTIONS(4290), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59083] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59094] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_BSLASH,
    ACTIONS(4132), 1,
      sym_name,
    STATE(2658), 1,
      sym_namespace_name,
  [59107] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RBRACK,
    STATE(1990), 1,
      aux_sym_attribute_group_repeat1,
  [59120] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_RBRACK,
    STATE(1988), 1,
      aux_sym_array_creation_expression_repeat1,
  [59133] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_LBRACE,
    ACTIONS(4304), 1,
      anon_sym_COLON,
    STATE(1981), 1,
      sym_switch_block,
  [59146] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59157] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    STATE(1763), 1,
      sym_variable_name,
    STATE(1916), 1,
      sym_property_element,
  [59170] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59181] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59192] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4309), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym_formal_parameters_repeat1,
  [59205] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2033), 1,
      anon_sym_RPAREN,
    ACTIONS(4311), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_formal_parameters_repeat1,
  [59218] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59229] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59240] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4313), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59249] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4317), 1,
      anon_sym_EQ,
    ACTIONS(4315), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59260] = 3,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59271] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_EQ,
    ACTIONS(4319), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59282] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4323), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59291] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59302] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59313] = 4,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_COMMA,
    STATE(2001), 1,
      aux_sym_array_creation_expression_repeat1,
  [59326] = 3,
    ACTIONS(1562), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1560), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59337] = 3,
    ACTIONS(1594), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1592), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59348] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_EQ,
    ACTIONS(4327), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59359] = 3,
    ACTIONS(1598), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1596), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59370] = 3,
    ACTIONS(1630), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1628), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59381] = 3,
    ACTIONS(1642), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1640), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59392] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59403] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59414] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RBRACE,
    STATE(2082), 1,
      aux_sym_match_block_repeat1,
  [59427] = 3,
    ACTIONS(1694), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1692), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59438] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2935), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [59447] = 3,
    ACTIONS(1626), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1624), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59458] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59469] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4335), 1,
      anon_sym_EQ_GT,
    STATE(2592), 1,
      sym__return_type,
  [59482] = 3,
    ACTIONS(1712), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1710), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59493] = 3,
    ACTIONS(1716), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1714), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59504] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    ACTIONS(4337), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      aux_sym_base_clause_repeat1,
  [59517] = 3,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59528] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4061), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59537] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_LBRACE,
    ACTIONS(4341), 1,
      anon_sym_COLON,
    STATE(545), 1,
      sym_switch_block,
  [59550] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_EQ,
    ACTIONS(4343), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59561] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    ACTIONS(4347), 1,
      anon_sym_RBRACK,
    STATE(2108), 1,
      aux_sym__array_destructing_repeat1,
  [59574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4349), 1,
      sym_heredoc_end,
    STATE(2545), 1,
      sym_heredoc_body,
  [59587] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_COMMA,
    ACTIONS(4353), 1,
      anon_sym_RBRACK,
    STATE(2109), 1,
      aux_sym_array_creation_expression_repeat1,
  [59600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      sym__new_line,
    ACTIONS(4357), 1,
      sym_heredoc_end,
    STATE(2535), 1,
      sym_nowdoc_body,
  [59613] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    ACTIONS(4359), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59624] = 4,
    ACTIONS(879), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4363), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [59637] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    ACTIONS(4347), 1,
      anon_sym_RBRACK,
    STATE(2110), 1,
      aux_sym__array_destructing_repeat1,
  [59650] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4365), 1,
      anon_sym_COMMA,
    ACTIONS(4367), 1,
      anon_sym_RBRACK,
    STATE(2111), 1,
      aux_sym_attribute_group_repeat1,
  [59663] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4369), 1,
      sym_name,
    ACTIONS(4371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59674] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59685] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59696] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59707] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59718] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4373), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59727] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    STATE(1945), 1,
      sym_variable_name,
    STATE(2146), 1,
      sym_static_variable_declaration,
  [59740] = 3,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59751] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2150), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59762] = 3,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59773] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59784] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_RPAREN,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    STATE(2065), 1,
      aux_sym_unset_statement_repeat1,
  [59797] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4378), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59806] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4380), 1,
      anon_sym_RPAREN,
    STATE(2768), 1,
      sym_variable_name,
  [59819] = 3,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59830] = 3,
    ACTIONS(1574), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1572), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59841] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym_name,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    STATE(2401), 1,
      sym_namespace_use_group,
  [59854] = 3,
    ACTIONS(1586), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1584), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59865] = 3,
    ACTIONS(1638), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1636), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59876] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2176), 1,
      sym_variable_name,
  [59889] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_COMMA,
    ACTIONS(4390), 1,
      anon_sym_RPAREN,
    STATE(2179), 1,
      aux_sym_formal_parameters_repeat1,
  [59902] = 3,
    ACTIONS(1638), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1636), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59913] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_EQ,
    ACTIONS(4392), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59924] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(3839), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym__return_type,
  [59937] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4398), 1,
      anon_sym_EQ,
    ACTIONS(4396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59948] = 3,
    ACTIONS(1634), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1632), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59959] = 3,
    ACTIONS(1724), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1722), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59970] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_EQ,
    ACTIONS(4400), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59981] = 4,
    ACTIONS(958), 1,
      anon_sym_RBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    STATE(2266), 1,
      aux_sym_match_block_repeat1,
  [59994] = 3,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60005] = 3,
    ACTIONS(1674), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1672), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60016] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_AMP,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
    STATE(1516), 1,
      aux_sym_intersection_type_repeat1,
  [60029] = 3,
    ACTIONS(1658), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1656), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60040] = 3,
    ACTIONS(1614), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1612), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60051] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4408), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60060] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4410), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60069] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_EQ_GT,
    STATE(2741), 1,
      sym__return_type,
  [60082] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_COMMA,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
    STATE(2269), 1,
      aux_sym_array_creation_expression_repeat1,
  [60095] = 3,
    ACTIONS(1704), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1702), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60106] = 3,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60117] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_DOLLAR,
    ACTIONS(4418), 1,
      anon_sym_AMP,
    STATE(1529), 1,
      aux_sym_intersection_type_repeat1,
  [60130] = 3,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60141] = 3,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60152] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_LPAREN,
    ACTIONS(4421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60163] = 3,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60174] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4425), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2238), 1,
      sym_variable_name,
  [60187] = 3,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60198] = 3,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60209] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4427), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60218] = 3,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60229] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      aux_sym__list_destructing_repeat1,
  [60242] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(2218), 1,
      aux_sym__list_destructing_repeat1,
  [60255] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60266] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60277] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    ACTIONS(4429), 1,
      anon_sym_RBRACK,
    STATE(2110), 1,
      aux_sym__array_destructing_repeat1,
  [60290] = 4,
    ACTIONS(927), 1,
      anon_sym_RBRACK,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4431), 1,
      anon_sym_COMMA,
    STATE(2213), 1,
      aux_sym_array_creation_expression_repeat1,
  [60303] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4433), 1,
      anon_sym_COMMA,
    ACTIONS(4436), 1,
      anon_sym_RBRACK,
    STATE(2110), 1,
      aux_sym__array_destructing_repeat1,
  [60316] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_RBRACK,
    ACTIONS(4438), 1,
      anon_sym_COMMA,
    STATE(2210), 1,
      aux_sym_attribute_group_repeat1,
  [60329] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_COMMA,
    ACTIONS(4442), 1,
      anon_sym_RBRACE,
    STATE(2225), 1,
      aux_sym_namespace_use_group_repeat1,
  [60342] = 4,
    ACTIONS(966), 1,
      anon_sym_RBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_COMMA,
    STATE(2266), 1,
      aux_sym_match_block_repeat1,
  [60355] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60366] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60377] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60388] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      sym_name,
    STATE(2325), 1,
      sym_namespace_use_group,
  [60401] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60412] = 3,
    ACTIONS(1690), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1688), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60423] = 3,
    ACTIONS(1618), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1616), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4448), 1,
      sym_heredoc_end,
    STATE(2337), 1,
      sym_heredoc_body,
  [60447] = 3,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60458] = 3,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60469] = 3,
    ACTIONS(1686), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1684), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60480] = 4,
    ACTIONS(1047), 1,
      anon_sym_EQ_GT,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_COMMA,
    STATE(2267), 1,
      aux_sym_match_condition_list_repeat1,
  [60493] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4056), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60502] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_COMMA,
    ACTIONS(4455), 1,
      anon_sym_RPAREN,
    STATE(2127), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60515] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60526] = 4,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2333), 1,
      sym_parenthesized_expression,
  [60539] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60550] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4461), 1,
      anon_sym_RPAREN,
    STATE(2189), 1,
      aux_sym_arguments_repeat1,
  [60563] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_EQ,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60574] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_COMMA,
    ACTIONS(4470), 1,
      anon_sym_RBRACE,
    STATE(2133), 1,
      aux_sym_namespace_use_group_repeat1,
  [60587] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4472), 1,
      anon_sym_EQ_GT,
    STATE(2650), 1,
      sym__return_type,
  [60600] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60611] = 3,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60622] = 3,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60633] = 3,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60644] = 3,
    ACTIONS(1602), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1600), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60655] = 3,
    ACTIONS(1606), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1604), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60666] = 3,
    ACTIONS(1622), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1620), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60677] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60688] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60699] = 3,
    ACTIONS(1708), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1706), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60710] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4474), 1,
      anon_sym_RPAREN,
    STATE(2627), 1,
      sym_variable_name,
  [60723] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4150), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60732] = 3,
    ACTIONS(1720), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1718), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60743] = 3,
    ACTIONS(1720), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1718), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60754] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      sym_name,
    STATE(2493), 1,
      sym_namespace_use_group,
  [60767] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4159), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60776] = 3,
    ACTIONS(1590), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1588), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60787] = 3,
    ACTIONS(1682), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1680), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60798] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4476), 1,
      anon_sym_EQ_GT,
    STATE(2698), 1,
      sym__return_type,
  [60811] = 3,
    ACTIONS(1682), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1680), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60822] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_RPAREN,
    STATE(2252), 1,
      aux_sym__list_destructing_repeat1,
  [60835] = 3,
    ACTIONS(1662), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1660), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60846] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3444), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      aux_sym__list_destructing_repeat1,
  [60859] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4480), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60868] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4482), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60877] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_RPAREN,
    ACTIONS(4484), 1,
      anon_sym_COMMA,
    STATE(2065), 1,
      aux_sym_unset_statement_repeat1,
  [60890] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4486), 1,
      anon_sym_EQ_GT,
    STATE(2691), 1,
      sym__return_type,
  [60903] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym_name,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    STATE(2486), 1,
      sym_namespace_use_group,
  [60916] = 3,
    ACTIONS(1582), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1580), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60927] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      sym_name,
    STATE(2486), 1,
      sym_namespace_use_group,
  [60940] = 3,
    ACTIONS(1582), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1580), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60951] = 3,
    ACTIONS(1578), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1576), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60962] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4488), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60971] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4190), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60980] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    ACTIONS(4446), 1,
      sym_name,
    STATE(2544), 1,
      sym_namespace_use_group,
  [60993] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym_name,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    STATE(2544), 1,
      sym_namespace_use_group,
  [61006] = 3,
    ACTIONS(1566), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1564), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61017] = 3,
    ACTIONS(1566), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1564), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61028] = 3,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61039] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4490), 1,
      anon_sym_EQ_GT,
    STATE(2670), 1,
      sym__return_type,
  [61052] = 3,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61063] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_EQ,
    ACTIONS(4492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61074] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym_name,
    ACTIONS(4384), 1,
      anon_sym_LBRACE,
    STATE(2336), 1,
      sym_namespace_use_group,
  [61087] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_EQ,
    ACTIONS(4496), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61098] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_RPAREN,
    ACTIONS(4500), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      aux_sym_formal_parameters_repeat1,
  [61111] = 3,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61122] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2050), 1,
      sym_variable_name,
  [61135] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_COMMA,
    ACTIONS(4507), 1,
      anon_sym_RPAREN,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [61148] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_EQ,
    ACTIONS(4509), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61159] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    ACTIONS(4513), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2027), 1,
      sym_variable_name,
  [61172] = 3,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61183] = 3,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61194] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4517), 1,
      anon_sym_EQ,
    ACTIONS(4515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61205] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61216] = 4,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [61229] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(3894), 1,
      anon_sym_LBRACE,
    STATE(2700), 1,
      sym__return_type,
  [61242] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61253] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_DQUOTE,
    ACTIONS(4523), 1,
      anon_sym_SQUOTE,
    ACTIONS(4525), 1,
      sym_heredoc_start,
  [61266] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4355), 1,
      sym__new_line,
    ACTIONS(4527), 1,
      sym_heredoc_end,
    STATE(2383), 1,
      sym_nowdoc_body,
  [61290] = 3,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61301] = 3,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__new_line,
    ACTIONS(4529), 1,
      sym_heredoc_end,
    STATE(2408), 1,
      sym_heredoc_body,
  [61325] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1906), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61336] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_COMMA,
    ACTIONS(4533), 1,
      anon_sym_RPAREN,
    STATE(2207), 1,
      aux_sym_arguments_repeat1,
  [61349] = 3,
    ACTIONS(1558), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1556), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61360] = 3,
    ACTIONS(1570), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1568), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61371] = 3,
    ACTIONS(1570), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1568), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61382] = 3,
    ACTIONS(1610), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1608), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61393] = 3,
    ACTIONS(1666), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1664), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61404] = 3,
    ACTIONS(1698), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1696), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61415] = 3,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61426] = 4,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [61439] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_COLON,
    ACTIONS(4537), 1,
      anon_sym_EQ_GT,
    STATE(2653), 1,
      sym__return_type,
  [61452] = 3,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61463] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COMMA,
    ACTIONS(4542), 1,
      anon_sym_RBRACK,
    STATE(2210), 1,
      aux_sym_attribute_group_repeat1,
  [61476] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61487] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61498] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_RBRACK,
    ACTIONS(4544), 1,
      anon_sym_COMMA,
    STATE(2213), 1,
      aux_sym_array_creation_expression_repeat1,
  [61511] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4288), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [61520] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61531] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61542] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_EQ,
    ACTIONS(4547), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61553] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_RPAREN,
    ACTIONS(4549), 1,
      anon_sym_COMMA,
    STATE(2218), 1,
      aux_sym__list_destructing_repeat1,
  [61566] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RPAREN,
    STATE(2218), 1,
      aux_sym__list_destructing_repeat1,
  [61579] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4554), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [61588] = 4,
    ACTIONS(897), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [61601] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4229), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61610] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_COMMA,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
    STATE(2221), 1,
      aux_sym_arguments_repeat1,
  [61623] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_RPAREN,
    STATE(2218), 1,
      aux_sym__list_destructing_repeat1,
  [61636] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_COMMA,
    ACTIONS(4564), 1,
      anon_sym_RBRACE,
    STATE(2133), 1,
      aux_sym_namespace_use_group_repeat1,
  [61649] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4566), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [61658] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61669] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_EQ,
    ACTIONS(4568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61680] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_EQ,
    ACTIONS(4570), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61691] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61702] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61713] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61724] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_EQ,
    ACTIONS(4574), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61735] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_EQ,
    ACTIONS(4578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61746] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61757] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61768] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61779] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61790] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61801] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61812] = 4,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [61825] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61836] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_COMMA,
    ACTIONS(4590), 1,
      anon_sym_RPAREN,
    STATE(2249), 1,
      aux_sym_arguments_repeat1,
  [61849] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_RPAREN,
    ACTIONS(4592), 1,
      anon_sym_COMMA,
    STATE(2127), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [61862] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_COMMA,
    ACTIONS(4596), 1,
      anon_sym_RPAREN,
    STATE(2241), 1,
      aux_sym_arguments_repeat1,
  [61875] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    STATE(1763), 1,
      sym_variable_name,
    STATE(1877), 1,
      sym_property_element,
  [61888] = 3,
    ACTIONS(1650), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1648), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61899] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_COMMA,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
    STATE(2113), 1,
      aux_sym_match_block_repeat1,
  [61912] = 4,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [61925] = 3,
    ACTIONS(1670), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1668), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61936] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4606), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4604), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [61947] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RPAREN,
    STATE(2218), 1,
      aux_sym__list_destructing_repeat1,
  [61960] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_DOLLAR,
    STATE(1763), 1,
      sym_variable_name,
    STATE(2126), 1,
      sym_property_element,
  [61973] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4610), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61982] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3752), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61991] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_EQ,
    ACTIONS(4612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62002] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4616), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [62011] = 4,
    ACTIONS(962), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_RPAREN,
    STATE(2218), 1,
      aux_sym__list_destructing_repeat1,
  [62024] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    ACTIONS(3796), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      aux_sym_base_clause_repeat1,
  [62037] = 3,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62048] = 4,
    ACTIONS(875), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [62061] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_COMMA,
    ACTIONS(4624), 1,
      anon_sym_RPAREN,
    STATE(2263), 1,
      aux_sym_arguments_repeat1,
  [62074] = 4,
    ACTIONS(915), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_COMMA,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [62087] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4630), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4628), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [62098] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2153), 1,
      anon_sym_RPAREN,
    ACTIONS(4632), 1,
      anon_sym_COMMA,
    STATE(2065), 1,
      aux_sym_unset_statement_repeat1,
  [62111] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_COMMA,
    ACTIONS(4637), 1,
      anon_sym_RBRACE,
    STATE(2266), 1,
      aux_sym_match_block_repeat1,
  [62124] = 4,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_EQ_GT,
    ACTIONS(4639), 1,
      anon_sym_COMMA,
    STATE(2267), 1,
      aux_sym_match_condition_list_repeat1,
  [62137] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4642), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [62146] = 4,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    STATE(2001), 1,
      aux_sym_array_creation_expression_repeat1,
  [62159] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2517), 1,
      sym_variable_name,
  [62169] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_declaration_list,
  [62179] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4646), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62187] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4648), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62195] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1795), 1,
      sym_compound_statement,
  [62205] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4650), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62213] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_LPAREN,
    STATE(1765), 1,
      sym_formal_parameters,
  [62223] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2658), 1,
      sym_namespace_name,
  [62233] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62241] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4637), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62249] = 3,
    ACTIONS(377), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2612), 1,
      sym_colon_block,
  [62259] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2413), 1,
      sym_parenthesized_expression,
  [62269] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_declaration_list,
  [62279] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2692), 1,
      sym_namespace_name,
  [62289] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4659), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62297] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62305] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62313] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1013), 1,
      sym_compound_statement,
  [62323] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62331] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_compound_statement,
  [62341] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2684), 1,
      sym_namespace_name,
  [62351] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4665), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62359] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1690), 1,
      sym_formal_parameters,
  [62369] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1802), 1,
      sym_compound_statement,
  [62379] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
  [62389] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
  [62399] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(102), 1,
      sym_parenthesized_expression,
  [62409] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2437), 1,
      sym_parenthesized_expression,
  [62419] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4669), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62427] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2044), 1,
      sym_parenthesized_expression,
  [62437] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_declaration_list,
  [62447] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(2026), 1,
      sym_declaration_list,
  [62457] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(2029), 1,
      sym_enum_declaration_list,
  [62467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4671), 1,
      sym__new_line,
    ACTIONS(4673), 1,
      sym_heredoc_end,
  [62477] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1195), 1,
      sym_compound_statement,
  [62487] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(536), 1,
      sym_compound_statement,
  [62497] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4044), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [62505] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
    ACTIONS(4675), 1,
      anon_sym_EQ,
  [62515] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4677), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62523] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62531] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2011), 1,
      sym_compound_statement,
  [62541] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_declaration_list,
  [62551] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4679), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62559] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62567] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2461), 1,
      sym_variable_name,
  [62577] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_declaration_list,
  [62587] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2313), 1,
      sym_variable_name,
  [62597] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4683), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62605] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62613] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62621] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4689), 1,
      sym_nowdoc_string,
    STATE(1966), 1,
      aux_sym_nowdoc_body_repeat1,
  [62631] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1190), 1,
      sym_compound_statement,
  [62641] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62649] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62657] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62665] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62673] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62681] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_declaration_list,
  [62691] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4542), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62699] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(472), 1,
      sym_declaration_list,
  [62709] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_name,
    STATE(2666), 1,
      sym_namespace_name,
  [62719] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4701), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62727] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(2055), 1,
      sym_declaration_list,
  [62737] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4703), 1,
      anon_sym_LBRACE,
    STATE(1028), 1,
      sym_match_block,
  [62747] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym_compound_statement,
  [62757] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62765] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4172), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      sym__new_line,
    ACTIONS(4709), 1,
      sym_heredoc_end,
  [62783] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      sym_compound_statement,
  [62793] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1119), 1,
      sym_compound_statement,
  [62803] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(987), 1,
      sym_compound_statement,
  [62813] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4323), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62821] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2578), 1,
      sym_namespace_name,
  [62831] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1199), 1,
      sym_compound_statement,
  [62841] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62849] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3347), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3349), 1,
      aux_sym__arrow_function_header_token1,
  [62859] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(990), 1,
      sym_compound_statement,
  [62869] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62877] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2317), 1,
      sym_variable_name,
  [62887] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1809), 1,
      sym_declaration_list,
  [62897] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3309), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3311), 1,
      aux_sym__arrow_function_header_token1,
  [62907] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_compound_statement,
  [62917] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1766), 1,
      sym_compound_statement,
  [62927] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62935] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
  [62945] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2333), 1,
      sym_parenthesized_expression,
  [62955] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4457), 1,
      anon_sym_LPAREN,
    STATE(2008), 1,
      sym_parenthesized_expression,
  [62965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      sym__new_line,
    ACTIONS(4717), 1,
      sym_heredoc_end,
  [62975] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2805), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62983] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(96), 1,
      sym_parenthesized_expression,
  [62993] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
  [63003] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_compound_statement,
  [63013] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_compound_statement,
  [63023] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2077), 1,
      sym_formal_parameters,
  [63033] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63041] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63049] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63057] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4723), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63065] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2405), 1,
      sym_variable_name,
  [63075] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4725), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63083] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1140), 1,
      sym_compound_statement,
  [63093] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2793), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63101] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4727), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63109] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1780), 1,
      sym_declaration_list,
  [63119] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
  [63129] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4729), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63137] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_BSLASH,
    STATE(2515), 1,
      aux_sym_namespace_name_repeat1,
  [63147] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_declaration_list,
  [63157] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63165] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2655), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [63173] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63181] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_enum_declaration_list,
  [63191] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_declaration_list,
  [63201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 1,
      sym__new_line,
    ACTIONS(4733), 1,
      sym_heredoc_end,
  [63211] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
  [63221] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2507), 1,
      sym_variable_name,
  [63231] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4735), 2,
      anon_sym_string,
      anon_sym_int,
  [63239] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_compound_statement,
  [63249] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63257] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_compound_statement,
  [63267] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1006), 1,
      sym_compound_statement,
  [63277] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2318), 1,
      sym_variable_name,
  [63287] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1202), 1,
      sym_compound_statement,
  [63297] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_declaration_list,
  [63307] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LPAREN,
    STATE(2372), 1,
      sym_parenthesized_expression,
  [63317] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_enum_declaration_list,
  [63327] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_declaration_list,
  [63337] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2090), 1,
      sym_formal_parameters,
  [63347] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4741), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63355] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_LPAREN,
    STATE(1747), 1,
      sym_formal_parameters,
  [63365] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1695), 1,
      sym_formal_parameters,
  [63375] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4174), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63383] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4470), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63391] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63399] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(112), 1,
      sym_parenthesized_expression,
  [63409] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4745), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63417] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4747), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63425] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1193), 1,
      sym_compound_statement,
  [63435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4749), 1,
      sym__new_line,
    ACTIONS(4751), 1,
      sym_heredoc_end,
  [63445] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_declaration_list,
  [63455] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4753), 2,
      anon_sym_string,
      anon_sym_int,
  [63463] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_enum_declaration_list,
  [63473] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1692), 1,
      sym_formal_parameters,
  [63483] = 3,
    ACTIONS(461), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2264), 1,
      sym_colon_block,
  [63493] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
  [63503] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1681), 1,
      sym_formal_parameters,
  [63513] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3500), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63521] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4547), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63529] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3311), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4755), 1,
      aux_sym_namespace_use_declaration_token2,
  [63539] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4757), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63547] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4759), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63555] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1717), 1,
      sym_formal_parameters,
  [63565] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4761), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63573] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym_formal_parameters,
  [63583] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_declaration_list,
  [63593] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63601] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4765), 2,
      anon_sym_string,
      anon_sym_int,
  [63609] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1661), 1,
      sym_formal_parameters,
  [63619] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4767), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63627] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4769), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63635] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4771), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63643] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4773), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63651] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4775), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63659] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63667] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4779), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63675] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63683] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63691] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_match_block,
  [63701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4787), 1,
      sym__new_line,
    ACTIONS(4789), 1,
      sym_heredoc_end,
  [63711] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
    ACTIONS(4675), 1,
      anon_sym_EQ,
  [63721] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4791), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63729] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4793), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63737] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4795), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63745] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4797), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63753] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63761] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2161), 1,
      sym_formal_parameters,
  [63771] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63779] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4805), 1,
      sym__new_line,
    ACTIONS(4807), 1,
      sym_heredoc_end,
  [63797] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63805] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4812), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63813] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
  [63823] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4814), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63831] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63839] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63847] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2174), 1,
      sym_formal_parameters,
  [63857] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1030), 1,
      sym_compound_statement,
  [63867] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_formal_parameters,
  [63877] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1150), 1,
      sym_declaration_list,
  [63887] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4820), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63895] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1023), 1,
      sym_compound_statement,
  [63905] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4822), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63913] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63921] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_compound_statement,
  [63931] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
  [63941] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63949] = 3,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
  [63959] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1751), 1,
      sym_compound_statement,
  [63969] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4828), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [63977] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63985] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4830), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63993] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4832), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64001] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4834), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64009] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1752), 1,
      sym_declaration_list,
  [64019] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1019), 1,
      sym_compound_statement,
  [64029] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4836), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64037] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1016), 1,
      sym_compound_statement,
  [64047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym__new_line,
    ACTIONS(4840), 1,
      sym_heredoc_end,
  [64057] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(2173), 1,
      sym_enum_declaration_list,
  [64067] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1015), 1,
      sym_compound_statement,
  [64077] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1014), 1,
      sym_compound_statement,
  [64087] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4842), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64095] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4844), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64103] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1011), 1,
      sym_declaration_list,
  [64113] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4846), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64121] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_SEMI,
    ACTIONS(4850), 1,
      sym__automatic_semicolon,
  [64131] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4852), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64139] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4854), 1,
      sym_name,
    STATE(1821), 1,
      sym_namespace_name,
  [64149] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_SEMI,
    ACTIONS(4858), 1,
      sym__automatic_semicolon,
  [64159] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4860), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [64167] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1776), 1,
      sym_compound_statement,
  [64177] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4862), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64185] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4864), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64193] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4866), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64201] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4436), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [64209] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1781), 1,
      sym_declaration_list,
  [64219] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2319), 1,
      sym_variable_name,
  [64229] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_declaration_list,
  [64239] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_SEMI,
    ACTIONS(4870), 1,
      sym__automatic_semicolon,
  [64249] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4872), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64257] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
    ACTIONS(4675), 1,
      anon_sym_EQ,
  [64267] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64275] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_declaration_list,
  [64285] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1786), 1,
      sym_declaration_list,
  [64295] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(999), 1,
      sym_compound_statement,
  [64305] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4874), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64313] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(997), 1,
      sym_compound_statement,
  [64323] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4876), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64331] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(994), 1,
      sym_compound_statement,
  [64341] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4878), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64349] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4880), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64357] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4882), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64365] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_LPAREN,
    STATE(2273), 1,
      sym_parenthesized_expression,
  [64375] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4884), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64383] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_compound_statement,
  [64393] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_BSLASH,
    STATE(1785), 1,
      aux_sym_namespace_name_repeat1,
  [64403] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64411] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4891), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64419] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
    ACTIONS(4893), 1,
      anon_sym_RPAREN,
  [64429] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4895), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64437] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64445] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(991), 1,
      sym_compound_statement,
  [64455] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1043), 1,
      sym_compound_statement,
  [64465] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4899), 1,
      aux_sym_namespace_use_declaration_token2,
  [64475] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(2000), 1,
      sym_compound_statement,
  [64485] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(1721), 1,
      sym_formal_parameters,
  [64495] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4901), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64503] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64511] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
  [64521] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(518), 1,
      sym_compound_statement,
  [64531] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LBRACE,
    STATE(598), 1,
      sym_enum_declaration_list,
  [64541] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RPAREN,
    ACTIONS(4675), 1,
      anon_sym_EQ,
  [64551] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4905), 2,
      anon_sym_string,
      anon_sym_int,
  [64559] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym_declaration_list,
  [64569] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(2093), 1,
      sym_declaration_list,
  [64579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4907), 1,
      sym__new_line,
    ACTIONS(4909), 1,
      sym_heredoc_end,
  [64589] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(2095), 1,
      sym_enum_declaration_list,
  [64599] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym_compound_statement,
  [64609] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4911), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64617] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(72), 1,
      sym_parenthesized_expression,
  [64627] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1806), 1,
      sym_declaration_list,
  [64637] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2642), 1,
      sym_namespace_name,
  [64647] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(20), 1,
      sym_parenthesized_expression,
  [64657] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LBRACE,
    STATE(1812), 1,
      sym_declaration_list,
  [64667] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4913), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4915), 1,
      sym__new_line,
    ACTIONS(4917), 1,
      sym_heredoc_end,
  [64685] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64693] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR,
    STATE(2388), 1,
      sym_variable_name,
  [64703] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
    ACTIONS(4675), 1,
      anon_sym_EQ,
  [64713] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1032), 1,
      sym_declaration_list,
  [64723] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1033), 1,
      sym_declaration_list,
  [64733] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_LBRACE,
    STATE(1200), 1,
      sym_compound_statement,
  [64743] = 3,
    ACTIONS(399), 1,
      anon_sym_LBRACE,
    ACTIONS(1746), 1,
      sym_comment,
    STATE(1039), 1,
      sym_compound_statement,
  [64753] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4919), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64761] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    STATE(2106), 1,
      sym_enum_declaration_list,
  [64771] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
  [64781] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_SEMI,
    ACTIONS(4923), 1,
      sym__automatic_semicolon,
  [64791] = 3,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_LPAREN,
    STATE(2190), 1,
      sym_formal_parameters,
  [64801] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4925), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64809] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64817] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4929), 1,
      aux_sym_class_declaration_token1,
  [64824] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4931), 1,
      anon_sym_RPAREN,
  [64831] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_RPAREN,
  [64838] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4935), 1,
      anon_sym_RPAREN,
  [64845] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_RPAREN,
  [64852] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4937), 1,
      anon_sym_LPAREN,
  [64859] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4939), 1,
      anon_sym_SEMI,
  [64866] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_RPAREN,
  [64873] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4943), 1,
      anon_sym_RPAREN,
  [64880] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_RPAREN,
  [64887] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_RPAREN,
  [64894] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4949), 1,
      sym_heredoc_end,
  [64901] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_RPAREN,
  [64908] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_name,
  [64915] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_RPAREN,
  [64922] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_COLON_COLON,
  [64929] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_RPAREN,
  [64936] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4959), 1,
      sym_name,
  [64943] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_BSLASH,
  [64950] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_BSLASH,
  [64957] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4965), 1,
      anon_sym_RPAREN,
  [64964] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_EQ,
  [64971] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4446), 1,
      sym_name,
  [64978] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_COLON_COLON,
  [64985] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_EQ_GT,
  [64992] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4973), 1,
      sym_name,
  [64999] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4975), 1,
      sym_heredoc_end,
  [65006] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RPAREN,
  [65013] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4977), 1,
      ts_builtin_sym_end,
  [65020] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4979), 1,
      sym_name,
  [65027] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4981), 1,
      aux_sym_foreach_statement_token2,
  [65034] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RPAREN,
  [65041] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4983), 1,
      anon_sym_EQ_GT,
  [65048] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4985), 1,
      sym_name,
  [65055] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4987), 1,
      sym_name,
  [65062] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4989), 1,
      sym_name,
  [65069] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4991), 1,
      sym_name,
  [65076] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
  [65083] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
  [65090] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_EQ_GT,
  [65097] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3943), 1,
      sym_name,
  [65104] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_EQ,
  [65111] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_EQ,
  [65118] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
  [65125] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4382), 1,
      sym_name,
  [65132] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_LPAREN,
  [65139] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5003), 1,
      sym_name,
  [65146] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5005), 1,
      aux_sym_while_statement_token2,
  [65153] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_SEMI,
  [65160] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5009), 1,
      sym_heredoc_start,
  [65167] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5011), 1,
      sym_heredoc_start,
  [65174] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_RPAREN,
  [65181] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5015), 1,
      aux_sym_if_statement_token2,
  [65188] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5017), 1,
      aux_sym_if_statement_token2,
  [65195] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5019), 1,
      sym_name,
  [65202] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5021), 1,
      sym_heredoc_end,
  [65209] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym_heredoc_end,
  [65216] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5025), 1,
      anon_sym_COLON_COLON,
  [65223] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_SQUOTE2,
  [65230] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_RPAREN,
  [65237] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5029), 1,
      aux_sym_foreach_statement_token2,
  [65244] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5031), 1,
      sym_heredoc_start,
  [65251] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5033), 1,
      anon_sym_RPAREN,
  [65258] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_EQ_GT,
  [65265] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5037), 1,
      sym_heredoc_end,
  [65272] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_RPAREN,
  [65279] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5041), 1,
      aux_sym_class_declaration_token1,
  [65286] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym_RPAREN,
  [65293] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5045), 1,
      aux_sym_if_statement_token2,
  [65300] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5047), 1,
      sym_name,
  [65307] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
  [65314] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_RPAREN,
  [65321] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_EQ,
  [65328] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5053), 1,
      anon_sym_COLON_COLON,
  [65335] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5055), 1,
      anon_sym_RPAREN,
  [65342] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5057), 1,
      aux_sym_while_statement_token1,
  [65349] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym_RBRACK,
  [65356] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5059), 1,
      anon_sym_RPAREN,
  [65363] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5061), 1,
      aux_sym_if_statement_token2,
  [65370] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_RBRACK,
  [65377] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5065), 1,
      sym_name,
  [65384] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
  [65391] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_BSLASH,
  [65398] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_RPAREN,
  [65405] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5073), 1,
      anon_sym_EQ_GT,
  [65412] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_RPAREN,
  [65419] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5075), 1,
      sym_heredoc_end,
  [65426] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5077), 1,
      sym_heredoc_end,
  [65433] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5079), 1,
      sym_name,
  [65440] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
  [65447] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_EQ_GT,
  [65454] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_SQUOTE2,
  [65461] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_RPAREN,
  [65468] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5089), 1,
      anon_sym_EQ_GT,
  [65475] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5091), 1,
      aux_sym_while_statement_token2,
  [65482] = 2,
    ACTIONS(381), 1,
      ts_builtin_sym_end,
    ACTIONS(1746), 1,
      sym_comment,
  [65489] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_RPAREN,
  [65496] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5095), 1,
      sym_name,
  [65503] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_BSLASH,
  [65510] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5097), 1,
      sym_name,
  [65517] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym_EQ,
  [65524] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5099), 1,
      sym_name,
  [65531] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5101), 1,
      sym_name,
  [65538] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5103), 1,
      sym_name,
  [65545] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_RBRACE,
  [65552] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5105), 1,
      sym_name,
  [65559] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_BSLASH,
  [65566] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_RPAREN,
  [65573] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5111), 1,
      anon_sym_EQ_GT,
  [65580] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5113), 1,
      anon_sym_RPAREN,
  [65587] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5115), 1,
      anon_sym_EQ_GT,
  [65594] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_LBRACE,
  [65601] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5117), 1,
      anon_sym_COLON_COLON,
  [65608] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5119), 1,
      sym_name,
  [65615] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_BSLASH,
  [65622] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
  [65629] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5123), 1,
      sym_name,
  [65636] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_BSLASH,
  [65643] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5127), 1,
      sym_name,
  [65650] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5129), 1,
      aux_sym_while_statement_token1,
  [65657] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_RPAREN,
  [65664] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5133), 1,
      sym_heredoc_start,
  [65671] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5135), 1,
      sym_name,
  [65678] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_BSLASH,
  [65685] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_BSLASH,
  [65692] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5141), 1,
      sym_name,
  [65699] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5143), 1,
      sym_name,
  [65706] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5145), 1,
      sym_name,
  [65713] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym_RPAREN,
  [65720] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4533), 1,
      anon_sym_RPAREN,
  [65727] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5149), 1,
      sym_heredoc_end,
  [65734] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_EQ_GT,
  [65741] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_BSLASH,
  [65748] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym_COLON_COLON,
  [65755] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_RBRACK,
  [65762] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_RBRACK,
  [65769] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_SEMI,
  [65776] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5163), 1,
      sym_integer,
  [65783] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_EQ_GT,
  [65790] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_COLON_COLON,
  [65797] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_LBRACE,
  [65804] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_RPAREN,
  [65811] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
  [65818] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_COLON_COLON,
  [65825] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_SEMI,
  [65832] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
  [65839] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_RPAREN,
  [65846] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_RPAREN,
  [65853] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_RPAREN,
  [65860] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_RPAREN,
  [65867] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(3825), 1,
      sym_name,
  [65874] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_RPAREN,
  [65881] = 2,
    ACTIONS(443), 1,
      ts_builtin_sym_end,
    ACTIONS(1746), 1,
      sym_comment,
  [65888] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_RPAREN,
  [65895] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5181), 1,
      sym_name,
  [65902] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym_COLON_COLON,
  [65909] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5185), 1,
      anon_sym_EQ_GT,
  [65916] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_EQ,
  [65923] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym_EQ_GT,
  [65930] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_RBRACE,
  [65937] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5191), 1,
      sym_heredoc_end,
  [65944] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5193), 1,
      anon_sym_BSLASH,
  [65951] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5195), 1,
      sym_name,
  [65958] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5197), 1,
      sym_name,
  [65965] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5199), 1,
      ts_builtin_sym_end,
  [65972] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5201), 1,
      sym_name,
  [65979] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_SEMI,
  [65986] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
  [65993] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_RPAREN,
  [66000] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5209), 1,
      anon_sym_COLON_COLON,
  [66007] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5211), 1,
      anon_sym_SEMI,
  [66014] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5213), 1,
      sym_heredoc_end,
  [66021] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5215), 1,
      aux_sym_if_statement_token2,
  [66028] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_LPAREN,
  [66035] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5219), 1,
      sym_name,
  [66042] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5221), 1,
      anon_sym_COLON_COLON,
  [66049] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_RBRACK,
  [66056] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_LPAREN,
  [66063] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_LPAREN,
  [66070] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_COLON_COLON,
  [66077] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5231), 1,
      sym_name,
  [66084] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_EQ_GT,
  [66091] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_LPAREN,
  [66098] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_LPAREN,
  [66105] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5239), 1,
      anon_sym_LPAREN,
  [66112] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
  [66119] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_RPAREN,
  [66126] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5241), 1,
      anon_sym_LPAREN,
  [66133] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5243), 1,
      anon_sym_COLON_COLON,
  [66140] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_RPAREN,
  [66147] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5247), 1,
      anon_sym_LPAREN,
  [66154] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RBRACK,
  [66161] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_SEMI,
  [66168] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_LPAREN,
  [66175] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_SEMI,
  [66182] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_RPAREN,
  [66189] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5255), 1,
      sym_name,
  [66196] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5257), 1,
      anon_sym_SEMI,
  [66203] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5259), 1,
      anon_sym_LPAREN,
  [66210] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5261), 1,
      sym_name,
  [66217] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5263), 1,
      anon_sym_SEMI,
  [66224] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5265), 1,
      sym_name,
  [66231] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_LPAREN,
  [66238] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5269), 1,
      anon_sym_LPAREN,
  [66245] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_name,
  [66252] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
  [66259] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5275), 1,
      anon_sym_RPAREN,
  [66266] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_SEMI,
  [66273] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_RPAREN,
  [66280] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5281), 1,
      anon_sym_LPAREN,
  [66287] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_SEMI,
  [66294] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LPAREN,
  [66301] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5287), 1,
      anon_sym_LPAREN,
  [66308] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
  [66315] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_LPAREN,
  [66322] = 2,
    ACTIONS(1746), 1,
      sym_comment,
    ACTIONS(5291), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(634)] = 0,
  [SMALL_STATE(635)] = 70,
  [SMALL_STATE(636)] = 140,
  [SMALL_STATE(637)] = 210,
  [SMALL_STATE(638)] = 280,
  [SMALL_STATE(639)] = 353,
  [SMALL_STATE(640)] = 426,
  [SMALL_STATE(641)] = 499,
  [SMALL_STATE(642)] = 572,
  [SMALL_STATE(643)] = 653,
  [SMALL_STATE(644)] = 726,
  [SMALL_STATE(645)] = 794,
  [SMALL_STATE(646)] = 862,
  [SMALL_STATE(647)] = 930,
  [SMALL_STATE(648)] = 998,
  [SMALL_STATE(649)] = 1066,
  [SMALL_STATE(650)] = 1134,
  [SMALL_STATE(651)] = 1202,
  [SMALL_STATE(652)] = 1270,
  [SMALL_STATE(653)] = 1338,
  [SMALL_STATE(654)] = 1406,
  [SMALL_STATE(655)] = 1474,
  [SMALL_STATE(656)] = 1542,
  [SMALL_STATE(657)] = 1610,
  [SMALL_STATE(658)] = 1685,
  [SMALL_STATE(659)] = 1764,
  [SMALL_STATE(660)] = 1842,
  [SMALL_STATE(661)] = 1915,
  [SMALL_STATE(662)] = 1992,
  [SMALL_STATE(663)] = 2061,
  [SMALL_STATE(664)] = 2130,
  [SMALL_STATE(665)] = 2199,
  [SMALL_STATE(666)] = 2268,
  [SMALL_STATE(667)] = 2337,
  [SMALL_STATE(668)] = 2414,
  [SMALL_STATE(669)] = 2497,
  [SMALL_STATE(670)] = 2574,
  [SMALL_STATE(671)] = 2638,
  [SMALL_STATE(672)] = 2702,
  [SMALL_STATE(673)] = 2766,
  [SMALL_STATE(674)] = 2830,
  [SMALL_STATE(675)] = 2894,
  [SMALL_STATE(676)] = 2958,
  [SMALL_STATE(677)] = 3022,
  [SMALL_STATE(678)] = 3086,
  [SMALL_STATE(679)] = 3158,
  [SMALL_STATE(680)] = 3222,
  [SMALL_STATE(681)] = 3286,
  [SMALL_STATE(682)] = 3350,
  [SMALL_STATE(683)] = 3414,
  [SMALL_STATE(684)] = 3492,
  [SMALL_STATE(685)] = 3568,
  [SMALL_STATE(686)] = 3646,
  [SMALL_STATE(687)] = 3710,
  [SMALL_STATE(688)] = 3788,
  [SMALL_STATE(689)] = 3852,
  [SMALL_STATE(690)] = 3916,
  [SMALL_STATE(691)] = 3980,
  [SMALL_STATE(692)] = 4044,
  [SMALL_STATE(693)] = 4121,
  [SMALL_STATE(694)] = 4192,
  [SMALL_STATE(695)] = 4263,
  [SMALL_STATE(696)] = 4340,
  [SMALL_STATE(697)] = 4411,
  [SMALL_STATE(698)] = 4483,
  [SMALL_STATE(699)] = 4555,
  [SMALL_STATE(700)] = 4625,
  [SMALL_STATE(701)] = 4697,
  [SMALL_STATE(702)] = 4768,
  [SMALL_STATE(703)] = 4826,
  [SMALL_STATE(704)] = 4929,
  [SMALL_STATE(705)] = 5032,
  [SMALL_STATE(706)] = 5091,
  [SMALL_STATE(707)] = 5156,
  [SMALL_STATE(708)] = 5215,
  [SMALL_STATE(709)] = 5280,
  [SMALL_STATE(710)] = 5339,
  [SMALL_STATE(711)] = 5404,
  [SMALL_STATE(712)] = 5463,
  [SMALL_STATE(713)] = 5518,
  [SMALL_STATE(714)] = 5577,
  [SMALL_STATE(715)] = 5638,
  [SMALL_STATE(716)] = 5701,
  [SMALL_STATE(717)] = 5766,
  [SMALL_STATE(718)] = 5862,
  [SMALL_STATE(719)] = 5920,
  [SMALL_STATE(720)] = 5974,
  [SMALL_STATE(721)] = 6028,
  [SMALL_STATE(722)] = 6082,
  [SMALL_STATE(723)] = 6136,
  [SMALL_STATE(724)] = 6190,
  [SMALL_STATE(725)] = 6244,
  [SMALL_STATE(726)] = 6298,
  [SMALL_STATE(727)] = 6352,
  [SMALL_STATE(728)] = 6452,
  [SMALL_STATE(729)] = 6506,
  [SMALL_STATE(730)] = 6560,
  [SMALL_STATE(731)] = 6614,
  [SMALL_STATE(732)] = 6668,
  [SMALL_STATE(733)] = 6768,
  [SMALL_STATE(734)] = 6822,
  [SMALL_STATE(735)] = 6880,
  [SMALL_STATE(736)] = 6934,
  [SMALL_STATE(737)] = 6988,
  [SMALL_STATE(738)] = 7042,
  [SMALL_STATE(739)] = 7096,
  [SMALL_STATE(740)] = 7192,
  [SMALL_STATE(741)] = 7249,
  [SMALL_STATE(742)] = 7308,
  [SMALL_STATE(743)] = 7365,
  [SMALL_STATE(744)] = 7422,
  [SMALL_STATE(745)] = 7479,
  [SMALL_STATE(746)] = 7574,
  [SMALL_STATE(747)] = 7631,
  [SMALL_STATE(748)] = 7686,
  [SMALL_STATE(749)] = 7743,
  [SMALL_STATE(750)] = 7800,
  [SMALL_STATE(751)] = 7855,
  [SMALL_STATE(752)] = 7912,
  [SMALL_STATE(753)] = 7969,
  [SMALL_STATE(754)] = 8024,
  [SMALL_STATE(755)] = 8079,
  [SMALL_STATE(756)] = 8134,
  [SMALL_STATE(757)] = 8191,
  [SMALL_STATE(758)] = 8248,
  [SMALL_STATE(759)] = 8307,
  [SMALL_STATE(760)] = 8366,
  [SMALL_STATE(761)] = 8425,
  [SMALL_STATE(762)] = 8484,
  [SMALL_STATE(763)] = 8543,
  [SMALL_STATE(764)] = 8600,
  [SMALL_STATE(765)] = 8659,
  [SMALL_STATE(766)] = 8718,
  [SMALL_STATE(767)] = 8777,
  [SMALL_STATE(768)] = 8836,
  [SMALL_STATE(769)] = 8933,
  [SMALL_STATE(770)] = 8992,
  [SMALL_STATE(771)] = 9089,
  [SMALL_STATE(772)] = 9180,
  [SMALL_STATE(773)] = 9237,
  [SMALL_STATE(774)] = 9332,
  [SMALL_STATE(775)] = 9389,
  [SMALL_STATE(776)] = 9486,
  [SMALL_STATE(777)] = 9577,
  [SMALL_STATE(778)] = 9632,
  [SMALL_STATE(779)] = 9691,
  [SMALL_STATE(780)] = 9782,
  [SMALL_STATE(781)] = 9841,
  [SMALL_STATE(782)] = 9900,
  [SMALL_STATE(783)] = 9997,
  [SMALL_STATE(784)] = 10049,
  [SMALL_STATE(785)] = 10101,
  [SMALL_STATE(786)] = 10155,
  [SMALL_STATE(787)] = 10207,
  [SMALL_STATE(788)] = 10259,
  [SMALL_STATE(789)] = 10311,
  [SMALL_STATE(790)] = 10363,
  [SMALL_STATE(791)] = 10415,
  [SMALL_STATE(792)] = 10467,
  [SMALL_STATE(793)] = 10519,
  [SMALL_STATE(794)] = 10571,
  [SMALL_STATE(795)] = 10623,
  [SMALL_STATE(796)] = 10675,
  [SMALL_STATE(797)] = 10727,
  [SMALL_STATE(798)] = 10779,
  [SMALL_STATE(799)] = 10831,
  [SMALL_STATE(800)] = 10883,
  [SMALL_STATE(801)] = 10935,
  [SMALL_STATE(802)] = 10987,
  [SMALL_STATE(803)] = 11039,
  [SMALL_STATE(804)] = 11091,
  [SMALL_STATE(805)] = 11143,
  [SMALL_STATE(806)] = 11195,
  [SMALL_STATE(807)] = 11247,
  [SMALL_STATE(808)] = 11301,
  [SMALL_STATE(809)] = 11353,
  [SMALL_STATE(810)] = 11405,
  [SMALL_STATE(811)] = 11499,
  [SMALL_STATE(812)] = 11551,
  [SMALL_STATE(813)] = 11603,
  [SMALL_STATE(814)] = 11657,
  [SMALL_STATE(815)] = 11709,
  [SMALL_STATE(816)] = 11761,
  [SMALL_STATE(817)] = 11853,
  [SMALL_STATE(818)] = 11905,
  [SMALL_STATE(819)] = 11957,
  [SMALL_STATE(820)] = 12009,
  [SMALL_STATE(821)] = 12061,
  [SMALL_STATE(822)] = 12113,
  [SMALL_STATE(823)] = 12165,
  [SMALL_STATE(824)] = 12217,
  [SMALL_STATE(825)] = 12269,
  [SMALL_STATE(826)] = 12321,
  [SMALL_STATE(827)] = 12373,
  [SMALL_STATE(828)] = 12425,
  [SMALL_STATE(829)] = 12477,
  [SMALL_STATE(830)] = 12529,
  [SMALL_STATE(831)] = 12581,
  [SMALL_STATE(832)] = 12633,
  [SMALL_STATE(833)] = 12686,
  [SMALL_STATE(834)] = 12739,
  [SMALL_STATE(835)] = 12796,
  [SMALL_STATE(836)] = 12847,
  [SMALL_STATE(837)] = 12898,
  [SMALL_STATE(838)] = 12957,
  [SMALL_STATE(839)] = 13018,
  [SMALL_STATE(840)] = 13079,
  [SMALL_STATE(841)] = 13140,
  [SMALL_STATE(842)] = 13191,
  [SMALL_STATE(843)] = 13246,
  [SMALL_STATE(844)] = 13301,
  [SMALL_STATE(845)] = 13362,
  [SMALL_STATE(846)] = 13415,
  [SMALL_STATE(847)] = 13470,
  [SMALL_STATE(848)] = 13525,
  [SMALL_STATE(849)] = 13580,
  [SMALL_STATE(850)] = 13633,
  [SMALL_STATE(851)] = 13688,
  [SMALL_STATE(852)] = 13738,
  [SMALL_STATE(853)] = 13788,
  [SMALL_STATE(854)] = 13838,
  [SMALL_STATE(855)] = 13888,
  [SMALL_STATE(856)] = 13974,
  [SMALL_STATE(857)] = 14024,
  [SMALL_STATE(858)] = 14074,
  [SMALL_STATE(859)] = 14160,
  [SMALL_STATE(860)] = 14222,
  [SMALL_STATE(861)] = 14272,
  [SMALL_STATE(862)] = 14322,
  [SMALL_STATE(863)] = 14372,
  [SMALL_STATE(864)] = 14422,
  [SMALL_STATE(865)] = 14472,
  [SMALL_STATE(866)] = 14558,
  [SMALL_STATE(867)] = 14620,
  [SMALL_STATE(868)] = 14670,
  [SMALL_STATE(869)] = 14720,
  [SMALL_STATE(870)] = 14770,
  [SMALL_STATE(871)] = 14820,
  [SMALL_STATE(872)] = 14870,
  [SMALL_STATE(873)] = 14932,
  [SMALL_STATE(874)] = 15018,
  [SMALL_STATE(875)] = 15068,
  [SMALL_STATE(876)] = 15118,
  [SMALL_STATE(877)] = 15171,
  [SMALL_STATE(878)] = 15222,
  [SMALL_STATE(879)] = 15305,
  [SMALL_STATE(880)] = 15358,
  [SMALL_STATE(881)] = 15411,
  [SMALL_STATE(882)] = 15462,
  [SMALL_STATE(883)] = 15515,
  [SMALL_STATE(884)] = 15568,
  [SMALL_STATE(885)] = 15623,
  [SMALL_STATE(886)] = 15676,
  [SMALL_STATE(887)] = 15729,
  [SMALL_STATE(888)] = 15784,
  [SMALL_STATE(889)] = 15867,
  [SMALL_STATE(890)] = 15922,
  [SMALL_STATE(891)] = 15975,
  [SMALL_STATE(892)] = 16030,
  [SMALL_STATE(893)] = 16113,
  [SMALL_STATE(894)] = 16168,
  [SMALL_STATE(895)] = 16221,
  [SMALL_STATE(896)] = 16270,
  [SMALL_STATE(897)] = 16321,
  [SMALL_STATE(898)] = 16372,
  [SMALL_STATE(899)] = 16421,
  [SMALL_STATE(900)] = 16504,
  [SMALL_STATE(901)] = 16587,
  [SMALL_STATE(902)] = 16670,
  [SMALL_STATE(903)] = 16753,
  [SMALL_STATE(904)] = 16802,
  [SMALL_STATE(905)] = 16885,
  [SMALL_STATE(906)] = 16940,
  [SMALL_STATE(907)] = 16991,
  [SMALL_STATE(908)] = 17042,
  [SMALL_STATE(909)] = 17125,
  [SMALL_STATE(910)] = 17178,
  [SMALL_STATE(911)] = 17261,
  [SMALL_STATE(912)] = 17314,
  [SMALL_STATE(913)] = 17369,
  [SMALL_STATE(914)] = 17422,
  [SMALL_STATE(915)] = 17505,
  [SMALL_STATE(916)] = 17560,
  [SMALL_STATE(917)] = 17643,
  [SMALL_STATE(918)] = 17692,
  [SMALL_STATE(919)] = 17745,
  [SMALL_STATE(920)] = 17798,
  [SMALL_STATE(921)] = 17881,
  [SMALL_STATE(922)] = 17932,
  [SMALL_STATE(923)] = 17987,
  [SMALL_STATE(924)] = 18040,
  [SMALL_STATE(925)] = 18123,
  [SMALL_STATE(926)] = 18178,
  [SMALL_STATE(927)] = 18233,
  [SMALL_STATE(928)] = 18316,
  [SMALL_STATE(929)] = 18371,
  [SMALL_STATE(930)] = 18426,
  [SMALL_STATE(931)] = 18481,
  [SMALL_STATE(932)] = 18529,
  [SMALL_STATE(933)] = 18577,
  [SMALL_STATE(934)] = 18627,
  [SMALL_STATE(935)] = 18675,
  [SMALL_STATE(936)] = 18723,
  [SMALL_STATE(937)] = 18771,
  [SMALL_STATE(938)] = 18819,
  [SMALL_STATE(939)] = 18867,
  [SMALL_STATE(940)] = 18915,
  [SMALL_STATE(941)] = 18963,
  [SMALL_STATE(942)] = 19011,
  [SMALL_STATE(943)] = 19059,
  [SMALL_STATE(944)] = 19107,
  [SMALL_STATE(945)] = 19155,
  [SMALL_STATE(946)] = 19205,
  [SMALL_STATE(947)] = 19253,
  [SMALL_STATE(948)] = 19301,
  [SMALL_STATE(949)] = 19349,
  [SMALL_STATE(950)] = 19397,
  [SMALL_STATE(951)] = 19445,
  [SMALL_STATE(952)] = 19493,
  [SMALL_STATE(953)] = 19541,
  [SMALL_STATE(954)] = 19589,
  [SMALL_STATE(955)] = 19637,
  [SMALL_STATE(956)] = 19685,
  [SMALL_STATE(957)] = 19733,
  [SMALL_STATE(958)] = 19781,
  [SMALL_STATE(959)] = 19829,
  [SMALL_STATE(960)] = 19877,
  [SMALL_STATE(961)] = 19925,
  [SMALL_STATE(962)] = 19973,
  [SMALL_STATE(963)] = 20021,
  [SMALL_STATE(964)] = 20069,
  [SMALL_STATE(965)] = 20117,
  [SMALL_STATE(966)] = 20169,
  [SMALL_STATE(967)] = 20217,
  [SMALL_STATE(968)] = 20265,
  [SMALL_STATE(969)] = 20313,
  [SMALL_STATE(970)] = 20363,
  [SMALL_STATE(971)] = 20411,
  [SMALL_STATE(972)] = 20459,
  [SMALL_STATE(973)] = 20507,
  [SMALL_STATE(974)] = 20555,
  [SMALL_STATE(975)] = 20603,
  [SMALL_STATE(976)] = 20651,
  [SMALL_STATE(977)] = 20699,
  [SMALL_STATE(978)] = 20747,
  [SMALL_STATE(979)] = 20795,
  [SMALL_STATE(980)] = 20844,
  [SMALL_STATE(981)] = 20893,
  [SMALL_STATE(982)] = 20942,
  [SMALL_STATE(983)] = 20991,
  [SMALL_STATE(984)] = 21040,
  [SMALL_STATE(985)] = 21086,
  [SMALL_STATE(986)] = 21132,
  [SMALL_STATE(987)] = 21178,
  [SMALL_STATE(988)] = 21224,
  [SMALL_STATE(989)] = 21270,
  [SMALL_STATE(990)] = 21316,
  [SMALL_STATE(991)] = 21362,
  [SMALL_STATE(992)] = 21408,
  [SMALL_STATE(993)] = 21454,
  [SMALL_STATE(994)] = 21500,
  [SMALL_STATE(995)] = 21546,
  [SMALL_STATE(996)] = 21592,
  [SMALL_STATE(997)] = 21638,
  [SMALL_STATE(998)] = 21684,
  [SMALL_STATE(999)] = 21730,
  [SMALL_STATE(1000)] = 21776,
  [SMALL_STATE(1001)] = 21822,
  [SMALL_STATE(1002)] = 21868,
  [SMALL_STATE(1003)] = 21914,
  [SMALL_STATE(1004)] = 21962,
  [SMALL_STATE(1005)] = 22008,
  [SMALL_STATE(1006)] = 22054,
  [SMALL_STATE(1007)] = 22100,
  [SMALL_STATE(1008)] = 22146,
  [SMALL_STATE(1009)] = 22192,
  [SMALL_STATE(1010)] = 22238,
  [SMALL_STATE(1011)] = 22284,
  [SMALL_STATE(1012)] = 22330,
  [SMALL_STATE(1013)] = 22376,
  [SMALL_STATE(1014)] = 22422,
  [SMALL_STATE(1015)] = 22468,
  [SMALL_STATE(1016)] = 22514,
  [SMALL_STATE(1017)] = 22560,
  [SMALL_STATE(1018)] = 22606,
  [SMALL_STATE(1019)] = 22652,
  [SMALL_STATE(1020)] = 22698,
  [SMALL_STATE(1021)] = 22744,
  [SMALL_STATE(1022)] = 22790,
  [SMALL_STATE(1023)] = 22836,
  [SMALL_STATE(1024)] = 22882,
  [SMALL_STATE(1025)] = 22928,
  [SMALL_STATE(1026)] = 22974,
  [SMALL_STATE(1027)] = 23020,
  [SMALL_STATE(1028)] = 23066,
  [SMALL_STATE(1029)] = 23112,
  [SMALL_STATE(1030)] = 23158,
  [SMALL_STATE(1031)] = 23204,
  [SMALL_STATE(1032)] = 23250,
  [SMALL_STATE(1033)] = 23296,
  [SMALL_STATE(1034)] = 23342,
  [SMALL_STATE(1035)] = 23388,
  [SMALL_STATE(1036)] = 23434,
  [SMALL_STATE(1037)] = 23480,
  [SMALL_STATE(1038)] = 23526,
  [SMALL_STATE(1039)] = 23572,
  [SMALL_STATE(1040)] = 23618,
  [SMALL_STATE(1041)] = 23664,
  [SMALL_STATE(1042)] = 23710,
  [SMALL_STATE(1043)] = 23756,
  [SMALL_STATE(1044)] = 23802,
  [SMALL_STATE(1045)] = 23848,
  [SMALL_STATE(1046)] = 23894,
  [SMALL_STATE(1047)] = 23940,
  [SMALL_STATE(1048)] = 23986,
  [SMALL_STATE(1049)] = 24032,
  [SMALL_STATE(1050)] = 24077,
  [SMALL_STATE(1051)] = 24122,
  [SMALL_STATE(1052)] = 24201,
  [SMALL_STATE(1053)] = 24271,
  [SMALL_STATE(1054)] = 24353,
  [SMALL_STATE(1055)] = 24429,
  [SMALL_STATE(1056)] = 24505,
  [SMALL_STATE(1057)] = 24583,
  [SMALL_STATE(1058)] = 24641,
  [SMALL_STATE(1059)] = 24723,
  [SMALL_STATE(1060)] = 24805,
  [SMALL_STATE(1061)] = 24851,
  [SMALL_STATE(1062)] = 24905,
  [SMALL_STATE(1063)] = 24957,
  [SMALL_STATE(1064)] = 25039,
  [SMALL_STATE(1065)] = 25095,
  [SMALL_STATE(1066)] = 25179,
  [SMALL_STATE(1067)] = 25259,
  [SMALL_STATE(1068)] = 25335,
  [SMALL_STATE(1069)] = 25395,
  [SMALL_STATE(1070)] = 25477,
  [SMALL_STATE(1071)] = 25559,
  [SMALL_STATE(1072)] = 25625,
  [SMALL_STATE(1073)] = 25671,
  [SMALL_STATE(1074)] = 25743,
  [SMALL_STATE(1075)] = 25825,
  [SMALL_STATE(1076)] = 25907,
  [SMALL_STATE(1077)] = 25971,
  [SMALL_STATE(1078)] = 26053,
  [SMALL_STATE(1079)] = 26135,
  [SMALL_STATE(1080)] = 26211,
  [SMALL_STATE(1081)] = 26287,
  [SMALL_STATE(1082)] = 26355,
  [SMALL_STATE(1083)] = 26431,
  [SMALL_STATE(1084)] = 26481,
  [SMALL_STATE(1085)] = 26557,
  [SMALL_STATE(1086)] = 26632,
  [SMALL_STATE(1087)] = 26707,
  [SMALL_STATE(1088)] = 26782,
  [SMALL_STATE(1089)] = 26827,
  [SMALL_STATE(1090)] = 26902,
  [SMALL_STATE(1091)] = 26969,
  [SMALL_STATE(1092)] = 27052,
  [SMALL_STATE(1093)] = 27127,
  [SMALL_STATE(1094)] = 27208,
  [SMALL_STATE(1095)] = 27261,
  [SMALL_STATE(1096)] = 27312,
  [SMALL_STATE(1097)] = 27367,
  [SMALL_STATE(1098)] = 27448,
  [SMALL_STATE(1099)] = 27507,
  [SMALL_STATE(1100)] = 27588,
  [SMALL_STATE(1101)] = 27653,
  [SMALL_STATE(1102)] = 27722,
  [SMALL_STATE(1103)] = 27793,
  [SMALL_STATE(1104)] = 27870,
  [SMALL_STATE(1105)] = 27919,
  [SMALL_STATE(1106)] = 28000,
  [SMALL_STATE(1107)] = 28075,
  [SMALL_STATE(1108)] = 28156,
  [SMALL_STATE(1109)] = 28235,
  [SMALL_STATE(1110)] = 28280,
  [SMALL_STATE(1111)] = 28355,
  [SMALL_STATE(1112)] = 28436,
  [SMALL_STATE(1113)] = 28517,
  [SMALL_STATE(1114)] = 28580,
  [SMALL_STATE(1115)] = 28661,
  [SMALL_STATE(1116)] = 28742,
  [SMALL_STATE(1117)] = 28823,
  [SMALL_STATE(1118)] = 28865,
  [SMALL_STATE(1119)] = 28945,
  [SMALL_STATE(1120)] = 28987,
  [SMALL_STATE(1121)] = 29029,
  [SMALL_STATE(1122)] = 29071,
  [SMALL_STATE(1123)] = 29145,
  [SMALL_STATE(1124)] = 29219,
  [SMALL_STATE(1125)] = 29261,
  [SMALL_STATE(1126)] = 29303,
  [SMALL_STATE(1127)] = 29345,
  [SMALL_STATE(1128)] = 29425,
  [SMALL_STATE(1129)] = 29467,
  [SMALL_STATE(1130)] = 29509,
  [SMALL_STATE(1131)] = 29551,
  [SMALL_STATE(1132)] = 29593,
  [SMALL_STATE(1133)] = 29635,
  [SMALL_STATE(1134)] = 29677,
  [SMALL_STATE(1135)] = 29719,
  [SMALL_STATE(1136)] = 29761,
  [SMALL_STATE(1137)] = 29803,
  [SMALL_STATE(1138)] = 29845,
  [SMALL_STATE(1139)] = 29887,
  [SMALL_STATE(1140)] = 29929,
  [SMALL_STATE(1141)] = 29971,
  [SMALL_STATE(1142)] = 30013,
  [SMALL_STATE(1143)] = 30055,
  [SMALL_STATE(1144)] = 30135,
  [SMALL_STATE(1145)] = 30177,
  [SMALL_STATE(1146)] = 30219,
  [SMALL_STATE(1147)] = 30261,
  [SMALL_STATE(1148)] = 30303,
  [SMALL_STATE(1149)] = 30345,
  [SMALL_STATE(1150)] = 30387,
  [SMALL_STATE(1151)] = 30429,
  [SMALL_STATE(1152)] = 30473,
  [SMALL_STATE(1153)] = 30553,
  [SMALL_STATE(1154)] = 30595,
  [SMALL_STATE(1155)] = 30657,
  [SMALL_STATE(1156)] = 30699,
  [SMALL_STATE(1157)] = 30741,
  [SMALL_STATE(1158)] = 30783,
  [SMALL_STATE(1159)] = 30825,
  [SMALL_STATE(1160)] = 30867,
  [SMALL_STATE(1161)] = 30933,
  [SMALL_STATE(1162)] = 30981,
  [SMALL_STATE(1163)] = 31055,
  [SMALL_STATE(1164)] = 31099,
  [SMALL_STATE(1165)] = 31173,
  [SMALL_STATE(1166)] = 31251,
  [SMALL_STATE(1167)] = 31327,
  [SMALL_STATE(1168)] = 31397,
  [SMALL_STATE(1169)] = 31465,
  [SMALL_STATE(1170)] = 31529,
  [SMALL_STATE(1171)] = 31587,
  [SMALL_STATE(1172)] = 31629,
  [SMALL_STATE(1173)] = 31683,
  [SMALL_STATE(1174)] = 31725,
  [SMALL_STATE(1175)] = 31805,
  [SMALL_STATE(1176)] = 31855,
  [SMALL_STATE(1177)] = 31907,
  [SMALL_STATE(1178)] = 31951,
  [SMALL_STATE(1179)] = 32025,
  [SMALL_STATE(1180)] = 32067,
  [SMALL_STATE(1181)] = 32109,
  [SMALL_STATE(1182)] = 32183,
  [SMALL_STATE(1183)] = 32225,
  [SMALL_STATE(1184)] = 32267,
  [SMALL_STATE(1185)] = 32309,
  [SMALL_STATE(1186)] = 32351,
  [SMALL_STATE(1187)] = 32393,
  [SMALL_STATE(1188)] = 32467,
  [SMALL_STATE(1189)] = 32547,
  [SMALL_STATE(1190)] = 32589,
  [SMALL_STATE(1191)] = 32631,
  [SMALL_STATE(1192)] = 32711,
  [SMALL_STATE(1193)] = 32753,
  [SMALL_STATE(1194)] = 32795,
  [SMALL_STATE(1195)] = 32837,
  [SMALL_STATE(1196)] = 32879,
  [SMALL_STATE(1197)] = 32921,
  [SMALL_STATE(1198)] = 32993,
  [SMALL_STATE(1199)] = 33035,
  [SMALL_STATE(1200)] = 33077,
  [SMALL_STATE(1201)] = 33119,
  [SMALL_STATE(1202)] = 33161,
  [SMALL_STATE(1203)] = 33203,
  [SMALL_STATE(1204)] = 33245,
  [SMALL_STATE(1205)] = 33287,
  [SMALL_STATE(1206)] = 33329,
  [SMALL_STATE(1207)] = 33371,
  [SMALL_STATE(1208)] = 33413,
  [SMALL_STATE(1209)] = 33455,
  [SMALL_STATE(1210)] = 33535,
  [SMALL_STATE(1211)] = 33615,
  [SMALL_STATE(1212)] = 33695,
  [SMALL_STATE(1213)] = 33737,
  [SMALL_STATE(1214)] = 33779,
  [SMALL_STATE(1215)] = 33861,
  [SMALL_STATE(1216)] = 33903,
  [SMALL_STATE(1217)] = 33945,
  [SMALL_STATE(1218)] = 34017,
  [SMALL_STATE(1219)] = 34090,
  [SMALL_STATE(1220)] = 34163,
  [SMALL_STATE(1221)] = 34230,
  [SMALL_STATE(1222)] = 34303,
  [SMALL_STATE(1223)] = 34376,
  [SMALL_STATE(1224)] = 34419,
  [SMALL_STATE(1225)] = 34486,
  [SMALL_STATE(1226)] = 34565,
  [SMALL_STATE(1227)] = 34644,
  [SMALL_STATE(1228)] = 34723,
  [SMALL_STATE(1229)] = 34802,
  [SMALL_STATE(1230)] = 34883,
  [SMALL_STATE(1231)] = 34962,
  [SMALL_STATE(1232)] = 35041,
  [SMALL_STATE(1233)] = 35120,
  [SMALL_STATE(1234)] = 35199,
  [SMALL_STATE(1235)] = 35266,
  [SMALL_STATE(1236)] = 35317,
  [SMALL_STATE(1237)] = 35396,
  [SMALL_STATE(1238)] = 35475,
  [SMALL_STATE(1239)] = 35536,
  [SMALL_STATE(1240)] = 35601,
  [SMALL_STATE(1241)] = 35648,
  [SMALL_STATE(1242)] = 35721,
  [SMALL_STATE(1243)] = 35764,
  [SMALL_STATE(1244)] = 35837,
  [SMALL_STATE(1245)] = 35914,
  [SMALL_STATE(1246)] = 35989,
  [SMALL_STATE(1247)] = 36032,
  [SMALL_STATE(1248)] = 36101,
  [SMALL_STATE(1249)] = 36174,
  [SMALL_STATE(1250)] = 36241,
  [SMALL_STATE(1251)] = 36284,
  [SMALL_STATE(1252)] = 36333,
  [SMALL_STATE(1253)] = 36396,
  [SMALL_STATE(1254)] = 36449,
  [SMALL_STATE(1255)] = 36516,
  [SMALL_STATE(1256)] = 36573,
  [SMALL_STATE(1257)] = 36653,
  [SMALL_STATE(1258)] = 36733,
  [SMALL_STATE(1259)] = 36813,
  [SMALL_STATE(1260)] = 36891,
  [SMALL_STATE(1261)] = 36957,
  [SMALL_STATE(1262)] = 37039,
  [SMALL_STATE(1263)] = 37105,
  [SMALL_STATE(1264)] = 37185,
  [SMALL_STATE(1265)] = 37263,
  [SMALL_STATE(1266)] = 37343,
  [SMALL_STATE(1267)] = 37421,
  [SMALL_STATE(1268)] = 37500,
  [SMALL_STATE(1269)] = 37579,
  [SMALL_STATE(1270)] = 37656,
  [SMALL_STATE(1271)] = 37733,
  [SMALL_STATE(1272)] = 37810,
  [SMALL_STATE(1273)] = 37887,
  [SMALL_STATE(1274)] = 37964,
  [SMALL_STATE(1275)] = 38041,
  [SMALL_STATE(1276)] = 38118,
  [SMALL_STATE(1277)] = 38189,
  [SMALL_STATE(1278)] = 38268,
  [SMALL_STATE(1279)] = 38339,
  [SMALL_STATE(1280)] = 38416,
  [SMALL_STATE(1281)] = 38493,
  [SMALL_STATE(1282)] = 38572,
  [SMALL_STATE(1283)] = 38649,
  [SMALL_STATE(1284)] = 38726,
  [SMALL_STATE(1285)] = 38797,
  [SMALL_STATE(1286)] = 38868,
  [SMALL_STATE(1287)] = 38939,
  [SMALL_STATE(1288)] = 39016,
  [SMALL_STATE(1289)] = 39093,
  [SMALL_STATE(1290)] = 39170,
  [SMALL_STATE(1291)] = 39247,
  [SMALL_STATE(1292)] = 39324,
  [SMALL_STATE(1293)] = 39401,
  [SMALL_STATE(1294)] = 39480,
  [SMALL_STATE(1295)] = 39551,
  [SMALL_STATE(1296)] = 39622,
  [SMALL_STATE(1297)] = 39699,
  [SMALL_STATE(1298)] = 39776,
  [SMALL_STATE(1299)] = 39853,
  [SMALL_STATE(1300)] = 39924,
  [SMALL_STATE(1301)] = 40003,
  [SMALL_STATE(1302)] = 40080,
  [SMALL_STATE(1303)] = 40157,
  [SMALL_STATE(1304)] = 40234,
  [SMALL_STATE(1305)] = 40305,
  [SMALL_STATE(1306)] = 40382,
  [SMALL_STATE(1307)] = 40459,
  [SMALL_STATE(1308)] = 40536,
  [SMALL_STATE(1309)] = 40615,
  [SMALL_STATE(1310)] = 40692,
  [SMALL_STATE(1311)] = 40769,
  [SMALL_STATE(1312)] = 40848,
  [SMALL_STATE(1313)] = 40925,
  [SMALL_STATE(1314)] = 41002,
  [SMALL_STATE(1315)] = 41079,
  [SMALL_STATE(1316)] = 41156,
  [SMALL_STATE(1317)] = 41232,
  [SMALL_STATE(1318)] = 41308,
  [SMALL_STATE(1319)] = 41384,
  [SMALL_STATE(1320)] = 41460,
  [SMALL_STATE(1321)] = 41536,
  [SMALL_STATE(1322)] = 41612,
  [SMALL_STATE(1323)] = 41688,
  [SMALL_STATE(1324)] = 41764,
  [SMALL_STATE(1325)] = 41840,
  [SMALL_STATE(1326)] = 41916,
  [SMALL_STATE(1327)] = 41992,
  [SMALL_STATE(1328)] = 42068,
  [SMALL_STATE(1329)] = 42144,
  [SMALL_STATE(1330)] = 42220,
  [SMALL_STATE(1331)] = 42296,
  [SMALL_STATE(1332)] = 42372,
  [SMALL_STATE(1333)] = 42448,
  [SMALL_STATE(1334)] = 42524,
  [SMALL_STATE(1335)] = 42600,
  [SMALL_STATE(1336)] = 42676,
  [SMALL_STATE(1337)] = 42752,
  [SMALL_STATE(1338)] = 42828,
  [SMALL_STATE(1339)] = 42904,
  [SMALL_STATE(1340)] = 42980,
  [SMALL_STATE(1341)] = 43056,
  [SMALL_STATE(1342)] = 43132,
  [SMALL_STATE(1343)] = 43208,
  [SMALL_STATE(1344)] = 43284,
  [SMALL_STATE(1345)] = 43360,
  [SMALL_STATE(1346)] = 43436,
  [SMALL_STATE(1347)] = 43512,
  [SMALL_STATE(1348)] = 43588,
  [SMALL_STATE(1349)] = 43664,
  [SMALL_STATE(1350)] = 43740,
  [SMALL_STATE(1351)] = 43816,
  [SMALL_STATE(1352)] = 43892,
  [SMALL_STATE(1353)] = 43968,
  [SMALL_STATE(1354)] = 44044,
  [SMALL_STATE(1355)] = 44120,
  [SMALL_STATE(1356)] = 44196,
  [SMALL_STATE(1357)] = 44272,
  [SMALL_STATE(1358)] = 44348,
  [SMALL_STATE(1359)] = 44424,
  [SMALL_STATE(1360)] = 44500,
  [SMALL_STATE(1361)] = 44576,
  [SMALL_STATE(1362)] = 44652,
  [SMALL_STATE(1363)] = 44728,
  [SMALL_STATE(1364)] = 44804,
  [SMALL_STATE(1365)] = 44880,
  [SMALL_STATE(1366)] = 44956,
  [SMALL_STATE(1367)] = 45032,
  [SMALL_STATE(1368)] = 45108,
  [SMALL_STATE(1369)] = 45184,
  [SMALL_STATE(1370)] = 45260,
  [SMALL_STATE(1371)] = 45336,
  [SMALL_STATE(1372)] = 45412,
  [SMALL_STATE(1373)] = 45488,
  [SMALL_STATE(1374)] = 45564,
  [SMALL_STATE(1375)] = 45640,
  [SMALL_STATE(1376)] = 45716,
  [SMALL_STATE(1377)] = 45754,
  [SMALL_STATE(1378)] = 45792,
  [SMALL_STATE(1379)] = 45868,
  [SMALL_STATE(1380)] = 45944,
  [SMALL_STATE(1381)] = 46020,
  [SMALL_STATE(1382)] = 46096,
  [SMALL_STATE(1383)] = 46172,
  [SMALL_STATE(1384)] = 46248,
  [SMALL_STATE(1385)] = 46324,
  [SMALL_STATE(1386)] = 46400,
  [SMALL_STATE(1387)] = 46438,
  [SMALL_STATE(1388)] = 46503,
  [SMALL_STATE(1389)] = 46568,
  [SMALL_STATE(1390)] = 46633,
  [SMALL_STATE(1391)] = 46698,
  [SMALL_STATE(1392)] = 46735,
  [SMALL_STATE(1393)] = 46794,
  [SMALL_STATE(1394)] = 46859,
  [SMALL_STATE(1395)] = 46918,
  [SMALL_STATE(1396)] = 46955,
  [SMALL_STATE(1397)] = 46993,
  [SMALL_STATE(1398)] = 47031,
  [SMALL_STATE(1399)] = 47079,
  [SMALL_STATE(1400)] = 47127,
  [SMALL_STATE(1401)] = 47175,
  [SMALL_STATE(1402)] = 47207,
  [SMALL_STATE(1403)] = 47255,
  [SMALL_STATE(1404)] = 47303,
  [SMALL_STATE(1405)] = 47351,
  [SMALL_STATE(1406)] = 47383,
  [SMALL_STATE(1407)] = 47431,
  [SMALL_STATE(1408)] = 47463,
  [SMALL_STATE(1409)] = 47511,
  [SMALL_STATE(1410)] = 47559,
  [SMALL_STATE(1411)] = 47607,
  [SMALL_STATE(1412)] = 47655,
  [SMALL_STATE(1413)] = 47700,
  [SMALL_STATE(1414)] = 47745,
  [SMALL_STATE(1415)] = 47790,
  [SMALL_STATE(1416)] = 47835,
  [SMALL_STATE(1417)] = 47880,
  [SMALL_STATE(1418)] = 47925,
  [SMALL_STATE(1419)] = 47981,
  [SMALL_STATE(1420)] = 48037,
  [SMALL_STATE(1421)] = 48074,
  [SMALL_STATE(1422)] = 48111,
  [SMALL_STATE(1423)] = 48151,
  [SMALL_STATE(1424)] = 48191,
  [SMALL_STATE(1425)] = 48231,
  [SMALL_STATE(1426)] = 48276,
  [SMALL_STATE(1427)] = 48305,
  [SMALL_STATE(1428)] = 48334,
  [SMALL_STATE(1429)] = 48376,
  [SMALL_STATE(1430)] = 48415,
  [SMALL_STATE(1431)] = 48454,
  [SMALL_STATE(1432)] = 48493,
  [SMALL_STATE(1433)] = 48532,
  [SMALL_STATE(1434)] = 48555,
  [SMALL_STATE(1435)] = 48594,
  [SMALL_STATE(1436)] = 48617,
  [SMALL_STATE(1437)] = 48640,
  [SMALL_STATE(1438)] = 48676,
  [SMALL_STATE(1439)] = 48712,
  [SMALL_STATE(1440)] = 48748,
  [SMALL_STATE(1441)] = 48772,
  [SMALL_STATE(1442)] = 48811,
  [SMALL_STATE(1443)] = 48850,
  [SMALL_STATE(1444)] = 48884,
  [SMALL_STATE(1445)] = 48904,
  [SMALL_STATE(1446)] = 48924,
  [SMALL_STATE(1447)] = 48960,
  [SMALL_STATE(1448)] = 48980,
  [SMALL_STATE(1449)] = 49014,
  [SMALL_STATE(1450)] = 49048,
  [SMALL_STATE(1451)] = 49068,
  [SMALL_STATE(1452)] = 49088,
  [SMALL_STATE(1453)] = 49108,
  [SMALL_STATE(1454)] = 49128,
  [SMALL_STATE(1455)] = 49148,
  [SMALL_STATE(1456)] = 49168,
  [SMALL_STATE(1457)] = 49188,
  [SMALL_STATE(1458)] = 49208,
  [SMALL_STATE(1459)] = 49228,
  [SMALL_STATE(1460)] = 49248,
  [SMALL_STATE(1461)] = 49268,
  [SMALL_STATE(1462)] = 49288,
  [SMALL_STATE(1463)] = 49308,
  [SMALL_STATE(1464)] = 49327,
  [SMALL_STATE(1465)] = 49360,
  [SMALL_STATE(1466)] = 49379,
  [SMALL_STATE(1467)] = 49412,
  [SMALL_STATE(1468)] = 49431,
  [SMALL_STATE(1469)] = 49450,
  [SMALL_STATE(1470)] = 49469,
  [SMALL_STATE(1471)] = 49488,
  [SMALL_STATE(1472)] = 49521,
  [SMALL_STATE(1473)] = 49540,
  [SMALL_STATE(1474)] = 49559,
  [SMALL_STATE(1475)] = 49578,
  [SMALL_STATE(1476)] = 49611,
  [SMALL_STATE(1477)] = 49644,
  [SMALL_STATE(1478)] = 49677,
  [SMALL_STATE(1479)] = 49702,
  [SMALL_STATE(1480)] = 49721,
  [SMALL_STATE(1481)] = 49756,
  [SMALL_STATE(1482)] = 49791,
  [SMALL_STATE(1483)] = 49810,
  [SMALL_STATE(1484)] = 49829,
  [SMALL_STATE(1485)] = 49862,
  [SMALL_STATE(1486)] = 49881,
  [SMALL_STATE(1487)] = 49900,
  [SMALL_STATE(1488)] = 49919,
  [SMALL_STATE(1489)] = 49952,
  [SMALL_STATE(1490)] = 49985,
  [SMALL_STATE(1491)] = 50004,
  [SMALL_STATE(1492)] = 50023,
  [SMALL_STATE(1493)] = 50056,
  [SMALL_STATE(1494)] = 50090,
  [SMALL_STATE(1495)] = 50112,
  [SMALL_STATE(1496)] = 50146,
  [SMALL_STATE(1497)] = 50180,
  [SMALL_STATE(1498)] = 50214,
  [SMALL_STATE(1499)] = 50244,
  [SMALL_STATE(1500)] = 50274,
  [SMALL_STATE(1501)] = 50305,
  [SMALL_STATE(1502)] = 50324,
  [SMALL_STATE(1503)] = 50345,
  [SMALL_STATE(1504)] = 50376,
  [SMALL_STATE(1505)] = 50399,
  [SMALL_STATE(1506)] = 50430,
  [SMALL_STATE(1507)] = 50461,
  [SMALL_STATE(1508)] = 50492,
  [SMALL_STATE(1509)] = 50523,
  [SMALL_STATE(1510)] = 50548,
  [SMALL_STATE(1511)] = 50567,
  [SMALL_STATE(1512)] = 50592,
  [SMALL_STATE(1513)] = 50615,
  [SMALL_STATE(1514)] = 50634,
  [SMALL_STATE(1515)] = 50660,
  [SMALL_STATE(1516)] = 50678,
  [SMALL_STATE(1517)] = 50700,
  [SMALL_STATE(1518)] = 50722,
  [SMALL_STATE(1519)] = 50744,
  [SMALL_STATE(1520)] = 50762,
  [SMALL_STATE(1521)] = 50790,
  [SMALL_STATE(1522)] = 50818,
  [SMALL_STATE(1523)] = 50846,
  [SMALL_STATE(1524)] = 50864,
  [SMALL_STATE(1525)] = 50886,
  [SMALL_STATE(1526)] = 50906,
  [SMALL_STATE(1527)] = 50930,
  [SMALL_STATE(1528)] = 50952,
  [SMALL_STATE(1529)] = 50974,
  [SMALL_STATE(1530)] = 50996,
  [SMALL_STATE(1531)] = 51022,
  [SMALL_STATE(1532)] = 51050,
  [SMALL_STATE(1533)] = 51072,
  [SMALL_STATE(1534)] = 51094,
  [SMALL_STATE(1535)] = 51122,
  [SMALL_STATE(1536)] = 51140,
  [SMALL_STATE(1537)] = 51158,
  [SMALL_STATE(1538)] = 51176,
  [SMALL_STATE(1539)] = 51202,
  [SMALL_STATE(1540)] = 51228,
  [SMALL_STATE(1541)] = 51251,
  [SMALL_STATE(1542)] = 51276,
  [SMALL_STATE(1543)] = 51299,
  [SMALL_STATE(1544)] = 51322,
  [SMALL_STATE(1545)] = 51343,
  [SMALL_STATE(1546)] = 51368,
  [SMALL_STATE(1547)] = 51391,
  [SMALL_STATE(1548)] = 51416,
  [SMALL_STATE(1549)] = 51441,
  [SMALL_STATE(1550)] = 51464,
  [SMALL_STATE(1551)] = 51487,
  [SMALL_STATE(1552)] = 51510,
  [SMALL_STATE(1553)] = 51533,
  [SMALL_STATE(1554)] = 51560,
  [SMALL_STATE(1555)] = 51581,
  [SMALL_STATE(1556)] = 51604,
  [SMALL_STATE(1557)] = 51629,
  [SMALL_STATE(1558)] = 51652,
  [SMALL_STATE(1559)] = 51675,
  [SMALL_STATE(1560)] = 51698,
  [SMALL_STATE(1561)] = 51721,
  [SMALL_STATE(1562)] = 51746,
  [SMALL_STATE(1563)] = 51771,
  [SMALL_STATE(1564)] = 51794,
  [SMALL_STATE(1565)] = 51813,
  [SMALL_STATE(1566)] = 51840,
  [SMALL_STATE(1567)] = 51861,
  [SMALL_STATE(1568)] = 51884,
  [SMALL_STATE(1569)] = 51907,
  [SMALL_STATE(1570)] = 51930,
  [SMALL_STATE(1571)] = 51955,
  [SMALL_STATE(1572)] = 51980,
  [SMALL_STATE(1573)] = 52001,
  [SMALL_STATE(1574)] = 52024,
  [SMALL_STATE(1575)] = 52049,
  [SMALL_STATE(1576)] = 52072,
  [SMALL_STATE(1577)] = 52097,
  [SMALL_STATE(1578)] = 52120,
  [SMALL_STATE(1579)] = 52143,
  [SMALL_STATE(1580)] = 52164,
  [SMALL_STATE(1581)] = 52187,
  [SMALL_STATE(1582)] = 52212,
  [SMALL_STATE(1583)] = 52229,
  [SMALL_STATE(1584)] = 52254,
  [SMALL_STATE(1585)] = 52277,
  [SMALL_STATE(1586)] = 52300,
  [SMALL_STATE(1587)] = 52323,
  [SMALL_STATE(1588)] = 52346,
  [SMALL_STATE(1589)] = 52369,
  [SMALL_STATE(1590)] = 52386,
  [SMALL_STATE(1591)] = 52409,
  [SMALL_STATE(1592)] = 52426,
  [SMALL_STATE(1593)] = 52447,
  [SMALL_STATE(1594)] = 52468,
  [SMALL_STATE(1595)] = 52491,
  [SMALL_STATE(1596)] = 52514,
  [SMALL_STATE(1597)] = 52534,
  [SMALL_STATE(1598)] = 52554,
  [SMALL_STATE(1599)] = 52576,
  [SMALL_STATE(1600)] = 52598,
  [SMALL_STATE(1601)] = 52624,
  [SMALL_STATE(1602)] = 52644,
  [SMALL_STATE(1603)] = 52672,
  [SMALL_STATE(1604)] = 52700,
  [SMALL_STATE(1605)] = 52728,
  [SMALL_STATE(1606)] = 52756,
  [SMALL_STATE(1607)] = 52784,
  [SMALL_STATE(1608)] = 52808,
  [SMALL_STATE(1609)] = 52836,
  [SMALL_STATE(1610)] = 52857,
  [SMALL_STATE(1611)] = 52876,
  [SMALL_STATE(1612)] = 52891,
  [SMALL_STATE(1613)] = 52912,
  [SMALL_STATE(1614)] = 52929,
  [SMALL_STATE(1615)] = 52946,
  [SMALL_STATE(1616)] = 52967,
  [SMALL_STATE(1617)] = 52984,
  [SMALL_STATE(1618)] = 53001,
  [SMALL_STATE(1619)] = 53018,
  [SMALL_STATE(1620)] = 53033,
  [SMALL_STATE(1621)] = 53054,
  [SMALL_STATE(1622)] = 53069,
  [SMALL_STATE(1623)] = 53086,
  [SMALL_STATE(1624)] = 53103,
  [SMALL_STATE(1625)] = 53120,
  [SMALL_STATE(1626)] = 53137,
  [SMALL_STATE(1627)] = 53160,
  [SMALL_STATE(1628)] = 53185,
  [SMALL_STATE(1629)] = 53204,
  [SMALL_STATE(1630)] = 53219,
  [SMALL_STATE(1631)] = 53236,
  [SMALL_STATE(1632)] = 53253,
  [SMALL_STATE(1633)] = 53268,
  [SMALL_STATE(1634)] = 53283,
  [SMALL_STATE(1635)] = 53302,
  [SMALL_STATE(1636)] = 53319,
  [SMALL_STATE(1637)] = 53336,
  [SMALL_STATE(1638)] = 53355,
  [SMALL_STATE(1639)] = 53372,
  [SMALL_STATE(1640)] = 53389,
  [SMALL_STATE(1641)] = 53404,
  [SMALL_STATE(1642)] = 53421,
  [SMALL_STATE(1643)] = 53438,
  [SMALL_STATE(1644)] = 53455,
  [SMALL_STATE(1645)] = 53472,
  [SMALL_STATE(1646)] = 53489,
  [SMALL_STATE(1647)] = 53504,
  [SMALL_STATE(1648)] = 53519,
  [SMALL_STATE(1649)] = 53534,
  [SMALL_STATE(1650)] = 53549,
  [SMALL_STATE(1651)] = 53564,
  [SMALL_STATE(1652)] = 53581,
  [SMALL_STATE(1653)] = 53603,
  [SMALL_STATE(1654)] = 53621,
  [SMALL_STATE(1655)] = 53641,
  [SMALL_STATE(1656)] = 53661,
  [SMALL_STATE(1657)] = 53675,
  [SMALL_STATE(1658)] = 53697,
  [SMALL_STATE(1659)] = 53711,
  [SMALL_STATE(1660)] = 53733,
  [SMALL_STATE(1661)] = 53755,
  [SMALL_STATE(1662)] = 53777,
  [SMALL_STATE(1663)] = 53791,
  [SMALL_STATE(1664)] = 53813,
  [SMALL_STATE(1665)] = 53835,
  [SMALL_STATE(1666)] = 53853,
  [SMALL_STATE(1667)] = 53871,
  [SMALL_STATE(1668)] = 53893,
  [SMALL_STATE(1669)] = 53915,
  [SMALL_STATE(1670)] = 53929,
  [SMALL_STATE(1671)] = 53943,
  [SMALL_STATE(1672)] = 53961,
  [SMALL_STATE(1673)] = 53983,
  [SMALL_STATE(1674)] = 54005,
  [SMALL_STATE(1675)] = 54019,
  [SMALL_STATE(1676)] = 54041,
  [SMALL_STATE(1677)] = 54063,
  [SMALL_STATE(1678)] = 54083,
  [SMALL_STATE(1679)] = 54101,
  [SMALL_STATE(1680)] = 54123,
  [SMALL_STATE(1681)] = 54137,
  [SMALL_STATE(1682)] = 54159,
  [SMALL_STATE(1683)] = 54173,
  [SMALL_STATE(1684)] = 54191,
  [SMALL_STATE(1685)] = 54213,
  [SMALL_STATE(1686)] = 54231,
  [SMALL_STATE(1687)] = 54251,
  [SMALL_STATE(1688)] = 54273,
  [SMALL_STATE(1689)] = 54287,
  [SMALL_STATE(1690)] = 54309,
  [SMALL_STATE(1691)] = 54331,
  [SMALL_STATE(1692)] = 54345,
  [SMALL_STATE(1693)] = 54367,
  [SMALL_STATE(1694)] = 54389,
  [SMALL_STATE(1695)] = 54407,
  [SMALL_STATE(1696)] = 54429,
  [SMALL_STATE(1697)] = 54449,
  [SMALL_STATE(1698)] = 54471,
  [SMALL_STATE(1699)] = 54485,
  [SMALL_STATE(1700)] = 54507,
  [SMALL_STATE(1701)] = 54529,
  [SMALL_STATE(1702)] = 54551,
  [SMALL_STATE(1703)] = 54565,
  [SMALL_STATE(1704)] = 54579,
  [SMALL_STATE(1705)] = 54601,
  [SMALL_STATE(1706)] = 54619,
  [SMALL_STATE(1707)] = 54635,
  [SMALL_STATE(1708)] = 54649,
  [SMALL_STATE(1709)] = 54667,
  [SMALL_STATE(1710)] = 54689,
  [SMALL_STATE(1711)] = 54711,
  [SMALL_STATE(1712)] = 54733,
  [SMALL_STATE(1713)] = 54747,
  [SMALL_STATE(1714)] = 54769,
  [SMALL_STATE(1715)] = 54783,
  [SMALL_STATE(1716)] = 54805,
  [SMALL_STATE(1717)] = 54825,
  [SMALL_STATE(1718)] = 54847,
  [SMALL_STATE(1719)] = 54869,
  [SMALL_STATE(1720)] = 54887,
  [SMALL_STATE(1721)] = 54905,
  [SMALL_STATE(1722)] = 54927,
  [SMALL_STATE(1723)] = 54947,
  [SMALL_STATE(1724)] = 54967,
  [SMALL_STATE(1725)] = 54987,
  [SMALL_STATE(1726)] = 55009,
  [SMALL_STATE(1727)] = 55027,
  [SMALL_STATE(1728)] = 55049,
  [SMALL_STATE(1729)] = 55068,
  [SMALL_STATE(1730)] = 55085,
  [SMALL_STATE(1731)] = 55102,
  [SMALL_STATE(1732)] = 55117,
  [SMALL_STATE(1733)] = 55136,
  [SMALL_STATE(1734)] = 55151,
  [SMALL_STATE(1735)] = 55166,
  [SMALL_STATE(1736)] = 55177,
  [SMALL_STATE(1737)] = 55192,
  [SMALL_STATE(1738)] = 55207,
  [SMALL_STATE(1739)] = 55222,
  [SMALL_STATE(1740)] = 55237,
  [SMALL_STATE(1741)] = 55254,
  [SMALL_STATE(1742)] = 55269,
  [SMALL_STATE(1743)] = 55286,
  [SMALL_STATE(1744)] = 55303,
  [SMALL_STATE(1745)] = 55320,
  [SMALL_STATE(1746)] = 55337,
  [SMALL_STATE(1747)] = 55354,
  [SMALL_STATE(1748)] = 55369,
  [SMALL_STATE(1749)] = 55388,
  [SMALL_STATE(1750)] = 55403,
  [SMALL_STATE(1751)] = 55422,
  [SMALL_STATE(1752)] = 55435,
  [SMALL_STATE(1753)] = 55450,
  [SMALL_STATE(1754)] = 55469,
  [SMALL_STATE(1755)] = 55484,
  [SMALL_STATE(1756)] = 55501,
  [SMALL_STATE(1757)] = 55516,
  [SMALL_STATE(1758)] = 55531,
  [SMALL_STATE(1759)] = 55546,
  [SMALL_STATE(1760)] = 55565,
  [SMALL_STATE(1761)] = 55582,
  [SMALL_STATE(1762)] = 55599,
  [SMALL_STATE(1763)] = 55614,
  [SMALL_STATE(1764)] = 55629,
  [SMALL_STATE(1765)] = 55644,
  [SMALL_STATE(1766)] = 55659,
  [SMALL_STATE(1767)] = 55674,
  [SMALL_STATE(1768)] = 55689,
  [SMALL_STATE(1769)] = 55704,
  [SMALL_STATE(1770)] = 55723,
  [SMALL_STATE(1771)] = 55738,
  [SMALL_STATE(1772)] = 55755,
  [SMALL_STATE(1773)] = 55770,
  [SMALL_STATE(1774)] = 55785,
  [SMALL_STATE(1775)] = 55800,
  [SMALL_STATE(1776)] = 55819,
  [SMALL_STATE(1777)] = 55832,
  [SMALL_STATE(1778)] = 55843,
  [SMALL_STATE(1779)] = 55858,
  [SMALL_STATE(1780)] = 55869,
  [SMALL_STATE(1781)] = 55884,
  [SMALL_STATE(1782)] = 55899,
  [SMALL_STATE(1783)] = 55918,
  [SMALL_STATE(1784)] = 55937,
  [SMALL_STATE(1785)] = 55952,
  [SMALL_STATE(1786)] = 55967,
  [SMALL_STATE(1787)] = 55982,
  [SMALL_STATE(1788)] = 56001,
  [SMALL_STATE(1789)] = 56020,
  [SMALL_STATE(1790)] = 56037,
  [SMALL_STATE(1791)] = 56056,
  [SMALL_STATE(1792)] = 56073,
  [SMALL_STATE(1793)] = 56090,
  [SMALL_STATE(1794)] = 56109,
  [SMALL_STATE(1795)] = 56128,
  [SMALL_STATE(1796)] = 56141,
  [SMALL_STATE(1797)] = 56160,
  [SMALL_STATE(1798)] = 56179,
  [SMALL_STATE(1799)] = 56198,
  [SMALL_STATE(1800)] = 56217,
  [SMALL_STATE(1801)] = 56234,
  [SMALL_STATE(1802)] = 56253,
  [SMALL_STATE(1803)] = 56268,
  [SMALL_STATE(1804)] = 56283,
  [SMALL_STATE(1805)] = 56298,
  [SMALL_STATE(1806)] = 56313,
  [SMALL_STATE(1807)] = 56328,
  [SMALL_STATE(1808)] = 56345,
  [SMALL_STATE(1809)] = 56360,
  [SMALL_STATE(1810)] = 56375,
  [SMALL_STATE(1811)] = 56390,
  [SMALL_STATE(1812)] = 56409,
  [SMALL_STATE(1813)] = 56424,
  [SMALL_STATE(1814)] = 56443,
  [SMALL_STATE(1815)] = 56458,
  [SMALL_STATE(1816)] = 56477,
  [SMALL_STATE(1817)] = 56496,
  [SMALL_STATE(1818)] = 56513,
  [SMALL_STATE(1819)] = 56527,
  [SMALL_STATE(1820)] = 56543,
  [SMALL_STATE(1821)] = 56553,
  [SMALL_STATE(1822)] = 56567,
  [SMALL_STATE(1823)] = 56577,
  [SMALL_STATE(1824)] = 56593,
  [SMALL_STATE(1825)] = 56607,
  [SMALL_STATE(1826)] = 56623,
  [SMALL_STATE(1827)] = 56637,
  [SMALL_STATE(1828)] = 56653,
  [SMALL_STATE(1829)] = 56669,
  [SMALL_STATE(1830)] = 56683,
  [SMALL_STATE(1831)] = 56697,
  [SMALL_STATE(1832)] = 56713,
  [SMALL_STATE(1833)] = 56729,
  [SMALL_STATE(1834)] = 56745,
  [SMALL_STATE(1835)] = 56761,
  [SMALL_STATE(1836)] = 56775,
  [SMALL_STATE(1837)] = 56789,
  [SMALL_STATE(1838)] = 56803,
  [SMALL_STATE(1839)] = 56817,
  [SMALL_STATE(1840)] = 56833,
  [SMALL_STATE(1841)] = 56847,
  [SMALL_STATE(1842)] = 56857,
  [SMALL_STATE(1843)] = 56873,
  [SMALL_STATE(1844)] = 56887,
  [SMALL_STATE(1845)] = 56903,
  [SMALL_STATE(1846)] = 56919,
  [SMALL_STATE(1847)] = 56933,
  [SMALL_STATE(1848)] = 56943,
  [SMALL_STATE(1849)] = 56953,
  [SMALL_STATE(1850)] = 56967,
  [SMALL_STATE(1851)] = 56983,
  [SMALL_STATE(1852)] = 56993,
  [SMALL_STATE(1853)] = 57007,
  [SMALL_STATE(1854)] = 57017,
  [SMALL_STATE(1855)] = 57033,
  [SMALL_STATE(1856)] = 57049,
  [SMALL_STATE(1857)] = 57065,
  [SMALL_STATE(1858)] = 57079,
  [SMALL_STATE(1859)] = 57093,
  [SMALL_STATE(1860)] = 57109,
  [SMALL_STATE(1861)] = 57123,
  [SMALL_STATE(1862)] = 57139,
  [SMALL_STATE(1863)] = 57155,
  [SMALL_STATE(1864)] = 57165,
  [SMALL_STATE(1865)] = 57179,
  [SMALL_STATE(1866)] = 57193,
  [SMALL_STATE(1867)] = 57207,
  [SMALL_STATE(1868)] = 57223,
  [SMALL_STATE(1869)] = 57239,
  [SMALL_STATE(1870)] = 57249,
  [SMALL_STATE(1871)] = 57265,
  [SMALL_STATE(1872)] = 57277,
  [SMALL_STATE(1873)] = 57293,
  [SMALL_STATE(1874)] = 57307,
  [SMALL_STATE(1875)] = 57323,
  [SMALL_STATE(1876)] = 57339,
  [SMALL_STATE(1877)] = 57349,
  [SMALL_STATE(1878)] = 57363,
  [SMALL_STATE(1879)] = 57379,
  [SMALL_STATE(1880)] = 57395,
  [SMALL_STATE(1881)] = 57409,
  [SMALL_STATE(1882)] = 57425,
  [SMALL_STATE(1883)] = 57435,
  [SMALL_STATE(1884)] = 57451,
  [SMALL_STATE(1885)] = 57465,
  [SMALL_STATE(1886)] = 57479,
  [SMALL_STATE(1887)] = 57493,
  [SMALL_STATE(1888)] = 57507,
  [SMALL_STATE(1889)] = 57523,
  [SMALL_STATE(1890)] = 57539,
  [SMALL_STATE(1891)] = 57553,
  [SMALL_STATE(1892)] = 57569,
  [SMALL_STATE(1893)] = 57585,
  [SMALL_STATE(1894)] = 57601,
  [SMALL_STATE(1895)] = 57617,
  [SMALL_STATE(1896)] = 57627,
  [SMALL_STATE(1897)] = 57641,
  [SMALL_STATE(1898)] = 57655,
  [SMALL_STATE(1899)] = 57671,
  [SMALL_STATE(1900)] = 57687,
  [SMALL_STATE(1901)] = 57703,
  [SMALL_STATE(1902)] = 57719,
  [SMALL_STATE(1903)] = 57733,
  [SMALL_STATE(1904)] = 57747,
  [SMALL_STATE(1905)] = 57757,
  [SMALL_STATE(1906)] = 57771,
  [SMALL_STATE(1907)] = 57785,
  [SMALL_STATE(1908)] = 57799,
  [SMALL_STATE(1909)] = 57813,
  [SMALL_STATE(1910)] = 57829,
  [SMALL_STATE(1911)] = 57845,
  [SMALL_STATE(1912)] = 57855,
  [SMALL_STATE(1913)] = 57869,
  [SMALL_STATE(1914)] = 57883,
  [SMALL_STATE(1915)] = 57897,
  [SMALL_STATE(1916)] = 57913,
  [SMALL_STATE(1917)] = 57927,
  [SMALL_STATE(1918)] = 57943,
  [SMALL_STATE(1919)] = 57959,
  [SMALL_STATE(1920)] = 57975,
  [SMALL_STATE(1921)] = 57989,
  [SMALL_STATE(1922)] = 58005,
  [SMALL_STATE(1923)] = 58019,
  [SMALL_STATE(1924)] = 58033,
  [SMALL_STATE(1925)] = 58047,
  [SMALL_STATE(1926)] = 58059,
  [SMALL_STATE(1927)] = 58073,
  [SMALL_STATE(1928)] = 58087,
  [SMALL_STATE(1929)] = 58101,
  [SMALL_STATE(1930)] = 58117,
  [SMALL_STATE(1931)] = 58131,
  [SMALL_STATE(1932)] = 58147,
  [SMALL_STATE(1933)] = 58161,
  [SMALL_STATE(1934)] = 58177,
  [SMALL_STATE(1935)] = 58187,
  [SMALL_STATE(1936)] = 58201,
  [SMALL_STATE(1937)] = 58217,
  [SMALL_STATE(1938)] = 58231,
  [SMALL_STATE(1939)] = 58247,
  [SMALL_STATE(1940)] = 58261,
  [SMALL_STATE(1941)] = 58277,
  [SMALL_STATE(1942)] = 58287,
  [SMALL_STATE(1943)] = 58303,
  [SMALL_STATE(1944)] = 58317,
  [SMALL_STATE(1945)] = 58333,
  [SMALL_STATE(1946)] = 58345,
  [SMALL_STATE(1947)] = 58359,
  [SMALL_STATE(1948)] = 58375,
  [SMALL_STATE(1949)] = 58385,
  [SMALL_STATE(1950)] = 58399,
  [SMALL_STATE(1951)] = 58411,
  [SMALL_STATE(1952)] = 58427,
  [SMALL_STATE(1953)] = 58441,
  [SMALL_STATE(1954)] = 58457,
  [SMALL_STATE(1955)] = 58471,
  [SMALL_STATE(1956)] = 58485,
  [SMALL_STATE(1957)] = 58499,
  [SMALL_STATE(1958)] = 58513,
  [SMALL_STATE(1959)] = 58527,
  [SMALL_STATE(1960)] = 58541,
  [SMALL_STATE(1961)] = 58557,
  [SMALL_STATE(1962)] = 58571,
  [SMALL_STATE(1963)] = 58585,
  [SMALL_STATE(1964)] = 58595,
  [SMALL_STATE(1965)] = 58611,
  [SMALL_STATE(1966)] = 58627,
  [SMALL_STATE(1967)] = 58641,
  [SMALL_STATE(1968)] = 58657,
  [SMALL_STATE(1969)] = 58673,
  [SMALL_STATE(1970)] = 58685,
  [SMALL_STATE(1971)] = 58695,
  [SMALL_STATE(1972)] = 58711,
  [SMALL_STATE(1973)] = 58724,
  [SMALL_STATE(1974)] = 58737,
  [SMALL_STATE(1975)] = 58748,
  [SMALL_STATE(1976)] = 58759,
  [SMALL_STATE(1977)] = 58772,
  [SMALL_STATE(1978)] = 58783,
  [SMALL_STATE(1979)] = 58794,
  [SMALL_STATE(1980)] = 58805,
  [SMALL_STATE(1981)] = 58816,
  [SMALL_STATE(1982)] = 58827,
  [SMALL_STATE(1983)] = 58838,
  [SMALL_STATE(1984)] = 58849,
  [SMALL_STATE(1985)] = 58860,
  [SMALL_STATE(1986)] = 58873,
  [SMALL_STATE(1987)] = 58886,
  [SMALL_STATE(1988)] = 58897,
  [SMALL_STATE(1989)] = 58910,
  [SMALL_STATE(1990)] = 58919,
  [SMALL_STATE(1991)] = 58932,
  [SMALL_STATE(1992)] = 58943,
  [SMALL_STATE(1993)] = 58954,
  [SMALL_STATE(1994)] = 58967,
  [SMALL_STATE(1995)] = 58978,
  [SMALL_STATE(1996)] = 58989,
  [SMALL_STATE(1997)] = 59002,
  [SMALL_STATE(1998)] = 59013,
  [SMALL_STATE(1999)] = 59026,
  [SMALL_STATE(2000)] = 59037,
  [SMALL_STATE(2001)] = 59048,
  [SMALL_STATE(2002)] = 59061,
  [SMALL_STATE(2003)] = 59072,
  [SMALL_STATE(2004)] = 59083,
  [SMALL_STATE(2005)] = 59094,
  [SMALL_STATE(2006)] = 59107,
  [SMALL_STATE(2007)] = 59120,
  [SMALL_STATE(2008)] = 59133,
  [SMALL_STATE(2009)] = 59146,
  [SMALL_STATE(2010)] = 59157,
  [SMALL_STATE(2011)] = 59170,
  [SMALL_STATE(2012)] = 59181,
  [SMALL_STATE(2013)] = 59192,
  [SMALL_STATE(2014)] = 59205,
  [SMALL_STATE(2015)] = 59218,
  [SMALL_STATE(2016)] = 59229,
  [SMALL_STATE(2017)] = 59240,
  [SMALL_STATE(2018)] = 59249,
  [SMALL_STATE(2019)] = 59260,
  [SMALL_STATE(2020)] = 59271,
  [SMALL_STATE(2021)] = 59282,
  [SMALL_STATE(2022)] = 59291,
  [SMALL_STATE(2023)] = 59302,
  [SMALL_STATE(2024)] = 59313,
  [SMALL_STATE(2025)] = 59326,
  [SMALL_STATE(2026)] = 59337,
  [SMALL_STATE(2027)] = 59348,
  [SMALL_STATE(2028)] = 59359,
  [SMALL_STATE(2029)] = 59370,
  [SMALL_STATE(2030)] = 59381,
  [SMALL_STATE(2031)] = 59392,
  [SMALL_STATE(2032)] = 59403,
  [SMALL_STATE(2033)] = 59414,
  [SMALL_STATE(2034)] = 59427,
  [SMALL_STATE(2035)] = 59438,
  [SMALL_STATE(2036)] = 59447,
  [SMALL_STATE(2037)] = 59458,
  [SMALL_STATE(2038)] = 59469,
  [SMALL_STATE(2039)] = 59482,
  [SMALL_STATE(2040)] = 59493,
  [SMALL_STATE(2041)] = 59504,
  [SMALL_STATE(2042)] = 59517,
  [SMALL_STATE(2043)] = 59528,
  [SMALL_STATE(2044)] = 59537,
  [SMALL_STATE(2045)] = 59550,
  [SMALL_STATE(2046)] = 59561,
  [SMALL_STATE(2047)] = 59574,
  [SMALL_STATE(2048)] = 59587,
  [SMALL_STATE(2049)] = 59600,
  [SMALL_STATE(2050)] = 59613,
  [SMALL_STATE(2051)] = 59624,
  [SMALL_STATE(2052)] = 59637,
  [SMALL_STATE(2053)] = 59650,
  [SMALL_STATE(2054)] = 59663,
  [SMALL_STATE(2055)] = 59674,
  [SMALL_STATE(2056)] = 59685,
  [SMALL_STATE(2057)] = 59696,
  [SMALL_STATE(2058)] = 59707,
  [SMALL_STATE(2059)] = 59718,
  [SMALL_STATE(2060)] = 59727,
  [SMALL_STATE(2061)] = 59740,
  [SMALL_STATE(2062)] = 59751,
  [SMALL_STATE(2063)] = 59762,
  [SMALL_STATE(2064)] = 59773,
  [SMALL_STATE(2065)] = 59784,
  [SMALL_STATE(2066)] = 59797,
  [SMALL_STATE(2067)] = 59806,
  [SMALL_STATE(2068)] = 59819,
  [SMALL_STATE(2069)] = 59830,
  [SMALL_STATE(2070)] = 59841,
  [SMALL_STATE(2071)] = 59854,
  [SMALL_STATE(2072)] = 59865,
  [SMALL_STATE(2073)] = 59876,
  [SMALL_STATE(2074)] = 59889,
  [SMALL_STATE(2075)] = 59902,
  [SMALL_STATE(2076)] = 59913,
  [SMALL_STATE(2077)] = 59924,
  [SMALL_STATE(2078)] = 59937,
  [SMALL_STATE(2079)] = 59948,
  [SMALL_STATE(2080)] = 59959,
  [SMALL_STATE(2081)] = 59970,
  [SMALL_STATE(2082)] = 59981,
  [SMALL_STATE(2083)] = 59994,
  [SMALL_STATE(2084)] = 60005,
  [SMALL_STATE(2085)] = 60016,
  [SMALL_STATE(2086)] = 60029,
  [SMALL_STATE(2087)] = 60040,
  [SMALL_STATE(2088)] = 60051,
  [SMALL_STATE(2089)] = 60060,
  [SMALL_STATE(2090)] = 60069,
  [SMALL_STATE(2091)] = 60082,
  [SMALL_STATE(2092)] = 60095,
  [SMALL_STATE(2093)] = 60106,
  [SMALL_STATE(2094)] = 60117,
  [SMALL_STATE(2095)] = 60130,
  [SMALL_STATE(2096)] = 60141,
  [SMALL_STATE(2097)] = 60152,
  [SMALL_STATE(2098)] = 60163,
  [SMALL_STATE(2099)] = 60174,
  [SMALL_STATE(2100)] = 60187,
  [SMALL_STATE(2101)] = 60198,
  [SMALL_STATE(2102)] = 60209,
  [SMALL_STATE(2103)] = 60218,
  [SMALL_STATE(2104)] = 60229,
  [SMALL_STATE(2105)] = 60242,
  [SMALL_STATE(2106)] = 60255,
  [SMALL_STATE(2107)] = 60266,
  [SMALL_STATE(2108)] = 60277,
  [SMALL_STATE(2109)] = 60290,
  [SMALL_STATE(2110)] = 60303,
  [SMALL_STATE(2111)] = 60316,
  [SMALL_STATE(2112)] = 60329,
  [SMALL_STATE(2113)] = 60342,
  [SMALL_STATE(2114)] = 60355,
  [SMALL_STATE(2115)] = 60366,
  [SMALL_STATE(2116)] = 60377,
  [SMALL_STATE(2117)] = 60388,
  [SMALL_STATE(2118)] = 60401,
  [SMALL_STATE(2119)] = 60412,
  [SMALL_STATE(2120)] = 60423,
  [SMALL_STATE(2121)] = 60434,
  [SMALL_STATE(2122)] = 60447,
  [SMALL_STATE(2123)] = 60458,
  [SMALL_STATE(2124)] = 60469,
  [SMALL_STATE(2125)] = 60480,
  [SMALL_STATE(2126)] = 60493,
  [SMALL_STATE(2127)] = 60502,
  [SMALL_STATE(2128)] = 60515,
  [SMALL_STATE(2129)] = 60526,
  [SMALL_STATE(2130)] = 60539,
  [SMALL_STATE(2131)] = 60550,
  [SMALL_STATE(2132)] = 60563,
  [SMALL_STATE(2133)] = 60574,
  [SMALL_STATE(2134)] = 60587,
  [SMALL_STATE(2135)] = 60600,
  [SMALL_STATE(2136)] = 60611,
  [SMALL_STATE(2137)] = 60622,
  [SMALL_STATE(2138)] = 60633,
  [SMALL_STATE(2139)] = 60644,
  [SMALL_STATE(2140)] = 60655,
  [SMALL_STATE(2141)] = 60666,
  [SMALL_STATE(2142)] = 60677,
  [SMALL_STATE(2143)] = 60688,
  [SMALL_STATE(2144)] = 60699,
  [SMALL_STATE(2145)] = 60710,
  [SMALL_STATE(2146)] = 60723,
  [SMALL_STATE(2147)] = 60732,
  [SMALL_STATE(2148)] = 60743,
  [SMALL_STATE(2149)] = 60754,
  [SMALL_STATE(2150)] = 60767,
  [SMALL_STATE(2151)] = 60776,
  [SMALL_STATE(2152)] = 60787,
  [SMALL_STATE(2153)] = 60798,
  [SMALL_STATE(2154)] = 60811,
  [SMALL_STATE(2155)] = 60822,
  [SMALL_STATE(2156)] = 60835,
  [SMALL_STATE(2157)] = 60846,
  [SMALL_STATE(2158)] = 60859,
  [SMALL_STATE(2159)] = 60868,
  [SMALL_STATE(2160)] = 60877,
  [SMALL_STATE(2161)] = 60890,
  [SMALL_STATE(2162)] = 60903,
  [SMALL_STATE(2163)] = 60916,
  [SMALL_STATE(2164)] = 60927,
  [SMALL_STATE(2165)] = 60940,
  [SMALL_STATE(2166)] = 60951,
  [SMALL_STATE(2167)] = 60962,
  [SMALL_STATE(2168)] = 60971,
  [SMALL_STATE(2169)] = 60980,
  [SMALL_STATE(2170)] = 60993,
  [SMALL_STATE(2171)] = 61006,
  [SMALL_STATE(2172)] = 61017,
  [SMALL_STATE(2173)] = 61028,
  [SMALL_STATE(2174)] = 61039,
  [SMALL_STATE(2175)] = 61052,
  [SMALL_STATE(2176)] = 61063,
  [SMALL_STATE(2177)] = 61074,
  [SMALL_STATE(2178)] = 61087,
  [SMALL_STATE(2179)] = 61098,
  [SMALL_STATE(2180)] = 61111,
  [SMALL_STATE(2181)] = 61122,
  [SMALL_STATE(2182)] = 61135,
  [SMALL_STATE(2183)] = 61148,
  [SMALL_STATE(2184)] = 61159,
  [SMALL_STATE(2185)] = 61172,
  [SMALL_STATE(2186)] = 61183,
  [SMALL_STATE(2187)] = 61194,
  [SMALL_STATE(2188)] = 61205,
  [SMALL_STATE(2189)] = 61216,
  [SMALL_STATE(2190)] = 61229,
  [SMALL_STATE(2191)] = 61242,
  [SMALL_STATE(2192)] = 61253,
  [SMALL_STATE(2193)] = 61266,
  [SMALL_STATE(2194)] = 61277,
  [SMALL_STATE(2195)] = 61290,
  [SMALL_STATE(2196)] = 61301,
  [SMALL_STATE(2197)] = 61312,
  [SMALL_STATE(2198)] = 61325,
  [SMALL_STATE(2199)] = 61336,
  [SMALL_STATE(2200)] = 61349,
  [SMALL_STATE(2201)] = 61360,
  [SMALL_STATE(2202)] = 61371,
  [SMALL_STATE(2203)] = 61382,
  [SMALL_STATE(2204)] = 61393,
  [SMALL_STATE(2205)] = 61404,
  [SMALL_STATE(2206)] = 61415,
  [SMALL_STATE(2207)] = 61426,
  [SMALL_STATE(2208)] = 61439,
  [SMALL_STATE(2209)] = 61452,
  [SMALL_STATE(2210)] = 61463,
  [SMALL_STATE(2211)] = 61476,
  [SMALL_STATE(2212)] = 61487,
  [SMALL_STATE(2213)] = 61498,
  [SMALL_STATE(2214)] = 61511,
  [SMALL_STATE(2215)] = 61520,
  [SMALL_STATE(2216)] = 61531,
  [SMALL_STATE(2217)] = 61542,
  [SMALL_STATE(2218)] = 61553,
  [SMALL_STATE(2219)] = 61566,
  [SMALL_STATE(2220)] = 61579,
  [SMALL_STATE(2221)] = 61588,
  [SMALL_STATE(2222)] = 61601,
  [SMALL_STATE(2223)] = 61610,
  [SMALL_STATE(2224)] = 61623,
  [SMALL_STATE(2225)] = 61636,
  [SMALL_STATE(2226)] = 61649,
  [SMALL_STATE(2227)] = 61658,
  [SMALL_STATE(2228)] = 61669,
  [SMALL_STATE(2229)] = 61680,
  [SMALL_STATE(2230)] = 61691,
  [SMALL_STATE(2231)] = 61702,
  [SMALL_STATE(2232)] = 61713,
  [SMALL_STATE(2233)] = 61724,
  [SMALL_STATE(2234)] = 61735,
  [SMALL_STATE(2235)] = 61746,
  [SMALL_STATE(2236)] = 61757,
  [SMALL_STATE(2237)] = 61768,
  [SMALL_STATE(2238)] = 61779,
  [SMALL_STATE(2239)] = 61790,
  [SMALL_STATE(2240)] = 61801,
  [SMALL_STATE(2241)] = 61812,
  [SMALL_STATE(2242)] = 61825,
  [SMALL_STATE(2243)] = 61836,
  [SMALL_STATE(2244)] = 61849,
  [SMALL_STATE(2245)] = 61862,
  [SMALL_STATE(2246)] = 61875,
  [SMALL_STATE(2247)] = 61888,
  [SMALL_STATE(2248)] = 61899,
  [SMALL_STATE(2249)] = 61912,
  [SMALL_STATE(2250)] = 61925,
  [SMALL_STATE(2251)] = 61936,
  [SMALL_STATE(2252)] = 61947,
  [SMALL_STATE(2253)] = 61960,
  [SMALL_STATE(2254)] = 61973,
  [SMALL_STATE(2255)] = 61982,
  [SMALL_STATE(2256)] = 61991,
  [SMALL_STATE(2257)] = 62002,
  [SMALL_STATE(2258)] = 62011,
  [SMALL_STATE(2259)] = 62024,
  [SMALL_STATE(2260)] = 62037,
  [SMALL_STATE(2261)] = 62048,
  [SMALL_STATE(2262)] = 62061,
  [SMALL_STATE(2263)] = 62074,
  [SMALL_STATE(2264)] = 62087,
  [SMALL_STATE(2265)] = 62098,
  [SMALL_STATE(2266)] = 62111,
  [SMALL_STATE(2267)] = 62124,
  [SMALL_STATE(2268)] = 62137,
  [SMALL_STATE(2269)] = 62146,
  [SMALL_STATE(2270)] = 62159,
  [SMALL_STATE(2271)] = 62169,
  [SMALL_STATE(2272)] = 62179,
  [SMALL_STATE(2273)] = 62187,
  [SMALL_STATE(2274)] = 62195,
  [SMALL_STATE(2275)] = 62205,
  [SMALL_STATE(2276)] = 62213,
  [SMALL_STATE(2277)] = 62223,
  [SMALL_STATE(2278)] = 62233,
  [SMALL_STATE(2279)] = 62241,
  [SMALL_STATE(2280)] = 62249,
  [SMALL_STATE(2281)] = 62259,
  [SMALL_STATE(2282)] = 62269,
  [SMALL_STATE(2283)] = 62279,
  [SMALL_STATE(2284)] = 62289,
  [SMALL_STATE(2285)] = 62297,
  [SMALL_STATE(2286)] = 62305,
  [SMALL_STATE(2287)] = 62313,
  [SMALL_STATE(2288)] = 62323,
  [SMALL_STATE(2289)] = 62331,
  [SMALL_STATE(2290)] = 62341,
  [SMALL_STATE(2291)] = 62351,
  [SMALL_STATE(2292)] = 62359,
  [SMALL_STATE(2293)] = 62369,
  [SMALL_STATE(2294)] = 62379,
  [SMALL_STATE(2295)] = 62389,
  [SMALL_STATE(2296)] = 62399,
  [SMALL_STATE(2297)] = 62409,
  [SMALL_STATE(2298)] = 62419,
  [SMALL_STATE(2299)] = 62427,
  [SMALL_STATE(2300)] = 62437,
  [SMALL_STATE(2301)] = 62447,
  [SMALL_STATE(2302)] = 62457,
  [SMALL_STATE(2303)] = 62467,
  [SMALL_STATE(2304)] = 62477,
  [SMALL_STATE(2305)] = 62487,
  [SMALL_STATE(2306)] = 62497,
  [SMALL_STATE(2307)] = 62505,
  [SMALL_STATE(2308)] = 62515,
  [SMALL_STATE(2309)] = 62523,
  [SMALL_STATE(2310)] = 62531,
  [SMALL_STATE(2311)] = 62541,
  [SMALL_STATE(2312)] = 62551,
  [SMALL_STATE(2313)] = 62559,
  [SMALL_STATE(2314)] = 62567,
  [SMALL_STATE(2315)] = 62577,
  [SMALL_STATE(2316)] = 62587,
  [SMALL_STATE(2317)] = 62597,
  [SMALL_STATE(2318)] = 62605,
  [SMALL_STATE(2319)] = 62613,
  [SMALL_STATE(2320)] = 62621,
  [SMALL_STATE(2321)] = 62631,
  [SMALL_STATE(2322)] = 62641,
  [SMALL_STATE(2323)] = 62649,
  [SMALL_STATE(2324)] = 62657,
  [SMALL_STATE(2325)] = 62665,
  [SMALL_STATE(2326)] = 62673,
  [SMALL_STATE(2327)] = 62681,
  [SMALL_STATE(2328)] = 62691,
  [SMALL_STATE(2329)] = 62699,
  [SMALL_STATE(2330)] = 62709,
  [SMALL_STATE(2331)] = 62719,
  [SMALL_STATE(2332)] = 62727,
  [SMALL_STATE(2333)] = 62737,
  [SMALL_STATE(2334)] = 62747,
  [SMALL_STATE(2335)] = 62757,
  [SMALL_STATE(2336)] = 62765,
  [SMALL_STATE(2337)] = 62773,
  [SMALL_STATE(2338)] = 62783,
  [SMALL_STATE(2339)] = 62793,
  [SMALL_STATE(2340)] = 62803,
  [SMALL_STATE(2341)] = 62813,
  [SMALL_STATE(2342)] = 62821,
  [SMALL_STATE(2343)] = 62831,
  [SMALL_STATE(2344)] = 62841,
  [SMALL_STATE(2345)] = 62849,
  [SMALL_STATE(2346)] = 62859,
  [SMALL_STATE(2347)] = 62869,
  [SMALL_STATE(2348)] = 62877,
  [SMALL_STATE(2349)] = 62887,
  [SMALL_STATE(2350)] = 62897,
  [SMALL_STATE(2351)] = 62907,
  [SMALL_STATE(2352)] = 62917,
  [SMALL_STATE(2353)] = 62927,
  [SMALL_STATE(2354)] = 62935,
  [SMALL_STATE(2355)] = 62945,
  [SMALL_STATE(2356)] = 62955,
  [SMALL_STATE(2357)] = 62965,
  [SMALL_STATE(2358)] = 62975,
  [SMALL_STATE(2359)] = 62983,
  [SMALL_STATE(2360)] = 62993,
  [SMALL_STATE(2361)] = 63003,
  [SMALL_STATE(2362)] = 63013,
  [SMALL_STATE(2363)] = 63023,
  [SMALL_STATE(2364)] = 63033,
  [SMALL_STATE(2365)] = 63041,
  [SMALL_STATE(2366)] = 63049,
  [SMALL_STATE(2367)] = 63057,
  [SMALL_STATE(2368)] = 63065,
  [SMALL_STATE(2369)] = 63075,
  [SMALL_STATE(2370)] = 63083,
  [SMALL_STATE(2371)] = 63093,
  [SMALL_STATE(2372)] = 63101,
  [SMALL_STATE(2373)] = 63109,
  [SMALL_STATE(2374)] = 63119,
  [SMALL_STATE(2375)] = 63129,
  [SMALL_STATE(2376)] = 63137,
  [SMALL_STATE(2377)] = 63147,
  [SMALL_STATE(2378)] = 63157,
  [SMALL_STATE(2379)] = 63165,
  [SMALL_STATE(2380)] = 63173,
  [SMALL_STATE(2381)] = 63181,
  [SMALL_STATE(2382)] = 63191,
  [SMALL_STATE(2383)] = 63201,
  [SMALL_STATE(2384)] = 63211,
  [SMALL_STATE(2385)] = 63221,
  [SMALL_STATE(2386)] = 63231,
  [SMALL_STATE(2387)] = 63239,
  [SMALL_STATE(2388)] = 63249,
  [SMALL_STATE(2389)] = 63257,
  [SMALL_STATE(2390)] = 63267,
  [SMALL_STATE(2391)] = 63277,
  [SMALL_STATE(2392)] = 63287,
  [SMALL_STATE(2393)] = 63297,
  [SMALL_STATE(2394)] = 63307,
  [SMALL_STATE(2395)] = 63317,
  [SMALL_STATE(2396)] = 63327,
  [SMALL_STATE(2397)] = 63337,
  [SMALL_STATE(2398)] = 63347,
  [SMALL_STATE(2399)] = 63355,
  [SMALL_STATE(2400)] = 63365,
  [SMALL_STATE(2401)] = 63375,
  [SMALL_STATE(2402)] = 63383,
  [SMALL_STATE(2403)] = 63391,
  [SMALL_STATE(2404)] = 63399,
  [SMALL_STATE(2405)] = 63409,
  [SMALL_STATE(2406)] = 63417,
  [SMALL_STATE(2407)] = 63425,
  [SMALL_STATE(2408)] = 63435,
  [SMALL_STATE(2409)] = 63445,
  [SMALL_STATE(2410)] = 63455,
  [SMALL_STATE(2411)] = 63463,
  [SMALL_STATE(2412)] = 63473,
  [SMALL_STATE(2413)] = 63483,
  [SMALL_STATE(2414)] = 63493,
  [SMALL_STATE(2415)] = 63503,
  [SMALL_STATE(2416)] = 63513,
  [SMALL_STATE(2417)] = 63521,
  [SMALL_STATE(2418)] = 63529,
  [SMALL_STATE(2419)] = 63539,
  [SMALL_STATE(2420)] = 63547,
  [SMALL_STATE(2421)] = 63555,
  [SMALL_STATE(2422)] = 63565,
  [SMALL_STATE(2423)] = 63573,
  [SMALL_STATE(2424)] = 63583,
  [SMALL_STATE(2425)] = 63593,
  [SMALL_STATE(2426)] = 63601,
  [SMALL_STATE(2427)] = 63609,
  [SMALL_STATE(2428)] = 63619,
  [SMALL_STATE(2429)] = 63627,
  [SMALL_STATE(2430)] = 63635,
  [SMALL_STATE(2431)] = 63643,
  [SMALL_STATE(2432)] = 63651,
  [SMALL_STATE(2433)] = 63659,
  [SMALL_STATE(2434)] = 63667,
  [SMALL_STATE(2435)] = 63675,
  [SMALL_STATE(2436)] = 63683,
  [SMALL_STATE(2437)] = 63691,
  [SMALL_STATE(2438)] = 63701,
  [SMALL_STATE(2439)] = 63711,
  [SMALL_STATE(2440)] = 63721,
  [SMALL_STATE(2441)] = 63729,
  [SMALL_STATE(2442)] = 63737,
  [SMALL_STATE(2443)] = 63745,
  [SMALL_STATE(2444)] = 63753,
  [SMALL_STATE(2445)] = 63761,
  [SMALL_STATE(2446)] = 63771,
  [SMALL_STATE(2447)] = 63779,
  [SMALL_STATE(2448)] = 63787,
  [SMALL_STATE(2449)] = 63797,
  [SMALL_STATE(2450)] = 63805,
  [SMALL_STATE(2451)] = 63813,
  [SMALL_STATE(2452)] = 63823,
  [SMALL_STATE(2453)] = 63831,
  [SMALL_STATE(2454)] = 63839,
  [SMALL_STATE(2455)] = 63847,
  [SMALL_STATE(2456)] = 63857,
  [SMALL_STATE(2457)] = 63867,
  [SMALL_STATE(2458)] = 63877,
  [SMALL_STATE(2459)] = 63887,
  [SMALL_STATE(2460)] = 63895,
  [SMALL_STATE(2461)] = 63905,
  [SMALL_STATE(2462)] = 63913,
  [SMALL_STATE(2463)] = 63921,
  [SMALL_STATE(2464)] = 63931,
  [SMALL_STATE(2465)] = 63941,
  [SMALL_STATE(2466)] = 63949,
  [SMALL_STATE(2467)] = 63959,
  [SMALL_STATE(2468)] = 63969,
  [SMALL_STATE(2469)] = 63977,
  [SMALL_STATE(2470)] = 63985,
  [SMALL_STATE(2471)] = 63993,
  [SMALL_STATE(2472)] = 64001,
  [SMALL_STATE(2473)] = 64009,
  [SMALL_STATE(2474)] = 64019,
  [SMALL_STATE(2475)] = 64029,
  [SMALL_STATE(2476)] = 64037,
  [SMALL_STATE(2477)] = 64047,
  [SMALL_STATE(2478)] = 64057,
  [SMALL_STATE(2479)] = 64067,
  [SMALL_STATE(2480)] = 64077,
  [SMALL_STATE(2481)] = 64087,
  [SMALL_STATE(2482)] = 64095,
  [SMALL_STATE(2483)] = 64103,
  [SMALL_STATE(2484)] = 64113,
  [SMALL_STATE(2485)] = 64121,
  [SMALL_STATE(2486)] = 64131,
  [SMALL_STATE(2487)] = 64139,
  [SMALL_STATE(2488)] = 64149,
  [SMALL_STATE(2489)] = 64159,
  [SMALL_STATE(2490)] = 64167,
  [SMALL_STATE(2491)] = 64177,
  [SMALL_STATE(2492)] = 64185,
  [SMALL_STATE(2493)] = 64193,
  [SMALL_STATE(2494)] = 64201,
  [SMALL_STATE(2495)] = 64209,
  [SMALL_STATE(2496)] = 64219,
  [SMALL_STATE(2497)] = 64229,
  [SMALL_STATE(2498)] = 64239,
  [SMALL_STATE(2499)] = 64249,
  [SMALL_STATE(2500)] = 64257,
  [SMALL_STATE(2501)] = 64267,
  [SMALL_STATE(2502)] = 64275,
  [SMALL_STATE(2503)] = 64285,
  [SMALL_STATE(2504)] = 64295,
  [SMALL_STATE(2505)] = 64305,
  [SMALL_STATE(2506)] = 64313,
  [SMALL_STATE(2507)] = 64323,
  [SMALL_STATE(2508)] = 64331,
  [SMALL_STATE(2509)] = 64341,
  [SMALL_STATE(2510)] = 64349,
  [SMALL_STATE(2511)] = 64357,
  [SMALL_STATE(2512)] = 64365,
  [SMALL_STATE(2513)] = 64375,
  [SMALL_STATE(2514)] = 64383,
  [SMALL_STATE(2515)] = 64393,
  [SMALL_STATE(2516)] = 64403,
  [SMALL_STATE(2517)] = 64411,
  [SMALL_STATE(2518)] = 64419,
  [SMALL_STATE(2519)] = 64429,
  [SMALL_STATE(2520)] = 64437,
  [SMALL_STATE(2521)] = 64445,
  [SMALL_STATE(2522)] = 64455,
  [SMALL_STATE(2523)] = 64465,
  [SMALL_STATE(2524)] = 64475,
  [SMALL_STATE(2525)] = 64485,
  [SMALL_STATE(2526)] = 64495,
  [SMALL_STATE(2527)] = 64503,
  [SMALL_STATE(2528)] = 64511,
  [SMALL_STATE(2529)] = 64521,
  [SMALL_STATE(2530)] = 64531,
  [SMALL_STATE(2531)] = 64541,
  [SMALL_STATE(2532)] = 64551,
  [SMALL_STATE(2533)] = 64559,
  [SMALL_STATE(2534)] = 64569,
  [SMALL_STATE(2535)] = 64579,
  [SMALL_STATE(2536)] = 64589,
  [SMALL_STATE(2537)] = 64599,
  [SMALL_STATE(2538)] = 64609,
  [SMALL_STATE(2539)] = 64617,
  [SMALL_STATE(2540)] = 64627,
  [SMALL_STATE(2541)] = 64637,
  [SMALL_STATE(2542)] = 64647,
  [SMALL_STATE(2543)] = 64657,
  [SMALL_STATE(2544)] = 64667,
  [SMALL_STATE(2545)] = 64675,
  [SMALL_STATE(2546)] = 64685,
  [SMALL_STATE(2547)] = 64693,
  [SMALL_STATE(2548)] = 64703,
  [SMALL_STATE(2549)] = 64713,
  [SMALL_STATE(2550)] = 64723,
  [SMALL_STATE(2551)] = 64733,
  [SMALL_STATE(2552)] = 64743,
  [SMALL_STATE(2553)] = 64753,
  [SMALL_STATE(2554)] = 64761,
  [SMALL_STATE(2555)] = 64771,
  [SMALL_STATE(2556)] = 64781,
  [SMALL_STATE(2557)] = 64791,
  [SMALL_STATE(2558)] = 64801,
  [SMALL_STATE(2559)] = 64809,
  [SMALL_STATE(2560)] = 64817,
  [SMALL_STATE(2561)] = 64824,
  [SMALL_STATE(2562)] = 64831,
  [SMALL_STATE(2563)] = 64838,
  [SMALL_STATE(2564)] = 64845,
  [SMALL_STATE(2565)] = 64852,
  [SMALL_STATE(2566)] = 64859,
  [SMALL_STATE(2567)] = 64866,
  [SMALL_STATE(2568)] = 64873,
  [SMALL_STATE(2569)] = 64880,
  [SMALL_STATE(2570)] = 64887,
  [SMALL_STATE(2571)] = 64894,
  [SMALL_STATE(2572)] = 64901,
  [SMALL_STATE(2573)] = 64908,
  [SMALL_STATE(2574)] = 64915,
  [SMALL_STATE(2575)] = 64922,
  [SMALL_STATE(2576)] = 64929,
  [SMALL_STATE(2577)] = 64936,
  [SMALL_STATE(2578)] = 64943,
  [SMALL_STATE(2579)] = 64950,
  [SMALL_STATE(2580)] = 64957,
  [SMALL_STATE(2581)] = 64964,
  [SMALL_STATE(2582)] = 64971,
  [SMALL_STATE(2583)] = 64978,
  [SMALL_STATE(2584)] = 64985,
  [SMALL_STATE(2585)] = 64992,
  [SMALL_STATE(2586)] = 64999,
  [SMALL_STATE(2587)] = 65006,
  [SMALL_STATE(2588)] = 65013,
  [SMALL_STATE(2589)] = 65020,
  [SMALL_STATE(2590)] = 65027,
  [SMALL_STATE(2591)] = 65034,
  [SMALL_STATE(2592)] = 65041,
  [SMALL_STATE(2593)] = 65048,
  [SMALL_STATE(2594)] = 65055,
  [SMALL_STATE(2595)] = 65062,
  [SMALL_STATE(2596)] = 65069,
  [SMALL_STATE(2597)] = 65076,
  [SMALL_STATE(2598)] = 65083,
  [SMALL_STATE(2599)] = 65090,
  [SMALL_STATE(2600)] = 65097,
  [SMALL_STATE(2601)] = 65104,
  [SMALL_STATE(2602)] = 65111,
  [SMALL_STATE(2603)] = 65118,
  [SMALL_STATE(2604)] = 65125,
  [SMALL_STATE(2605)] = 65132,
  [SMALL_STATE(2606)] = 65139,
  [SMALL_STATE(2607)] = 65146,
  [SMALL_STATE(2608)] = 65153,
  [SMALL_STATE(2609)] = 65160,
  [SMALL_STATE(2610)] = 65167,
  [SMALL_STATE(2611)] = 65174,
  [SMALL_STATE(2612)] = 65181,
  [SMALL_STATE(2613)] = 65188,
  [SMALL_STATE(2614)] = 65195,
  [SMALL_STATE(2615)] = 65202,
  [SMALL_STATE(2616)] = 65209,
  [SMALL_STATE(2617)] = 65216,
  [SMALL_STATE(2618)] = 65223,
  [SMALL_STATE(2619)] = 65230,
  [SMALL_STATE(2620)] = 65237,
  [SMALL_STATE(2621)] = 65244,
  [SMALL_STATE(2622)] = 65251,
  [SMALL_STATE(2623)] = 65258,
  [SMALL_STATE(2624)] = 65265,
  [SMALL_STATE(2625)] = 65272,
  [SMALL_STATE(2626)] = 65279,
  [SMALL_STATE(2627)] = 65286,
  [SMALL_STATE(2628)] = 65293,
  [SMALL_STATE(2629)] = 65300,
  [SMALL_STATE(2630)] = 65307,
  [SMALL_STATE(2631)] = 65314,
  [SMALL_STATE(2632)] = 65321,
  [SMALL_STATE(2633)] = 65328,
  [SMALL_STATE(2634)] = 65335,
  [SMALL_STATE(2635)] = 65342,
  [SMALL_STATE(2636)] = 65349,
  [SMALL_STATE(2637)] = 65356,
  [SMALL_STATE(2638)] = 65363,
  [SMALL_STATE(2639)] = 65370,
  [SMALL_STATE(2640)] = 65377,
  [SMALL_STATE(2641)] = 65384,
  [SMALL_STATE(2642)] = 65391,
  [SMALL_STATE(2643)] = 65398,
  [SMALL_STATE(2644)] = 65405,
  [SMALL_STATE(2645)] = 65412,
  [SMALL_STATE(2646)] = 65419,
  [SMALL_STATE(2647)] = 65426,
  [SMALL_STATE(2648)] = 65433,
  [SMALL_STATE(2649)] = 65440,
  [SMALL_STATE(2650)] = 65447,
  [SMALL_STATE(2651)] = 65454,
  [SMALL_STATE(2652)] = 65461,
  [SMALL_STATE(2653)] = 65468,
  [SMALL_STATE(2654)] = 65475,
  [SMALL_STATE(2655)] = 65482,
  [SMALL_STATE(2656)] = 65489,
  [SMALL_STATE(2657)] = 65496,
  [SMALL_STATE(2658)] = 65503,
  [SMALL_STATE(2659)] = 65510,
  [SMALL_STATE(2660)] = 65517,
  [SMALL_STATE(2661)] = 65524,
  [SMALL_STATE(2662)] = 65531,
  [SMALL_STATE(2663)] = 65538,
  [SMALL_STATE(2664)] = 65545,
  [SMALL_STATE(2665)] = 65552,
  [SMALL_STATE(2666)] = 65559,
  [SMALL_STATE(2667)] = 65566,
  [SMALL_STATE(2668)] = 65573,
  [SMALL_STATE(2669)] = 65580,
  [SMALL_STATE(2670)] = 65587,
  [SMALL_STATE(2671)] = 65594,
  [SMALL_STATE(2672)] = 65601,
  [SMALL_STATE(2673)] = 65608,
  [SMALL_STATE(2674)] = 65615,
  [SMALL_STATE(2675)] = 65622,
  [SMALL_STATE(2676)] = 65629,
  [SMALL_STATE(2677)] = 65636,
  [SMALL_STATE(2678)] = 65643,
  [SMALL_STATE(2679)] = 65650,
  [SMALL_STATE(2680)] = 65657,
  [SMALL_STATE(2681)] = 65664,
  [SMALL_STATE(2682)] = 65671,
  [SMALL_STATE(2683)] = 65678,
  [SMALL_STATE(2684)] = 65685,
  [SMALL_STATE(2685)] = 65692,
  [SMALL_STATE(2686)] = 65699,
  [SMALL_STATE(2687)] = 65706,
  [SMALL_STATE(2688)] = 65713,
  [SMALL_STATE(2689)] = 65720,
  [SMALL_STATE(2690)] = 65727,
  [SMALL_STATE(2691)] = 65734,
  [SMALL_STATE(2692)] = 65741,
  [SMALL_STATE(2693)] = 65748,
  [SMALL_STATE(2694)] = 65755,
  [SMALL_STATE(2695)] = 65762,
  [SMALL_STATE(2696)] = 65769,
  [SMALL_STATE(2697)] = 65776,
  [SMALL_STATE(2698)] = 65783,
  [SMALL_STATE(2699)] = 65790,
  [SMALL_STATE(2700)] = 65797,
  [SMALL_STATE(2701)] = 65804,
  [SMALL_STATE(2702)] = 65811,
  [SMALL_STATE(2703)] = 65818,
  [SMALL_STATE(2704)] = 65825,
  [SMALL_STATE(2705)] = 65832,
  [SMALL_STATE(2706)] = 65839,
  [SMALL_STATE(2707)] = 65846,
  [SMALL_STATE(2708)] = 65853,
  [SMALL_STATE(2709)] = 65860,
  [SMALL_STATE(2710)] = 65867,
  [SMALL_STATE(2711)] = 65874,
  [SMALL_STATE(2712)] = 65881,
  [SMALL_STATE(2713)] = 65888,
  [SMALL_STATE(2714)] = 65895,
  [SMALL_STATE(2715)] = 65902,
  [SMALL_STATE(2716)] = 65909,
  [SMALL_STATE(2717)] = 65916,
  [SMALL_STATE(2718)] = 65923,
  [SMALL_STATE(2719)] = 65930,
  [SMALL_STATE(2720)] = 65937,
  [SMALL_STATE(2721)] = 65944,
  [SMALL_STATE(2722)] = 65951,
  [SMALL_STATE(2723)] = 65958,
  [SMALL_STATE(2724)] = 65965,
  [SMALL_STATE(2725)] = 65972,
  [SMALL_STATE(2726)] = 65979,
  [SMALL_STATE(2727)] = 65986,
  [SMALL_STATE(2728)] = 65993,
  [SMALL_STATE(2729)] = 66000,
  [SMALL_STATE(2730)] = 66007,
  [SMALL_STATE(2731)] = 66014,
  [SMALL_STATE(2732)] = 66021,
  [SMALL_STATE(2733)] = 66028,
  [SMALL_STATE(2734)] = 66035,
  [SMALL_STATE(2735)] = 66042,
  [SMALL_STATE(2736)] = 66049,
  [SMALL_STATE(2737)] = 66056,
  [SMALL_STATE(2738)] = 66063,
  [SMALL_STATE(2739)] = 66070,
  [SMALL_STATE(2740)] = 66077,
  [SMALL_STATE(2741)] = 66084,
  [SMALL_STATE(2742)] = 66091,
  [SMALL_STATE(2743)] = 66098,
  [SMALL_STATE(2744)] = 66105,
  [SMALL_STATE(2745)] = 66112,
  [SMALL_STATE(2746)] = 66119,
  [SMALL_STATE(2747)] = 66126,
  [SMALL_STATE(2748)] = 66133,
  [SMALL_STATE(2749)] = 66140,
  [SMALL_STATE(2750)] = 66147,
  [SMALL_STATE(2751)] = 66154,
  [SMALL_STATE(2752)] = 66161,
  [SMALL_STATE(2753)] = 66168,
  [SMALL_STATE(2754)] = 66175,
  [SMALL_STATE(2755)] = 66182,
  [SMALL_STATE(2756)] = 66189,
  [SMALL_STATE(2757)] = 66196,
  [SMALL_STATE(2758)] = 66203,
  [SMALL_STATE(2759)] = 66210,
  [SMALL_STATE(2760)] = 66217,
  [SMALL_STATE(2761)] = 66224,
  [SMALL_STATE(2762)] = 66231,
  [SMALL_STATE(2763)] = 66238,
  [SMALL_STATE(2764)] = 66245,
  [SMALL_STATE(2765)] = 66252,
  [SMALL_STATE(2766)] = 66259,
  [SMALL_STATE(2767)] = 66266,
  [SMALL_STATE(2768)] = 66273,
  [SMALL_STATE(2769)] = 66280,
  [SMALL_STATE(2770)] = 66287,
  [SMALL_STATE(2771)] = 66294,
  [SMALL_STATE(2772)] = 66301,
  [SMALL_STATE(2773)] = 66308,
  [SMALL_STATE(2774)] = 66315,
  [SMALL_STATE(2775)] = 66322,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1565),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2277),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2764),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2759),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2756),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2753),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2293),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2296),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2297),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2299),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(631),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(324),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(717),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(132),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1134),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1466),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1464),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1743),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(337),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2359),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2771),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2775),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2354),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(783),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(935),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2605),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2404),
  [1110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(107),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2404),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(107),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90),
  [1131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2404),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 189),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 167),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 64),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 87),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 155),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 205),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 87),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 194),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 64),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 203),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 64),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 64),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 202),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 174),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 86),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 200),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 199),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 148),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 106),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 172),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 111),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 112),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 113),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 68),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 112),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 155),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 154),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 64),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 106),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 106),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 106),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 178),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 89),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 174),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 171),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 195),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 199),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 173),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 182),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 207),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 89),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 174),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 88),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 102),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 102),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 61),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 62),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 62),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 144),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 144),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 143),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2606),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 101),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1539),
  [1995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2277),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [2009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [2012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [2015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [2018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [2021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2192),
  [2024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1789),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 175),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 175),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 138),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 138),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 137),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 93),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 94),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 93),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 92),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 91),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 52),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 51),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 53),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 180),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 81),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 82),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 150),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 151),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 152),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 176),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 177),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 179),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 98),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 181),
  [2327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 97),
  [2343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 63),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 196),
  [2359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 96),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 125),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 108),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 104),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 56),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 103),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1386),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [2481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1057),
  [2490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 60),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 100),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 59),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 118),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 55),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 161),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 163),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 186),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 78),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 114),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [2747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1386),
  [2750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1534),
  [2753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 95),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 197),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 54),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 184),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 185),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1386),
  [2964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1534),
  [2967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2734),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1391),
  [2978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [2981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1434),
  [2987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1377),
  [2990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [3042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(318),
  [3104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1746),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1498),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 166),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 165),
  [3145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(318),
  [3148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1448),
  [3151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1448),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1746),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 84),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 74),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 188),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 164),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 187),
  [3221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(332),
  [3224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1475),
  [3227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1475),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1760),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(382),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1477),
  [3247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1477),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1744),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 164),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 187),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 198),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 85),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3327] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3334] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [3398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [3599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2274),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(343),
  [3627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2308),
  [3630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [3640] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1417),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [3664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [3668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2374),
  [3687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(111),
  [3690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2374),
  [3693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(111),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [3734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [3741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1857),
  [3744] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1415),
  [3750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2725),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2725),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2606),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90), SHIFT_REPEAT(2281),
  [3992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 90),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [4013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 90), SHIFT_REPEAT(2374),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [4058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2253),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1836),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1866),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [4152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1520),
  [4179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1417),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [4192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [4231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1417),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 77),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 76),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 79),
  [4375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 71),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 70),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 136),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1415),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1837),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 160),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 67),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 57),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [4507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 109),
  [4539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 115),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 120),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 123),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 136),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2376),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 135),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 122),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 117),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2376),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 74),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 162),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 69),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2606),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [5073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 66),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 58),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 153),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 99),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [5151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5199] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
